(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     40190,       1526]*)
(*NotebookOutlinePosition[    114876,       4313]*)
(*  CellTagsIndexPosition[    114832,       4309]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[StyleBox[ButtonBox["\[UpperLeftArrow]",
  ButtonData:>{"Titlepage.nb", None},
  ButtonStyle->"Hyperlink",
  ButtonNote->"Titlepage"],
  FontFamily->"Times",
  FontSize->24,
  FontColor->RGBColor[1, 0.647059, 0],
  FontVariations->{"Underline"->False}]], "Text",
  TextAlignment->Left,
  TextJustification->0],

Cell["Table Of Contents", "ContentsTitle",
  TextAlignment->Center,
  FontSize->24],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["Introduction",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Introduction.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t",
  "    ",
  "I"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox[ButtonBox["Part 1  The  Theorema  System",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:0"},
    ButtonStyle->"Hyperlink"],
    FontSize->14,
    FontWeight->"Bold"],
  "\t",
  "    ",
  "1"
}], "Text",
  CellMargins->{{12, 0}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["1. What is Theorema?",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t    1"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["2. The Theorema Language Layers",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:2"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t    2"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["2.1 Formulating Mathematical Statements in Theorema",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:3"},
    ButtonStyle->"Hyperlink"],
  "\t    3"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.1.1 Basic Ingredients of the Theorema Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t    3"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.1.2 Standard Quantifiers and Variables in the Theorema \
Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t    4"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.1.3 Some Meta\[Dash]Language Agreements",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t    5"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.1.4 Special Quantifiers in the Theorema Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:8"},
    ButtonStyle->"Hyperlink"],
  "\t    6"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.1.5 The Theorema Language as a Higher Order Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:9"},
    ButtonStyle->"Hyperlink"],
  "\t    9"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Closed]],

Cell[TextData[{
  "          ",
  ButtonBox["2.2 Writing Formal Mathematical Text in Theorema",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:4"},
    ButtonStyle->"Hyperlink"],
  "\t  11"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["2.3 Mathematical Activities Supported by the Theorema System",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t  18"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.3.1 Proving Theorems in the Theorema System",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:12"},
    ButtonStyle->"Hyperlink"],
  "\t  18"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.3.2 Performing Computations in the Theorema System",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:13"},
    ButtonStyle->"Hyperlink"],
  "\t  24"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.3.3 Proving AND Computing In One Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:14"},
    ButtonStyle->"Hyperlink"],
  "\t  35"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["2.3.4 Solving in the Theorema System",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:15"},
    ButtonStyle->"Hyperlink"],
  "\t  39"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["3. Computer Support for Generating Proofs in Theorema",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:6"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  41"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["3.1 How Provers are Organized in Theorema",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:9"},
    ButtonStyle->"Hyperlink"],
  "\t  41"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["3.2 A View On Automated Theorem Proving",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:10"},
    ButtonStyle->"Hyperlink"],
  "\t  43"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["3.3 The PCS Prove Strategy",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part1.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:11"},
    ButtonStyle->"Hyperlink"],
  "\t  46"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox[ButtonBox["Part 2  The  Set  Theory  Prover",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->14,
    FontWeight->"Bold"],
  "\t  49"
}], "Text",
  CellMargins->{{12, 0}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["4. The Theoretical Basis of the Set Theory Prover",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:TheoFoundSet"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  50"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["5. Preliminaries on Terminology",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:Terminology"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  51"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["6. The Set Theory PCS User Prover",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:UserProver"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  54"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["7. STP: The Set Theory Proving Module",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STP"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  55"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["7.1 STP Inference Rules",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t  56"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["7.1.1 Set Membership",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t  56"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["7.1.2 Set Inclusion",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STPInclusion"},
    ButtonStyle->"Hyperlink"],
  "\t  63"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["7.1.3 Set Equality",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STPEquality"},
    ButtonStyle->"Hyperlink"],
  "\t  66"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["7.1.4 Cardinality of Sets and Properties of Functions",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STPFunctions"},
    ButtonStyle->"Hyperlink"],
  "\t  68"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["7.1.5 Variants of Notation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STPVariants"},
    ButtonStyle->"Hyperlink"],
  "\t  70"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["8. STKBR: The Set Theory Knowledge Base Rewriting \
Module",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STKBR"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  70"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["8.1 Overall Prover Design",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:13"},
    ButtonStyle->"Hyperlink"],
  "\t  71"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.1.1 Rule Locking",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:14"},
    ButtonStyle->"Hyperlink"],
  "\t  74"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["8.2 STKBR Inference Rules",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:15"},
    ButtonStyle->"Hyperlink"],
  "\t  74"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.1 Set Membership",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STKBRMembership"},
    ButtonStyle->"Hyperlink"],
  "\t  74"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.2 Set Inclusion",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:17"},
    ButtonStyle->"Hyperlink"],
  "\t  80"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.3 Set Equality",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:18"},
    ButtonStyle->"Hyperlink"],
  "\t  81"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.4 Cardinality of Sets",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:19"},
    ButtonStyle->"Hyperlink"],
  "\t  82"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.5 The Such\[Dash]A and the Such\[Dash]A\[Dash]Unique \
Quantifier",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:20"},
    ButtonStyle->"Hyperlink"],
  "\t  82"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["8.2.6 Generalizations and Variants of Notation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:21"},
    ButtonStyle->"Hyperlink"],
  "\t  85"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["9. STC: The Set Theory Computing Module",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STC"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  86"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["9.1 Semantics for Sets Provided by the Language",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:23"},
    ButtonStyle->"Hyperlink"],
  "\t  86"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["9.2 Design of the STC Prover",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:24"},
    ButtonStyle->"Hyperlink"],
  "\t  88"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["9.3 Examples of Proof Steps with Computation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:25"},
    ButtonStyle->"Hyperlink"],
  "\t  90"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["10. STS: The Set Theory Solving Module",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:STS"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  91"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["10.1 STS Inference Rules",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:27"},
    ButtonStyle->"Hyperlink"],
  "\t  92"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["11. Modifications in the Existing PCS Components",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:28"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  98"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["11.1 TerminalND",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "Sec:TerminalND"},
    ButtonStyle->"Hyperlink"],
  "\t  98"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["11.2 Basic Natural Deduction",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:30"},
    ButtonStyle->"Hyperlink"],
  "\t100"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["11.3 Quantifier Rewriting",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part2.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:31"},
    ButtonStyle->"Hyperlink"],
  "\t100"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox[ButtonBox["Part 3 Case  Studies",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Part3.nb", CharacterEncoding -> "ISO8859-1"], 
      "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->14,
    FontWeight->"Bold"],
  "\t103"
}], "Text",
  CellMargins->{{12, 0}, {0, 18}},
  CellGroupingRules->{"TitleGrouping", 0},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["12. Isolated Theorems",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t105"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.1 TPTP: SET008",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:2"},
    ButtonStyle->"Hyperlink"],
  "\t105"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.2 TPTP: SET002",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:3"},
    ButtonStyle->"Hyperlink"],
  "\t106"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.3 TPTP: SET010",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:4"},
    ButtonStyle->"Hyperlink"],
  "\t106"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.4 TPTP: SET012",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t108"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.5 Timings and Statistics",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t109"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.6 Selected Exercises for Students",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t110"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["12.7 Example from MIZAR",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-IsolatedTheorems.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:8"},
    ButtonStyle->"Hyperlink"],
  "\t113"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["13. Equivalence Relations and Partitions I",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t115"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["13.1 Exploration Round 1: Basic Notions",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:2"},
    ButtonStyle->"Hyperlink"],
  "\t115"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["13.2 Exploration Round 2: Equivalence Class",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:3"},
    ButtonStyle->"Hyperlink"],
  "\t120"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["13.3 Exploration Round 3: Factor Set",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:4"},
    ButtonStyle->"Hyperlink"],
  "\t125"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.3.1 Covering",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t125"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.3.2 Disjoint Classes",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t129"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.3.3 Non\[Dash]empty Classes",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t134"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.3.4 Partition",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:8"},
    ButtonStyle->"Hyperlink"],
  "\t135"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["13.4 Exploration Round 4: Induced relation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:9"},
    ButtonStyle->"Hyperlink"],
  "\t137"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.4.1 Reflexivity",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:10"},
    ButtonStyle->"Hyperlink"],
  "\t138"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.4.2 Symmetry",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:11"},
    ButtonStyle->"Hyperlink"],
  "\t139"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.4.3 Transitivity",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:12"},
    ButtonStyle->"Hyperlink"],
  "\t140"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["13.4.4 Equivalence",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:13"},
    ButtonStyle->"Hyperlink"],
  "\t142"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[TextData[{
  "          ",
  ButtonBox["13.5 Timings and Statistics",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations1.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:14"},
    ButtonStyle->"Hyperlink"],
  "\t142"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["14. Equivalence Relations and Partitions II",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t145"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["14.1 Reformulations of Notions for the New Setting",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:2"},
    ButtonStyle->"Hyperlink"],
  "\t145"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["14.1.1 Definitions",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:3"},
    ButtonStyle->"Hyperlink"],
  "\t145"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["14.1.2 Proved Knowledge",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:4"},
    ButtonStyle->"Hyperlink"],
  "\t146"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[TextData[{
  "          ",
  ButtonBox["14.2 Exploration Round: Induced relation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t146"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["14.3 The Induced Relation of a Factor Set",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t154"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["14.4 The Factor Set of an Induced Relation",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t160"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["14.5 Timings and Statistics",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-EquivalenceRelations2.nb", 
        CharacterEncoding -> "ISO8859-1"], "c:8"},
    ButtonStyle->"Hyperlink"],
  "\t165"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["15. The Mutilated Checkerboard Problem",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t167"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["15.1 Exploration Round 1: The Board",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:2"},
    ButtonStyle->"Hyperlink"],
  "\t169"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "          ",
  ButtonBox["15.2 Exploration Round 2: Dominoes",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:3"},
    ButtonStyle->"Hyperlink"],
  "\t172"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["15.3 Exploration Round 3: Partial Coverings",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:4"},
    ButtonStyle->"Hyperlink"],
  "\t184"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["15.3.1 A Failing Attempt to Construct the Bijection Directly",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:5"},
    ButtonStyle->"Hyperlink"],
  "\t185"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["15.3.2 A Successful Attempt to Invent a Third Set of Equal \
Cardinality",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:6"},
    ButtonStyle->"Hyperlink"],
  "\t191"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[TextData[{
  "          ",
  ButtonBox["15.4 Exploration Round 4: The Final Theorem",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:7"},
    ButtonStyle->"Hyperlink"],
  "\t210"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "          ",
  ButtonBox["15.5 Transition from Knowledge Base to Inference Rule",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:8"},
    ButtonStyle->"Hyperlink"],
  "\t211"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "               ",
  ButtonBox["15.5.1 Future Perspective: Inference Schemes",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:9"},
    ButtonStyle->"Hyperlink"],
  "\t221"
}], "Text",
  CellMargins->{{12, 0}, {0, 0}},
  CellGroupingRules->{"SectionGrouping", 50},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[TextData[{
  "          ",
  ButtonBox["15.6 Timings and Statistics",
    ButtonData:>{
      FrontEnd`FileName[ {}, "CaseStudies-Checkerboard.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:10"},
    ButtonStyle->"Hyperlink"],
  "\t223"
}], "Text",
  CellMargins->{{12, 0}, {0, 8}},
  CellGroupingRules->{"SectionGrouping", 40},
  TabFilling->".",
  TabSpacings->45]
}, Open  ]],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["16. Conclusion",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Conclusion.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:1"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  i"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["References",
    ButtonData:>{
      FrontEnd`FileName[ {}, "Conclusion.nb", CharacterEncoding -> 
        "ISO8859-1"], "c:2"},
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"],
  "\t  ii"
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[CellGroupData[{

Cell[TextData[{
  "  ",
  StyleBox[ButtonBox["Curriculum Vitae",
    ButtonStyle->"Hyperlink"],
    FontSize->12,
    FontWeight->"Bold"]
}], "Text",
  CellMargins->{{12, 0}, {3, 18}},
  CellGroupingRules->{"SectionGrouping", 30},
  TabFilling->".",
  TabSpacings->45],

Cell[TextData[StyleBox[ButtonBox["\[LowerRightArrow]",
  ButtonData:>{"Introduction.nb", "c:1"},
  ButtonStyle->"Hyperlink",
  ButtonNote->"Introduction"],
  FontFamily->"Times",
  FontSize->24,
  FontColor->RGBColor[1, 0.647059, 0],
  FontVariations->{"Underline"->False}]], "Text",
  TextAlignment->Right,
  TextJustification->0]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.1 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"AllBrackets",
PrintingStyleEnvironment->"EnhancedPrintout",
WindowSize->{849, 609},
WindowMargins->{{55, Automatic}, {96, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{Inherited, Inherited, Cell[ 
        TextData[ {"Table of Contents"}], "Header"]}, {Cell[ 
        TextData[ {"Table of Contents"}], "Header"], Inherited, Inherited}},
PrintingOptions->{"PrintingMargins"->{{79.1875, 79.1875}, {108, 108}},
"PaperSize"->{597.562, 842.375},
"PaperOrientation"->"Portrait",
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False,
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", \
"wwindste", "Diss", "Main"}, "MasterTOC.nb.ps", CharacterEncoding -> \
"ISO8859-1"],
"Magnification"->1},
TaggingRules:>{"TOCNotebook" -> True},
Magnification->1,
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Subtitle"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    ShowCellBracket->False,
    CellLabelMargins->{{10, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->9],
  
  Cell[StyleData[All, "AllBrackets"],
    PageWidth->WindowWidth,
    ShowCellBracket->True,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}],
  
  Cell[StyleData[All, "EnhancedPrintout"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}],
  
  Cell[StyleData[All, "EnhancedPrintoutNonGray"],
    PageWidth->PaperWidth,
    ShowCellBracket->False,
    CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PrintingStyleEnvironment->"Printout",
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    PrintingOptions->{"PrintingMargins"->{{97, 97}, {180, 64}},
    "FirstPageHeader"->False,
    "FacingPages"->True},
    CellLabelAutoDelete->False,
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{12, Inherited}, {20, 40}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakAbove->True,
    PageBreakBelow->False,
    LineSpacing->{1, 11},
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontSize->30],
  
  Cell[StyleData["Title", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {15, 30}},
    FontFamily->"Futura",
    FontSize->30],
  
  Cell[StyleData["Title", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 10}, {15, 30}},
    FontFamily->"Futura",
    FontSize->30]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{12, Inherited}, {10, 2}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    LineSpacing->{1, 11},
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->28],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontSize->24],
  
  Cell[StyleData["Subtitle", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {10, 15}},
    FontFamily->"Futura",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 10}, {10, 15}},
    FontFamily->"Futura",
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{12, Inherited}, {10, 20}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontSlant->"Italic"],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "EnhancedPrintout"],
    CellMargins->{{2, 10}, {8, 10}},
    FontFamily->"Futura",
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 10}, {8, 10}},
    FontFamily->"Futura",
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellFrame->{{0, 0}, {0.5, 0}},
    CellMargins->{{10, Inherited}, {8, 30}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CellFrameMargins->8,
    LineSpacing->{1, 7},
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->20,
    FontWeight->"Bold",
    CellTags->"Section"],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{2, 0}, {7, 24}},
    FontSize->16],
  
  Cell[StyleData["Section", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->16],
  
  Cell[StyleData["Section", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->16]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{24, Inherited}, {8, 30}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontWeight->"Bold",
    CellTags->"Subsection"],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 24}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "EnhancedPrintout"],
    CellMargins->{{9, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->14],
  
  Cell[StyleData["Subsection", "EnhancedPrintoutNonGray"],
    CellMargins->{{9, 0}, {7, 24}},
    FontFamily->"Futura",
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellMargins->{{12, Inherited}, {8, 24}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    CounterIncrements->"Subsubsection",
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    CellTags->"Subsubsection"],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{2, 0}, {7, 18}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {7, 18}},
    FontFamily->"Futura",
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {7, 18}},
    FontFamily->"Futura",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->1,
    FontSize->11],
  
  Cell[StyleData["Text", "EnhancedPrintout"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->1,
    FontSize->10],
  
  Cell[StyleData["Text", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->1,
    FontFamily->"Palatino",
    FontSize->10]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{12, 10}, {6, 6}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"SmallText",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->1,
    FontSize->7],
  
  Cell[StyleData["SmallText", "EnhancedPrintout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->1,
    FontFamily->"Palatino",
    FontSize->7],
  
  Cell[StyleData["SmallText", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->1,
    FontFamily->"Palatino",
    FontSize->7]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CopyrightText"],
    CellMargins->{{10, 4}, {0, 8}},
    ParagraphSpacing->{0, 0},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10],
  
  Cell[StyleData["CopyrightText", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->8]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    ShowCellBracket->True,
    CellMargins->{{45, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input",
    FontWeight->"Bold"],
  
  Cell[StyleData["Input", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9],
  
  Cell[StyleData["Input", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9],
  
  Cell[StyleData["Input", "EnhancedPrintoutNonGray"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {4, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    ShowCellBracket->True,
    CellMargins->{{46, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9],
  
  Cell[StyleData["Output", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9],
  
  Cell[StyleData["Output", "EnhancedPrintoutNonGray"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    ShowCellBracket->True,
    CellMargins->{{45, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontSlant->"Italic",
    FontColor->RGBColor[1, 0, 0]],
  
  Cell[StyleData["Message", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->9,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["Message", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["Message", "EnhancedPrintoutNonGray"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    ShowCellBracket->True,
    CellMargins->{{75, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultOutputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{57, Inherited}, {Inherited, Inherited}},
    FontSize->9],
  
  Cell[StyleData["Print", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{57, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9],
  
  Cell[StyleData["Print", "EnhancedPrintoutNonGray"],
    ShowCellBracket->False,
    CellMargins->{{57, Inherited}, {Inherited, Inherited}},
    FontFamily->"Courier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    ShowCellBracket->True,
    CellMargins->{{47, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    StyleMenuListing->None],
  
  Cell[StyleData["Graphics", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    ImageSize->{250, 250},
    FontSize->9],
  
  Cell[StyleData["Graphics", "EnhancedPrintout"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    ImageSize->{250, 250},
    FontFamily->"Courier",
    FontSize->9],
  
  Cell[StyleData["Graphics", "EnhancedPrintoutNonGray"],
    ShowCellBracket->False,
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    ImageSize->{250, 250},
    FontFamily->"Courier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0, 0, 1]],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["CellLabel", "EnhancedPrintout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["CellLabel", "EnhancedPrintoutNonGray"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Inline Formatting", "Section"],
  
  Cell["\<\
These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.\
\>", "Text"],
  
  Cell[StyleData["RM"],
    StyleMenuListing->None,
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["BF"],
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["IT"],
    StyleMenuListing->None,
    FontSlant->"Italic"],
  
  Cell[StyleData["TR"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["TI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["TB"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["TBI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["MR"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["MO"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["MB"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["MBO"],
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["SR"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["SO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SB"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["SBO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SO10"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "Printout"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->7,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "EnhancedPrintout"],
    StyleMenuListing->None,
    FontFamily->"Futura",
    FontSize->7,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Miscellaneous Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MathCaption"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{46, 42}, {0, 14}},
    PageBreakBelow->False,
    LineSpacing->{1, 1},
    ParagraphSpacing->{0, 8},
    FontColor->RGBColor[0, 0, 0.6]],
  
  Cell[StyleData["MathCaption", "Printout"],
    CellMargins->{{42, 42}, {0, 14}},
    FontSize->10,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["MathCaption", "EnhancedPrintout"],
    CellMargins->{{42, 42}, {0, 14}},
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0]],
  
  Cell[StyleData["MathCaption", "EnhancedPrintoutNonGray"],
    CellMargins->{{42, 42}, {0, 14}},
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Commentary"],
    CellFrame->{{2, 0}, {0, 0}},
    CellMargins->{{36, 10}, {7, 7}},
    PageBreakBelow->False,
    CellFrameMargins->8,
    CellFrameColor->RGBColor[0, 0.2, 1],
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    FontSlant->"Italic"],
  
  Cell[StyleData["Commentary", "Printout"],
    CellMargins->{{36, 0}, {6, 6}},
    CellFrameColor->GrayLevel[0.8],
    FontSize->10],
  
  Cell[StyleData["Commentary", "EnhancedPrintout"],
    CellMargins->{{36, 0}, {6, 6}},
    CellFrameColor->GrayLevel[0.8],
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["Commentary", "EnhancedPrintoutNonGray"],
    CellMargins->{{36, 0}, {6, 6}},
    CellFrameColor->GrayLevel[0.8],
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedText"],
    CellMargins->{{20, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    ParagraphIndent->-21,
    CounterIncrements->"ItemizedText"],
  
  Cell[StyleData["ItemizedText", "Printout"],
    ParagraphIndent->-18,
    FontSize->11],
  
  Cell[StyleData["ItemizedText", "EnhancedPrintout"],
    ParagraphIndent->-18,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["ItemizedText", "EnhancedPrintoutNonGray"],
    ParagraphIndent->-18,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedTextNote"],
    CellMargins->{{41, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    CounterIncrements->"Text"],
  
  Cell[StyleData["ItemizedTextNote", "Printout"],
    CellMargins->{{38, 4}, {0, 4}},
    FontSize->11],
  
  Cell[StyleData["ItemizedTextNote", "EnhancedPrintout"],
    CellMargins->{{38, 4}, {0, 4}},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["ItemizedTextNote", "EnhancedPrintoutNonGray"],
    CellMargins->{{38, 4}, {0, 4}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BulletText"],
    CellMargins->{{20, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    ParagraphIndent->-21],
  
  Cell[StyleData["BulletText", "Printout"],
    ParagraphIndent->-18,
    FontSize->11],
  
  Cell[StyleData["BulletText", "EnhancedPrintout"],
    ParagraphIndent->-18,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["BulletText", "EnhancedPrintoutNonGray"],
    ParagraphIndent->-18,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndentedText"],
    CellMargins->{{20, 4}, {0, 6}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 8},
    CounterIncrements->"Text"],
  
  Cell[StyleData["IndentedText", "Printout"],
    FontSize->10],
  
  Cell[StyleData["IndentedText", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["IndentedText", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Emphasis Boxes and Pictures", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.3, 0.7},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox3Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.2, 0.3, 0.5},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox3Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox3Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox3Col", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox4Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.15, 0.35, 0.15, 0.35},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox4Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox4Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox4Col", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox5Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->0.2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox5Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox5Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox5Col", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox6Col"],
    CellFrame->0.5,
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.13, 0.24, 0.13, 0.13, 0.24, 0.13},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox6Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox6Col", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["DefinitionBox6Col", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{11, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["TopBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["TopBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["MiddleBox", "Printout"],
    CellMargins->{{2, 0}, {0, 2}},
    ShowStringCharacters->True,
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["MiddleBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 4}},
    ShowStringCharacters->True,
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["MiddleBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 4}},
    ShowStringCharacters->True,
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleSpacedBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["MiddleSpacedBox", "Printout"],
    CellMargins->{{2, 0}, {0, 0}},
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpacedBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpacedBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BottomBox"],
    CellFrame->{{0.5, 0.5}, {0.5, 0}},
    CellMargins->{{11, 4}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["BottomBox", "Printout"],
    CellMargins->{{2, 0}, {0, -5}},
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->2.2}],
  
  Cell[StyleData["BottomBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, -5}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->2.2}],
  
  Cell[StyleData["BottomBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, -5}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->2.2}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{11, 4}, {-2, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-2, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["TopSpanBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {-4, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008]],
  
  Cell[StyleData["TopSpanBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {-4, 8}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{11, 4}, {-3, -8}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[1, 0.6, 0.6],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left},
    RowMinHeight->1.2}],
  
  Cell[StyleData["MiddleSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-5, 0}},
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpanBox", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {-7, 0}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[0.900008],
    GridBoxOptions->{RowMinHeight->1.8}],
  
  Cell[StyleData["MiddleSpanBox", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {-7, 0}},
    FontFamily->"Palatino",
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Picture"],
    CellMargins->{{12, Inherited}, {0, 8}},
    CellHorizontalScrolling->True],
  
  Cell[StyleData["Picture", "Printout"],
    CellMargins->{{2, Inherited}, {0, 8}}],
  
  Cell[StyleData["Picture", "EnhancedPrintout"],
    CellMargins->{{2, Inherited}, {0, 8}}],
  
  Cell[StyleData["Picture", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, Inherited}, {0, 8}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Caption"],
    CellMargins->{{12, 4}, {0, 2}},
    PageBreakAbove->False,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["Caption", "Printout"],
    CellMargins->{{2, 4}, {2, 4}},
    FontSize->7],
  
  Cell[StyleData["Caption", "EnhancedPrintout"],
    CellMargins->{{2, 4}, {2, 4}},
    FontFamily->"Futura",
    FontSize->7],
  
  Cell[StyleData["Caption", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 4}, {2, 4}},
    FontFamily->"Futura",
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Tables", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SingleRowTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["SingleRowTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["SingleRowTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["SingleRowTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->{0.34, 0.64},
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["2ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["2ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["2ColumnTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnEvenTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.49,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["2ColumnEvenTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["2ColumnEvenTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["2ColumnEvenTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnTable"],
    PageWidth->400,
    CellMargins->{{10, 10}, {1, 1}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.336,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["3ColumnTable", "Printout"],
    CellMargins->{{2, 10}, {1, 1}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnTablePlain"],
    PageWidth->400,
    CellMargins->{{12, 10}, {7, 7}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.336,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["3ColumnTablePlain", "Printout"],
    CellMargins->{{2, 10}, {4, 4}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["4ColumnTable"],
    PageWidth->400,
    CellMargins->{{10, 10}, {1, 1}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.251,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["4ColumnTable", "Printout"],
    CellMargins->{{2, 10}, {1, 1}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["4ColumnTablePlain"],
    PageWidth->400,
    CellMargins->{{12, 10}, {7, 7}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.251,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["4ColumnTablePlain", "Printout"],
    CellMargins->{{2, 10}, {4, 4}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["5ColumnTable"],
    PageWidth->400,
    CellMargins->{{10, 10}, {1, 1}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.201,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["5ColumnTable", "Printout"],
    CellMargins->{{2, 10}, {1, 1}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["5ColumnTablePlain"],
    PageWidth->400,
    CellMargins->{{12, 10}, {7, 7}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.201,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["5ColumnTablePlain", "Printout"],
    CellMargins->{{2, 10}, {4, 4}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["6ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.16,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["6ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["6ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["6ColumnTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["7ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.14,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["7ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["7ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["7ColumnTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["8ColumnTable"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    ShowStringCharacters->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->0.12,
    ColumnAlignments->{Left, Center}}],
  
  Cell[StyleData["8ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["8ColumnTable", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["8ColumnTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TableHead"],
    PageWidth->400,
    CellMargins->{{12, 10}, {1, 7}},
    LineSpacing->{1, 2},
    CounterIncrements->"TableHead",
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    GridBoxOptions->{ColumnWidths->40,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TableHead", "Printout"],
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Table"],
    PageWidth->400,
    CellMargins->{{10, 10}, {1, 1}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.503,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["Table", "Printout"],
    CellMargins->{{2, 10}, {1, 1}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TablePlain"],
    PageWidth->400,
    CellMargins->{{12, 10}, {7, 7}},
    CellHorizontalScrolling->True,
    ShowStringCharacters->True,
    CounterIncrements->"Table",
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.503,
    RowAlignments->Center,
    ColumnAlignments->{Left, Center},
    GridFrame->{{0, 0}, {0.5, 2}},
    RowLines->{True, False},
    ColumnLines->False,
    GridDefaultElement:>Cell[ "Your Data", "TableText"]}],
  
  Cell[StyleData["TablePlain", "Printout"],
    CellMargins->{{2, 10}, {4, 4}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TableNote"],
    PageWidth->400,
    CellMargins->{{12, 10}, {7, 1}},
    LineSpacing->{1, 1},
    ParagraphSpacing->{0.3, 0},
    FontFamily->"Times",
    FontSize->10],
  
  Cell[StyleData["TableNote", "Printout"],
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Inline Styles for Tables", "Subsection"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TableHeadText"],
    CounterIncrements->"TableHead",
    FontFamily->"Times",
    FontWeight->"Plain"],
  
  Cell[StyleData["TableHeadText", "Printout"],
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ColumnHead"],
    CounterIncrements->"Table",
    FontFamily->"Times",
    FontSlant->"Italic"],
  
  Cell[StyleData["ColumnHead", "Printout"],
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TableText"],
    TextAlignment->Left,
    LineSpacing->{1, 1},
    FontFamily->"Times",
    FontSize->12],
  
  Cell[StyleData["TableText", "Printout"],
    FontSize->10]
  }, Closed]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Automatic Numbering", "Section"],
  
  Cell["\<\
The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["NumberedEquation"],
    CellMargins->{{45, 10}, {7, 7}},
    CellFrameLabels->{{None, Cell[ 
            TextData[ {"(", 
              CounterBox[ "NumberedEquation"], ")"}]]}, {None, None}},
    DefaultFormatType->DefaultTextFormatType,
    SpanMaxSize->Infinity,
    CounterIncrements->"NumberedEquation",
    FormatTypeAutoConvert->False],
  
  Cell[StyleData["NumberedEquation", "Printout"],
    CellMargins->{{39, 55}, {0, 10}},
    FontSize->10],
  
  Cell[StyleData["NumberedEquation", "EnhancedPrintout"],
    CellMargins->{{39, 55}, {0, 10}},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["NumberedEquation", "EnhancedPrintoutNonGray"],
    CellMargins->{{39, 55}, {0, 10}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{45, Inherited}, {7, 7}},
    CellHorizontalScrolling->True,
    ScriptLevel->0,
    SingleLetterItalics->True,
    SpanMaxSize->Infinity,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Printout"],
    FontSize->10],
  
  Cell[StyleData["DisplayFormula", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["DisplayFormula", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayMath"],
    CellMargins->{{45, 10}, {7, 7}},
    Evaluatable->False,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    AutoItalicWords->{},
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    CounterIncrements->"Input"],
  
  Cell[StyleData["DisplayMath", "Printout"],
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9],
  
  Cell[StyleData["DisplayMath", "EnhancedPrintout"],
    CellMargins->{{39, 0}, {4, 6}},
    FontFamily->"WRICourier",
    FontSize->9],
  
  Cell[StyleData["DisplayMath", "EnhancedPrintoutNonGray"],
    CellMargins->{{39, 0}, {4, 6}},
    FontFamily->"WRICourier",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["EquationNumber"],
    LineSpacing->{1.83, 0}],
  
  Cell[StyleData["EquationNumber", "Printout"],
    LineSpacing->{1.7, 0},
    FontSize->10],
  
  Cell[StyleData["EquationNumber", "EnhancedPrintout"],
    LineSpacing->{1.7, 0},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["EquationNumber", "EnhancedPrintoutNonGray"],
    LineSpacing->{1.7, 0},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Program"],
    CellFrame->{{0, 0}, {0.5, 0.5}},
    CellMargins->{{12, Inherited}, {7, 7}},
    CellFrameMargins->{{0, 0}, {7, 5}},
    FontFamily->"Courier"],
  
  Cell[StyleData["Program", "Printout"],
    CellMargins->{{18, 30}, {Inherited, 4}},
    FontSize->9.5],
  
  Cell[StyleData["Program", "EnhancedPrintout"],
    CellMargins->{{18, 30}, {Inherited, 4}},
    FontFamily->"WRICourier",
    FontSize->9.5],
  
  Cell[StyleData["Program", "EnhancedPrintoutNonGray"],
    CellMargins->{{18, 30}, {Inherited, 4}},
    FontFamily->"WRICourier",
    FontSize->9.5]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Contents and Index", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsTitle"],
    ShowGroupOpenCloseIcon->False,
    CellMargins->{{10, 4}, {0, 18}},
    CellGroupingRules->{"SectionGrouping", 60},
    LineSpacing->{1, 11},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->26,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsTitle", "Printout"],
    CellMargins->{{2, 0}, {0, 18}},
    PageBreakBelow->False,
    FontSize->18],
  
  Cell[StyleData["ContentsTitle", "EnhancedPrintout"],
    CellMargins->{{2, 0}, {0, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->18],
  
  Cell[StyleData["ContentsTitle", "EnhancedPrintoutNonGray"],
    CellMargins->{{2, 0}, {0, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ContentsSection"],
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{35, 4}, {3, 18}},
    CellGroupingRules->{"SectionGrouping", 70},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->12,
    FontWeight->"Bold"],
  
  Cell[StyleData["ContentsSection", "Printout"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontSize->11],
  
  Cell[StyleData["ContentsSection", "EnhancedPrintout"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->11],
  
  Cell[StyleData["ContentsSection", "EnhancedPrintoutNonGray"],
    CellMargins->{{20, 0}, {3, 18}},
    PageBreakBelow->False,
    FontFamily->"Futura",
    FontSize->11]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndexSection"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{20, 4}, {5, 20}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->12,
    FontWeight->"Bold"],
  
  Cell[StyleData["IndexSection", "Printout"],
    CellMargins->{{12, 0}, {5, 20}},
    PageBreakBelow->False,
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Contents"],
    ShowGroupOpenCloseIcon->False,
    CellMargins->{{50, 4}, {0, 5}},
    CellGroupingRules->{"SectionGrouping", 90},
    StyleMenuListing->None],
  
  Cell[StyleData["Contents", "Printout"],
    CellMargins->{{40, 4}, {0, 5}},
    FontSize->11],
  
  Cell[StyleData["Contents", "EnhancedPrintout"],
    CellMargins->{{40, 5}, {0, 5}},
    FontFamily->"Palatino",
    FontSize->11],
  
  Cell[StyleData["Contents", "EnhancedPrintoutNonGray"],
    CellMargins->{{40, 5}, {0, 5}},
    FontFamily->"Palatino",
    FontSize->11]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Index"],
    CellMargins->{{21, 4}, {0, 0}},
    ParagraphIndent->-48,
    StyleMenuListing->None],
  
  Cell[StyleData["Index", "Printout"],
    CellMargins->{{13, 0}, {0, 0}},
    FontSize->10],
  
  Cell[StyleData["Index", "EnhancedPrintout"],
    CellMargins->{{13, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["Index", "EnhancedPrintoutNonGray"],
    CellMargins->{{13, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["IndexSubentry"],
    CellMargins->{{36, 4}, {0, 0}},
    ParagraphIndent->-48,
    StyleMenuListing->None],
  
  Cell[StyleData["IndexSubentry", "Printout"],
    CellMargins->{{24, 0}, {0, 0}},
    FontSize->10],
  
  Cell[StyleData["IndexSubentry", "EnhancedPrintout"],
    CellMargins->{{24, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["IndexSubentry", "EnhancedPrintoutNonGray"],
    CellMargins->{{24, 0}, {0, 0}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Function List", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionName"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{24, 10}, {10, 12}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    FontFamily->"Courier",
    FontSize->14,
    FontWeight->"Bold",
    CellTags->"FunctionName"],
  
  Cell[StyleData["FunctionName", "Printout"],
    CellMargins->{{9, 0}, {10, 10}},
    FontSize->12],
  
  Cell[StyleData["FunctionName", "EnhancedPrintout"],
    CellMargins->{{9, 0}, {10, 10}},
    FontFamily->"Courier",
    FontSize->12],
  
  Cell[StyleData["FunctionName", "EnhancedPrintoutNonGray"],
    CellMargins->{{9, 0}, {10, 10}},
    FontFamily->"Courier",
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SubsectionIcon"],
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{24, 10}, {0, 30}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    FontSize->14,
    FontWeight->"Bold",
    CellTags->"FunctionSection"],
  
  Cell[StyleData["SubsectionIcon", "Printout"],
    CellMargins->{{20, 0}, {0, 20}},
    FontSize->13],
  
  Cell[StyleData["SubsectionIcon", "EnhancedPrintout"],
    CellMargins->{{20, 0}, {0, 20}},
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["SubsectionIcon", "EnhancedPrintoutNonGray"],
    CellMargins->{{20, 0}, {0, 20}},
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionSubsection"],
    CellDingbat->"\[FilledSquare]",
    CellMargins->{{36, 10}, {0, 6}},
    CellGroupingRules->{"SectionGrouping", 60},
    PageBreakBelow->False,
    FontWeight->"Bold",
    CellTags->"FunctionSubsection"],
  
  Cell[StyleData["FunctionSubsection", "Printout"],
    CellMargins->{{30, 0}, {0, 6}}],
  
  Cell[StyleData["FunctionSubsection", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {0, 6}},
    FontFamily->"Palatino",
    FontSize->11],
  
  Cell[StyleData["FunctionSubsection", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {0, 6}},
    FontFamily->"Palatino",
    FontSize->11]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SubsubsectionIcon"],
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{36, 10}, {0, 6}},
    CellGroupingRules->{"SectionGrouping", 60},
    PageBreakBelow->False,
    FontWeight->"Bold",
    CellTags->"SubsubsectionIcon"],
  
  Cell[StyleData["SubsubsectionIcon", "Printout"],
    CellMargins->{{30, 0}, {0, 6}},
    FontSize->11],
  
  Cell[StyleData["SubsubsectionIcon", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {0, 6}},
    FontFamily->"Palatino",
    FontSize->9],
  
  Cell[StyleData["SubsubsectionIcon", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {0, 6}},
    FontFamily->"Palatino",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionDescription"],
    CellMargins->{{36, 10}, {4, 0}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text",
    FontWeight->"Plain"],
  
  Cell[StyleData["FunctionDescription", "Printout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontSize->11],
  
  Cell[StyleData["FunctionDescription", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["FunctionDescription", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionDescriptionRuled"],
    CellFrame->{{0, 0}, {0.25, 0.25}},
    CellMargins->{{36, 10}, {4, 0}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text"],
  
  Cell[StyleData["FunctionDescriptionRuled", "Printout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontSize->11],
  
  Cell[StyleData["FunctionDescriptionRuled", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["FunctionDescriptionRuled", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionDescriptionRuleTop"],
    CellFrame->{{0, 0}, {0, 0.25}},
    CellMargins->{{36, 10}, {4, 0}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text"],
  
  Cell[StyleData["FunctionDescriptionRuleTop", "Printout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontSize->11],
  
  Cell[StyleData["FunctionDescriptionRuleTop", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["FunctionDescriptionRuleTop", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionDescriptionRuleBottom"],
    CellFrame->{{0, 0}, {0.25, 0}},
    CellMargins->{{36, 10}, {4, 0}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0.7, 0},
    CounterIncrements->"Text"],
  
  Cell[StyleData["FunctionDescriptionRuleBottom", "Printout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontSize->11],
  
  Cell[StyleData["FunctionDescriptionRuleBottom", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10],
  
  Cell[StyleData["FunctionDescriptionRuleBottom", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {4, 0}},
    TextJustification->0,
    FontFamily->"Palatino",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionExample"],
    CellMargins->{{36, 10}, {4, 0}},
    StyleMenuListing->None,
    FontSize->10],
  
  Cell[StyleData["FunctionExample", "Printout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontSize->9],
  
  Cell[StyleData["FunctionExample", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {4, 0}},
    FontFamily->"Palatino",
    FontSize->9],
  
  Cell[StyleData["FunctionExample", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {4, 0}},
    FontFamily->"Palatino",
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FunctionTextNote"],
    CellMargins->{{36, 4}, {0, 4}},
    LineSpacing->{1, 3},
    ParagraphSpacing->{0, 4},
    LineIndent->0],
  
  Cell[StyleData["FunctionTextNote", "Printout"],
    CellMargins->{{36, 4}, {0, 4}},
    FontSize->9],
  
  Cell[StyleData["FunctionTextNote", "EnhancedPrintout"],
    CellMargins->{{36, 4}, {0, 4}},
    FontFamily->"Palatino",
    FontSize->8],
  
  Cell[StyleData["FunctionTextNote", "EnhancedPrintoutNonGray"],
    CellMargins->{{36, 4}, {0, 4}},
    FontFamily->"Palatino",
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnFunctionTable"],
    CellMargins->{{36, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->2,
    ColumnWidths->{0.28, 0.28, 0.43},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["3ColumnFunctionTable", "Printout"],
    CellMargins->{{30, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["3ColumnFunctionTable", "EnhancedPrintout"],
    CellMargins->{{30, 0}, {0, 8}},
    FontSize->10],
  
  Cell[StyleData["3ColumnFunctionTable", "EnhancedPrintoutNonGray"],
    CellMargins->{{30, 0}, {0, 8}},
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Browser Emulation", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TextNormal"],
    CellMargins->{{12, 10}, {7, 7}},
    LineSpacing->{1, 3},
    CounterIncrements->"Text",
    FontFamily->"Times",
    FontSize->12],
  
  Cell[StyleData["TextNormal", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BrowserEmulation"],
    CellMargins->{{12, 1}, {7, 24}},
    CellGroupingRules->{"SectionGrouping", 70},
    LineSpacing->{1, 3},
    FontFamily->"Helvetica",
    GridBoxOptions->{ColumnWidths->0.25,
    ColumnAlignments->{Left},
    GridFrame->True,
    GridFrameMargins->0.5,
    ColumnLines->True}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CategoryDefs"],
    CellMargins->{{300, 10}, {7, 7}},
    LineSpacing->{1, 3},
    FontFamily->"Helvetica",
    Background->RGBColor[1, 0.8, 0.6],
    GridBoxOptions->{ColumnAlignments->{Left},
    GridFrame->False,
    RowLines->True,
    ColumnLines->True}],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category1"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{12, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 50},
    FontSize->16,
    FontWeight->"Bold"],
  
  Cell[StyleData["Category1", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category2"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{85, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 60},
    FontSize->14,
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0, 0.500008]],
  
  Cell[StyleData["Category2", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category3"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{157, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 70},
    FontSize->12,
    FontWeight->"Bold",
    FontColor->RGBColor[0.2, 0, 0.4]],
  
  Cell[StyleData["Category3", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Category4"],
    ShowCellBracket->False,
    ShowGroupOpenCloseIcon->True,
    CellMargins->{{230, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 80},
    FontWeight->"Bold",
    FontColor->RGBColor[0, 0.300008, 0.4]],
  
  Cell[StyleData["Category4", "Printout"],
    CellMargins->{{2, 2}, {6, 6}}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Bold"],
  
  Cell[StyleData["Header", "Printout"]],
  
  Cell[StyleData["Header", "EnhancedPrintout"],
    FontFamily->"Futura"],
  
  Cell[StyleData["Header", "EnhancedPrintoutNonGray"],
    FontFamily->"Futura"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->7,
    FontSlant->"Plain"],
  
  Cell[StyleData["Footer", "Printout"]],
  
  Cell[StyleData["Footer", "EnhancedPrintout"],
    FontFamily->"Futura"],
  
  Cell[StyleData["Footer", "EnhancedPrintoutNonGray"],
    FontFamily->"Futura"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->8,
    FontWeight->"Bold"],
  
  Cell[StyleData["PageNumber", "Printout"]],
  
  Cell[StyleData["PageNumber", "EnhancedPrintout"],
    FontFamily->"Futura"],
  
  Cell[StyleData["PageNumber", "EnhancedPrintoutNonGray"],
    FontFamily->"Futura"]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["Hyperlink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["Hyperlink", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["MainBookLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["MainBookLink", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLink", "EnhancedPrintout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLink", "EnhancedPrintoutNonGray"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLinkText"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Times",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLinkText", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLinkText", "EnhancedPrintout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["AddOnsLinkText", "EnhancedPrintoutNonGray"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuide", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["RefGuideLink", "EnhancedPrintout"],
    FontFamily->"WRICourier",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["RefGuideLink", "EnhancedPrintoutNonGray"],
    FontFamily->"WRICourier",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["GettingStartedLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["GettingStartedLink", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0, 0, 1],
    FontVariations->{"Underline"->True},
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontSize->11,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["OtherInformationLink", "EnhancedPrintout"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}],
  
  Cell[StyleData["OtherInformationLink", "EnhancedPrintoutNonGray"],
    FontFamily->"Palatino",
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Outline Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline1"],
    CellMargins->{{12, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 50},
    ParagraphIndent->-38,
    CounterIncrements->"Outline1",
    FontSize->18,
    FontWeight->"Bold",
    CounterBoxOptions->{CounterFunction:>CapitalRomanNumeral}],
  
  Cell[StyleData["Outline1", "Printout"],
    CounterBoxOptions->{CounterFunction:>CapitalRomanNumeral}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline2"],
    CellMargins->{{59, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 60},
    ParagraphIndent->-27,
    CounterIncrements->"Outline2",
    FontSize->15,
    FontWeight->"Bold",
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "A", "Z"], #]&)}],
  
  Cell[StyleData["Outline2", "Printout"],
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "A", "Z"], #]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline3"],
    CellMargins->{{108, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 70},
    ParagraphIndent->-21,
    CounterIncrements->"Outline3",
    FontSize->12,
    CounterBoxOptions->{CounterFunction:>Identity}],
  
  Cell[StyleData["Outline3", "Printout"],
    CounterBoxOptions->{CounterFunction:>Identity}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline4"],
    CellMargins->{{158, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 80},
    ParagraphIndent->-18,
    CounterIncrements->"Outline4",
    FontSize->10,
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "a", "z"], #]&)}],
  
  Cell[StyleData["Outline4", "Printout"]]
  }, Closed]]
  }, Closed]]
  }, Open  ]]
  }]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1705, 50, 322, 9, 44, "Text"],
Cell[2030, 61, 83, 2, 57, "ContentsTitle"],
Cell[2116, 65, 407, 16, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[2548, 85, 404, 15, 37, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[2955, 102, 394, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[3374, 120, 405, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[3804, 138, 380, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[4187, 152, 382, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[4572, 166, 401, 13, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[4976, 181, 375, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[5354, 195, 384, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[5741, 209, 388, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Closed]],
Cell[6144, 224, 376, 12, 22, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],

Cell[CellGroupData[{
Cell[6545, 240, 388, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[6936, 254, 379, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[7318, 268, 386, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[7707, 282, 377, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[8087, 296, 370, 12, 16, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[8506, 314, 426, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[8935, 330, 369, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[9307, 344, 368, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[9678, 358, 355, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[10082, 376, 394, 13, 37, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],
Cell[10479, 391, 435, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[10917, 407, 416, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[11336, 423, 417, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[11778, 441, 414, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[12217, 459, 351, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[12571, 473, 353, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[12927, 487, 365, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[13295, 501, 363, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[13661, 515, 399, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[14063, 529, 371, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14483, 547, 437, 15, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[14945, 566, 354, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[15302, 580, 352, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],

Cell[CellGroupData[{
Cell[15691, 597, 354, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[16048, 611, 369, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[16420, 625, 353, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[16776, 639, 352, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[17131, 653, 359, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[17493, 667, 403, 13, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[17899, 682, 380, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[18328, 700, 416, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[18747, 716, 376, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[19126, 730, 357, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[19486, 744, 373, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[19896, 761, 415, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[20314, 777, 353, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[20704, 794, 422, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[21129, 810, 354, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[21486, 824, 356, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[21845, 838, 353, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[22247, 856, 381, 13, 37, "Text",
  CellGroupingRules->{"TitleGrouping", 0}],

Cell[CellGroupData[{
Cell[22653, 873, 418, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[23074, 889, 369, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[23446, 903, 369, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[23818, 917, 369, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[24190, 931, 369, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[24562, 945, 379, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[24944, 959, 388, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[25335, 973, 375, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[25747, 990, 444, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[26194, 1006, 396, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[26593, 1020, 400, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],

Cell[CellGroupData[{
Cell[27018, 1036, 393, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[27414, 1050, 377, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[27794, 1064, 385, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[28182, 1078, 392, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[28577, 1092, 378, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],

Cell[CellGroupData[{
Cell[28992, 1109, 399, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[29394, 1123, 381, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[29778, 1137, 378, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[30159, 1151, 382, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[30544, 1165, 381, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],
Cell[30940, 1180, 385, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[31362, 1197, 445, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[31832, 1215, 407, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[32242, 1229, 380, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[32625, 1243, 385, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],
Cell[33025, 1258, 397, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[33425, 1272, 398, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[33826, 1286, 399, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[34228, 1300, 384, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],

Cell[CellGroupData[{
Cell[34649, 1317, 431, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[35083, 1333, 383, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[35469, 1347, 382, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],

Cell[CellGroupData[{
Cell[35876, 1363, 391, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[36270, 1377, 413, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}],
Cell[36686, 1391, 425, 13, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],
Cell[37126, 1407, 391, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],

Cell[CellGroupData[{
Cell[37542, 1423, 401, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}],
Cell[37946, 1437, 397, 12, 18, "Text",
  CellGroupingRules->{"SectionGrouping", 50}]
}, Open  ]],
Cell[38358, 1452, 376, 12, 26, "Text",
  CellGroupingRules->{"SectionGrouping", 40}]
}, Open  ]],
Cell[38749, 1467, 393, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[39145, 1483, 390, 14, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],

Cell[CellGroupData[{
Cell[39560, 1501, 268, 10, 39, "Text",
  CellGroupingRules->{"SectionGrouping", 30}],
Cell[39831, 1513, 331, 9, 44, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

