(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     68793,       2403]*)
(*NotebookOutlinePosition[     72752,       2531]*)
(*  CellTagsIndexPosition[     72210,       2509]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (all in factor set nonempty))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["is\[Dash]equivalence", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["\[Tilde]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"all\[Dash]nonempty", "[", 
              RowBox[{
                SubscriptBox["factor\[Dash]set", 
                  StyleBox["\[Tilde]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (all in factor set nonempty)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (in own class))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                SubscriptBox["is\[Dash]equivalence", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["class", 
                  RowBox[{
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Tilde]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (in own class)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (all nonempty))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"all\[Dash]nonempty", "[", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", \({}\)}], ")"}]}], 
                ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (all nonempty)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (factor set))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["factor\[Dash]set", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  SubscriptBox["class", 
                    RowBox[{
                      StyleBox["A",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["\[Tilde]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (factor set)"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox["is\[Dash]equivalence", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], "[", 
        StyleBox[\( \[Tilde] \_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"all\[Dash]nonempty", "[", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (all nonempty)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (all nonempty)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["factor\[Dash]set", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", \({}\)}], ")"}]}], 
          ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"3"],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " means that we have to show that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (factor set)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (factor set)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox[\(A\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we know by definition of ",
  Cell[BoxData[
      \(TraditionalForm\`{T\_x\( | \+x\)P}\)],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " that we can choose an appropriate value such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{
          SubscriptBox["class", 
            RowBox[{
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], "[", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox[\(A\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox[\(x1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"13"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (in own class)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (in own class)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["class", 
                  RowBox[{
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\( \[Tilde] \_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["class", 
            RowBox[{
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], "[", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"16"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proven because, with ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["X1",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is an instance."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Lemma["\<all in factor set nonempty\>"], 
        using \[Rule] \[LeftAngleBracket]Proposition["\<in own class\>"], 
            Definition["\<all nonempty\>"], 
            Definition["\<factor set\>"]\[RightAngleBracket], 
        ProverOptions \[Rule] {GRWTarget \[Rule] {"\<goal\>", "\<kb\>"}, 
            UseCyclicRules \[Rule] False, 
            AllowIntroduceQuantifiers \[Rule] True, 
            RWInsideQuantifiers \[Rule] True, ApplyBuiltIns \[Rule] {}, 
            DisableProver \[Rule] {STC, STS, PND}}, 
        ShowOptions \[Rule] {in\[Dash]notebook \[Rule] \
"\<AllInFactorSetNonempty\>"}] // Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.83 ",
  ", ",
  "Date: 2001/04/10 09:48:12 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:23:30 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/10 13:36:34 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2001/03/23 08:58:35 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/04/04 09:59:17 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:29:04 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/04/10 07:33:50 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/03/23 09:04:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox["is\[Dash]equivalence", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], "[", 
        StyleBox[\( \[Tilde] \_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{
          SubscriptBox["class", 
            RowBox[{
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], "[", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox[\(A\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox[\(x1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["class", 
                  RowBox[{
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\( \[Tilde] \_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["class", 
            RowBox[{
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], "[", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"all\[Dash]nonempty", "[", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["factor\[Dash]set", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", \({}\)}], ")"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox[\(A\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (all nonempty))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"all\[Dash]nonempty", "[", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", \({}\)}], ")"}]}], 
                ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (all nonempty)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (factor set))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["factor\[Dash]set", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  SubscriptBox["class", 
                    RowBox[{
                      StyleBox["A",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["\[Tilde]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (factor set)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (all in factor set nonempty))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["is\[Dash]equivalence", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["\[Tilde]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"all\[Dash]nonempty", "[", 
              RowBox[{
                SubscriptBox["factor\[Dash]set", 
                  StyleBox["\[Tilde]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (all in factor set nonempty)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (in own class))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                SubscriptBox["is\[Dash]equivalence", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["class", 
                  RowBox[{
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["\[Tilde]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (in own class)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
Visible->False,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Lemma (all in factor set nonempty)"->{
    Cell[1835, 54, 1642, 44, 70, "Conclusion",
      CellTags->"Lemma (all in factor set nonempty)"],
    Cell[64548, 2282, 1699, 46, 70, "Text",
      CellTags->"Lemma (all in factor set nonempty)"]},
  "Proposition (in own class)"->{
    Cell[3614, 105, 2458, 67, 70, "Assumption",
      CellTags->"Proposition (in own class)"],
    Cell[66250, 2330, 2515, 69, 70, "Text",
      CellTags->"Proposition (in own class)"]},
  "Definition (all nonempty)"->{
    Cell[6075, 174, 2009, 54, 70, "Assumption",
      CellTags->"Definition (all nonempty)"],
    Cell[59983, 2155, 2066, 56, 70, "Text",
      CellTags->"Definition (all nonempty)"]},
  "Definition (factor set)"->{
    Cell[8087, 230, 2436, 65, 70, "Assumption",
      CellTags->"Definition (factor set)"],
    Cell[62052, 2213, 2493, 67, 70, "Text",
      CellTags->"Definition (factor set)"]},
  "1"->{
    Cell[10644, 301, 682, 20, 70, "Assumption",
      CellTags->"1"],
    Cell[46921, 1746, 725, 22, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[11434, 326, 747, 21, 70, "Conclusion",
      CellTags->"2"],
    Cell[53591, 1955, 790, 23, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[12866, 372, 1432, 41, 70, "Conclusion",
      CellTags->"3"],
    Cell[54384, 1980, 1489, 43, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[14407, 418, 848, 25, 70, "Assumption",
      CellTags->"4"],
    Cell[55876, 2025, 891, 27, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[15363, 448, 512, 15, 70, "Conclusion",
      CellTags->"5"],
    Cell[56770, 2054, 555, 17, 70, "Text",
      CellTags->"5"]},
  "7"->{
    Cell[16279, 479, 895, 27, 70, "Conclusion",
      CellTags->"7"],
    Cell[57328, 2073, 938, 29, 70, "Text",
      CellTags->"7"]},
  "9"->{
    Cell[17846, 531, 1654, 47, 70, "Assumption",
      CellTags->"9"],
    Cell[58269, 2104, 1711, 49, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[20243, 603, 625, 19, 70, "Assumption",
      CellTags->"10"],
    Cell[47649, 1770, 668, 21, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[20871, 624, 1010, 30, 70, "Assumption",
      CellTags->"11"],
    Cell[48320, 1793, 1053, 32, 70, "Text",
      CellTags->"11"]},
  "13"->{
    Cell[22532, 680, 1322, 38, 70, "Conclusion",
      CellTags->"13"],
    Cell[49376, 1827, 1379, 40, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[24532, 743, 1707, 48, 70, "Assumption",
      CellTags->"14"],
    Cell[50758, 1869, 1764, 50, 70, "Text",
      CellTags->"14"]},
  "16"->{
    Cell[26871, 816, 1006, 30, 70, "Assumption",
      CellTags->"16"],
    Cell[52525, 1921, 1063, 32, 70, "Text",
      CellTags->"16"]},
  "AdditionalInfo"->{
    Cell[29170, 892, 88, 1, 70, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Lemma (all in factor set nonempty)", 69464, 2422},
  {"Proposition (in own class)", 69700, 2427},
  {"Definition (all nonempty)", 69920, 2432},
  {"Definition (factor set)", 70136, 2437},
  {"1", 70326, 2442},
  {"2", 70471, 2447},
  {"3", 70616, 2452},
  {"4", 70763, 2457},
  {"5", 70908, 2462},
  {"7", 71053, 2467},
  {"9", 71198, 2472},
  {"10", 71346, 2477},
  {"11", 71494, 2482},
  {"13", 71644, 2487},
  {"14", 71794, 2492},
  {"16", 71944, 2497},
  {"AdditionalInfo", 72106, 2502}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 70, "ProofText"],
Cell[1835, 54, 1642, 44, 70, "Conclusion",
  CellTags->"Lemma (all in factor set nonempty)"],

Cell[CellGroupData[{
Cell[3502, 102, 109, 1, 70, "ProofText"],
Cell[3614, 105, 2458, 67, 70, "Assumption",
  CellTags->"Proposition (in own class)"],
Cell[6075, 174, 2009, 54, 70, "Assumption",
  CellTags->"Definition (all nonempty)"],
Cell[8087, 230, 2436, 65, 70, "Assumption",
  CellTags->"Definition (factor set)"]
}, Open  ]],
Cell[10538, 298, 103, 1, 70, "ProofText"],
Cell[10644, 301, 682, 20, 70, "Assumption",
  CellTags->"1"],
Cell[11329, 323, 102, 1, 70, "ProofText"],
Cell[11434, 326, 747, 21, 70, "Conclusion",
  CellTags->"2"],
Cell[12184, 349, 679, 21, 70, "ProofText"],
Cell[12866, 372, 1432, 41, 70, "Conclusion",
  CellTags->"3"],
Cell[14301, 415, 103, 1, 70, "ProofText"],
Cell[14407, 418, 848, 25, 70, "Assumption",
  CellTags->"4"],
Cell[15258, 445, 102, 1, 70, "ProofText"],
Cell[15363, 448, 512, 15, 70, "Conclusion",
  CellTags->"5"],
Cell[15878, 465, 398, 12, 70, "ProofText"],
Cell[16279, 479, 895, 27, 70, "Conclusion",
  CellTags->"7"],
Cell[17177, 508, 666, 21, 70, "ProofText"],
Cell[17846, 531, 1654, 47, 70, "Assumption",
  CellTags->"9"],

Cell[CellGroupData[{
Cell[19525, 582, 128, 1, 70, "ProofText"],
Cell[19656, 585, 584, 16, 70, "ProofText"],
Cell[20243, 603, 625, 19, 70, "Assumption",
  CellTags->"10"],
Cell[20871, 624, 1010, 30, 70, "Assumption",
  CellTags->"11"]
}, Open  ]],
Cell[21896, 657, 633, 21, 70, "ProofText"],
Cell[22532, 680, 1322, 38, 70, "Conclusion",
  CellTags->"13"],
Cell[23857, 720, 672, 21, 70, "ProofText"],
Cell[24532, 743, 1707, 48, 70, "Assumption",
  CellTags->"14"],
Cell[26242, 793, 626, 21, 70, "ProofText"],
Cell[26871, 816, 1006, 30, 70, "Assumption",
  CellTags->"16"],
Cell[27880, 848, 1068, 34, 70, "ProofText"],
Cell[28951, 884, 182, 3, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29170, 892, 88, 1, 70, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[29283, 897, 36, 0, 70, "Subsection"],
Cell[29322, 899, 657, 11, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30016, 915, 34, 0, 70, "Subsection"],
Cell[30053, 917, 120, 7, 70, "Text"],
Cell[30176, 926, 98, 4, 70, "Text"],
Cell[30277, 932, 99, 4, 70, "Text"],
Cell[30379, 938, 180, 9, 70, "Text"],
Cell[30562, 949, 195, 9, 70, "Text"],
Cell[30760, 960, 231, 9, 70, "Text"],
Cell[30994, 971, 230, 9, 70, "Text"],
Cell[31227, 982, 214, 9, 70, "Text"],
Cell[31444, 993, 216, 9, 70, "Text"],
Cell[31663, 1004, 216, 9, 70, "Text"],
Cell[31882, 1015, 230, 9, 70, "Text"],
Cell[32115, 1026, 227, 9, 70, "Text"],
Cell[32345, 1037, 226, 9, 70, "Text"],
Cell[32574, 1048, 227, 9, 70, "Text"],
Cell[32804, 1059, 224, 9, 70, "Text"],
Cell[33031, 1070, 228, 9, 70, "Text"],
Cell[33262, 1081, 221, 9, 70, "Text"],
Cell[33486, 1092, 223, 9, 70, "Text"],
Cell[33712, 1103, 230, 9, 70, "Text"],
Cell[33945, 1114, 224, 9, 70, "Text"],
Cell[34172, 1125, 224, 9, 70, "Text"],
Cell[34399, 1136, 217, 9, 70, "Text"],
Cell[34619, 1147, 220, 9, 70, "Text"],
Cell[34842, 1158, 225, 9, 70, "Text"],
Cell[35070, 1169, 222, 9, 70, "Text"],
Cell[35295, 1180, 222, 9, 70, "Text"],
Cell[35520, 1191, 221, 9, 70, "Text"],
Cell[35744, 1202, 221, 9, 70, "Text"],
Cell[35968, 1213, 221, 9, 70, "Text"],
Cell[36192, 1224, 225, 9, 70, "Text"],
Cell[36420, 1235, 218, 9, 70, "Text"],
Cell[36641, 1246, 220, 9, 70, "Text"],
Cell[36864, 1257, 227, 9, 70, "Text"],
Cell[37094, 1268, 229, 9, 70, "Text"],
Cell[37326, 1279, 230, 9, 70, "Text"],
Cell[37559, 1290, 228, 9, 70, "Text"],
Cell[37790, 1301, 228, 9, 70, "Text"],
Cell[38021, 1312, 221, 9, 70, "Text"],
Cell[38245, 1323, 224, 9, 70, "Text"],
Cell[38472, 1334, 223, 9, 70, "Text"],
Cell[38698, 1345, 234, 9, 70, "Text"],
Cell[38935, 1356, 235, 9, 70, "Text"],
Cell[39173, 1367, 216, 9, 70, "Text"],
Cell[39392, 1378, 222, 9, 70, "Text"],
Cell[39617, 1389, 218, 9, 70, "Text"],
Cell[39838, 1400, 221, 9, 70, "Text"],
Cell[40062, 1411, 214, 9, 70, "Text"],
Cell[40279, 1422, 221, 9, 70, "Text"],
Cell[40503, 1433, 225, 9, 70, "Text"],
Cell[40731, 1444, 223, 9, 70, "Text"],
Cell[40957, 1455, 219, 9, 70, "Text"],
Cell[41179, 1466, 230, 9, 70, "Text"],
Cell[41412, 1477, 236, 9, 70, "Text"],
Cell[41651, 1488, 230, 9, 70, "Text"],
Cell[41884, 1499, 228, 9, 70, "Text"],
Cell[42115, 1510, 229, 9, 70, "Text"],
Cell[42347, 1521, 232, 9, 70, "Text"],
Cell[42582, 1532, 226, 9, 70, "Text"],
Cell[42811, 1543, 235, 9, 70, "Text"],
Cell[43049, 1554, 230, 9, 70, "Text"],
Cell[43282, 1565, 241, 9, 70, "Text"],
Cell[43526, 1576, 170, 9, 70, "Text"],
Cell[43699, 1587, 227, 9, 70, "Text"],
Cell[43929, 1598, 225, 9, 70, "Text"],
Cell[44157, 1609, 230, 9, 70, "Text"],
Cell[44390, 1620, 224, 9, 70, "Text"],
Cell[44617, 1631, 222, 9, 70, "Text"],
Cell[44842, 1642, 228, 9, 70, "Text"],
Cell[45073, 1653, 229, 9, 70, "Text"],
Cell[45305, 1664, 232, 9, 70, "Text"],
Cell[45540, 1675, 220, 9, 70, "Text"],
Cell[45763, 1686, 233, 9, 70, "Text"],
Cell[45999, 1697, 210, 9, 70, "Text"],
Cell[46212, 1708, 211, 9, 70, "Text"],
Cell[46426, 1719, 214, 9, 70, "Text"],
Cell[46643, 1730, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[46862, 1744, 56, 0, 70, "Subsection"],
Cell[46921, 1746, 725, 22, 70, "Text",
  CellTags->"1"],
Cell[47649, 1770, 668, 21, 70, "Text",
  CellTags->"10"],
Cell[48320, 1793, 1053, 32, 70, "Text",
  CellTags->"11"],
Cell[49376, 1827, 1379, 40, 70, "Text",
  CellTags->"13"],
Cell[50758, 1869, 1764, 50, 70, "Text",
  CellTags->"14"],
Cell[52525, 1921, 1063, 32, 70, "Text",
  CellTags->"16"],
Cell[53591, 1955, 790, 23, 70, "Text",
  CellTags->"2"],
Cell[54384, 1980, 1489, 43, 70, "Text",
  CellTags->"3"],
Cell[55876, 2025, 891, 27, 70, "Text",
  CellTags->"4"],
Cell[56770, 2054, 555, 17, 70, "Text",
  CellTags->"5"],
Cell[57328, 2073, 938, 29, 70, "Text",
  CellTags->"7"],
Cell[58269, 2104, 1711, 49, 70, "Text",
  CellTags->"9"],
Cell[59983, 2155, 2066, 56, 70, "Text",
  CellTags->"Definition (all nonempty)"],
Cell[62052, 2213, 2493, 67, 70, "Text",
  CellTags->"Definition (factor set)"],
Cell[64548, 2282, 1699, 46, 70, "Text",
  CellTags->"Lemma (all in factor set nonempty)"],
Cell[66250, 2330, 2515, 69, 70, "Text",
  CellTags->"Proposition (in own class)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

