(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     69467,       2413]*)
(*NotebookOutlinePosition[     73320,       2543]*)
(*  CellTagsIndexPosition[     72787,       2520]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (factor set is part))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["is\[Dash]equivalence", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["\[Tilde]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[Union]", 
                RowBox[{
                  SubscriptBox["factor\[Dash]set", 
                    StyleBox["\[Tilde]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[SubsetEqual]", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (factor set is part)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (factor set))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["factor\[Dash]set", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  SubscriptBox["class", 
                    RowBox[{
                      StyleBox["A",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["\[Tilde]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (factor set)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (class))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Tilde]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(a \[Tilde] x\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (class)"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox["is\[Dash]equivalence", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], "[", 
        StyleBox[\( \[Tilde] \_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[Union]", 
          RowBox[{
            SubscriptBox["factor\[Dash]set", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(A\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[SubsetEqual]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we choose"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          RowBox[{
            SubscriptBox["factor\[Dash]set", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(A\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and show:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we know by definition of the big ",
  Cell[BoxData[
      \(TraditionalForm\`"\[Union]"\)],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "-operator that we can choose an appropriate value such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (factor set)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (factor set)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox[\(A\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\( \[Tilde] \_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ","
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "which, by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (class)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (class)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  StyleBox[\(a\( \[Tilde] \_0\)x\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we know by definition of ",
  Cell[BoxData[
      \(TraditionalForm\`{T\_x\( | \+x\)P}\)],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " that we can choose an appropriate value such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(a1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox[\(a1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              StyleBox[\(a\( \[Tilde] \_0\)a1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{
                StyleBox[\(a1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              StyleBox[\(a\( \[Tilde] \_0\)a1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"21"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can infer"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(a1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(A1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        StyleBox[\(A1\_0\( \[Tilde] \_0\)a1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{"Prove", "[", 
      RowBox[{\(Lemma["\<factor set is part\>"]\), ",", 
        "\[IndentingNewLine]", \(using \[Rule] \
\[LeftAngleBracket]Definition["\<factor set\>"], 
            Definition["\<class\>"]\[RightAngleBracket]\), ",", 
        RowBox[{"ProverOptions", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{
              
              StyleBox[\(DisableInferenceRule \[Rule] \
{\[Cent]KBSetEquality}\),
                "HighlightedText"], 
              StyleBox[",",
                "UnHighlightedText"], 
              StyleBox[\(GRWTarget \[Rule] {"\<goal\>", "\<kb\>"}\),
                "UnHighlightedText"], 
              StyleBox[",",
                "UnHighlightedText"], 
              StyleBox[\(AllowIntroduceQuantifiers \[Rule] True\),
                "UnHighlightedText"], 
              StyleBox[",",
                "UnHighlightedText"], 
              StyleBox[\(RWInsideQuantifiers \[Rule] True\),
                "UnHighlightedText"], 
              StyleBox[",",
                "UnHighlightedText"], 
              StyleBox[\(DisableProver \[Rule] {STC, PND}\),
                "UnHighlightedText"], 
              StyleBox[",",
                "UnHighlightedText"], 
              StyleBox[\(ApplyBuiltIns \[Rule] {}\),
                "UnHighlightedText"]}], 
            StyleBox["}",
              "UnHighlightedText"]}]}], 
        StyleBox[",",
          "UnHighlightedText"], 
        StyleBox[\(SearchDepth \[Rule] 35\),
          "UnHighlightedText"]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.83 ",
  ", ",
  "Date: 2001/04/10 09:48:12 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:23:30 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/10 13:36:34 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2001/03/23 08:58:35 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/04/04 09:59:17 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:29:04 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/04/10 07:33:50 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/03/23 09:04:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox["is\[Dash]equivalence", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], "[", 
        StyleBox[\( \[Tilde] \_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(A\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  StyleBox[\(a\( \[Tilde] \_0\)x\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(a1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox[\(a1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              StyleBox[\(a\( \[Tilde] \_0\)a1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[Union]", 
          RowBox[{
            SubscriptBox["factor\[Dash]set", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(A\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[SubsetEqual]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{
                StyleBox[\(a1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              StyleBox[\(a\( \[Tilde] \_0\)a1\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(a1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(A1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        StyleBox[\(A1\_0\( \[Tilde] \_0\)a1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(a1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      StyleBox[\(A1\_0\( \[Tilde] \_0\)a1\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          RowBox[{
            SubscriptBox["factor\[Dash]set", 
              StyleBox[\( \[Tilde] \_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(A\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["factor\[Dash]set", 
            StyleBox[\( \[Tilde] \_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (class))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["class", 
                RowBox[{
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Tilde]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox[\(a \[Tilde] x\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (class)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (factor set))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["factor\[Dash]set", 
                StyleBox["\[Tilde]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{
                  SubscriptBox["class", 
                    RowBox[{
                      StyleBox["A",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ",", 
                      StyleBox["\[Tilde]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], "}"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (factor set)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (factor set is part))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Tilde]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["is\[Dash]equivalence", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox["\[Tilde]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[Union]", 
                RowBox[{
                  SubscriptBox["factor\[Dash]set", 
                    StyleBox["\[Tilde]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[SubsetEqual]", 
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (factor set is part)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 136}, {149, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Lemma (factor set is part)"->{
    Cell[1835, 54, 1807, 49, 62, "Conclusion",
      CellTags->"Lemma (factor set is part)"],
    Cell[67575, 2358, 1864, 51, 70, "Text",
      CellTags->"Lemma (factor set is part)"]},
  "Definition (factor set)"->{
    Cell[3779, 110, 2436, 65, 39, "Assumption",
      CellTags->"Definition (factor set)"],
    Cell[65079, 2289, 2493, 67, 70, "Text",
      CellTags->"Definition (factor set)"]},
  "Definition (class)"->{
    Cell[6218, 177, 3000, 80, 39, "Assumption",
      CellTags->"Definition (class)"],
    Cell[62024, 2206, 3052, 81, 70, "Text",
      CellTags->"Definition (class)"]},
  "1"->{
    Cell[9339, 263, 682, 20, 34, "Assumption",
      CellTags->"1"],
    Cell[47201, 1744, 725, 22, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[10129, 288, 903, 26, 32, "Conclusion",
      CellTags->"2"],
    Cell[53006, 1916, 946, 28, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[11418, 330, 900, 26, 32, "Assumption",
      CellTags->"3"],
    Cell[58844, 2101, 943, 28, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[12427, 361, 623, 19, 32, "Conclusion",
      CellTags->"4"],
    Cell[59790, 2131, 666, 21, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[13803, 405, 849, 25, 70, "Assumption",
      CellTags->"5"],
    Cell[60459, 2154, 892, 27, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[14655, 432, 624, 19, 70, "Assumption",
      CellTags->"6"],
    Cell[61354, 2183, 667, 21, 70, "Text",
      CellTags->"6"]},
  "10"->{
    Cell[17921, 536, 2511, 67, 70, "Assumption",
      CellTags->"10"],
    Cell[47929, 1768, 2568, 69, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[21177, 628, 625, 19, 70, "Assumption",
      CellTags->"11"],
    Cell[50500, 1839, 668, 21, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[21805, 649, 1789, 50, 70, "Assumption",
      CellTags->"12"],
    Cell[51171, 1862, 1832, 52, 70, "Text",
      CellTags->"12"]},
  "21"->{
    Cell[24236, 725, 1784, 50, 70, "Assumption",
      CellTags->"21"],
    Cell[53955, 1946, 1841, 52, 70, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[26557, 796, 1110, 33, 70, "Assumption",
      CellTags->"22"],
    Cell[55799, 2000, 1153, 35, 70, "Text",
      CellTags->"22"]},
  "AdditionalInfo"->{
    Cell[28561, 863, 88, 1, 70, "Section",
      CellTags->"AdditionalInfo"]},
  "22.1"->{
    Cell[56955, 2037, 672, 21, 70, "Text",
      CellTags->"22.1"]},
  "22.2"->{
    Cell[57630, 2060, 672, 21, 70, "Text",
      CellTags->"22.2"]},
  "22.3"->{
    Cell[58305, 2083, 536, 16, 70, "Text",
      CellTags->"22.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Lemma (factor set is part)", 70206, 2434},
  {"Definition (factor set)", 70423, 2439},
  {"Definition (class)", 70630, 2444},
  {"1", 70810, 2449},
  {"2", 70954, 2454},
  {"3", 71099, 2459},
  {"4", 71244, 2464},
  {"5", 71389, 2469},
  {"6", 71534, 2474},
  {"10", 71680, 2479},
  {"11", 71830, 2484},
  {"12", 71978, 2489},
  {"21", 72128, 2494},
  {"22", 72278, 2499},
  {"AdditionalInfo", 72440, 2504},
  {"22.1", 72531, 2507},
  {"22.2", 72612, 2510},
  {"22.3", 72693, 2513}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 1807, 49, 62, "Conclusion",
  CellTags->"Lemma (factor set is part)"],

Cell[CellGroupData[{
Cell[3667, 107, 109, 1, 32, "ProofText"],
Cell[3779, 110, 2436, 65, 39, "Assumption",
  CellTags->"Definition (factor set)"],
Cell[6218, 177, 3000, 80, 39, "Assumption",
  CellTags->"Definition (class)"]
}, Open  ]],
Cell[9233, 260, 103, 1, 32, "ProofText"],
Cell[9339, 263, 682, 20, 34, "Assumption",
  CellTags->"1"],
Cell[10024, 285, 102, 1, 32, "ProofText"],
Cell[10129, 288, 903, 26, 32, "Conclusion",
  CellTags->"2"],
Cell[11035, 316, 380, 12, 32, "ProofText"],
Cell[11418, 330, 900, 26, 32, "Assumption",
  CellTags->"3"],
Cell[12321, 358, 103, 1, 32, "ProofText"],
Cell[12427, 361, 623, 19, 32, "Conclusion",
  CellTags->"4"],

Cell[CellGroupData[{
Cell[13075, 384, 128, 1, 32, "ProofText"],
Cell[13206, 387, 594, 16, 50, "ProofText"],
Cell[13803, 405, 849, 25, 70, "Assumption",
  CellTags->"5"],
Cell[14655, 432, 624, 19, 70, "Assumption",
  CellTags->"6"]
}, Open  ]],
Cell[15294, 454, 666, 21, 70, "ProofText"],
Cell[15963, 477, 1547, 43, 70, "ProofText"],
Cell[17513, 522, 405, 12, 70, "ProofText"],
Cell[17921, 536, 2511, 67, 70, "Assumption",
  CellTags->"10"],

Cell[CellGroupData[{
Cell[20457, 607, 128, 1, 70, "ProofText"],
Cell[20588, 610, 586, 16, 70, "ProofText"],
Cell[21177, 628, 625, 19, 70, "Assumption",
  CellTags->"11"],
Cell[21805, 649, 1789, 50, 70, "Assumption",
  CellTags->"12"]
}, Open  ]],
Cell[23609, 702, 624, 21, 70, "ProofText"],
Cell[24236, 725, 1784, 50, 70, "Assumption",
  CellTags->"21"],

Cell[CellGroupData[{
Cell[26045, 779, 128, 1, 70, "ProofText"],
Cell[26176, 782, 378, 12, 70, "ProofText"],
Cell[26557, 796, 1110, 33, 70, "Assumption",
  CellTags->"22"]
}, Open  ]],
Cell[27682, 832, 657, 21, 70, "ProofText"],
Cell[28342, 855, 182, 3, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28561, 863, 88, 1, 70, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[28674, 868, 36, 0, 70, "Subsection"],
Cell[28713, 870, 1546, 38, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30296, 913, 34, 0, 70, "Subsection"],
Cell[30333, 915, 120, 7, 70, "Text"],
Cell[30456, 924, 98, 4, 70, "Text"],
Cell[30557, 930, 99, 4, 70, "Text"],
Cell[30659, 936, 180, 9, 70, "Text"],
Cell[30842, 947, 195, 9, 70, "Text"],
Cell[31040, 958, 231, 9, 70, "Text"],
Cell[31274, 969, 230, 9, 70, "Text"],
Cell[31507, 980, 214, 9, 70, "Text"],
Cell[31724, 991, 216, 9, 70, "Text"],
Cell[31943, 1002, 216, 9, 70, "Text"],
Cell[32162, 1013, 230, 9, 70, "Text"],
Cell[32395, 1024, 227, 9, 70, "Text"],
Cell[32625, 1035, 226, 9, 70, "Text"],
Cell[32854, 1046, 227, 9, 70, "Text"],
Cell[33084, 1057, 224, 9, 70, "Text"],
Cell[33311, 1068, 228, 9, 70, "Text"],
Cell[33542, 1079, 221, 9, 70, "Text"],
Cell[33766, 1090, 223, 9, 70, "Text"],
Cell[33992, 1101, 230, 9, 70, "Text"],
Cell[34225, 1112, 224, 9, 70, "Text"],
Cell[34452, 1123, 224, 9, 70, "Text"],
Cell[34679, 1134, 217, 9, 70, "Text"],
Cell[34899, 1145, 220, 9, 70, "Text"],
Cell[35122, 1156, 225, 9, 70, "Text"],
Cell[35350, 1167, 222, 9, 70, "Text"],
Cell[35575, 1178, 222, 9, 70, "Text"],
Cell[35800, 1189, 221, 9, 70, "Text"],
Cell[36024, 1200, 221, 9, 70, "Text"],
Cell[36248, 1211, 221, 9, 70, "Text"],
Cell[36472, 1222, 225, 9, 70, "Text"],
Cell[36700, 1233, 218, 9, 70, "Text"],
Cell[36921, 1244, 220, 9, 70, "Text"],
Cell[37144, 1255, 227, 9, 70, "Text"],
Cell[37374, 1266, 229, 9, 70, "Text"],
Cell[37606, 1277, 230, 9, 70, "Text"],
Cell[37839, 1288, 228, 9, 70, "Text"],
Cell[38070, 1299, 228, 9, 70, "Text"],
Cell[38301, 1310, 221, 9, 70, "Text"],
Cell[38525, 1321, 224, 9, 70, "Text"],
Cell[38752, 1332, 223, 9, 70, "Text"],
Cell[38978, 1343, 234, 9, 70, "Text"],
Cell[39215, 1354, 235, 9, 70, "Text"],
Cell[39453, 1365, 216, 9, 70, "Text"],
Cell[39672, 1376, 222, 9, 70, "Text"],
Cell[39897, 1387, 218, 9, 70, "Text"],
Cell[40118, 1398, 221, 9, 70, "Text"],
Cell[40342, 1409, 214, 9, 70, "Text"],
Cell[40559, 1420, 221, 9, 70, "Text"],
Cell[40783, 1431, 225, 9, 70, "Text"],
Cell[41011, 1442, 223, 9, 70, "Text"],
Cell[41237, 1453, 219, 9, 70, "Text"],
Cell[41459, 1464, 230, 9, 70, "Text"],
Cell[41692, 1475, 236, 9, 70, "Text"],
Cell[41931, 1486, 230, 9, 70, "Text"],
Cell[42164, 1497, 228, 9, 70, "Text"],
Cell[42395, 1508, 229, 9, 70, "Text"],
Cell[42627, 1519, 232, 9, 70, "Text"],
Cell[42862, 1530, 226, 9, 70, "Text"],
Cell[43091, 1541, 235, 9, 70, "Text"],
Cell[43329, 1552, 230, 9, 70, "Text"],
Cell[43562, 1563, 241, 9, 70, "Text"],
Cell[43806, 1574, 170, 9, 70, "Text"],
Cell[43979, 1585, 227, 9, 70, "Text"],
Cell[44209, 1596, 225, 9, 70, "Text"],
Cell[44437, 1607, 230, 9, 70, "Text"],
Cell[44670, 1618, 224, 9, 70, "Text"],
Cell[44897, 1629, 222, 9, 70, "Text"],
Cell[45122, 1640, 228, 9, 70, "Text"],
Cell[45353, 1651, 229, 9, 70, "Text"],
Cell[45585, 1662, 232, 9, 70, "Text"],
Cell[45820, 1673, 220, 9, 70, "Text"],
Cell[46043, 1684, 233, 9, 70, "Text"],
Cell[46279, 1695, 210, 9, 70, "Text"],
Cell[46492, 1706, 211, 9, 70, "Text"],
Cell[46706, 1717, 214, 9, 70, "Text"],
Cell[46923, 1728, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[47142, 1742, 56, 0, 70, "Subsection"],
Cell[47201, 1744, 725, 22, 70, "Text",
  CellTags->"1"],
Cell[47929, 1768, 2568, 69, 70, "Text",
  CellTags->"10"],
Cell[50500, 1839, 668, 21, 70, "Text",
  CellTags->"11"],
Cell[51171, 1862, 1832, 52, 70, "Text",
  CellTags->"12"],
Cell[53006, 1916, 946, 28, 70, "Text",
  CellTags->"2"],
Cell[53955, 1946, 1841, 52, 70, "Text",
  CellTags->"21"],
Cell[55799, 2000, 1153, 35, 70, "Text",
  CellTags->"22"],
Cell[56955, 2037, 672, 21, 70, "Text",
  CellTags->"22.1"],
Cell[57630, 2060, 672, 21, 70, "Text",
  CellTags->"22.2"],
Cell[58305, 2083, 536, 16, 70, "Text",
  CellTags->"22.3"],
Cell[58844, 2101, 943, 28, 70, "Text",
  CellTags->"3"],
Cell[59790, 2131, 666, 21, 70, "Text",
  CellTags->"4"],
Cell[60459, 2154, 892, 27, 70, "Text",
  CellTags->"5"],
Cell[61354, 2183, 667, 21, 70, "Text",
  CellTags->"6"],
Cell[62024, 2206, 3052, 81, 70, "Text",
  CellTags->"Definition (class)"],
Cell[65079, 2289, 2493, 67, 70, "Text",
  CellTags->"Definition (factor set)"],
Cell[67575, 2358, 1864, 51, 70, "Text",
  CellTags->"Lemma (factor set is part)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

