(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     89895,       3056]*)
(*NotebookOutlinePosition[     95648,       3238]*)
(*  CellTagsIndexPosition[     94801,       3206]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (induced by partition is relation on U))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]partition", "[", 
              StyleBox["P",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                RowBox[{"induced\[Dash]relation", "[", 
                  StyleBox["P",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ",", "U"}], "]"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (induced by partition is relation on U)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                StyleBox["R",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              RowBox[{
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Cross]", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (relation): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                StyleBox["R",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              RowBox[{
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Cross]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (relation): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["R",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[SubsetEqual]", 
                  RowBox[{
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Cross]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (relation): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (induced relation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["S",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"induced\[Dash]relation", "[", 
              StyleBox["S",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["M",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[Element]", 
                      StyleBox["S",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["M",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["M",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], "}"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (induced relation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Assumption (domain of interest))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "U"}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (domain of interest)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["Assumption (domain of interest)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Assumption (domain of interest)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can infer"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(U \[NotEqual] {}\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]partition", "[", 
        StyleBox[\(P\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]relation", "[", 
        RowBox[{
          RowBox[{"induced\[Dash]relation", "[", 
            StyleBox[\(P\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ",", "U"}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (relation): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (relation): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"induced\[Dash]relation", "[", 
          StyleBox[\(P\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[SubsetEqual]", \(U\[Cross]U\)}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ","
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "which, using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (induced relation)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (induced relation)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(P\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], "}"}], 
        "\[SubsetEqual]", \(U\[Cross]U\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we choose"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(P\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], "}"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell["and show:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", \(U\[Cross]U\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we know by definition of ",
  Cell[BoxData[
      \(TraditionalForm\`{T\_x\( | \+x\)P}\)],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " that we can choose an appropriate value such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(P\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(x2\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox[\(x3\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
            StyleBox[\(x2\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightAngleBracket]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(P\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x2\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x3\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by checking the individual components:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["We have to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightBracketingBar]"}], "=", "2"}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(P\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x2\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x3\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can infer"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(P\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can infer"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
              StyleBox[\(x2\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(x3\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightAngleBracket]"}], 
          "\[RightBracketingBar]"}], "=", "2"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"18"],

Cell[CellGroupData[{

Cell[TextData[{
  "Using available computation rules we evaluate ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " using ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  "and ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " as additional assumption(s) for simplification:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
              StyleBox[\(x2\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(x3\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightAngleBracket]"}], 
          "\[RightBracketingBar]"}], "=", "2"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " \[RightTriangle]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(True\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}]
}, Closed]],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"19"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is the constant True."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["We have to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "1"], "\[Element]", "U"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Assumption (domain of interest)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Assumption (domain of interest)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["We have to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[Element]", "U"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Assumption (domain of interest)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Assumption (domain of interest)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Proposition["\<induced by partition is relation on U\>"], 
        using \[Rule] \[LeftAngleBracket]Definition["\<relation\>"], 
            Definition["\<induced relation\>"], 
            Assumption["\<domain of interest\>"]\[RightAngleBracket], \
\[IndentingNewLine]built\[Dash]in \[Rule] 
          Built\[Dash]in["\<Tuples\>"], \[IndentingNewLine]ProverOptions \
\[Rule] {STPInsideQuantifiers \[Rule] True, 
            RWInsideQuantifiers \[Rule] True}, 
        ShowOptions \[Rule] {in\[Dash]notebook \[Rule] \
"\<InducedByPartitionIsRelationOnU\>"}] // Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.83 ",
  ", ",
  "Date: 2001/04/10 09:48:12 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:23:30 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/10 13:36:34 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2001/03/23 08:58:35 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/04/04 09:59:17 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:29:04 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/04/10 07:33:50 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/03/23 09:04:51 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(U \[NotEqual] {}\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "1"], "\[Element]", "U"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SubscriptBox[
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"], "\[Element]", "U"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          StyleBox[\(x1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightBracketingBar]"}], "=", "2"}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(P\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x2\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x3\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(M\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(P\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x2\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x3\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(P\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(M\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[NotEqual]", \({}\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
              StyleBox[\(x2\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(x3\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightAngleBracket]"}], 
          "\[RightBracketingBar]"}], "=", "2"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]partition", "[", 
        StyleBox[\(P\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]relation", "[", 
        RowBox[{
          RowBox[{"induced\[Dash]relation", "[", 
            StyleBox[\(P\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ",", "U"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"{", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(P\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], "}"}], 
        "\[SubsetEqual]", \(U\[Cross]U\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightAngleBracket]"}], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]], 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(P\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["M",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", \(U\[Cross]U\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(P\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(x2\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox[\(x3\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox["M",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
            StyleBox[\(x2\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(x3\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["M",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(P\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x2\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x3\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["M",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Assumption (domain of interest))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "U"}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (domain of interest)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (induced relation))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["S",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"induced\[Dash]relation", "[", 
              StyleBox["S",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightAngleBracket]"}], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{
                  UnderscriptBox["\[Exists]", 
                    RowBox[{
                      StyleBox["M",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[Element]", 
                      StyleBox["S",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["M",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["M",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], "}"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (induced relation)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                StyleBox["R",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              RowBox[{
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Cross]", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (relation): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                StyleBox["R",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              RowBox[{
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Cross]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (relation): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (relation): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["R",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]relation", "[", 
              StyleBox["R",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["R",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[SubsetEqual]", 
                  RowBox[{
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Cross]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (relation): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (induced by partition is relation on U))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["P",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]partition", "[", 
              StyleBox["P",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"is\[Dash]relation", "[", 
              RowBox[{
                RowBox[{"induced\[Dash]relation", "[", 
                  StyleBox["P",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ",", "U"}], "]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (induced by partition is relation on U)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
Visible->False,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (induced by partition is relation on U)"->{
    Cell[1835, 54, 1218, 32, 70, "Conclusion",
      CellTags->"Proposition (induced by partition is relation on U)"],
    Cell[88592, 3018, 1275, 34, 70, "Text",
      CellTags->"Proposition (induced by partition is relation on U)"]},
  "Definition (relation): 1"->{
    Cell[3190, 93, 2138, 60, 70, "Assumption",
      CellTags->"Definition (relation): 1"],
    Cell[82540, 2843, 2195, 62, 70, "Text",
      CellTags->"Definition (relation): 1"]},
  "Definition (relation): 2"->{
    Cell[5331, 155, 1852, 52, 70, "Assumption",
      CellTags->"Definition (relation): 2"],
    Cell[84738, 2907, 1909, 54, 70, "Text",
      CellTags->"Definition (relation): 2"]},
  "Definition (relation): 3"->{
    Cell[7186, 209, 1887, 52, 70, "Assumption",
      CellTags->"Definition (relation): 3"],
    Cell[86650, 2963, 1939, 53, 70, "Text",
      CellTags->"Definition (relation): 3"]},
  "Definition (induced relation)"->{
    Cell[9076, 263, 3301, 83, 70, "Assumption",
      CellTags->"Definition (induced relation)"],
    Cell[79179, 2756, 3358, 85, 70, "Text",
      CellTags->"Definition (induced relation)"]},
  "Assumption (domain of interest)"->{
    Cell[12380, 348, 809, 23, 70, "Assumption",
      CellTags->"Assumption (domain of interest)"],
    Cell[78310, 2729, 866, 25, 70, "Text",
      CellTags->"Assumption (domain of interest)"]},
  "1"->{
    Cell[13796, 393, 382, 11, 70, "Assumption",
      CellTags->"1"],
    Cell[59108, 2131, 425, 13, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[14299, 410, 521, 15, 70, "Assumption",
      CellTags->"2"],
    Cell[67105, 2398, 564, 17, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[14928, 430, 622, 17, 70, "Conclusion",
      CellTags->"3"],
    Cell[67672, 2417, 665, 19, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[17144, 501, 2443, 65, 70, "Conclusion",
      CellTags->"4"],
    Cell[68340, 2438, 2500, 67, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[19973, 582, 2553, 69, 70, "Assumption",
      CellTags->"5"],
    Cell[70843, 2507, 2591, 70, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[22635, 656, 520, 15, 70, "Conclusion",
      CellTags->"6"],
    Cell[73437, 2579, 563, 17, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[23898, 696, 1720, 48, 70, "Assumption",
      CellTags->"7"],
    Cell[74003, 2598, 1763, 50, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[25621, 746, 859, 25, 70, "Assumption",
      CellTags->"8"],
    Cell[75769, 2650, 902, 27, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[27062, 796, 1576, 46, 70, "Assumption",
      CellTags->"9"],
    Cell[76674, 2679, 1633, 48, 70, "Text",
      CellTags->"9"]},
  "13"->{
    Cell[29198, 864, 583, 17, 70, "Conclusion",
      CellTags->"13"],
    Cell[60722, 2186, 626, 19, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[30190, 897, 1255, 38, 70, "Assumption",
      CellTags->"14"],
    Cell[61351, 2207, 1298, 40, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[31986, 956, 514, 15, 70, "Assumption",
      CellTags->"15"],
    Cell[64676, 2318, 557, 17, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[32888, 987, 514, 15, 70, "Assumption",
      CellTags->"16"],
    Cell[65236, 2337, 557, 17, 70, "Text",
      CellTags->"16"]},
  "18"->{
    Cell[34053, 1028, 831, 23, 70, "Conclusion",
      CellTags->"18"],
    Cell[65796, 2356, 888, 25, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[37383, 1137, 358, 11, 70, "Conclusion",
      CellTags->"19"],
    Cell[66687, 2383, 415, 13, 70, "Text",
      CellTags->"19"]},
  "11"->{
    Cell[38304, 1170, 547, 16, 70, "Conclusion",
      CellTags->"11"],
    Cell[59536, 2146, 590, 18, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[39722, 1217, 547, 16, 70, "Conclusion",
      CellTags->"12"],
    Cell[60129, 2166, 590, 18, 70, "Text",
      CellTags->"12"]},
  "AdditionalInfo"->{
    Cell[41223, 1267, 88, 1, 70, "Section",
      CellTags->"AdditionalInfo"]},
  "14.1"->{
    Cell[62652, 2249, 671, 21, 70, "Text",
      CellTags->"14.1"]},
  "14.2"->{
    Cell[63326, 2272, 672, 21, 70, "Text",
      CellTags->"14.2"]},
  "14.3"->{
    Cell[64001, 2295, 672, 21, 70, "Text",
      CellTags->"14.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (induced by partition is relation on U)", 90583, 3075},
  {"Definition (relation): 1", 90851, 3080},
  {"Definition (relation): 2", 91065, 3085},
  {"Definition (relation): 3", 91280, 3090},
  {"Definition (induced relation)", 91500, 3095},
  {"Assumption (domain of interest)", 91732, 3100},
  {"1", 91937, 3105},
  {"2", 92082, 3110},
  {"3", 92227, 3115},
  {"4", 92372, 3120},
  {"5", 92519, 3125},
  {"6", 92666, 3130},
  {"7", 92811, 3135},
  {"8", 92958, 3140},
  {"9", 93103, 3145},
  {"13", 93251, 3150},
  {"14", 93399, 3155},
  {"15", 93549, 3160},
  {"16", 93697, 3165},
  {"18", 93845, 3170},
  {"19", 93994, 3175},
  {"11", 94143, 3180},
  {"12", 94292, 3185},
  {"AdditionalInfo", 94453, 3190},
  {"14.1", 94545, 3193},
  {"14.2", 94626, 3196},
  {"14.3", 94707, 3199}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 70, "ProofText"],
Cell[1835, 54, 1218, 32, 70, "Conclusion",
  CellTags->"Proposition (induced by partition is relation on U)"],

Cell[CellGroupData[{
Cell[3078, 90, 109, 1, 70, "ProofText"],
Cell[3190, 93, 2138, 60, 70, "Assumption",
  CellTags->"Definition (relation): 1"],
Cell[5331, 155, 1852, 52, 70, "Assumption",
  CellTags->"Definition (relation): 2"],
Cell[7186, 209, 1887, 52, 70, "Assumption",
  CellTags->"Definition (relation): 3"],
Cell[9076, 263, 3301, 83, 70, "Assumption",
  CellTags->"Definition (induced relation)"],
Cell[12380, 348, 809, 23, 70, "Assumption",
  CellTags->"Assumption (domain of interest)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13226, 376, 128, 1, 70, "ProofText"],
Cell[13357, 379, 436, 12, 70, "ProofText"],
Cell[13796, 393, 382, 11, 70, "Assumption",
  CellTags->"1"]
}, Open  ]],
Cell[14193, 407, 103, 1, 70, "ProofText"],
Cell[14299, 410, 521, 15, 70, "Assumption",
  CellTags->"2"],
Cell[14823, 427, 102, 1, 70, "ProofText"],
Cell[14928, 430, 622, 17, 70, "Conclusion",
  CellTags->"3"],
Cell[15553, 449, 677, 21, 70, "ProofText"],
Cell[16233, 472, 469, 13, 70, "ProofText"],
Cell[16705, 487, 436, 12, 70, "ProofText"],
Cell[17144, 501, 2443, 65, 70, "Conclusion",
  CellTags->"4"],
Cell[19590, 568, 380, 12, 70, "ProofText"],
Cell[19973, 582, 2553, 69, 70, "Assumption",
  CellTags->"5"],
Cell[22529, 653, 103, 1, 70, "ProofText"],
Cell[22635, 656, 520, 15, 70, "Conclusion",
  CellTags->"6"],

Cell[CellGroupData[{
Cell[23180, 675, 128, 1, 70, "ProofText"],
Cell[23311, 678, 584, 16, 70, "ProofText"],
Cell[23898, 696, 1720, 48, 70, "Assumption",
  CellTags->"7"],
Cell[25621, 746, 859, 25, 70, "Assumption",
  CellTags->"8"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26517, 776, 166, 4, 70, "ProofText"],
Cell[26686, 782, 373, 12, 70, "ProofText"],
Cell[27062, 796, 1576, 46, 70, "Assumption",
  CellTags->"9"]
}, Open  ]],
Cell[28653, 845, 406, 12, 70, "ProofText"],

Cell[CellGroupData[{
Cell[29084, 861, 111, 1, 70, "ProofText"],
Cell[29198, 864, 583, 17, 70, "Conclusion",
  CellTags->"13"],
Cell[29784, 883, 403, 12, 70, "ProofText"],
Cell[30190, 897, 1255, 38, 70, "Assumption",
  CellTags->"14"],

Cell[CellGroupData[{
Cell[31470, 939, 128, 1, 70, "ProofText"],
Cell[31601, 942, 382, 12, 70, "ProofText"],
Cell[31986, 956, 514, 15, 70, "Assumption",
  CellTags->"15"],
Cell[32503, 973, 382, 12, 70, "ProofText"],
Cell[32888, 987, 514, 15, 70, "Assumption",
  CellTags->"16"]
}, Open  ]],
Cell[33417, 1005, 633, 21, 70, "ProofText"],
Cell[34053, 1028, 831, 23, 70, "Conclusion",
  CellTags->"18"],

Cell[CellGroupData[{
Cell[34909, 1055, 1466, 49, 70, "ProofText"],
Cell[36378, 1106, 738, 19, 70, "ProofText"],
Cell[37119, 1127, 249, 7, 70, "ProofText"]
}, Closed]],
Cell[37383, 1137, 358, 11, 70, "Conclusion",
  CellTags->"19"],
Cell[37744, 1150, 409, 12, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[38190, 1167, 111, 1, 70, "ProofText"],
Cell[38304, 1170, 547, 16, 70, "Conclusion",
  CellTags->"11"],
Cell[38854, 1188, 717, 21, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[39608, 1214, 111, 1, 70, "ProofText"],
Cell[39722, 1217, 547, 16, 70, "Conclusion",
  CellTags->"12"],
Cell[40272, 1235, 717, 21, 70, "ProofText"]
}, Open  ]],
Cell[41004, 1259, 182, 3, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41223, 1267, 88, 1, 70, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[41336, 1272, 36, 0, 70, "Subsection"],
Cell[41375, 1274, 606, 10, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42018, 1289, 34, 0, 70, "Subsection"],
Cell[42055, 1291, 120, 7, 70, "Text"],
Cell[42178, 1300, 98, 4, 70, "Text"],
Cell[42279, 1306, 99, 4, 70, "Text"],
Cell[42381, 1312, 180, 9, 70, "Text"],
Cell[42564, 1323, 195, 9, 70, "Text"],
Cell[42762, 1334, 231, 9, 70, "Text"],
Cell[42996, 1345, 230, 9, 70, "Text"],
Cell[43229, 1356, 214, 9, 70, "Text"],
Cell[43446, 1367, 216, 9, 70, "Text"],
Cell[43665, 1378, 216, 9, 70, "Text"],
Cell[43884, 1389, 230, 9, 70, "Text"],
Cell[44117, 1400, 227, 9, 70, "Text"],
Cell[44347, 1411, 226, 9, 70, "Text"],
Cell[44576, 1422, 227, 9, 70, "Text"],
Cell[44806, 1433, 224, 9, 70, "Text"],
Cell[45033, 1444, 228, 9, 70, "Text"],
Cell[45264, 1455, 221, 9, 70, "Text"],
Cell[45488, 1466, 223, 9, 70, "Text"],
Cell[45714, 1477, 230, 9, 70, "Text"],
Cell[45947, 1488, 224, 9, 70, "Text"],
Cell[46174, 1499, 224, 9, 70, "Text"],
Cell[46401, 1510, 217, 9, 70, "Text"],
Cell[46621, 1521, 220, 9, 70, "Text"],
Cell[46844, 1532, 225, 9, 70, "Text"],
Cell[47072, 1543, 222, 9, 70, "Text"],
Cell[47297, 1554, 222, 9, 70, "Text"],
Cell[47522, 1565, 221, 9, 70, "Text"],
Cell[47746, 1576, 221, 9, 70, "Text"],
Cell[47970, 1587, 221, 9, 70, "Text"],
Cell[48194, 1598, 225, 9, 70, "Text"],
Cell[48422, 1609, 218, 9, 70, "Text"],
Cell[48643, 1620, 220, 9, 70, "Text"],
Cell[48866, 1631, 227, 9, 70, "Text"],
Cell[49096, 1642, 229, 9, 70, "Text"],
Cell[49328, 1653, 230, 9, 70, "Text"],
Cell[49561, 1664, 228, 9, 70, "Text"],
Cell[49792, 1675, 228, 9, 70, "Text"],
Cell[50023, 1686, 221, 9, 70, "Text"],
Cell[50247, 1697, 224, 9, 70, "Text"],
Cell[50474, 1708, 223, 9, 70, "Text"],
Cell[50700, 1719, 234, 9, 70, "Text"],
Cell[50937, 1730, 235, 9, 70, "Text"],
Cell[51175, 1741, 216, 9, 70, "Text"],
Cell[51394, 1752, 222, 9, 70, "Text"],
Cell[51619, 1763, 218, 9, 70, "Text"],
Cell[51840, 1774, 221, 9, 70, "Text"],
Cell[52064, 1785, 214, 9, 70, "Text"],
Cell[52281, 1796, 221, 9, 70, "Text"],
Cell[52505, 1807, 225, 9, 70, "Text"],
Cell[52733, 1818, 223, 9, 70, "Text"],
Cell[52959, 1829, 219, 9, 70, "Text"],
Cell[53181, 1840, 230, 9, 70, "Text"],
Cell[53414, 1851, 236, 9, 70, "Text"],
Cell[53653, 1862, 230, 9, 70, "Text"],
Cell[53886, 1873, 228, 9, 70, "Text"],
Cell[54117, 1884, 229, 9, 70, "Text"],
Cell[54349, 1895, 232, 9, 70, "Text"],
Cell[54584, 1906, 226, 9, 70, "Text"],
Cell[54813, 1917, 235, 9, 70, "Text"],
Cell[55051, 1928, 230, 9, 70, "Text"],
Cell[55284, 1939, 241, 9, 70, "Text"],
Cell[55528, 1950, 170, 9, 70, "Text"],
Cell[55701, 1961, 227, 9, 70, "Text"],
Cell[55931, 1972, 225, 9, 70, "Text"],
Cell[56159, 1983, 230, 9, 70, "Text"],
Cell[56392, 1994, 224, 9, 70, "Text"],
Cell[56619, 2005, 222, 9, 70, "Text"],
Cell[56844, 2016, 228, 9, 70, "Text"],
Cell[57075, 2027, 229, 9, 70, "Text"],
Cell[57307, 2038, 232, 9, 70, "Text"],
Cell[57542, 2049, 220, 9, 70, "Text"],
Cell[57765, 2060, 233, 9, 70, "Text"],
Cell[58001, 2071, 210, 9, 70, "Text"],
Cell[58214, 2082, 182, 9, 70, "Text"],
Cell[58399, 2093, 211, 9, 70, "Text"],
Cell[58613, 2104, 214, 9, 70, "Text"],
Cell[58830, 2115, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[59049, 2129, 56, 0, 70, "Subsection"],
Cell[59108, 2131, 425, 13, 70, "Text",
  CellTags->"1"],
Cell[59536, 2146, 590, 18, 70, "Text",
  CellTags->"11"],
Cell[60129, 2166, 590, 18, 70, "Text",
  CellTags->"12"],
Cell[60722, 2186, 626, 19, 70, "Text",
  CellTags->"13"],
Cell[61351, 2207, 1298, 40, 70, "Text",
  CellTags->"14"],
Cell[62652, 2249, 671, 21, 70, "Text",
  CellTags->"14.1"],
Cell[63326, 2272, 672, 21, 70, "Text",
  CellTags->"14.2"],
Cell[64001, 2295, 672, 21, 70, "Text",
  CellTags->"14.3"],
Cell[64676, 2318, 557, 17, 70, "Text",
  CellTags->"15"],
Cell[65236, 2337, 557, 17, 70, "Text",
  CellTags->"16"],
Cell[65796, 2356, 888, 25, 70, "Text",
  CellTags->"18"],
Cell[66687, 2383, 415, 13, 70, "Text",
  CellTags->"19"],
Cell[67105, 2398, 564, 17, 70, "Text",
  CellTags->"2"],
Cell[67672, 2417, 665, 19, 70, "Text",
  CellTags->"3"],
Cell[68340, 2438, 2500, 67, 70, "Text",
  CellTags->"4"],
Cell[70843, 2507, 2591, 70, 70, "Text",
  CellTags->"5"],
Cell[73437, 2579, 563, 17, 70, "Text",
  CellTags->"6"],
Cell[74003, 2598, 1763, 50, 70, "Text",
  CellTags->"7"],
Cell[75769, 2650, 902, 27, 70, "Text",
  CellTags->"8"],
Cell[76674, 2679, 1633, 48, 70, "Text",
  CellTags->"9"],
Cell[78310, 2729, 866, 25, 70, "Text",
  CellTags->"Assumption (domain of interest)"],
Cell[79179, 2756, 3358, 85, 70, "Text",
  CellTags->"Definition (induced relation)"],
Cell[82540, 2843, 2195, 62, 70, "Text",
  CellTags->"Definition (relation): 1"],
Cell[84738, 2907, 1909, 54, 70, "Text",
  CellTags->"Definition (relation): 2"],
Cell[86650, 2963, 1939, 53, 70, "Text",
  CellTags->"Definition (relation): 3"],
Cell[88592, 3018, 1275, 34, 70, "Text",
  CellTags->"Proposition (induced by partition is relation on U)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

