(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10164,        252]*)
(*NotebookOutlinePosition[     10803,        275]*)
(*  CellTagsIndexPosition[     10759,        271]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Get["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/CaseStudies/archive.m\>\
"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(archive\)], "Input"],

Cell[BoxData[
    \({}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<dominos adjacent\>"]\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering defines unique domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino injective from white \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        32.23999999999978`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino surjective from white \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        32.23999999999978`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        65.26999999999953`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<unary union inclusion (PC)\>"]\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        32.23999999999978`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        65.26999999999953`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"unary union inclusion (PC)", 
        3.3400000000001455`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<unary union inclusion (SetTheoryPCSProver)\>"]\
\)], "Input"],

Cell[BoxData[
    \({{"dominos adjacent", 
        300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        32.23999999999978`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        65.26999999999953`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"unary union inclusion (PC)", 
        3.3400000000001455`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"unary union inclusion (SetTheoryPCSProver)", 
        13.329999999999927`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DumpSave["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/Main/Proofs/\
KBToInferenceRule/ArchivedProofs.mx\>", archive]\)], "Input"],

Cell[BoxData[
    \({{{"dominos adjacent", 
          300.25`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
          73.49000000000069`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
          32.23999999999978`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
          65.26999999999953`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"unary union inclusion (PC)", 
          3.3400000000001455`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"unary union inclusion (SetTheoryPCSProver)", 
          13.329999999999927`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[archive]\)], "Input"],

Cell[BoxData[
    \(6\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Get["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/Main/Proofs/\
KBToInferenceRule/ArchivedProofs.mx\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(archive\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
        6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}, {"equally many black and white covered fields", 
        3.1700000000000728`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"mutilated checkerboard", 
        22.4399999999996`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
WindowSize->{520, 600},
WindowMargins->{{Automatic, 1}, {Automatic, 77}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 109, 2, 56, "Input"],

Cell[CellGroupData[{
Cell[1851, 55, 40, 1, 40, "Input"],
Cell[1894, 58, 36, 1, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1967, 64, 78, 1, 40, "Input"],
Cell[2048, 67, 141, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2226, 75, 92, 1, 40, "Input"],
Cell[2321, 78, 273, 5, 72, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2631, 88, 107, 2, 56, "Input"],
Cell[2741, 92, 418, 7, 104, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3196, 104, 108, 2, 56, "Input"],
Cell[3307, 108, 564, 9, 136, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3908, 122, 88, 1, 40, "Input"],
Cell[3999, 125, 693, 11, 152, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4729, 141, 106, 2, 56, "Input"],
Cell[4838, 145, 838, 13, 184, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5713, 163, 149, 2, 88, "Input"],
Cell[5865, 167, 852, 13, 184, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6754, 185, 48, 1, 40, "Input"],
Cell[6805, 188, 35, 1, 40, "Output"]
}, Open  ]],
Cell[6855, 192, 135, 2, 43, "Input"],

Cell[CellGroupData[{
Cell[7015, 198, 40, 1, 40, "Input"],
Cell[7058, 201, 3090, 48, 536, "Output"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

