(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    148671,       4805]*)
(*NotebookOutlinePosition[    155311,       5033]*)
(*  CellTagsIndexPosition[    154190,       4988]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (dominos adjacent))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["X",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["X",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[NotEqual]", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}], "\[And]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (dominos adjacent)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "=", 
                  "2"}], ")"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["x1",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[NotEqual]", 
                          StyleBox["x2",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], "\[Implies]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (finite choice))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}], ")"}]}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (finite choice)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (finite choice)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (finite choice)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"1"]
}, Open  ]],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take an appropriate Skolem function such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[NotEqual]", 
                  RowBox[{
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], ")"}], "\[And]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["4.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", "Board"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["5.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["4.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}], "\[And]", 
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["y",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["4.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    RowBox[{
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], ")"}]}], ")"}], "\[And]", 
            
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[NotEqual]", 
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}]}], ")"}], "\[And]", 
        RowBox[{"adjacent", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ",", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"68"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["68",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["68.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["68.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["8.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["8.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["68.1.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.1.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by contradiction."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"69"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["8.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["69",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "69"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"72"],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["72",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "72"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"73"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["a contradiction",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "a contradiction"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because the assumption ",
  StyleBox["(", "Label"],
  ButtonBox["73",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "73"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is false."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["68.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"adjacent", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ",", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["68.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "68.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["6.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"74"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["74",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["74.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["74.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["8.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["74.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["74.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["8.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["74.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["74.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "74.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by contradiction."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"75"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["8.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["75",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "75"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"78"],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["78",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "78"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"79"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["a contradiction",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "a contradiction"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because the assumption ",
  StyleBox["(", "Label"],
  ButtonBox["79",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "79"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is false."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[{
    StyleBox[\(SetGlobals[SearchDepth \[Rule] 50]; \),
      "UnHighlightedText"], "\n", 
    StyleBox[\($RecursionLimit = \($IterationLimit = \[Infinity]\); \),
      "UnHighlightedText"], "\n", 
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<dominos adjacent\>"]\), ",", 
          "\[IndentingNewLine]", \(using \[Rule] \
\[LeftAngleBracket]Definition["\<Domino\>"], 
              Lemma["\<finite choice\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {GRWTarget \[Rule] {"\<goal\>", \
"\<kb\>"}, RWBooleanLiteralCombinations \[Rule] False, 
                RWInnermost \[Rule] False, 
                AllowIntroduceQuantifiers \[Rule] True, 
                RWInsideQuantifiers \[Rule] False, 
                RWSetOperators \[Rule] True, 
                DisableProver \[Rule] {STP, STC, STS, PND}}\),
            "UnHighlightedText"]}], "]"}], ";"}]}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Miscellaneous`SIUnits`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Miscellaneous`Units`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/02/08 07:59:57 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    RowBox[{
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], ")"}]}], ")"}], "\[And]", 
            
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[NotEqual]", 
                  RowBox[{
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], ")"}], "\[And]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", "Board"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}], "\[And]", 
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightBracketingBar]"}], "=", "2"}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[NotEqual]", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", "Board"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightBracketingBar]"}], "=", "2"}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[NotEqual]", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", "Board"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[NotEqual]", 
                RowBox[{
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], ")"}]}], ")"}], "\[And]", 
        RowBox[{"adjacent", "[", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ",", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68.1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68.1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68.1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68.1.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68.1.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68.1.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(68.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"adjacent", "[", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], ",", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"68.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(69)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"69"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(72)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"72"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(73)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"73"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(74.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"74.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(75)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"75"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(78)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"78"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(79)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"79"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[NotEqual]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[NotEqual]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(a contradiction)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"a contradiction"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "=", 
                  "2"}], ")"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["x1",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[NotEqual]", 
                          StyleBox["x2",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], "\[Implies]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (finite choice))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  StyleBox["A",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
              ")"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[NotEqual]", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["A",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}], ")"}]}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (finite choice)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (dominos adjacent))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["X",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["X",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[NotEqual]", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}], "\[And]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (dominos adjacent)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 372}, {184, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (dominos adjacent)"->{
    Cell[1835, 54, 3483, 84, 120, "Conclusion",
      CellTags->"Proposition (dominos adjacent)"],
    Cell[145103, 4715, 3540, 86, 70, "Text",
      CellTags->"Proposition (dominos adjacent)"]},
  "Definition (Domino)"->{
    Cell[5455, 145, 3893, 96, 118, "Assumption",
      CellTags->"Definition (Domino)"],
    Cell[138328, 4540, 3950, 98, 70, "Text",
      CellTags->"Definition (Domino)"]},
  "Lemma (finite choice)"->{
    Cell[9351, 243, 2762, 71, 39, "Assumption",
      CellTags->"Lemma (finite choice)"],
    Cell[142281, 4640, 2819, 73, 70, "Text",
      CellTags->"Lemma (finite choice)"]},
  "1"->{
    Cell[12735, 339, 2580, 69, 39, "Assumption",
      CellTags->"1"],
    Cell[87413, 3007, 2632, 70, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[15748, 425, 2867, 76, 37, "Assumption",
      CellTags->"2"],
    Cell[92948, 3158, 2910, 78, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[18724, 506, 530, 15, 32, "Assumption",
      CellTags->"3"],
    Cell[95861, 3238, 573, 17, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[19362, 526, 2618, 69, 39, "Conclusion",
      CellTags->"4"],
    Cell[96437, 3257, 2661, 71, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[23758, 659, 2819, 76, 108, "Assumption",
      CellTags->"5"],
    Cell[102029, 3416, 2876, 78, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[30418, 857, 2819, 76, 108, "Assumption",
      CellTags->"6"],
    Cell[108387, 3602, 2876, 78, 70, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[33869, 958, 2001, 59, 32, "Assumption",
      CellTags->"8"],
    Cell[133149, 4373, 2058, 61, 70, "Text",
      CellTags->"8"]},
  "12"->{
    Cell[36873, 1051, 2859, 76, 60, "Conclusion",
      CellTags->"12"],
    Cell[90048, 3079, 2897, 77, 70, "Text",
      CellTags->"12"]},
  "68"->{
    Cell[40733, 1161, 2974, 81, 46, "Conclusion",
      CellTags->"68"],
    Cell[114745, 3788, 3017, 83, 70, "Text",
      CellTags->"68"]},
  "69"->{
    Cell[51719, 1513, 943, 29, 32, "Assumption",
      CellTags->"69"],
    Cell[123593, 4059, 986, 31, 70, "Text",
      CellTags->"69"]},
  "72"->{
    Cell[53595, 1577, 939, 29, 32, "Assumption",
      CellTags->"72"],
    Cell[124582, 4092, 996, 31, 70, "Text",
      CellTags->"72"]},
  "73"->{
    Cell[55106, 1630, 359, 11, 32, "Assumption",
      CellTags->"73"],
    Cell[125581, 4125, 416, 13, 70, "Text",
      CellTags->"73"]},
  "74"->{
    Cell[58048, 1732, 2003, 59, 32, "Conclusion",
      CellTags->"74"],
    Cell[126000, 4140, 2060, 61, 70, "Text",
      CellTags->"74"]},
  "75"->{
    Cell[65418, 1979, 943, 29, 32, "Assumption",
      CellTags->"75"],
    Cell[130742, 4292, 986, 31, 70, "Text",
      CellTags->"75"]},
  "78"->{
    Cell[67294, 2043, 939, 29, 32, "Assumption",
      CellTags->"78"],
    Cell[131731, 4325, 996, 31, 70, "Text",
      CellTags->"78"]},
  "79"->{
    Cell[68805, 2096, 359, 11, 32, "Assumption",
      CellTags->"79"],
    Cell[132730, 4358, 416, 13, 70, "Text",
      CellTags->"79"]},
  "AdditionalInfo"->{
    Cell[70123, 2144, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "4.1"->{
    Cell[99101, 3330, 563, 17, 70, "Text",
      CellTags->"4.1"]},
  "4.2"->{
    Cell[99667, 3349, 2359, 65, 70, "Text",
      CellTags->"4.2"]},
  "5.1"->{
    Cell[104908, 3496, 627, 19, 70, "Text",
      CellTags->"5.1"]},
  "5.2"->{
    Cell[105538, 3517, 2280, 64, 70, "Text",
      CellTags->"5.2"]},
  "5.3"->{
    Cell[107821, 3583, 563, 17, 70, "Text",
      CellTags->"5.3"]},
  "6.1"->{
    Cell[111266, 3682, 627, 19, 70, "Text",
      CellTags->"6.1"]},
  "6.2"->{
    Cell[111896, 3703, 2280, 64, 70, "Text",
      CellTags->"6.2"]},
  "6.3"->{
    Cell[114179, 3769, 563, 17, 70, "Text",
      CellTags->"6.3"]},
  "68.1"->{
    Cell[117765, 3873, 2064, 61, 70, "Text",
      CellTags->"68.1"]},
  "68.1.1"->{
    Cell[119832, 3936, 839, 26, 70, "Text",
      CellTags->"68.1.1"]},
  "68.1.2"->{
    Cell[120674, 3964, 839, 26, 70, "Text",
      CellTags->"68.1.2"]},
  "68.1.3"->{
    Cell[121516, 3992, 1004, 31, 70, "Text",
      CellTags->"68.1.3"]},
  "68.2"->{
    Cell[122523, 4025, 1067, 32, 70, "Text",
      CellTags->"68.2"]},
  "74.1"->{
    Cell[128063, 4203, 835, 26, 70, "Text",
      CellTags->"74.1"]},
  "74.2"->{
    Cell[128901, 4231, 835, 26, 70, "Text",
      CellTags->"74.2"]},
  "74.3"->{
    Cell[129739, 4259, 1000, 31, 70, "Text",
      CellTags->"74.3"]},
  "8.1"->{
    Cell[135210, 4436, 833, 26, 70, "Text",
      CellTags->"8.1"]},
  "8.2"->{
    Cell[136046, 4464, 833, 26, 70, "Text",
      CellTags->"8.2"]},
  "8.3"->{
    Cell[136882, 4492, 998, 31, 70, "Text",
      CellTags->"8.3"]},
  "a contradiction"->{
    Cell[137883, 4525, 442, 13, 70, "Text",
      CellTags->"a contradiction"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (dominos adjacent)", 149414, 4826},
  {"Definition (Domino)", 149637, 4831},
  {"Lemma (finite choice)", 149841, 4836},
  {"1", 150028, 4841},
  {"2", 150175, 4846},
  {"3", 150322, 4851},
  {"4", 150467, 4856},
  {"5", 150614, 4861},
  {"6", 150763, 4866},
  {"8", 150912, 4871},
  {"12", 151061, 4876},
  {"68", 151212, 4881},
  {"69", 151364, 4886},
  {"72", 151514, 4891},
  {"73", 151664, 4896},
  {"74", 151814, 4901},
  {"75", 151966, 4906},
  {"78", 152116, 4911},
  {"79", 152266, 4916},
  {"AdditionalInfo", 152428, 4921},
  {"4.1", 152519, 4924},
  {"4.2", 152598, 4927},
  {"5.1", 152678, 4930},
  {"5.2", 152758, 4933},
  {"5.3", 152839, 4936},
  {"6.1", 152919, 4939},
  {"6.2", 152999, 4942},
  {"6.3", 153080, 4945},
  {"68.1", 153161, 4948},
  {"68.1.1", 153246, 4951},
  {"68.1.2", 153332, 4954},
  {"68.1.3", 153418, 4957},
  {"68.2", 153503, 4960},
  {"74.1", 153586, 4963},
  {"74.2", 153668, 4966},
  {"74.3", 153750, 4969},
  {"8.1", 153832, 4972},
  {"8.2", 153912, 4975},
  {"8.3", 153992, 4978},
  {"a contradiction", 154084, 4981}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 3483, 84, 120, "Conclusion",
  CellTags->"Proposition (dominos adjacent)"],

Cell[CellGroupData[{
Cell[5343, 142, 109, 1, 32, "ProofText"],
Cell[5455, 145, 3893, 96, 118, "Assumption",
  CellTags->"Definition (Domino)"],
Cell[9351, 243, 2762, 71, 39, "Assumption",
  CellTags->"Lemma (finite choice)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12150, 319, 166, 4, 32, "ProofText"],
Cell[12319, 325, 413, 12, 32, "ProofText"],
Cell[12735, 339, 2580, 69, 39, "Assumption",
  CellTags->"1"]
}, Open  ]],
Cell[15330, 411, 415, 12, 32, "ProofText"],
Cell[15748, 425, 2867, 76, 37, "Assumption",
  CellTags->"2"],
Cell[18618, 503, 103, 1, 32, "ProofText"],
Cell[18724, 506, 530, 15, 32, "Assumption",
  CellTags->"3"],
Cell[19257, 523, 102, 1, 32, "ProofText"],
Cell[19362, 526, 2618, 69, 39, "Conclusion",
  CellTags->"4"],
Cell[21983, 597, 404, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[22412, 613, 682, 21, 32, "ProofText"],
Cell[23097, 636, 658, 21, 32, "ProofText"],
Cell[23758, 659, 2819, 76, 108, "Assumption",
  CellTags->"5"],
Cell[26580, 737, 659, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27276, 763, 2478, 69, 39, "ProofText"],
Cell[29757, 834, 658, 21, 32, "ProofText"],
Cell[30418, 857, 2819, 76, 108, "Assumption",
  CellTags->"6"],
Cell[33240, 935, 626, 21, 32, "ProofText"],
Cell[33869, 958, 2001, 59, 32, "Assumption",
  CellTags->"8"],
Cell[35873, 1019, 997, 30, 32, "ProofText"],
Cell[36873, 1051, 2859, 76, 60, "Conclusion",
  CellTags->"12"],
Cell[39735, 1129, 995, 30, 32, "ProofText"],
Cell[40733, 1161, 2974, 81, 46, "Conclusion",
  CellTags->"68"],
Cell[43710, 1244, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[44141, 1260, 2183, 65, 32, "ProofText"],
Cell[46327, 1327, 410, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[46762, 1343, 958, 30, 32, "ProofText"],
Cell[47723, 1375, 665, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48425, 1401, 958, 30, 32, "ProofText"],
Cell[49386, 1433, 665, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50088, 1459, 1123, 35, 32, "ProofText"],
Cell[51214, 1496, 395, 12, 32, "ProofText"],
Cell[51612, 1510, 104, 1, 32, "ProofText"],
Cell[51719, 1513, 943, 29, 32, "Assumption",
  CellTags->"69"],
Cell[52665, 1544, 296, 8, 32, "ProofText"],
Cell[52964, 1554, 628, 21, 32, "ProofText"],
Cell[53595, 1577, 939, 29, 32, "Assumption",
  CellTags->"72"],

Cell[CellGroupData[{
Cell[54559, 1610, 166, 4, 32, "ProofText"],
Cell[54728, 1616, 375, 12, 32, "ProofText"],
Cell[55106, 1630, 359, 11, 32, "Assumption",
  CellTags->"73"]
}, Open  ]],
Cell[55480, 1644, 686, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[56215, 1671, 1186, 36, 32, "ProofText"],
Cell[57404, 1709, 641, 21, 32, "ProofText"],
Cell[58048, 1732, 2003, 59, 32, "Conclusion",
  CellTags->"74"],
Cell[60054, 1793, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[60485, 1809, 954, 30, 32, "ProofText"],
Cell[61442, 1841, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62140, 1867, 954, 30, 32, "ProofText"],
Cell[63097, 1899, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63795, 1925, 1119, 35, 32, "ProofText"],
Cell[64917, 1962, 391, 12, 32, "ProofText"],
Cell[65311, 1976, 104, 1, 32, "ProofText"],
Cell[65418, 1979, 943, 29, 32, "Assumption",
  CellTags->"75"],
Cell[66364, 2010, 296, 8, 32, "ProofText"],
Cell[66663, 2020, 628, 21, 32, "ProofText"],
Cell[67294, 2043, 939, 29, 32, "Assumption",
  CellTags->"78"],

Cell[CellGroupData[{
Cell[68258, 2076, 166, 4, 32, "ProofText"],
Cell[68427, 2082, 375, 12, 32, "ProofText"],
Cell[68805, 2096, 359, 11, 32, "Assumption",
  CellTags->"79"]
}, Open  ]],
Cell[69179, 2110, 686, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[69904, 2136, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70123, 2144, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[70236, 2149, 36, 0, 70, "Subsection"],
Cell[70275, 2151, 984, 20, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[71296, 2176, 34, 0, 70, "Subsection"],
Cell[71333, 2178, 120, 7, 70, "Text"],
Cell[71456, 2187, 98, 4, 70, "Text"],
Cell[71557, 2193, 99, 4, 70, "Text"],
Cell[71659, 2199, 170, 9, 70, "Text"],
Cell[71832, 2210, 168, 9, 70, "Text"],
Cell[72003, 2221, 170, 9, 70, "Text"],
Cell[72176, 2232, 187, 9, 70, "Text"],
Cell[72366, 2243, 221, 9, 70, "Text"],
Cell[72590, 2254, 220, 9, 70, "Text"],
Cell[72813, 2265, 204, 9, 70, "Text"],
Cell[73020, 2276, 206, 9, 70, "Text"],
Cell[73229, 2287, 206, 9, 70, "Text"],
Cell[73438, 2298, 220, 9, 70, "Text"],
Cell[73661, 2309, 217, 9, 70, "Text"],
Cell[73881, 2320, 216, 9, 70, "Text"],
Cell[74100, 2331, 217, 9, 70, "Text"],
Cell[74320, 2342, 214, 9, 70, "Text"],
Cell[74537, 2353, 218, 9, 70, "Text"],
Cell[74758, 2364, 211, 9, 70, "Text"],
Cell[74972, 2375, 213, 9, 70, "Text"],
Cell[75188, 2386, 220, 9, 70, "Text"],
Cell[75411, 2397, 214, 9, 70, "Text"],
Cell[75628, 2408, 214, 9, 70, "Text"],
Cell[75845, 2419, 209, 9, 70, "Text"],
Cell[76057, 2430, 210, 9, 70, "Text"],
Cell[76270, 2441, 215, 9, 70, "Text"],
Cell[76488, 2452, 212, 9, 70, "Text"],
Cell[76703, 2463, 212, 9, 70, "Text"],
Cell[76918, 2474, 211, 9, 70, "Text"],
Cell[77132, 2485, 213, 9, 70, "Text"],
Cell[77348, 2496, 211, 9, 70, "Text"],
Cell[77562, 2507, 215, 9, 70, "Text"],
Cell[77780, 2518, 208, 9, 70, "Text"],
Cell[77991, 2529, 210, 9, 70, "Text"],
Cell[78204, 2540, 217, 9, 70, "Text"],
Cell[78424, 2551, 219, 9, 70, "Text"],
Cell[78646, 2562, 220, 9, 70, "Text"],
Cell[78869, 2573, 218, 9, 70, "Text"],
Cell[79090, 2584, 218, 9, 70, "Text"],
Cell[79311, 2595, 211, 9, 70, "Text"],
Cell[79525, 2606, 214, 9, 70, "Text"],
Cell[79742, 2617, 213, 9, 70, "Text"],
Cell[79958, 2628, 224, 9, 70, "Text"],
Cell[80185, 2639, 225, 9, 70, "Text"],
Cell[80413, 2650, 214, 9, 70, "Text"],
Cell[80630, 2661, 208, 9, 70, "Text"],
Cell[80841, 2672, 211, 9, 70, "Text"],
Cell[81055, 2683, 211, 9, 70, "Text"],
Cell[81269, 2694, 215, 9, 70, "Text"],
Cell[81487, 2705, 213, 9, 70, "Text"],
Cell[81703, 2716, 209, 9, 70, "Text"],
Cell[81915, 2727, 218, 9, 70, "Text"],
Cell[82136, 2738, 226, 9, 70, "Text"],
Cell[82365, 2749, 220, 9, 70, "Text"],
Cell[82588, 2760, 216, 9, 70, "Text"],
Cell[82807, 2771, 217, 9, 70, "Text"],
Cell[83027, 2782, 222, 9, 70, "Text"],
Cell[83252, 2793, 216, 9, 70, "Text"],
Cell[83471, 2804, 214, 9, 70, "Text"],
Cell[83688, 2815, 225, 9, 70, "Text"],
Cell[83916, 2826, 220, 9, 70, "Text"],
Cell[84139, 2837, 229, 9, 70, "Text"],
Cell[84371, 2848, 170, 9, 70, "Text"],
Cell[84544, 2859, 217, 9, 70, "Text"],
Cell[84764, 2870, 215, 9, 70, "Text"],
Cell[84982, 2881, 220, 9, 70, "Text"],
Cell[85205, 2892, 214, 9, 70, "Text"],
Cell[85422, 2903, 212, 9, 70, "Text"],
Cell[85637, 2914, 218, 9, 70, "Text"],
Cell[85858, 2925, 219, 9, 70, "Text"],
Cell[86080, 2936, 222, 9, 70, "Text"],
Cell[86305, 2947, 223, 9, 70, "Text"],
Cell[86531, 2958, 200, 9, 70, "Text"],
Cell[86734, 2969, 201, 9, 70, "Text"],
Cell[86938, 2980, 204, 9, 70, "Text"],
Cell[87145, 2991, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[87354, 3005, 56, 0, 70, "Subsection"],
Cell[87413, 3007, 2632, 70, 70, "Text",
  CellTags->"1"],
Cell[90048, 3079, 2897, 77, 70, "Text",
  CellTags->"12"],
Cell[92948, 3158, 2910, 78, 70, "Text",
  CellTags->"2"],
Cell[95861, 3238, 573, 17, 70, "Text",
  CellTags->"3"],
Cell[96437, 3257, 2661, 71, 70, "Text",
  CellTags->"4"],
Cell[99101, 3330, 563, 17, 70, "Text",
  CellTags->"4.1"],
Cell[99667, 3349, 2359, 65, 70, "Text",
  CellTags->"4.2"],
Cell[102029, 3416, 2876, 78, 70, "Text",
  CellTags->"5"],
Cell[104908, 3496, 627, 19, 70, "Text",
  CellTags->"5.1"],
Cell[105538, 3517, 2280, 64, 70, "Text",
  CellTags->"5.2"],
Cell[107821, 3583, 563, 17, 70, "Text",
  CellTags->"5.3"],
Cell[108387, 3602, 2876, 78, 70, "Text",
  CellTags->"6"],
Cell[111266, 3682, 627, 19, 70, "Text",
  CellTags->"6.1"],
Cell[111896, 3703, 2280, 64, 70, "Text",
  CellTags->"6.2"],
Cell[114179, 3769, 563, 17, 70, "Text",
  CellTags->"6.3"],
Cell[114745, 3788, 3017, 83, 70, "Text",
  CellTags->"68"],
Cell[117765, 3873, 2064, 61, 70, "Text",
  CellTags->"68.1"],
Cell[119832, 3936, 839, 26, 70, "Text",
  CellTags->"68.1.1"],
Cell[120674, 3964, 839, 26, 70, "Text",
  CellTags->"68.1.2"],
Cell[121516, 3992, 1004, 31, 70, "Text",
  CellTags->"68.1.3"],
Cell[122523, 4025, 1067, 32, 70, "Text",
  CellTags->"68.2"],
Cell[123593, 4059, 986, 31, 70, "Text",
  CellTags->"69"],
Cell[124582, 4092, 996, 31, 70, "Text",
  CellTags->"72"],
Cell[125581, 4125, 416, 13, 70, "Text",
  CellTags->"73"],
Cell[126000, 4140, 2060, 61, 70, "Text",
  CellTags->"74"],
Cell[128063, 4203, 835, 26, 70, "Text",
  CellTags->"74.1"],
Cell[128901, 4231, 835, 26, 70, "Text",
  CellTags->"74.2"],
Cell[129739, 4259, 1000, 31, 70, "Text",
  CellTags->"74.3"],
Cell[130742, 4292, 986, 31, 70, "Text",
  CellTags->"75"],
Cell[131731, 4325, 996, 31, 70, "Text",
  CellTags->"78"],
Cell[132730, 4358, 416, 13, 70, "Text",
  CellTags->"79"],
Cell[133149, 4373, 2058, 61, 70, "Text",
  CellTags->"8"],
Cell[135210, 4436, 833, 26, 70, "Text",
  CellTags->"8.1"],
Cell[136046, 4464, 833, 26, 70, "Text",
  CellTags->"8.2"],
Cell[136882, 4492, 998, 31, 70, "Text",
  CellTags->"8.3"],
Cell[137883, 4525, 442, 13, 70, "Text",
  CellTags->"a contradiction"],
Cell[138328, 4540, 3950, 98, 70, "Text",
  CellTags->"Definition (Domino)"],
Cell[142281, 4640, 2819, 73, 70, "Text",
  CellTags->"Lemma (finite choice)"],
Cell[145103, 4715, 3540, 86, 70, "Text",
  CellTags->"Proposition (dominos adjacent)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

