(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     64077,       2354]*)
(*NotebookOutlinePosition[     68192,       2486]*)
(*  CellTagsIndexPosition[     67579,       2462]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (unary union inclusion): \[SubsetEqual]U)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              StyleBox["B",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[Union]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[SubsetEqual]", 
              RowBox[{"\[Union]", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Subset Equal): \[SubsetEqual])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              StyleBox["B",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["B",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Subset Equal): \[SubsetEqual]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Unary union): \[Union])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Unary union): \[Union]"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[Union]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[SubsetEqual]", 
        RowBox[{"\[Union]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Subset Equal): \[SubsetEqual]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Subset Equal): \[SubsetEqual]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(B\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"3"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Subset Equal): \[SubsetEqual]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Subset Equal): \[SubsetEqual]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(B\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Unary union): \[Union]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Unary union): \[Union]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"7"],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["8.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Unary union): \[Union]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Unary union): \[Union]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(B\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Because ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " matches a part of ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can proceed in several ways."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Alternative proof 1: proved", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["11.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["11.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["8.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["11.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["11.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: pending", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<unary union inclusion\>"]\), ",", 
          "\[IndentingNewLine]", \(using \[Rule] \
\[LeftAngleBracket]Definition["\<Subset Equal\>"], 
              Definition["\<Unary union\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", \(TransformerOptions \[Rule] {steps \[Rule] 
                All}\), ",", "\[IndentingNewLine]", 
          StyleBox[\(by \[Rule] PC\),
            "HighlightedText"]}], "]"}], "//", "Timing"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:23:30 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:18:39 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/01/16 13:15:28 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(B\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[Union]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[SubsetEqual]", 
        RowBox[{"\[Union]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(B\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(A\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(B\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(A\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(B\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(A\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(A\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(B\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Subset Equal): \[SubsetEqual])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              StyleBox["B",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["B",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Subset Equal): \[SubsetEqual]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Unary union): \[Union])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["A",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Unary union): \[Union]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (unary union inclusion): \[SubsetEqual]U)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["A",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["B",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["A",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[SubsetEqual]", 
              StyleBox["B",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[Union]", 
                StyleBox["A",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[SubsetEqual]", 
              RowBox[{"\[Union]", 
                StyleBox["B",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 372}, {184, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (unary union inclusion): \[SubsetEqual]U"->{
    Cell[1835, 54, 1570, 43, 38, "Conclusion",
      CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"],
    Cell[62422, 2305, 1627, 45, 70, "Text",
      CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"]},
  "Definition (Subset Equal): \[SubsetEqual]"->{
    Cell[3542, 104, 2222, 60, 38, "Assumption",
      CellTags->"Definition (Subset Equal): \[SubsetEqual]"],
    Cell[57845, 2178, 2274, 61, 70, "Text",
      CellTags->"Definition (Subset Equal): \[SubsetEqual]"]},
  "Definition (Unary union): \[Union]"->{
    Cell[5767, 166, 2245, 61, 39, "Assumption",
      CellTags->"Definition (Unary union): \[Union]"],
    Cell[60122, 2241, 2297, 62, 70, "Text",
      CellTags->"Definition (Unary union): \[Union]"]},
  "1"->{
    Cell[8133, 233, 626, 19, 32, "Assumption",
      CellTags->"1"],
    Cell[45323, 1768, 669, 21, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[8867, 257, 704, 21, 32, "Conclusion",
      CellTags->"2"],
    Cell[49653, 1911, 747, 23, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[10279, 303, 1250, 37, 37, "Assumption",
      CellTags->"3"],
    Cell[50403, 1936, 1307, 39, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[12246, 365, 1340, 39, 37, "Conclusion",
      CellTags->"4"],
    Cell[51713, 1977, 1397, 41, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[13695, 409, 661, 20, 32, "Assumption",
      CellTags->"5"],
    Cell[53113, 2020, 704, 22, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[14464, 434, 661, 20, 32, "Conclusion",
      CellTags->"6"],
    Cell[53820, 2044, 704, 22, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[15819, 479, 1246, 37, 39, "Assumption",
      CellTags->"7"],
    Cell[54527, 2068, 1303, 39, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[17474, 532, 954, 29, 32, "Assumption",
      CellTags->"8"]},
  "9"->{
    Cell[19060, 586, 608, 19, 32, "Assumption",
      CellTags->"9"],
    Cell[57177, 2155, 665, 21, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[20371, 630, 1248, 37, 39, "Conclusion",
      CellTags->"10"],
    Cell[45995, 1791, 1305, 39, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[22841, 711, 956, 29, 32, "Conclusion",
      CellTags->"11"],
    Cell[47303, 1832, 999, 31, 70, "Text",
      CellTags->"11"]},
  "AdditionalInfo"->{
    Cell[28020, 893, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "11.1"->{
    Cell[48305, 1865, 671, 21, 70, "Text",
      CellTags->"11.1"]},
  "11.2"->{
    Cell[48979, 1888, 671, 21, 70, "Text",
      CellTags->"11.2"]},
  "8.1"->{
    Cell[55833, 2109, 669, 21, 70, "Text",
      CellTags->"8.1"]},
  "8.2"->{
    Cell[56505, 2132, 669, 21, 70, "Text",
      CellTags->"8.2"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (unary union inclusion): \[SubsetEqual]U", 64842, 2375},
  {"Definition (Subset Equal): \[SubsetEqual]", 65129, 2380},
  {"Definition (Unary union): \[Union]", 65388, 2385},
  {"1", 65600, 2390},
  {"2", 65744, 2395},
  {"3", 65888, 2400},
  {"4", 66035, 2405},
  {"5", 66182, 2410},
  {"6", 66327, 2415},
  {"7", 66472, 2420},
  {"8", 66619, 2425},
  {"9", 66699, 2428},
  {"10", 66845, 2433},
  {"11", 66995, 2438},
  {"AdditionalInfo", 67155, 2443},
  {"11.1", 67246, 2446},
  {"11.2", 67327, 2449},
  {"8.1", 67407, 2452},
  {"8.2", 67486, 2455}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 1570, 43, 38, "Conclusion",
  CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"],

Cell[CellGroupData[{
Cell[3430, 101, 109, 1, 32, "ProofText"],
Cell[3542, 104, 2222, 60, 38, "Assumption",
  CellTags->"Definition (Subset Equal): \[SubsetEqual]"],
Cell[5767, 166, 2245, 61, 39, "Assumption",
  CellTags->"Definition (Unary union): \[Union]"]
}, Open  ]],
Cell[8027, 230, 103, 1, 32, "ProofText"],
Cell[8133, 233, 626, 19, 32, "Assumption",
  CellTags->"1"],
Cell[8762, 254, 102, 1, 32, "ProofText"],
Cell[8867, 257, 704, 21, 32, "Conclusion",
  CellTags->"2"],
Cell[9574, 280, 702, 21, 32, "ProofText"],
Cell[10279, 303, 1250, 37, 37, "Assumption",
  CellTags->"3"],
Cell[11532, 342, 711, 21, 32, "ProofText"],
Cell[12246, 365, 1340, 39, 37, "Conclusion",
  CellTags->"4"],
Cell[13589, 406, 103, 1, 32, "ProofText"],
Cell[13695, 409, 661, 20, 32, "Assumption",
  CellTags->"5"],
Cell[14359, 431, 102, 1, 32, "ProofText"],
Cell[14464, 434, 661, 20, 32, "Conclusion",
  CellTags->"6"],
Cell[15128, 456, 688, 21, 32, "ProofText"],
Cell[15819, 479, 1246, 37, 39, "Assumption",
  CellTags->"7"],
Cell[17068, 518, 403, 12, 32, "ProofText"],
Cell[17474, 532, 954, 29, 32, "Assumption",
  CellTags->"8"],
Cell[18431, 563, 626, 21, 32, "ProofText"],
Cell[19060, 586, 608, 19, 32, "Assumption",
  CellTags->"9"],
Cell[19671, 607, 697, 21, 32, "ProofText"],
Cell[20371, 630, 1248, 37, 39, "Conclusion",
  CellTags->"10"],
Cell[21622, 669, 668, 21, 32, "ProofText"],

Cell[CellGroupData[{
Cell[22315, 694, 121, 1, 32, "ProofText"],
Cell[22439, 697, 399, 12, 32, "ProofText"],
Cell[22841, 711, 956, 29, 32, "Conclusion",
  CellTags->"11"],
Cell[23800, 742, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[24231, 758, 790, 25, 32, "ProofText"],
Cell[25024, 785, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25722, 811, 790, 25, 32, "ProofText"],
Cell[26515, 838, 657, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[27221, 865, 122, 1, 32, "ProofText"],
Cell[27346, 868, 440, 14, 48, "Text"]
}, Open  ]],
Cell[27801, 885, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28020, 893, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[28133, 898, 36, 0, 70, "Subsection"],
Cell[28172, 900, 537, 10, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28746, 915, 34, 0, 70, "Subsection"],
Cell[28783, 917, 120, 7, 70, "Text"],
Cell[28906, 926, 98, 4, 70, "Text"],
Cell[29007, 932, 99, 4, 70, "Text"],
Cell[29109, 938, 170, 9, 70, "Text"],
Cell[29282, 949, 187, 9, 70, "Text"],
Cell[29472, 960, 221, 9, 70, "Text"],
Cell[29696, 971, 220, 9, 70, "Text"],
Cell[29919, 982, 204, 9, 70, "Text"],
Cell[30126, 993, 206, 9, 70, "Text"],
Cell[30335, 1004, 206, 9, 70, "Text"],
Cell[30544, 1015, 220, 9, 70, "Text"],
Cell[30767, 1026, 217, 9, 70, "Text"],
Cell[30987, 1037, 216, 9, 70, "Text"],
Cell[31206, 1048, 217, 9, 70, "Text"],
Cell[31426, 1059, 214, 9, 70, "Text"],
Cell[31643, 1070, 218, 9, 70, "Text"],
Cell[31864, 1081, 211, 9, 70, "Text"],
Cell[32078, 1092, 213, 9, 70, "Text"],
Cell[32294, 1103, 220, 9, 70, "Text"],
Cell[32517, 1114, 214, 9, 70, "Text"],
Cell[32734, 1125, 214, 9, 70, "Text"],
Cell[32951, 1136, 209, 9, 70, "Text"],
Cell[33163, 1147, 210, 9, 70, "Text"],
Cell[33376, 1158, 215, 9, 70, "Text"],
Cell[33594, 1169, 212, 9, 70, "Text"],
Cell[33809, 1180, 212, 9, 70, "Text"],
Cell[34024, 1191, 211, 9, 70, "Text"],
Cell[34238, 1202, 213, 9, 70, "Text"],
Cell[34454, 1213, 211, 9, 70, "Text"],
Cell[34668, 1224, 215, 9, 70, "Text"],
Cell[34886, 1235, 208, 9, 70, "Text"],
Cell[35097, 1246, 210, 9, 70, "Text"],
Cell[35310, 1257, 217, 9, 70, "Text"],
Cell[35530, 1268, 219, 9, 70, "Text"],
Cell[35752, 1279, 220, 9, 70, "Text"],
Cell[35975, 1290, 218, 9, 70, "Text"],
Cell[36196, 1301, 218, 9, 70, "Text"],
Cell[36417, 1312, 211, 9, 70, "Text"],
Cell[36631, 1323, 214, 9, 70, "Text"],
Cell[36848, 1334, 213, 9, 70, "Text"],
Cell[37064, 1345, 224, 9, 70, "Text"],
Cell[37291, 1356, 225, 9, 70, "Text"],
Cell[37519, 1367, 206, 9, 70, "Text"],
Cell[37728, 1378, 214, 9, 70, "Text"],
Cell[37945, 1389, 208, 9, 70, "Text"],
Cell[38156, 1400, 211, 9, 70, "Text"],
Cell[38370, 1411, 204, 9, 70, "Text"],
Cell[38577, 1422, 211, 9, 70, "Text"],
Cell[38791, 1433, 215, 9, 70, "Text"],
Cell[39009, 1444, 213, 9, 70, "Text"],
Cell[39225, 1455, 209, 9, 70, "Text"],
Cell[39437, 1466, 218, 9, 70, "Text"],
Cell[39658, 1477, 226, 9, 70, "Text"],
Cell[39887, 1488, 220, 9, 70, "Text"],
Cell[40110, 1499, 216, 9, 70, "Text"],
Cell[40329, 1510, 217, 9, 70, "Text"],
Cell[40549, 1521, 222, 9, 70, "Text"],
Cell[40774, 1532, 216, 9, 70, "Text"],
Cell[40993, 1543, 214, 9, 70, "Text"],
Cell[41210, 1554, 225, 9, 70, "Text"],
Cell[41438, 1565, 220, 9, 70, "Text"],
Cell[41661, 1576, 229, 9, 70, "Text"],
Cell[41893, 1587, 170, 9, 70, "Text"],
Cell[42066, 1598, 217, 9, 70, "Text"],
Cell[42286, 1609, 215, 9, 70, "Text"],
Cell[42504, 1620, 220, 9, 70, "Text"],
Cell[42727, 1631, 214, 9, 70, "Text"],
Cell[42944, 1642, 212, 9, 70, "Text"],
Cell[43159, 1653, 218, 9, 70, "Text"],
Cell[43380, 1664, 219, 9, 70, "Text"],
Cell[43602, 1675, 222, 9, 70, "Text"],
Cell[43827, 1686, 210, 9, 70, "Text"],
Cell[44040, 1697, 223, 9, 70, "Text"],
Cell[44266, 1708, 200, 9, 70, "Text"],
Cell[44469, 1719, 172, 9, 70, "Text"],
Cell[44644, 1730, 201, 9, 70, "Text"],
Cell[44848, 1741, 204, 9, 70, "Text"],
Cell[45055, 1752, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[45264, 1766, 56, 0, 70, "Subsection"],
Cell[45323, 1768, 669, 21, 70, "Text",
  CellTags->"1"],
Cell[45995, 1791, 1305, 39, 70, "Text",
  CellTags->"10"],
Cell[47303, 1832, 999, 31, 70, "Text",
  CellTags->"11"],
Cell[48305, 1865, 671, 21, 70, "Text",
  CellTags->"11.1"],
Cell[48979, 1888, 671, 21, 70, "Text",
  CellTags->"11.2"],
Cell[49653, 1911, 747, 23, 70, "Text",
  CellTags->"2"],
Cell[50403, 1936, 1307, 39, 70, "Text",
  CellTags->"3"],
Cell[51713, 1977, 1397, 41, 70, "Text",
  CellTags->"4"],
Cell[53113, 2020, 704, 22, 70, "Text",
  CellTags->"5"],
Cell[53820, 2044, 704, 22, 70, "Text",
  CellTags->"6"],
Cell[54527, 2068, 1303, 39, 70, "Text",
  CellTags->"7"],
Cell[55833, 2109, 669, 21, 70, "Text",
  CellTags->"8.1"],
Cell[56505, 2132, 669, 21, 70, "Text",
  CellTags->"8.2"],
Cell[57177, 2155, 665, 21, 70, "Text",
  CellTags->"9"],
Cell[57845, 2178, 2274, 61, 70, "Text",
  CellTags->"Definition (Subset Equal): \[SubsetEqual]"],
Cell[60122, 2241, 2297, 62, 70, "Text",
  CellTags->"Definition (Unary union): \[Union]"],
Cell[62422, 2305, 1627, 45, 70, "Text",
  CellTags->"Proposition (unary union inclusion): \[SubsetEqual]U"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

