(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   3820614,      62325]*)
(*NotebookOutlinePosition[   3821255,      62348]*)
(*  CellTagsIndexPosition[   3821211,      62344]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Needs["\<Theorema`\>"]\)], "Input"],

Cell[BoxData[
    \(Get["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/CaseStudies/archive.m\>\
"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(archive\)], "Input"],

Cell[BoxData[
    \({}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<zero or one\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<dominos adjacent\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<adjacent of black are white\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<adjacent of white are black\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<different color\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<same or adjacent in domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<black in domino unique\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<white in domino unique\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering maps to domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<black maps to white\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<black maps to white in domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering maps to unique domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering defines unique domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<own covering domino\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<black and same covering domino: \
identical\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<white and same covering domino: \
identical\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino bijective from black \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino injective from white \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino surjective from white \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<covering domino bijective from white \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<number of dominos\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
        6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<equally many black and white covered \
fields\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
        6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}, {"equally many black and white covered fields", 
        3.1700000000000728`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ArchiveProofObject[%, "\<mutilated checkerboard\>"]\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
        6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}, {"equally many black and white covered fields", 
        3.1700000000000728`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"mutilated checkerboard", 
        22.4399999999996`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(DumpSave["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/Main/Proofs/\
MutilatedCheckerboard/ArchivedProofs.mx\>", archive]\)], "Input"],

Cell[BoxData[
    \({{{"zero or one", 
          5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
          192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
          18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
          18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
          299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
          22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
          43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
          43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
          18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
          160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
          258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
          35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
          45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
          35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
          44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
          44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
          90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
          21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
          49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
          5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
          6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}, {"equally many black and white covered fields", 
          3.1700000000000728`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"mutilated checkerboard", 
          22.4399999999996`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}}\)], "Output"]
}, Closed]],

Cell[BoxData[
    \(Get["\</z_mnt/pinwheel/zlocal/d2s7/wwindste/Diss/Main/Proofs/\
MutilatedCheckerboard/ArchivedProofs.mx\>"]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(archive\)], "Input"],

Cell[BoxData[
    \({{"zero or one", 
        5.900000000000091`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"dominos adjacent", 
        192.30999999999995`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of black are white", 
        18.34999999999991`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"adjacent of white are black", 
        18.360000000000127`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"different color", 
        299.02999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"same or adjacent in domino", 
        22.470000000000255`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black in domino unique", 
        43.44000000000051`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white in domino unique", 
        43.900000000000546`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to domino", 
        18.07000000000062`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white", 
        160.60999999999967`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black maps to white in domino", 
        258.3699999999999`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering maps to unique domino", 
        35.75`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering defines unique domino", 
        45.789999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"own covering domino", 
        35.67000000000007`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"black and same covering domino: identical", 
        44.89000000000033`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"white and same covering domino: identical", 
        44.77000000000044`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from black fields", 
        90.52999999999975`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino injective from white fields", 
        21.710000000000036`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino surjective from white fields", 
        49.82999999999993`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"covering domino bijective from white fields", 
        5.039999999999964`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"number of dominos", 
        6.269999999999527`\ Second, {\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator], \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}, {"equally many black and white covered fields", 
        3.1700000000000728`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}, {"mutilated checkerboard", 
        22.4399999999996`\ Second, \[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Apply[Plus, Map[Part[#, 2] &\ , archive]]/60\)], "Input"],

Cell[BoxData[
    \(24.77783333333335`\ Second\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Length[archive]\)], "Input"],

Cell[BoxData[
    \(23\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(TableForm[archive]\)], "Input"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"\<\"zero or one\"\>", \(5.900000000000091`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"dominos adjacent\"\>", \(192.30999999999995`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"adjacent of black are white\"\>", \(18.34999999999991`\ \
Second\), \(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"adjacent of white are black\"\>", \(18.360000000000127`\ \
Second\), \(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"different color\"\>", \(299.02999999999975`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"same or adjacent in domino\"\>", \(22.470000000000255`\ \
Second\), \(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"black in domino unique\"\>", \(43.44000000000051`\ Second\), \
\(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"white in domino unique\"\>", \(43.900000000000546`\ Second\), \
\(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"covering maps to domino\"\>", \(18.07000000000062`\ Second\), \
\(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"black maps to white\"\>", \(160.60999999999967`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"black maps to white in domino\"\>", \(258.3699999999999`\ \
Second\), \(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"covering maps to unique domino\"\>", \(35.75`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"covering defines unique domino\"\>", \(45.789999999999964`\ \
Second\), \(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"own covering domino\"\>", \(35.67000000000007`\ Second\), \(\
\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)},
          {"\<\"black and same covering domino: identical\"\>", \
\(44.89000000000033`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"white and same covering domino: identical\"\>", \
\(44.77000000000044`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"covering domino bijective from black fields\"\>", \
\(90.52999999999975`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"covering domino injective from white fields\"\>", \
\(21.710000000000036`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"covering domino surjective from white fields\"\>", \
\(49.82999999999993`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"covering domino bijective from white fields\"\>", \
\(5.039999999999964`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"number of dominos\"\>", \(6.269999999999527`\ Second\), 
            GridBox[{
                {\(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
                {\(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)}
                },
              RowSpacings->0.25,
              ColumnSpacings->1,
              RowAlignments->Baseline,
              ColumnAlignments->{Left}]},
          {"\<\"equally many black and white covered fields\"\>", \
\(3.1700000000000728`\ Second\), \(\[SkeletonIndicator]\ ProofObject\ \
\[SkeletonIndicator]\)},
          {"\<\"mutilated checkerboard\"\>", \(22.4399999999996`\ Second\), \
\(\[SkeletonIndicator]\ ProofObject\ \[SkeletonIndicator]\)}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      TableForm[ {{"zero or one", 
        Times[ 5.9000000000000909, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (zero or one)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]Element[ 
                    \[Bullet]var[ x], Board], 
                  \[Trademark]Or[ 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 0], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 1]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Mod)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ n]]], True, 
                  \[Trademark]EqualByDef[ 
                    Mod[ 
                      \[Bullet]var[ n], 2], 
                    \[Trademark]CaseDistinction[ 
                      \[Bullet]case[ 0, 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]setRange[ 
                              \[Bullet]var[ 
                              j], \[Trademark]\[DoubleStruckCapitalN]]], 
                          True, 
                          \[Trademark]Equal[ 
                            \[Bullet]var[ n], 
                            \[Trademark]Times[ 2, 
                              \[Bullet]var[ j]]]]], 
                      \[Bullet]case[ 1, True]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]Equal[ 
                    color[ 
                      \[Bullet]var[ x]], 
                    Mod[ 
                      \[Trademark]Plus[ 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 1], 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 2]], 2]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ "Proposition (zero or one)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]Element[ 
                      \[Bullet]fix[ x, 0], Board], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 1]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "GoalRewriting", 
                    \[Bullet]usedFormulae[ "2", "Definition (Color)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]Or[ 
                          \[Trademark]Equal[ 
                            Mod[ 
                              \[Trademark]Plus[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 1], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 2]], 2], 0], 
                          \[Trademark]Equal[ 
                            Mod[ 
                              \[Trademark]Plus[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 1], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 2]], 2], 1]], 
                        \[Bullet]finfo[ ]]], {"simplification object", 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 1]], "Definition (Color)", 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Trademark]Subscript[ 
                              \[Bullet]fix[ x, 0], 1], 
                            \[Trademark]Subscript[ 
                              \[Bullet]fix[ x, 0], 2]], 2], 0], 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Trademark]Subscript[ 
                              \[Bullet]fix[ x, 0], 1], 
                            \[Trademark]Subscript[ 
                              \[Bullet]fix[ x, 0], 2]], 2], 1]]}], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "MatchGoalCase", 
                        \[Bullet]usedFormulae[ "3", "Definition (Mod)", ""], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "5", 
                            \[Trademark]Or[ 
                              \[Trademark]Equal[ 0, 0], 
                              \[Trademark]Equal[ 0, 1]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]setRange[ 
                                  \[Bullet]var[ 
                                  j], \[Trademark]\[DoubleStruckCapitalN]]], 
                              True, 
                              \[Trademark]Equal[ 
                                \[Trademark]Plus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2]], 
                                \[Trademark]Times[ 2, 
                                  \[Bullet]var[ j]]]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "8", 
                            \[Trademark]Or[ 
                              \[Trademark]Equal[ 1, 0], 
                              \[Trademark]Equal[ 1, 1]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "6", 
                            \[Trademark]Not[ 
                              \[Trademark]Exists[ 
                                \[Bullet]range[ 
                                  \[Bullet]setRange[ 
                                    \[Bullet]var[ 
                                    j], \[Trademark]\[DoubleStruckCapitalN]]],
                                 True, 
                                \[Trademark]Equal[ 
                                  \[Trademark]Plus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2]], 
                                  \[Trademark]Times[ 2, 
                                    \[Bullet]var[ j]]]]], 
                            \[Bullet]finfo[ ]]], {{
                        \[Bullet]lf[ "5", 
                          \[Trademark]Or[ 
                            \[Trademark]Equal[ 0, 0], 
                            \[Trademark]Equal[ 0, 1]], 
                          \[Bullet]finfo[ ]], 
                        \[Bullet]asml[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]setRange[ 
                                  \[Bullet]var[ 
                                  j], \[Trademark]\[DoubleStruckCapitalN]]], 
                              True, 
                              \[Trademark]Equal[ 
                                \[Trademark]Plus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2]], 
                                \[Trademark]Times[ 2, 
                                  \[Bullet]var[ j]]]], 
                            \[Bullet]finfo[ ]]]}, {
                        \[Bullet]lf[ "8", 
                          \[Trademark]Or[ 
                            \[Trademark]Equal[ 1, 0], 
                            \[Trademark]Equal[ 1, 1]], 
                          \[Bullet]finfo[ ]], 
                        \[Bullet]asml[ 
                          \[Bullet]lf[ "6", 
                            \[Trademark]Not[ 
                              \[Trademark]Exists[ 
                                \[Bullet]range[ 
                                  \[Bullet]setRange[ 
                                    \[Bullet]var[ 
                                    j], \[Trademark]\[DoubleStruckCapitalN]]],
                                 True, 
                                \[Trademark]Equal[ 
                                  \[Trademark]Plus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2]], 
                                  \[Trademark]Times[ 2, 
                                    \[Bullet]var[ j]]]]], 
                            \[Bullet]finfo[ ]]]}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "SetComputation", 
                            \[Bullet]usedFormulae[ "5"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "9", True, 
                                \[Bullet]finfo[ ]]], 
                            CObj[ 
                              \[Trademark]Or[ 
                                \[Trademark]Equal[ 0, 0], 
                                \[Trademark]Equal[ 0, 1]], True]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "TrueConclusion", 
                                \[Bullet]usedFormulae[ "9"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"], 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "SetComputation", 
                            \[Bullet]usedFormulae[ "6", "8"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "10", True, 
                                \[Bullet]finfo[ ]]], 
                            CObj[ 
                              \[Trademark]Or[ 
                                \[Trademark]Equal[ 1, 0], 
                                \[Trademark]Equal[ 1, 1]], True]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "TrueConclusion", 
                                \[Bullet]usedFormulae[ "10"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                      Theorema`Provers`Common`ProofObject`Private`Constraints[
                       
                        \[Bullet]sl[ ]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"dominos adjacent", 
        Times[ 192.30999999999995, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (dominos adjacent)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ X]]], True, 
                \[Trademark]Implies[ 
                  domino\[Dash]on\[Dash]board[ 
                    \[Bullet]var[ X]], 
                  \[Trademark]And[ 
                    \[Trademark]SubsetEqual[ 
                      \[Bullet]var[ X], Board], 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ x]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ y]]], True, 
                      \[Trademark]And[ 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ y], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Not[ 
                            \[Trademark]Equal[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]]]], 
                        adjacent[ 
                          \[Bullet]var[ x], 
                          \[Bullet]var[ y]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]IffByDef[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ x]], 
                    \[Trademark]And[ 
                      \[Trademark]SubsetEqual[ 
                        \[Bullet]var[ x], Board], 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Bullet]var[ x]], 2], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x1]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x2]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x1], 
                              \[Bullet]var[ x]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x2], 
                              \[Bullet]var[ x]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x1], 
                                \[Bullet]var[ x2]]]], 
                          adjacent[ 
                            \[Bullet]var[ x1], 
                            \[Bullet]var[ x2]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ "Proposition (dominos adjacent)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]fix[ X, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]And[ 
                      \[Trademark]SubsetEqual[ 
                        \[Bullet]fix[ X, 0], Board], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]fix[ X, 0]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]fix[ X, 0]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]], 
                          adjacent[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ y]]]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ProveConjunction", 
                    \[Bullet]usedFormulae[ "2"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2.1", 
                        \[Trademark]SubsetEqual[ 
                          \[Bullet]fix[ X, 0], Board], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "2.2", 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ x]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ y]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]fix[ X, 0]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ y], 
                                \[Bullet]fix[ X, 0]], 
                              \[Trademark]Not[ 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]], 
                            adjacent[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ "1", "Definition (Domino)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Bullet]fix[ X, 0]], 2], 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x1]], 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x2]]], True, 
                                \[Trademark]Implies[ 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x2], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                  adjacent[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]var[ x2]]]], 
                              \[Trademark]SubsetEqual[ 
                                \[Bullet]fix[ X, 0], Board]], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "3", 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Bullet]fix[ X, 0]], 2], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x1]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x2]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]fix[ X, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x2], 
                                    \[Bullet]fix[ X, 0]], 
                                  \[Trademark]Not[ 
                                    \[Trademark]Equal[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]var[ x2]]]], 
                                adjacent[ 
                                  \[Bullet]var[ x1], 
                                  \[Bullet]var[ x2]]]], 
                            \[Trademark]SubsetEqual[ 
                              \[Bullet]fix[ X, 0], Board]], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]fix[ X, 0]], "Definition (Domino)", 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            \[Trademark]BracketingBar[ 
                              \[Bullet]fix[ X, 0]], 2], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x1]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x2]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x1], 
                                  \[Bullet]fix[ X, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x2], 
                                  \[Bullet]fix[ X, 0]], 
                                \[Trademark]Not[ 
                                  \[Trademark]Equal[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]var[ x2]]]], 
                              adjacent[ 
                                \[Bullet]var[ x1], 
                                \[Bullet]var[ x2]]]], 
                          \[Trademark]SubsetEqual[ 
                            \[Bullet]fix[ X, 0], Board]]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "3.1", 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Bullet]fix[ X, 0]], 2], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "3.2", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x1]], 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x2]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x2], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                    adjacent[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]var[ x2]]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "3.3", 
                                \[Trademark]SubsetEqual[ 
                                  \[Bullet]fix[ X, 0], Board], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ConclusionIsAssumption", 
                                \[Bullet]usedFormulae[ "2.1", "3.3"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"], 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ "1", "Definition (Domino)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Bullet]fix[ X, 0]], 2], 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x1]], 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x2]]], True, 
                                \[Trademark]Implies[ 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x2], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                  adjacent[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]var[ x2]]]], 
                              \[Trademark]SubsetEqual[ 
                                \[Bullet]fix[ X, 0], Board]], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "4", 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Bullet]fix[ X, 0]], 2], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x1]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x2]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]fix[ X, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x2], 
                                    \[Bullet]fix[ X, 0]], 
                                  \[Trademark]Not[ 
                                    \[Trademark]Equal[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]var[ x2]]]], 
                                adjacent[ 
                                  \[Bullet]var[ x1], 
                                  \[Bullet]var[ x2]]]], 
                            \[Trademark]SubsetEqual[ 
                              \[Bullet]fix[ X, 0], Board]], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]fix[ X, 0]], "Definition (Domino)", 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            \[Trademark]BracketingBar[ 
                              \[Bullet]fix[ X, 0]], 2], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x1]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x2]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x1], 
                                  \[Bullet]fix[ X, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x2], 
                                  \[Bullet]fix[ X, 0]], 
                                \[Trademark]Not[ 
                                  \[Trademark]Equal[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]var[ x2]]]], 
                              adjacent[ 
                                \[Bullet]var[ x1], 
                                \[Bullet]var[ x2]]]], 
                          \[Trademark]SubsetEqual[ 
                            \[Bullet]fix[ X, 0], Board]]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "4"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "4.1", 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Bullet]fix[ X, 0]], 2], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "4.2", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x1]], 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x2]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x2], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                    adjacent[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]var[ x2]]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "4.3", 
                                \[Trademark]SubsetEqual[ 
                                  \[Bullet]fix[ X, 0], Board], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                \[Bullet]usedFormulae[ "4.1", "4.3"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "5", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "6", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]], Board]]], 
                                    \[Bullet]finfo[ ]]], 
                                \[Bullet]asml[ ], 
                                \[Bullet]asml[ {
                                  \[Bullet]asml[ 
                                    \[Bullet]lf[ "5", 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Bullet]finfo[ ]], 
                                    \[Bullet]lf[ "6", 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Bullet]finfo[ ]], 
                                    \[Bullet]lf[ "7", 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1]]], 
                                      \[Bullet]finfo[ ]]], "4.1"}, {
                                  \[Bullet]asml[ 
                                    \[Bullet]lf[ "8", 
                                      \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X2"]], Board]]], 
                                      \[Bullet]finfo[ ]]], "4.3"}]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "MatchExistSubgoal", 
                                    \[Bullet]usedFormulae[ "2.2", "5"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "12", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]], 
                                        adjacent[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                    y] :> \[Bullet]fix[ 
                                      Removed[ "X1"], 0]}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "12", "6"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "68", 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]], 
                                        adjacent[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        x] :> \[Bullet]fix[ 
                                        Removed[ "X1"], 1]}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "68"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "68.1", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "68.2", 
                                        adjacent[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "68.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "68.1.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "68.1.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "68.1.3", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "68.1.1", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "68.1.2", "5"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProofByContradiction", 
                                        \[Bullet]usedFormulae[ "68.1.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ 
                                        "a contradiction", False, Null], 
                                        \[Bullet]lf[ "69", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "69", "7"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "72", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]]], {{"7", 
                                        \[Bullet]lf[ "72", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1]]], "69", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "72"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "73", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "73", False, 
                                        \[Bullet]finfo[ ]], "72"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "73"], 
                                        \[Bullet]generatedFormulae[ ], 
                                        "a contradiction"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "68.2", "4.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "74", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        adjacent[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]], "4.2", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "74"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "74.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "74.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "74.3", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "74.1", "5"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "74.2", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProofByContradiction", 
                                        \[Bullet]usedFormulae[ "74.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ 
                                        "a contradiction", False, Null], 
                                        \[Bullet]lf[ "75", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "7", "75"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "78", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]]], {{"7", 
                                        \[Bullet]lf[ "78", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 1]]], "75", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "X1"], 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "78"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "79", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "79", False, 
                                        \[Bullet]finfo[ ]], "78"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "79"], 
                                        \[Bullet]generatedFormulae[ ], 
                                        "a contradiction"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 3, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 3, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      5}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      6}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      7}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 5}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 6}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 7}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 3, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 3, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 5}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 6}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 7}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                      1, 2, 3, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 5}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 6}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 7}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  5}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  6}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  7}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "adjacent of black are white", 
        Times[ 18.349999999999909, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (adjacent of black are white)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ y]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    adjacent[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 0]], 
                  \[Trademark]Equal[ 
                    color[ 
                      \[Bullet]var[ y]], 1]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (Mod property even): 1", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]Minus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]], 1], 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ y]], 2], 0]], 
                    \[Trademark]Equal[ 
                      Mod[ 
                        \[Trademark]Plus[ 
                          \[Bullet]var[ z], 
                          \[Bullet]var[ y]], 2], 1]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (Mod property even): 2", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]Minus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]], 1], 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Bullet]var[ y], 
                            \[Bullet]var[ x]], 2], 0]], 
                    \[Trademark]Equal[ 
                      Mod[ 
                        \[Trademark]Plus[ 
                          \[Bullet]var[ y], 
                          \[Bullet]var[ z]], 2], 1]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Adjacency)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]IffByDef[ 
                    adjacent[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]], 
                    \[Trademark]Or[ 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]Minus[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ x], 1], 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ y], 1]]], 1], 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ x], 2], 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ y], 2]]], 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]Minus[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ x], 2], 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ y], 2]]], 1], 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ x], 1], 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ y], 1]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]Equal[ 
                    color[ 
                      \[Bullet]var[ x]], 
                    Mod[ 
                      \[Trademark]Plus[ 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 1], 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 2]], 2]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Proposition (adjacent of black are white)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ y, 0]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]fix[ y, 0]], 1], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "AssumptionIsConjunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "1.1", 
                        adjacent[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ y, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.2", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ x, 0]], 0], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1.1", "Definition (Adjacency)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]Or[ 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]Minus[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 2]]], 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]Minus[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 1]]]], 
                            \[Bullet]finfo[ ]]], {{"1.1", 
                        \[Bullet]lf[ "3", 
                          \[Trademark]Or[ 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Trademark]Minus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 1]]], 1], 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 2], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ y, 0], 2]]], 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Trademark]Minus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 2]]], 1], 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 1], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ y, 0], 1]]]], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        adjacent[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ y, 0]], "Definition (Adjacency)", 
                        \[Trademark]Or[ 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]Minus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 1]]], 1], 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ x, 0], 2], 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ y, 0], 2]]], 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]Minus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 2]]], 1], 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ x, 0], 1], 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ y, 0], 1]]]]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "CaseDistinction", 
                            \[Bullet]usedFormulae[ "2", "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "3.1", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                  \[Trademark]Equal[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 2]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "3.2", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                  \[Trademark]Equal[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 1]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "3.1"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "3.1.1", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "3.1.2", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ 
                                    "3.1.1", 
                                      "Proposition (Mod property even): 1"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "4", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1]]], 
                                        \[Bullet]finfo[ ]]], {{"3.1.1", 
                                    \[Bullet]lf[ "4", 
                                      \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                    "Proposition (Mod property even): 1", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "1.2", "3.1.2", "4", 
                                        "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "6", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                        \[Bullet]lf[ "6", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 0], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        "4", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        "3.1.2", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]}}}], 
                                      
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "7", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0]], 1], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "7", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"], 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "3.2"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "3.2.1", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "3.2.2", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ 
                                    "3.2.1", 
                                      "Proposition (Mod property even): 2"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]]], 
                                        \[Bullet]finfo[ ]]], {{"3.2.1", 
                                    \[Bullet]lf[ "9", 
                                      \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                    "Proposition (Mod property even): 2", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 
                                        1]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "1.2", "3.2.2", "9", 
                                        "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 0], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        "9", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        "3.2.2", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]}}}], 
                                      
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0]], 1], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 1]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "11", "10"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "adjacent of white are black", 
        Times[ 18.360000000000127, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (adjacent of white are black)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ y]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    adjacent[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 1]], 
                  \[Trademark]Equal[ 
                    color[ 
                      \[Bullet]var[ y]], 0]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (Mod property odd): 1", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]Minus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]], 1], 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ y]], 2], 1]], 
                    \[Trademark]Equal[ 
                      Mod[ 
                        \[Trademark]Plus[ 
                          \[Bullet]var[ z], 
                          \[Bullet]var[ y]], 2], 0]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (Mod property odd): 2", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]Minus[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]], 1], 
                      \[Trademark]Equal[ 
                        Mod[ 
                          \[Trademark]Plus[ 
                            \[Bullet]var[ y], 
                            \[Bullet]var[ x]], 2], 1]], 
                    \[Trademark]Equal[ 
                      Mod[ 
                        \[Trademark]Plus[ 
                          \[Bullet]var[ y], 
                          \[Bullet]var[ z]], 2], 0]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Adjacency)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]IffByDef[ 
                    adjacent[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]], 
                    \[Trademark]Or[ 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]Minus[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ x], 1], 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ y], 1]]], 1], 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ x], 2], 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ y], 2]]], 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]Minus[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ x], 2], 
                              \[Trademark]Subscript[ 
                                \[Bullet]var[ y], 2]]], 1], 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ x], 1], 
                          \[Trademark]Subscript[ 
                            \[Bullet]var[ y], 1]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]Equal[ 
                    color[ 
                      \[Bullet]var[ x]], 
                    Mod[ 
                      \[Trademark]Plus[ 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 1], 
                        \[Trademark]Subscript[ 
                          \[Bullet]var[ x], 2]], 2]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Proposition (adjacent of white are black)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ y, 0]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 1]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]fix[ y, 0]], 0], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "AssumptionIsConjunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "1.1", 
                        adjacent[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ y, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.2", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ x, 0]], 1], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1.1", "Definition (Adjacency)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]Or[ 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]Minus[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 2]]], 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]Minus[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 1]]]], 
                            \[Bullet]finfo[ ]]], {{"1.1", 
                        \[Bullet]lf[ "3", 
                          \[Trademark]Or[ 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Trademark]Minus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 1]]], 1], 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 2], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ y, 0], 2]]], 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Trademark]Minus[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 2]]], 1], 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ x, 0], 1], 
                                \[Trademark]Subscript[ 
                                  \[Bullet]fix[ y, 0], 1]]]], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        adjacent[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ y, 0]], "Definition (Adjacency)", 
                        \[Trademark]Or[ 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]Minus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 1], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 1]]], 1], 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ x, 0], 2], 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ y, 0], 2]]], 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]Minus[ 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ x, 0], 2], 
                                  \[Trademark]Subscript[ 
                                    \[Bullet]fix[ y, 0], 2]]], 1], 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ x, 0], 1], 
                              \[Trademark]Subscript[ 
                                \[Bullet]fix[ y, 0], 1]]]]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "CaseDistinction", 
                            \[Bullet]usedFormulae[ "2", "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "3.1", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                  \[Trademark]Equal[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 2], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 2]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "3.2", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                  \[Trademark]Equal[ 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ x, 0], 1], 
                                    \[Trademark]Subscript[ 
                                      \[Bullet]fix[ y, 0], 1]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "3.1"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "3.1.1", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "3.1.2", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ 
                                    "3.1.1", 
                                      "Proposition (Mod property odd): 1"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "4", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0]]], 
                                        \[Bullet]finfo[ ]]], {{"3.1.1", 
                                    \[Bullet]lf[ "4", 
                                      \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]]], 1], 
                                    "Proposition (Mod property odd): 1", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Bullet]var[ y]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Bullet]var[ y]], 2], 0]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "1.2", "3.1.2", "4", 
                                        "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "6", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                        \[Bullet]lf[ "6", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 1], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        "4", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 0], 
                                        "3.1.2", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]}}}], 
                                      
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "7", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0]], 0], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "7", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"], 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "3.2"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "3.2.1", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "3.2.2", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                      \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ 
                                    "3.2.1", 
                                      "Proposition (Mod property odd): 2"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]]], 
                                        \[Bullet]finfo[ ]]], {{"3.2.1", 
                                    \[Bullet]lf[ "9", 
                                      \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]Minus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]]], 1], 
                                    "Proposition (Mod property odd): 2", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 
                                        0]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "1.2", "3.2.2", "9", 
                                        "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 1], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 2]], 2], 1], 
                                        "9", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ x, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        "3.2.2", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]}}}], 
                                      
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", "Definition (Color)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0]], 0], 
                                        "Definition (Color)", 
                                        \[Trademark]Equal[ 
                                        Mod[ 
                                        \[Trademark]Plus[ 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 1], 
                                        \[Trademark]Subscript[ 
                                        \[Bullet]fix[ y, 0], 2]], 2], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "11", "10"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"different color", 
        Times[ 299.02999999999975, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Lemma (different color)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ X]]], True, 
                \[Trademark]Implies[ 
                  domino\[Dash]on\[Dash]board[ 
                    \[Bullet]var[ X]], 
                  \[Trademark]Exists[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]], 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ v]]], True, 
                    \[Trademark]And[ 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Bullet]var[ X]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ v], 
                          \[Bullet]var[ X]]], 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 0], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ v]], 1]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (dominos adjacent)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]]], True, 
                  \[Trademark]Implies[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]And[ 
                      \[Trademark]SubsetEqual[ 
                        \[Bullet]var[ X], Board], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]], 
                          adjacent[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ y]]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (zero or one)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]Element[ 
                      \[Bullet]var[ x], Board], 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 1]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (adjacent of black are white)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 0]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 1]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (adjacent of white are black)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 1]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 0]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ "Proposition (dominos adjacent)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]And[ 
                          \[Trademark]SubsetEqual[ 
                            \[Bullet]var[ X], Board], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ y]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ y], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Not[ 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]], 
                              adjacent[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]And[ 
                          \[Trademark]SubsetEqual[ 
                            \[Bullet]var[ X], Board], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ y]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ y], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Not[ 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]], 
                              adjacent[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  "Proposition (dominos adjacent)"}], 
                \[Bullet]asml[ ]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SetComputation", 
                    \[Bullet]usedFormulae[ "Lemma (different color)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ X]]], True, 
                          \[Trademark]Implies[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ X]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ v]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ X]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ v], 
                                  \[Bullet]var[ X]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ v]], 1]]]]], 
                        \[Bullet]finfo[ ]]], 
                    CObj[ 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ X]]], True, 
                        \[Trademark]Implies[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ X]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ v]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ X]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ v], 
                                  \[Bullet]var[ X]]], 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ v]], 1]]]]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ X]]], True, 
                        \[Trademark]Implies[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ X]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ v]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ v], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 0], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ v]], 1]]]]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "Simplify", 
                        \[Bullet]usedFormulae[ "1"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]And[ 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ X]]], True, 
                                \[Trademark]Implies[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ X]], 
                                  \[Trademark]SubsetEqual[ 
                                    \[Bullet]var[ X], Board]]], 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ X]]], True, 
                                \[Trademark]Implies[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ X]], 
                                  \[Trademark]Exists[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ X]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]var[ X]], 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]], 
                                      adjacent[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]]], 
                            \[Bullet]finfo[ ""]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "3.1", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ X]]], True, 
                                  \[Trademark]Implies[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Bullet]var[ X]], 
                                    \[Trademark]SubsetEqual[ 
                                      \[Bullet]var[ X], Board]]], 
                                \[Bullet]finfo[ ""]], 
                              \[Bullet]lf[ "3.2", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ X]]], True, 
                                  \[Trademark]Implies[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Bullet]var[ X]], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ X]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]var[ X]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]], 
                                        adjacent[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]], 
                                \[Bullet]finfo[ ""]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "SkolemFunction", 
                                \[Bullet]usedFormulae[ "3.2"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "4", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ X]]], True, 
                                      \[Trademark]Implies[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ X]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]var[ X]], 
                                        \[Bullet]var[ X]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]var[ X]], 
                                        \[Bullet]var[ X]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]var[ X]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]var[ X]]]], 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]var[ X]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]var[ X]]]]]], 
                                    \[Bullet]finfo[ ""]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ArbitraryFixedProveImplication", 
                                    \[Bullet]usedFormulae[ "2"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "5", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "6", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1]]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "3.1", "5"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "7", 
                                        \[Trademark]SubsetEqual[ 
                                        \[Bullet]fix[ X, 0], Board], 
                                        \[Bullet]finfo[ ]]], {{"5", 
                                        \[Bullet]lf[ "7", 
                                        \[Trademark]SubsetEqual[ 
                                        \[Bullet]fix[ X, 0], Board], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], "3.1", 
                                        \[Trademark]SubsetEqual[ 
                                        \[Bullet]fix[ X, 0], Board]}}}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "7"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "8", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]], Board]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "8", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "X1"]], Board]]], 
                                        \[Bullet]finfo[ ]]], "7"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "4", "5"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]And[ 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"5", 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]And[ 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], "4", 
                                        \[Trademark]And[ 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "9"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9.1", 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "9.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "9.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "9.4", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "9.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ X, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ X, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "9.2"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "9.1", 
                                        "Proposition (adjacent of black are \
white)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"9.1", 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        "Proposition (adjacent of black are \
white)", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "9.1", 
                                        "Proposition (adjacent of white are \
black)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]], 
                                        \[Bullet]finfo[ ]]], {{"9.1", 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        adjacent[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 
                                        "Proposition (adjacent of white are \
black)", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "8", "9.2", 
                                        "Proposition (zero or one)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"9.2", 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], "8", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], Board], 
                                        "Proposition (zero or one)", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "8", "9.3", 
                                        "Proposition (zero or one)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"9.3", 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], "8", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], Board], 
                                        "Proposition (zero or one)", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "CaseDistinction", 
                                        \[Bullet]usedFormulae[ "6", "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15.1", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "CaseDistinction", 
                                        \[Bullet]usedFormulae[ "6", "14"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14.1", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "14.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "12", "14.1", "15.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Equal[ 0, 1], 
                                        \[Bullet]finfo[ ]]], {{"14.1", 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Equal[ 0, 1], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], "12", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], "15.1", 
                                        \[Trademark]Equal[ 0, 1]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "18", False, 
                                        \[Bullet]finfo[ ]], "17"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "18"], 
                                        \[Bullet]generatedFormulae[ ], "6"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "6", "15.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        u] :> \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.1", "14.2", "10", "9.4", "20"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1]]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "24", "14.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        v] :> \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.1", "14.2", "10", "9.4", "25"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "27", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "27"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "27.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "27.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "27.1", "9.3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "27.2", "9.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "CaseDistinction", 
                                        \[Bullet]usedFormulae[ "6", "14"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14.1", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "14.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "6", "15.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "30", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        v] :> \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.2", "14.1", "10", "9.4", "30"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "34", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "34", "14.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "35", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        u] :> \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.2", "14.1", "10", "9.4", "35"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "37", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "37"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "37.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "37.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "37.1", "9.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "37.2", "9.3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "13", "14.2", "15.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "38", 
                                        \[Trademark]Equal[ 1, 0], 
                                        \[Bullet]finfo[ ]]], {{"14.2", 
                                        \[Bullet]lf[ "38", 
                                        \[Trademark]Equal[ 1, 0], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0][ 
                                        \[Bullet]fix[ X, 0]]], 1], "13", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ y, 0][ 
                                        \[Bullet]fix[ X, 0]]], 0], "15.2", 
                                        \[Trademark]Equal[ 1, 0]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "38"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "39", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "39", False, 
                                        \[Bullet]finfo[ ]], "38"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "39"], 
                                        \[Bullet]generatedFormulae[ ], "6"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}],
                                         
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 3}],
                                         
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 5}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 5}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   5}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   5}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 5}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 5}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2,
                       3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                       2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 5}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                      2, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2,
                       3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                       1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 5}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 5}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "same or adjacent in domino", 
        Times[ 22.470000000000255, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (same or adjacent in domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ X]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ y]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ y], 
                      \[Bullet]var[ X]]], 
                  \[Trademark]Or[ 
                    \[Trademark]Equal[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]], 
                    adjacent[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]]], True, 
                  \[Trademark]IffByDef[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ x]], 
                    \[Trademark]And[ 
                      \[Trademark]SubsetEqual[ 
                        \[Bullet]var[ x], Board], 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Bullet]var[ x]], 2], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x1]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x2]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x1], 
                              \[Bullet]var[ x]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x2], 
                              \[Bullet]var[ x]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x1], 
                                \[Bullet]var[ x2]]]], 
                          adjacent[ 
                            \[Bullet]var[ x1], 
                            \[Bullet]var[ x2]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Proposition (same or adjacent in domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ y, 0], 
                        \[Bullet]fix[ X, 0]]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ y, 0]], 
                      adjacent[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ y, 0]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "AssumptionIsConjunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "1.1", 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.2", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.3", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ y, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ProveDisjunction", 
                        \[Bullet]usedFormulae[ "2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "5", 
                            \[Trademark]Equal[ 
                              \[Bullet]fix[ x, 0], 
                              \[Bullet]fix[ y, 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "6", 
                            \[Trademark]Not[ 
                              adjacent[ 
                                \[Bullet]fix[ x, 0], 
                                \[Bullet]fix[ y, 0]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                            \[Bullet]usedFormulae[ 
                            "1.1", "Definition (Domino)"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "7", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Bullet]fix[ X, 0]], 2], 
                                  \[Trademark]ForAll[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x1]], 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x2]]], True, 
                                    \[Trademark]Implies[ 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x2], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                      adjacent[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                  \[Trademark]SubsetEqual[ 
                                    \[Bullet]fix[ X, 0], Board]], 
                                \[Bullet]finfo[ ]]], {{"1.1", 
                            \[Bullet]lf[ "7", 
                              \[Trademark]And[ 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Bullet]fix[ X, 0]], 2], 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x1]], 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ x2]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ x2], 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                    adjacent[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]var[ x2]]]], 
                                \[Trademark]SubsetEqual[ 
                                  \[Bullet]fix[ X, 0], Board]], 
                              \[Bullet]finfo[ ]], {"simplification object", 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]fix[ X, 0]], "Definition (Domino)", 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]BracketingBar[ 
                                  \[Bullet]fix[ X, 0]], 2], 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x1]], 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ x2]]], True, 
                                \[Trademark]Implies[ 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x1], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ x2], 
                                      \[Bullet]fix[ X, 0]], 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                  adjacent[ 
                                    \[Bullet]var[ x1], 
                                    \[Bullet]var[ x2]]]], 
                              \[Trademark]SubsetEqual[ 
                                \[Bullet]fix[ X, 0], Board]]}}}], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "7"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7.1", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Bullet]fix[ X, 0]], 2], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "7.2", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x1]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x2]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x2], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                        adjacent[ 
                                        \[Bullet]var[ x1], 
                                        \[Bullet]var[ x2]]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "7.3", 
                                    \[Trademark]SubsetEqual[ 
                                      \[Bullet]fix[ X, 0], Board], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ "6", "7.2"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "9", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"6", 
                                    \[Bullet]lf[ "9", 
                                      \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Not[ 
                                      adjacent[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], "7.2", 
                                    \[Trademark]Not[ 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsNegatedConjunction", 
                                        \[Bullet]usedFormulae[ "9"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "10"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]], "10"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ "1.2", "11"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ "1.3", "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "5", "13"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"black in domino unique", 
        Times[ 43.440000000000509, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (black in domino unique)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ X]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ y]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ y], 
                      \[Bullet]var[ X]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 0], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 0]], 
                  \[Trademark]Equal[ 
                    \[Bullet]var[ x], 
                    \[Bullet]var[ y]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (same or adjacent in domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ y], 
                        \[Bullet]var[ X]]], 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (adjacent of black are white)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 0]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 1]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Proposition (black in domino unique)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ y, 0], 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ y, 0]], 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      \[Bullet]fix[ x, 0], 
                      \[Bullet]fix[ y, 0]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "AssumptionIsConjunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "1.1", 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.2", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.3", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ y, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.4", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ x, 0]], 0], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.5", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ y, 0]], 0], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "NewKnowledge", 
                        \[Bullet]usedFormulae[ "1.2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]fix[ X, 0], 
                                \[Trademark]Set[ ]]], 
                            \[Bullet]finfo[ ]]], 
                        \[Bullet]asml[ ], 
                        \[Bullet]asml[ {
                          \[Bullet]asml[ 
                            \[Bullet]lf[ "3", 
                              \[Trademark]Not[ 
                                \[Trademark]Equal[ 
                                  \[Bullet]fix[ X, 0], 
                                  \[Trademark]Set[ ]]], 
                              \[Bullet]finfo[ ]]], "1.2"}]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ObtainFromBy", 
                            \[Bullet]usedFormulae[ 
                            "1.5", 
                              "Proposition (adjacent of black are white)"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "10", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    adjacent[ 
                                      \[Bullet]fix[ y, 0], 
                                      \[Bullet]var[ y]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ y]], 1]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ObtainFromBy", 
                                \[Bullet]usedFormulae[ 
                                "1.3", 
                                  "Proposition (same or adjacent in \
domino)"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]var[ y]], 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]var[ y]]]]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ "1.2", "8"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                    \[Bullet]lf[ "14", 
                                      \[Trademark]Implies[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ x, 0], 
                                      \[Bullet]fix[ X, 0]], "8", 
                                    \[Trademark]Implies[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "1.1", "14"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "CaseDistinction", 
                                        \[Bullet]usedFormulae[ "2", "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15.1", 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15.2", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "1.4", "15.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Equal[ 0, 1], 
                                        \[Bullet]finfo[ ]]], {{"15.1", 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Equal[ 0, 1], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], "10", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 1], "1.4", 
                                        \[Trademark]Equal[ 0, 1]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "16"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]], "16"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ ], "2"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ "2", "15.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], "15.2", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.2", "3", "1.4", "1.5", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", True, 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]], True]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "TrueConclusion", 
                                        \[Bullet]usedFormulae[ "19"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"white in domino unique", 
        Times[ 43.900000000000546, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (white in domino unique)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ X]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ y]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ X]], 
                    \[Trademark]Element[ 
                      \[Bullet]var[ y], 
                      \[Bullet]var[ X]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ x]], 1], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 1]], 
                  \[Trademark]Equal[ 
                    \[Bullet]var[ x], 
                    \[Bullet]var[ y]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (same or adjacent in domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ y], 
                        \[Bullet]var[ X]]], 
                    \[Trademark]Or[ 
                      \[Trademark]Equal[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (adjacent of white are black)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      adjacent[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ y]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 1]], 
                    \[Trademark]Equal[ 
                      color[ 
                        \[Bullet]var[ y]], 0]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Proposition (white in domino unique)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ x, 0], 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Element[ 
                        \[Bullet]fix[ y, 0], 
                        \[Bullet]fix[ X, 0]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ x, 0]], 1], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]fix[ y, 0]], 1]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      \[Bullet]fix[ x, 0], 
                      \[Bullet]fix[ y, 0]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "AssumptionIsConjunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "1.1", 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.2", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ x, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.3", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ y, 0], 
                          \[Bullet]fix[ X, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.4", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ x, 0]], 1], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "1.5", 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]fix[ y, 0]], 1], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "NewKnowledge", 
                        \[Bullet]usedFormulae[ "1.2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]fix[ X, 0], 
                                \[Trademark]Set[ ]]], 
                            \[Bullet]finfo[ ]]], 
                        \[Bullet]asml[ ], 
                        \[Bullet]asml[ {
                          \[Bullet]asml[ 
                            \[Bullet]lf[ "3", 
                              \[Trademark]Not[ 
                                \[Trademark]Equal[ 
                                  \[Bullet]fix[ X, 0], 
                                  \[Trademark]Set[ ]]], 
                              \[Bullet]finfo[ ]]], "1.2"}]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ObtainFromBy", 
                            \[Bullet]usedFormulae[ 
                            "1.5", 
                              "Proposition (adjacent of white are black)"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "10", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    adjacent[ 
                                      \[Bullet]fix[ y, 0], 
                                      \[Bullet]var[ y]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ y]], 0]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ObtainFromBy", 
                                \[Bullet]usedFormulae[ 
                                "1.3", 
                                  "Proposition (same or adjacent in \
domino)"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]ForAll[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                      \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ X, 0]]], 
                                        \[Trademark]Or[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]var[ y]], 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]var[ y]]]]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ "1.2", "8"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"1.2", 
                                    \[Bullet]lf[ "14", 
                                      \[Trademark]Implies[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ x, 0], 
                                      \[Bullet]fix[ X, 0]], "8", 
                                    \[Trademark]Implies[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ X, 0]], 
                                      \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "1.1", "14"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Or[ 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "CaseDistinction", 
                                        \[Bullet]usedFormulae[ "2", "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15.1", 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15.2", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "1.4", "15.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Equal[ 1, 0], 
                                        \[Bullet]finfo[ ]]], {{"15.1", 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Equal[ 1, 0], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        adjacent[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ x, 0]], "10", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ x, 0]], 0], "1.4", 
                                        \[Trademark]Equal[ 1, 0]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "16"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]], "16"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ ], "2"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ "2", "15.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], "15.2", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "15.2", "3", "1.4", "1.5", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", True, 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ x, 0]], True]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "TrueConclusion", 
                                        \[Bullet]usedFormulae[ "19"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"covering maps to domino", 
        
        Times[ 18.070000000000618, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (covering maps to domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]]], True, 
                    \[Trademark]Implies[ 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ x]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ x]]]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Partial Covering)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]IffByDef[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]And[ 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ x]]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]], 
                          \[Trademark]Equal[ 
                            \[Trademark]Intersection[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]], 
                            \[Trademark]Set[ ]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "SetComputation", 
                \[Bullet]usedFormulae[ 
                "Proposition (covering maps to domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]], 
                    \[Bullet]finfo[ ]]], 
                CObj[ 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]]]]]]]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "3", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ "3"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ u, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "5", 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                            \[Bullet]usedFormulae[ 
                            "4", "KBMembershipBigUnion"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "6", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0]], 
                                \[Bullet]finfo[ ]]], 
                            \[Bullet]asml[ ], 
                            \[Bullet]asml[ {
                              \[Bullet]asml[ 
                                \[Bullet]lf[ "6", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Bullet]finfo[ ]], 
                                \[Bullet]lf[ "7", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0], 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0]], 
                                  \[Bullet]finfo[ ]]], "4", 
                              "KBMembershipBigUnion"}]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "MatchExistSubgoal", 
                                \[Bullet]usedFormulae[ "5", "6"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "10", 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                    \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                x] :> \[Bullet]fix[ 
                                  Removed[ "z1"], 0]}], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ProveConjunction", 
                                    \[Bullet]usedFormulae[ "10"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "10.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "10.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "10.3", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "10.1", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "10.2", "7"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", 
                                        "Definition (Partial Covering)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]]], {{"2", 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        "Definition (Partial Covering)", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]]}}}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12.1", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.2", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "12.1", "6"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]], {{"6", 
                                        \[Bullet]lf[ "13", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], "12.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "10.3", "13"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"black maps to white", 
        Times[ 160.60999999999967, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (black maps to white)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]]], True, 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 0]], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ v]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ v]], 1]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (covering maps to domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ x]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]]]]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Lemma (different color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]]], True, 
                  \[Trademark]Implies[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ v]]], True, 
                      \[Trademark]And[ 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Bullet]var[ X]]], 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ v]], 1]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ 
                "Lemma (different color)", 
                  "Proposition (covering maps to domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  "Proposition (covering maps to domino)"}, {
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]], "Lemma (different color)"}], 
                \[Bullet]asml[ ]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SkolemFunction", 
                    \[Bullet]usedFormulae[ "2"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ X]]], True, 
                          \[Trademark]Implies[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ X]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ v, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u, 0][ 
                                    \[Bullet]var[ X]]], 0], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ v, 0][ 
                                    \[Bullet]var[ X]]], 1]]]], 
                        \[Bullet]finfo[ ""]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ 
                        "Proposition (black maps to white)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            partial\[Dash]covering[ 
                              \[Bullet]fix[ z, 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "5", 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 0]], 
                                \[Trademark]Exists[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ v]]], True, 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ v], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ v]], 1]]]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ArbitraryFixedProveImplication", 
                            \[Bullet]usedFormulae[ "5"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "6", 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 1], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ u, 1]], 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7", 
                                \[Trademark]Exists[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ v]]], True, 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ v], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ v]], 1]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                \[Bullet]usedFormulae[ "1", "3", "6"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]And[ 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                      \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]], 
                                    \[Bullet]finfo[ ]]], {{"6", 
                                \[Bullet]lf[ "8", 
                                  \[Trademark]And[ 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                    \[Trademark]Implies[ 
                                      partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]], 
                                  \[Bullet]finfo[ ]], {
                                "simplification object", 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 1], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ u, 1]], 0]], "1", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ u, 1]], 0], 
                                  \[Trademark]Implies[ 
                                    partial\[Dash]covering[ 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]]], "3", 
                                \[Trademark]And[ 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ u, 1]], 0], 
                                  \[Trademark]Implies[ 
                                    partial\[Dash]covering[ 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]]}}}], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                    \[Bullet]usedFormulae[ "8"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "8.1", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "8.2", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "6", "8.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]], 
                                        \[Bullet]finfo[ ]]], {{"6", 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0]], "8.1", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]]}}}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "9", "KBMembershipBigUnion"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], "9"}], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]], "10", 
                                        "KBMembershipBigUnion"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "11", "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "11"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "12"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "1", "10"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"10", 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "1", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "15", "4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"4", 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], "15", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "4", "8.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]], 
                                        \[Bullet]finfo[ ]]], {{"4", 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], "8.2", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Skolem", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.5", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.6", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "18.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "18.1"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Skolem", 
                                        \[Bullet]usedFormulae[ "16"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "23", "3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"23", 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], "3", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "24"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.5", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.6", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "24.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "24.1"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "7", "24.6"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "31", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        v] :> \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "25", "24.5", "24.6", "19", "18.5", 
                                        "18.6", "13", "14", "8.1", "31"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "34", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "34"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "35", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "35", "24.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "36", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z2"]] :> \[Bullet]fix[ 
                                        x, 1]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "36"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "36.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "36.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "36.1", 
                                        "24.4"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "36.2", 
                                        "24.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 2, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 2, 2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "black maps to white in domino", 
        Times[ 258.36999999999989, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (black maps to white in domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]]], True, 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 0]], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ v]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], True, 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ v], 
                                    \[Bullet]var[ d]]]]]]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (covering maps to domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ x]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]]]]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Lemma (different color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]]], True, 
                  \[Trademark]Implies[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ v]]], True, 
                      \[Trademark]And[ 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Bullet]var[ X]]], 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ v]], 1]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ 
                "Lemma (different color)", 
                  "Proposition (covering maps to domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  "Proposition (covering maps to domino)"}, {
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]], "Lemma (different color)"}], 
                \[Bullet]asml[ ]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SetComputation", 
                    \[Bullet]usedFormulae[ 
                    "Proposition (black maps to white in domino)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ z]]], True, 
                          \[Trademark]Implies[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]var[ z]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 0]], 
                                \[Trademark]Exists[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ v]]], True, 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ v], 
                                      \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ v]], 1], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]var[ d]]]]]]]]]], 
                        \[Bullet]finfo[ ]]], 
                    CObj[ 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ z]]], True, 
                        \[Trademark]Implies[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]var[ z]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0]], 
                              \[Trademark]Exists[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ v]]], True, 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ v], 
                                    \[Trademark]Union[ 
                                      \[Bullet]var[ z]]], 
                                  \[Trademark]And[ 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ v]], 1], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]var[ d]]]]]]]]]]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ z]]], True, 
                        \[Trademark]Implies[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]var[ z]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0]], 
                              \[Trademark]Exists[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ v]]], True, 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ v], 
                                    \[Trademark]Union[ 
                                      \[Bullet]var[ z]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ v]], 1], 
                                  \[Trademark]Exists[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]var[ d]]]]]]]]]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "SkolemFunction", 
                        \[Bullet]usedFormulae[ "2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ X]]], True, 
                              \[Trademark]Implies[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ X]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0][ 
                                      \[Bullet]var[ X]], 
                                    \[Bullet]var[ X]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ v, 0][ 
                                      \[Bullet]var[ X]], 
                                    \[Bullet]var[ X]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ X]]], 0], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ X]]], 1]]]], 
                            \[Bullet]finfo[ ""]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ArbitraryFixedProveImplication", 
                            \[Bullet]usedFormulae[ "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5", 
                                partial\[Dash]covering[ 
                                  \[Bullet]fix[ z, 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "6", 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]var[ d]]]]]]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ArbitraryFixedProveImplication", 
                                \[Bullet]usedFormulae[ "6"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ v]]], True, 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ v]], 1], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ v], 
                                        \[Bullet]var[ d]]]]]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                    \[Bullet]usedFormulae[ "1", "4", "7"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "9", 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]], 
                                        \[Bullet]finfo[ ]]], {{"7", 
                                    \[Bullet]lf[ "9", 
                                      \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]], 
                                      \[Bullet]finfo[ ]], {
                                    "simplification object", 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0]], "1", 
                                    \[Trademark]And[ 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                      \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]]], "4", 
                                    \[Trademark]And[ 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                      \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]]]}}}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "9"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9.1", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "9.2", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "7", "9.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]], 
                                        \[Bullet]finfo[ ]]], {{"7", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 1]], 0]], "9.1", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 0, 0]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "11", "KBMembershipBigUnion"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], "10"}], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]], "11", 
                                        "KBMembershipBigUnion"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "12", "13"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "12"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "13"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "1", "11"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"11", 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "1", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "16", "5"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"5", 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], "16", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "5", "9.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]], 
                                        \[Bullet]finfo[ ]]], {{"5", 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], "9.2", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]var[ x]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]var[ x]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]var[ x]]], 1]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Skolem", 
                                        \[Bullet]usedFormulae[ "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]]], 1]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "19"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "19.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "19.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "19.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "19.5", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "19.6", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "19.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "19.1"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Skolem", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "24", "4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"24", 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], "4", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "25"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "25.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "25.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "25.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "25.5", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ x, 1]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "25.6", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "25.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "25.1"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "24"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "24.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "8", "25.6"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "32", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ d]]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        v] :> \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ "26", "25.5", 
                                        "25.6", "20", "19.5", "19.6", "14", 
                                        "15", "9.1", "32"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "35", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ d]]]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ d]]]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]]], 1], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ d]]]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "35"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "35.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "35.2", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], True, 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ d]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "35.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "36", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "36", 
                                        "25.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "37", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z2"]] :> \[Bullet]fix[ 
                                        x, 1]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "37"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "37.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "37.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 1], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "37.1", 
                                        "25.4"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "37.2", 
                                        "25.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "35.2", 
                                        "25.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "40", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        d] :> \[Bullet]fix[ x, 1]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "40"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "40.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "40.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 1], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "40.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]fix[ x, 1]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "40.1", 
                                        "24.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "40.2", 
                                        "25.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "40.3", 
                                        "25.4"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                                        5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 
                                        2, 1, 2, 2, 2, 5}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                         1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                                      2, 2, 2, 1, 2, 1, 2, 2, 2, 5}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 2, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2,
                                       1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 
                                  2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 
                                  2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 
                                  2, 2, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 
                                  2, 2, 2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 
                                  2, 2, 2, 5}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2,
                                   2, 4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                                  2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                              4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 
                              5}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 
                          1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 
                          1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 
                          1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2, 1, 2, 
                          1, 2, 2, 2, 5}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                          2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                           1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2,
                       1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2,
                       1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2,
                       1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2, 2,
                       1, 2, 1, 2, 2, 2, 5}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 
                      2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                       1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                      1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 5}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                  2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering maps to unique domino", 
        Times[ 35.75, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (covering maps to unique domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]]], True, 
                    \[Trademark]Implies[ 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]var[ z]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ y]]]], 
                          \[Trademark]Equal[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ y]]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Partial Covering)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]IffByDef[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]And[ 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ x]]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]], 
                          \[Trademark]Equal[ 
                            \[Trademark]Intersection[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]], 
                            \[Trademark]Set[ ]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "SetComputation", 
                \[Bullet]usedFormulae[ 
                "Proposition (covering maps to unique domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]]], 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]]]]]], 
                    \[Bullet]finfo[ ]]], 
                CObj[ 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ y]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ y], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]]]], 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]]]]]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]ForAll[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]], 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ y]]], True, 
                            \[Trademark]Implies[ 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ y], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ y]]], 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]]]]]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "3", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]]], 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ "3"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ u, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "5", 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0], 
                                    \[Bullet]var[ y]]], 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                            \[Bullet]usedFormulae[ 
                            "4", "KBMembershipBigUnion"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "6", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0]], 
                                \[Bullet]finfo[ ]]], 
                            \[Bullet]asml[ ], 
                            \[Bullet]asml[ {
                              \[Bullet]asml[ 
                                \[Bullet]lf[ "6", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Bullet]finfo[ ]], 
                                \[Bullet]lf[ "7", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0], 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0]], 
                                  \[Bullet]finfo[ ]]], "4", 
                              "KBMembershipBigUnion"}]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ArbitraryFixedProveImplication", 
                                \[Bullet]usedFormulae[ "5"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "10", 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "11", 
                                    \[Trademark]Equal[ 
                                      \[Bullet]fix[ x, 0], 
                                      \[Bullet]fix[ y, 0]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                    \[Bullet]usedFormulae[ "10"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "10.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "10.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "10.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "10.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ 
                                        "10.3", "10.4", "7"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "10.3"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "10.4"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]], "10.3", 
                                        "10.4"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], "10.3", "7"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], "10.4", "7"}]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ 
                                        "16", "17", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "21", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "16"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "17"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "21", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "18"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", 
                                        "Definition (Partial Covering)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "22", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]]], {{"2", 
                                        \[Bullet]lf[ "22", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        "Definition (Partial Covering)", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "22"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "22.1", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "22.2", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "19", "22.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"19", 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Trademark]Set[ ]]], "22.2", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsNegatedConjunction", 
                                        \[Bullet]usedFormulae[ "23"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "24"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]], "24"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ 
                                        "10.1", "25"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ 
                                        "10.2", "26"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "27", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "11", "27"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering defines unique domino", 
        Times[ 45.789999999999964, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (covering defines unique domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ u]]], True, 
                    \[Trademark]Implies[ 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Exists[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ x]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ x]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ y], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Implies[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]], 
                                  \[Trademark]Equal[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]var[ y]]]]]]]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Definition (Partial Covering)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]IffByDef[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]And[ 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ x]]]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ y]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ y], 
                              \[Bullet]var[ z]], 
                            \[Trademark]Not[ 
                              \[Trademark]Equal[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ y]]]], 
                          \[Trademark]Equal[ 
                            \[Trademark]Intersection[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]], 
                            \[Trademark]Set[ ]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "SetComputation", 
                \[Bullet]usedFormulae[ 
                "Proposition (covering defines unique domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ z]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]], 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ y], 
                                      \[Bullet]var[ z]], 
                                    \[Trademark]Implies[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ y]], 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]]]]]]], 
                    \[Bullet]finfo[ ]]], 
                CObj[ 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]], 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ y], 
                                      \[Bullet]var[ z]], 
                                    \[Trademark]Implies[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ y]], 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]]]]]]]], 
                  \[Trademark]ForAll[ 
                    \[Bullet]range[ 
                      \[Bullet]simpleRange[ 
                        \[Bullet]var[ z]]], True, 
                    \[Trademark]Implies[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Exists[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]ForAll[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ y]]], True, 
                                \[Trademark]Implies[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Implies[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u], 
                                      \[Bullet]var[ y]], 
                                    \[Trademark]Equal[ 
                                      \[Bullet]var[ x], 
                                      \[Bullet]var[ y]]]]]]]]]]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "3", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]], 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ y], 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]Implies[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]var[ y]], 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]]]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ "3"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ u, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "5", 
                            \[Trademark]Exists[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]]], True, 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Bullet]var[ x]], 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ x]], 
                                \[Trademark]ForAll[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ y]]], True, 
                                  \[Trademark]Implies[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ y], 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]Implies[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]], 
                                      \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                            \[Bullet]usedFormulae[ 
                            "4", "KBMembershipBigUnion"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "6", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0], 
                                  \[Bullet]fix[ z, 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Bullet]fix[ 
                                    Removed[ "z1"], 0]], 
                                \[Bullet]finfo[ ]]], 
                            \[Bullet]asml[ ], 
                            \[Bullet]asml[ {
                              \[Bullet]asml[ 
                                \[Bullet]lf[ "6", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Bullet]finfo[ ]], 
                                \[Bullet]lf[ "7", 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ u, 0], 
                                    \[Bullet]fix[ 
                                      Removed[ "z1"], 0]], 
                                  \[Bullet]finfo[ ]]], "4", 
                              "KBMembershipBigUnion"}]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                \[Bullet]usedFormulae[ "6", "7"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "9", 
                                    \[Trademark]Not[ 
                                      \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                    \[Bullet]finfo[ ]]], 
                                \[Bullet]asml[ ], 
                                \[Bullet]asml[ {
                                  \[Bullet]asml[ 
                                    \[Bullet]lf[ "8", 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ z, 0], 
                                        \[Trademark]Set[ ]]], 
                                      \[Bullet]finfo[ ]]], "6"}, {
                                  \[Bullet]asml[ 
                                    \[Bullet]lf[ "9", 
                                      \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Trademark]Set[ ]]], 
                                      \[Bullet]finfo[ ]]], "7"}]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "MatchExistSubgoal", 
                                    \[Bullet]usedFormulae[ "5", "6"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "10", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]var[ y]]]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                    x] :> \[Bullet]fix[ 
                                      Removed[ "z1"], 0]}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "10"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.3", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.4", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]var[ y]]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "10.1", "6"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "10.2", "7"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", 
                                        "Definition (Partial Covering)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]]], {{"2", 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        "Definition (Partial Covering)", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12.1", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.2", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "12.1", "6"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]], {{"6", 
                                        \[Bullet]lf[ "13", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], "12.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "10.3", "13"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ArbitraryFixedProveImplication", 
                                        \[Bullet]usedFormulae[ "10.4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ y, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveImplication", 
                                        \[Bullet]usedFormulae[ "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "17", "7"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "17"}, {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], "17", "7"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "20"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "21", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ ], 
                                        \[Bullet]asml[ {
                                        \[Bullet]asml[ 
                                        \[Bullet]lf[ "21", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], 
                                        \[Bullet]finfo[ ]]], "20"}]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "2", 
                                        "Definition (Partial Covering)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "22", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]]], {{"2", 
                                        \[Bullet]lf[ "22", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        "Definition (Partial Covering)", 
                                        \[Trademark]And[ 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "22"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "22.1", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ x]]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "22.2", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]], 
                                        \[Trademark]Set[ ]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "21", "22.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]]]], 
                                        \[Bullet]finfo[ ]]], {{"21", 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Intersection[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Trademark]Set[ ]]], "22.2", 
                                        \[Trademark]Not[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsNegatedConjunction", 
                                        \[Bullet]usedFormulae[ "23"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "NewKnowledge", 
                                        \[Bullet]usedFormulae[ "24"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        \[Bullet]asml[ {
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]], "24"}], 
                                        \[Bullet]asml[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ "14", "25"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]Or[ 
                                        \[Trademark]Not[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "Resolution", 
                                        \[Bullet]usedFormulae[ "6", "26"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "27", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ y, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "27", "21", "19", "8", "9", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "28", True, 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ y, 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ 
                                        Removed[ "z1"], 0], 
                                        \[Bullet]fix[ y, 0]], "FullSimplify", 
                                        True]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "TrueConclusion", 
                                        \[Bullet]usedFormulae[ "28"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 4, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 4, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 
                                  1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 4, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 4, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"own covering domino", 
        Times[ 35.670000000000073, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Proposition (own covering domino)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ d]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ x]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  \[Trademark]And[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ d]]], 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ d]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ d], 
                        \[Bullet]var[ z]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]]], 
                    \[Trademark]Equal[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]][ 
                        \[Bullet]var[ x]], 
                      \[Bullet]var[ d]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (covering maps to unique domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ x]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ y]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ y], 
                                \[Bullet]var[ z]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ x]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Bullet]var[ y]]]], 
                            \[Trademark]Equal[ 
                              \[Bullet]var[ x], 
                              \[Bullet]var[ y]]]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Covering Domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ u]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]]], 
                    \[Trademark]EqualByDef[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]][ 
                        \[Bullet]var[ u]], 
                      \[Trademark]SuchThat[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ x]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ x]]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ 
                "2", "Definition (Covering Domino)", "KBSuchThatExpansion", 
                  "Proposition (covering maps to unique domino)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "3", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]Element[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]], 
                            \[Bullet]var[ z]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]]], 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], True, 
                          \[Trademark]Implies[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]ForAll[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ x]], 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ y]]], True, 
                              \[Trademark]Implies[ 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ x], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ y], 
                                    \[Bullet]var[ z]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ x]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Bullet]var[ y]]], 
                                \[Trademark]Equal[ 
                                  \[Bullet]var[ x], 
                                  \[Bullet]var[ y]]]]]]]], 
                    \[Bullet]finfo[ ""]], 
                  "Proposition (covering maps to unique domino)"}, {
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]], "Definition (Covering Domino)"}], 
                \[Bullet]asml[ {
                  \[Bullet]asml[ 
                    \[Bullet]lf[ "3", 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ z]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]Element[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]], 
                              \[Bullet]var[ z]]]]], 
                      \[Bullet]finfo[ ""]]], "2", "KBSuchThatExpansion"}]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ 
                    "Proposition (own covering domino)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "4", 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]fix[ z, 0]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]fix[ d, 0]]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "5", 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ x, 0], 
                              \[Bullet]fix[ d, 0]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ d, 0], 
                              \[Bullet]fix[ z, 0]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ x, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]]], 
                          \[Trademark]Equal[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]][ 
                              \[Bullet]fix[ x, 0]], 
                            \[Bullet]fix[ d, 0]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "AssumptionIsConjunction", 
                        \[Bullet]usedFormulae[ "4"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4.1", 
                            partial\[Dash]covering[ 
                              \[Bullet]fix[ z, 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "4.2", 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]fix[ d, 0]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ProveImplication", 
                            \[Bullet]usedFormulae[ "5"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "6", 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ x, 0], 
                                    \[Bullet]fix[ d, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ d, 0], 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]fix[ x, 0], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7", 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]][ 
                                    \[Bullet]fix[ x, 0]], 
                                  \[Bullet]fix[ d, 0]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "6"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "6.1", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ x, 0], 
                                      \[Bullet]fix[ d, 0]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "6.2", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ d, 0], 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "6.3", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ x, 0], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "GoalRewriting", 
                                    \[Bullet]usedFormulae[ "7", "1"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "8", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ d, 0], 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ d, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]var[ z]]]], 
                                        \[Bullet]finfo[ ]]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                      \[Bullet]fix[ d, 0]], "1", 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], True, 
                                      \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ d, 0], 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Bullet]fix[ d, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]var[ z]]]]}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "8", "6.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ d, 0], 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ d, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]var[ z]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        u] :> \[Bullet]fix[ x, 0]}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "9", "6.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ d, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ d, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        z] :> \[Bullet]fix[ z, 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12.1", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ d, 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Bullet]fix[ d, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.5", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.6", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.1", "4.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.2", "6.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.3", "6.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.4", "6.3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "3", "6.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"6.3", 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "3", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "4.1", "13"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "14"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "14.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "14.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.5", "14.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "3", "6.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"6.3", 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "3", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "4.1", "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "16"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ x, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ x, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "12.6", "16.3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 
                                        1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 4}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 5, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 6, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 4}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5,
                                   2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6,
                                   2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  4}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 6, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 5, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 6, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 6, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 4}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 4}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "black and same covering domino: identical", 
        Times[ 44.890000000000327, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Proposition (black and same covering domino: identical)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ u]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ v]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ u]], 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ v]]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ v], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ u]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ v]], 0]], 
                    \[Trademark]Equal[ 
                      \[Bullet]var[ u], 
                      \[Bullet]var[ v]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (black in domino unique)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ y], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 0], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ y]], 0]], 
                    \[Trademark]Equal[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Covering Domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ u]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]]], 
                    \[Trademark]EqualByDef[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]][ 
                        \[Bullet]var[ u]], 
                      \[Trademark]SuchThat[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ x]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ x]]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ 
                "1", "Definition (Covering Domino)", "KBSuchThatExpansion"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]Element[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]], 
                            \[Bullet]var[ z]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]], "Definition (Covering Domino)"}], 
                \[Bullet]asml[ {
                  \[Bullet]asml[ 
                    \[Bullet]lf[ "2", 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ z]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]Element[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]], 
                              \[Bullet]var[ z]]]]], 
                      \[Bullet]finfo[ ""]]], "1", "KBSuchThatExpansion"}]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ 
                    "Proposition (black and same covering domino: \
identical)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "4", 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]][ 
                                \[Bullet]fix[ u, 0]], 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]][ 
                                \[Bullet]fix[ v, 0]]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ u, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ v, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]fix[ u, 0]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]fix[ v, 0]], 0]], 
                          \[Trademark]Equal[ 
                            \[Bullet]fix[ u, 0], 
                            \[Bullet]fix[ v, 0]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ProveImplication", 
                        \[Bullet]usedFormulae[ "4"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "5", 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]][ 
                                  \[Bullet]fix[ u, 0]], 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]][ 
                                  \[Bullet]fix[ v, 0]]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u, 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ v, 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u, 0]], 0], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ v, 0]], 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "6", 
                            \[Trademark]Equal[ 
                              \[Bullet]fix[ u, 0], 
                              \[Bullet]fix[ v, 0]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "5"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5.1", 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]][ 
                                    \[Bullet]fix[ u, 0]], 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]][ 
                                    \[Bullet]fix[ v, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.2", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.3", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ v, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.4", 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ u, 0]], 0], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.5", 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ v, 0]], 0], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                \[Bullet]usedFormulae[ "2", "5.2"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]Implies[ 
                                      partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                    \[Bullet]finfo[ ]]], {{"5.2", 
                                \[Bullet]lf[ "7", 
                                  \[Trademark]Implies[ 
                                    partial\[Dash]covering[ 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                      \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                  \[Bullet]finfo[ ]], {
                                "simplification object", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], "2", 
                                \[Trademark]Implies[ 
                                  partial\[Dash]covering[ 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]And[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ u, 0], 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                    \[Trademark]Element[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                      \[Bullet]fix[ z, 0]]]]}}}], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ModusPonens", 
                                    \[Bullet]usedFormulae[ "3", "7"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "8", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "8"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "8.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "8.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "8.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "5.1", "8.1", 
                                        "Proposition (black in domino \
unique)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]]], {{"8.1", 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], "5.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        "Proposition (black in domino \
unique)", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "5.1", "8.2", "9"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]]], {{"8.2", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], "5.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "2", "5.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"5.3", 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "2", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "3", "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "13"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "13.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]]], {{"13.2", 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], "10", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "14", "5.4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]]], {{"5.4", 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 0], "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "5.5", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "6", "19"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "white and same covering domino: identical", 
        Times[ 44.770000000000437, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Proposition (white and same covering domino: identical)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ u]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ v]], 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      \[Trademark]Equal[ 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ u]], 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ v]]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ v], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ u]], 1], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ v]], 1]], 
                    \[Trademark]Equal[ 
                      \[Bullet]var[ u], 
                      \[Bullet]var[ v]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (white in domino unique)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ y]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ x], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ y], 
                        \[Bullet]var[ X]], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ x]], 1], 
                      \[Trademark]Equal[ 
                        color[ 
                          \[Bullet]var[ y]], 1]], 
                    \[Trademark]Equal[ 
                      \[Bullet]var[ x], 
                      \[Bullet]var[ y]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Definition (Covering Domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ u]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      \[Trademark]Element[ 
                        \[Bullet]var[ u], 
                        \[Trademark]Union[ 
                          \[Bullet]var[ z]]]], 
                    \[Trademark]EqualByDef[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]][ 
                        \[Bullet]var[ u]], 
                      \[Trademark]SuchThat[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ x]]], True, 
                        \[Trademark]And[ 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ x]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ x]]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ x], 
                            \[Bullet]var[ z]]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ 
                "1", "Definition (Covering Domino)", "KBSuchThatExpansion"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "2", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          domino\[Dash]on\[Dash]board[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]Element[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]var[ z]][ 
                              \[Bullet]var[ u]], 
                            \[Bullet]var[ z]]]]], 
                    \[Bullet]finfo[ ""]], 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]Implies[ 
                        \[Trademark]And[ 
                          partial\[Dash]covering[ 
                            \[Bullet]var[ z]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]]], 
                        \[Trademark]EqualByDef[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]SuchThat[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ x]]], True, 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Bullet]var[ x]], 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ x]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ x], 
                                \[Bullet]var[ z]]]]]]], 
                    \[Bullet]finfo[ ""]], "Definition (Covering Domino)"}], 
                \[Bullet]asml[ {
                  \[Bullet]asml[ 
                    \[Bullet]lf[ "2", 
                      \[Trademark]ForAll[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]], 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ z]]], True, 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            domino\[Dash]on\[Dash]board[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]Element[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]var[ z]][ 
                                \[Bullet]var[ u]], 
                              \[Bullet]var[ z]]]]], 
                      \[Bullet]finfo[ ""]]], "1", "KBSuchThatExpansion"}]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "ArbitraryFixedProveImplication", 
                    \[Bullet]usedFormulae[ 
                    "Proposition (white and same covering domino: \
identical)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "4", 
                        \[Trademark]Implies[ 
                          \[Trademark]And[ 
                            \[Trademark]Equal[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]][ 
                                \[Bullet]fix[ u, 0]], 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]][ 
                                \[Bullet]fix[ v, 0]]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ u, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Element[ 
                              \[Bullet]fix[ v, 0], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]fix[ u, 0]], 1], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]fix[ v, 0]], 1]], 
                          \[Trademark]Equal[ 
                            \[Bullet]fix[ u, 0], 
                            \[Bullet]fix[ v, 0]]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ProveImplication", 
                        \[Bullet]usedFormulae[ "4"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "5", 
                            \[Trademark]And[ 
                              \[Trademark]Equal[ 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]][ 
                                  \[Bullet]fix[ u, 0]], 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]][ 
                                  \[Bullet]fix[ v, 0]]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u, 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ v, 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u, 0]], 1], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ v, 0]], 1]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "6", 
                            \[Trademark]Equal[ 
                              \[Bullet]fix[ u, 0], 
                              \[Bullet]fix[ v, 0]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "5"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5.1", 
                                \[Trademark]Equal[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]][ 
                                    \[Bullet]fix[ u, 0]], 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]][ 
                                    \[Bullet]fix[ v, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.2", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.3", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ v, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.4", 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ u, 0]], 1], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "5.5", 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ v, 0]], 1], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                \[Bullet]usedFormulae[ "2", "5.2"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]Implies[ 
                                      partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                    \[Bullet]finfo[ ]]], {{"5.2", 
                                \[Bullet]lf[ "7", 
                                  \[Trademark]Implies[ 
                                    partial\[Dash]covering[ 
                                      \[Bullet]fix[ z, 0]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                      \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                  \[Bullet]finfo[ ]], {
                                "simplification object", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], "2", 
                                \[Trademark]Implies[ 
                                  partial\[Dash]covering[ 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]And[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ u, 0], 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                    \[Trademark]Element[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                      \[Bullet]fix[ z, 0]]]]}}}], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ModusPonens", 
                                    \[Bullet]usedFormulae[ "3", "7"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "8", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "8"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "8.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "8.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "8.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "5.1", "8.1", 
                                        "Proposition (white in domino \
unique)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]]], {{"8.1", 
                                        \[Bullet]lf[ "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], "5.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        "Proposition (white in domino \
unique)", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ x]], 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ x], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ x]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]var[ x], 
                                        \[Bullet]var[ y]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "5.1", "8.2", "9"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]]], {{"8.2", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0]]], "5.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], "9", 
                                        \[Trademark]ForAll[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ y]]], True, 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ y], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ y]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]var[ y]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "2", "5.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {{"5.3", 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], "2", 
                                        \[Trademark]Implies[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "3", "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "13"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.3", 
                                        \[Trademark]Element[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "10", "13.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]]], {{"13.2", 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0]]], "10", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "14", "5.4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]]], {{"5.4", 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0]], 1], "14", 
                                        \[Trademark]Implies[ 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ModusPonens", 
                                        \[Bullet]usedFormulae[ "5.5", "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u, 0], 
                                        \[Bullet]fix[ v, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "6", "19"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering domino bijective from black fields", 
        Times[ 90.529999999999745, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Lemma (covering domino bijective from black fields)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]IsFunctionFromTo[ 
                    \[Trademark]Subscript[ covering\[Dash]domino, 
                      \[Bullet]var[ z]], "intensional", "set", "bijective", 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 0]], 
                      \[Bullet]var[ u]], 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ d]]], 
                      \[Trademark]And[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]]], 
                      \[Bullet]var[ d]], None]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Proposition (own covering domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ d]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ d]]], 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ x], 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ x], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]]], 
                      \[Trademark]Equal[ 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ x]], 
                        \[Bullet]var[ d]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Lemma (different color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]]], True, 
                  \[Trademark]Implies[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ v]]], True, 
                      \[Trademark]And[ 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Bullet]var[ X]]], 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ v]], 1]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ 
              "Proposition (black and same covering domino: identical)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ u]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ v]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ v]]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ v], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 0], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ v]], 0]], 
                      \[Trademark]Equal[ 
                        \[Bullet]var[ u], 
                        \[Bullet]var[ v]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ "Lemma (different color)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]], "Lemma (different color)"}], 
                \[Bullet]asml[ ]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SkolemFunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ X]]], True, 
                          \[Trademark]Implies[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ X]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ v, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u, 0][ 
                                    \[Bullet]var[ X]]], 0], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ v, 0][ 
                                    \[Bullet]var[ X]]], 1]]]], 
                        \[Bullet]finfo[ ""]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ 
                        "Lemma (covering domino bijective from black \
fields)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            partial\[Dash]covering[ 
                              \[Bullet]fix[ z, 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "4", 
                            \[Trademark]IsFunctionFromTo[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]], "intensional", "set", 
                              "bijective", 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 0]], 
                                \[Bullet]var[ u]], 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]], None], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "Bijectivity", 
                            \[Bullet]usedFormulae[ "4"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5", 
                                \[Trademark]IsFunctionFromTo[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]], "intensional", 
                                  "set", "injective", 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                    \[Bullet]var[ u]], 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]var[ d]], None], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "6", 
                                \[Trademark]IsFunctionFromTo[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]], "intensional", 
                                  "set", "surjective", 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                    \[Bullet]var[ u]], 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]var[ d]], None], 
                                \[Bullet]finfo[ ]]], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "Injectivity", 
                                \[Bullet]usedFormulae[ "5"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ u3, 0], 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                        \[Bullet]var[ u]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "8", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                        \[Bullet]var[ u]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "9", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "10", 
                                    \[Trademark]Equal[ 
                                      \[Bullet]fix[ u3, 0], 
                                      \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 
                                    \[Bullet]finfo[ ]]], 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                    \[Bullet]usedFormulae[ "7", "8"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "11", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0]], 
                                        \[Bullet]finfo[ ]], 
                                      \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0]], 
                                        \[Bullet]finfo[ ]]], 
                                    \[Bullet]asml[ ], 
                                    \[Bullet]asml[ {
                                      \[Bullet]asml[ 
                                        \[Bullet]lf[ "11", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0]], 
                                        \[Bullet]finfo[ ]]], "7"}, {
                                      \[Bullet]asml[ 
                                        \[Bullet]lf[ "12", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0]], 
                                        \[Bullet]finfo[ ]]], "8"}]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "11"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "11.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "11.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "12"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "12.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "12.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "10", 
                                        "Proposition (black and same covering \
domino: identical)"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 
                                        "Proposition (black and same covering \
domino: identical)", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "11.2", "12.2", "9", "17"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]], 
                                        "FullSimplify", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "18", "11.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "19", 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        z] :> \[Bullet]fix[ z, 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "11.2", "12.2", "9", "19"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "20", 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]], 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]], 
                                        "FullSimplify", 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "20"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "20.1", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "20.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "20.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "20.1", "3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "20.2", "11.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "20.3", "12.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"], 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "Surjectivity", 
                                \[Bullet]usedFormulae[ "6"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "21", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]var[ d]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "22", 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]]], True, 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]], 
                                        \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                        \[Bullet]var[ u]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                    \[Bullet]finfo[ ]]], 
                                \[Trademark]Subscript[ 
                                covering\[Dash]domino, 
                                  \[Bullet]fix[ z, 0]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                    \[Bullet]usedFormulae[ "21"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "23", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                    \[Bullet]asml[ ], 
                                    \[Bullet]asml[ {
                                      \[Bullet]asml[ 
                                        \[Bullet]lf[ "23", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], "21"}]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipAbstraction", 
                                        \[Bullet]usedFormulae[ "22"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "24", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ "24"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "25", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 0]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ 
                                        Removed[ "u5"]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "23"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "23.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "23.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "2", "23.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"23.1", 
                                        \[Bullet]lf[ "26", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], "2", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "26"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "26.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "26.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "26.3", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "26.4", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "25", "26.3"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "27", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "u5"]] :> \[Bullet]fix[ 
                                        u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "SetComputation", 
                                        \[Bullet]usedFormulae[ 
                                        "26.3", "26.4", "27"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "28", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]finfo[ ]]], 
                                        CObj[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        "FullSimplify", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "28"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "28.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "28.2", 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "28.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "29", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z3"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]var[ 
                                        Removed[ "z3"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z3"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "29", "26.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "30", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z3"]] :> \[Bullet]fix[ 
                                        Removed[ "d1"], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "30"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "30.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "30.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "30.1", "26.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "30.2", "23.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "28.2", 
                                        "Proposition (own covering domino)"], \

                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "31", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        "Proposition (own covering domino)", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "31"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "31.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "31.2", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "31.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "31.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "31.5", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "31.1", "23.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "31.2", "3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "31.3", "23.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "31.4", "26.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "31.5"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "32", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z4"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]var[ 
                                        Removed[ "z4"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z4"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "32", "26.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "33", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z4"]] :> \[Bullet]fix[ 
                                        Removed[ "d1"], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "33"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "33.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "33.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "33.1", "26.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "33.2", "23.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
                          1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering domino injective from white fields", 
        Times[ 21.710000000000036, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Lemma (covering domino injective from white fields)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]IsFunctionFromTo[ 
                    \[Trademark]Subscript[ covering\[Dash]domino, 
                      \[Bullet]var[ z]], "intensional", "set", "injective", 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 1]], 
                      \[Bullet]var[ u]], 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ d]]], 
                      \[Trademark]And[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]]], 
                      \[Bullet]var[ d]], None]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ 
              "Proposition (white and same covering domino: identical)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ u]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ v]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ u]], 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]var[ z]][ 
                            \[Bullet]var[ v]]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ v], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 1], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ v]], 1]], 
                      \[Trademark]Equal[ 
                        \[Bullet]var[ u], 
                        \[Bullet]var[ v]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Lemma (covering domino injective from white fields)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]fix[ z, 0]], "intensional", "set", 
                      "injective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]fix[ z, 0]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]fix[ z, 0]]], 
                        \[Bullet]var[ d]], None], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "Injectivity", 
                    \[Bullet]usedFormulae[ "2"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ u3, 0], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 1]], 
                            \[Bullet]var[ u]]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "4", 
                        \[Trademark]Element[ 
                          \[Bullet]fix[ 
                            Removed[ "u4"], 0], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 1]], 
                            \[Bullet]var[ u]]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "5", 
                        \[Trademark]Equal[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]][ 
                            \[Bullet]fix[ u3, 0]], 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]][ 
                            \[Bullet]fix[ 
                              Removed[ "u4"], 0]]], 
                        \[Bullet]finfo[ ]], 
                      \[Bullet]lf[ "6", 
                        \[Trademark]Equal[ 
                          \[Bullet]fix[ u3, 0], 
                          \[Bullet]fix[ 
                            Removed[ "u4"], 0]], 
                        \[Bullet]finfo[ ]]], 
                    \[Trademark]Subscript[ covering\[Dash]domino, 
                      \[Bullet]fix[ z, 0]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "NewKnowledge", 
                        \[Bullet]usedFormulae[ "3", "4"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "7", 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u3, 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u3, 0]], 1]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "8", 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ 
                                  Removed[ "u4"], 0], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ 
                                    Removed[ "u4"], 0]], 1]], 
                            \[Bullet]finfo[ ]]], 
                        \[Bullet]asml[ ], 
                        \[Bullet]asml[ {
                          \[Bullet]asml[ 
                            \[Bullet]lf[ "7", 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u3, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ u3, 0]], 1]], 
                              \[Bullet]finfo[ ]]], "3"}, {
                          \[Bullet]asml[ 
                            \[Bullet]lf[ "8", 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ 
                                    Removed[ "u4"], 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ 
                                      Removed[ "u4"], 0]], 1]], 
                              \[Bullet]finfo[ ]]], "4"}]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "7"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "7.1", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ u3, 0], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "7.2", 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]fix[ u3, 0]], 1], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                                \[Bullet]usedFormulae[ "8"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "8.1", 
                                    \[Trademark]Element[ 
                                      \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]finfo[ ]], 
                                  \[Bullet]lf[ "8.2", 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 1], 
                                    \[Bullet]finfo[ ]]]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "GoalRewriting", 
                                    \[Bullet]usedFormulae[ 
                                    "6", "Proposition (white and same \
covering domino: identical)"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]], 
                                        \[Bullet]finfo[ ]]], {
                                    "simplification object", 
                                    \[Trademark]Equal[ 
                                      \[Bullet]fix[ u3, 0], 
                                      \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 
                                    "Proposition (white and same covering \
domino: identical)", 
                                    \[Trademark]Exists[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ z]]], True, 
                                      \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]var[ z]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]var[ z]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]var[ z]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]]]}], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "17", "7.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]And[ 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 1], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 1], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        z] :> \[Bullet]fix[ z, 0]}], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18.1", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u3, 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.4", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u3, 0]], 1], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.5", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]], 1], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.6", 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ u3, 0]], 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ 
                                        Removed[ "u4"], 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "18.1", "1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.2", "7.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.3", "8.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.4", "7.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.5", "8.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "18.6", "5"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering domino surjective from white fields", 
        Times[ 49.829999999999927, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Lemma (covering domino surjective from white fields)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]IsFunctionFromTo[ 
                    \[Trademark]Subscript[ covering\[Dash]domino, 
                      \[Bullet]var[ z]], "intensional", "set", "surjective", 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 1]], 
                      \[Bullet]var[ u]], 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ d]]], 
                      \[Trademark]And[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]]], 
                      \[Bullet]var[ d]], None]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Lemma (different color)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ X]]], True, 
                  \[Trademark]Implies[ 
                    domino\[Dash]on\[Dash]board[ 
                      \[Bullet]var[ X]], 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]], 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ v]]], True, 
                      \[Trademark]And[ 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Bullet]var[ X]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ v], 
                            \[Bullet]var[ X]]], 
                        \[Trademark]And[ 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ v]], 1]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Proposition (own covering domino)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ d]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ x]], 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    \[Trademark]And[ 
                      partial\[Dash]covering[ 
                        \[Bullet]var[ z]], 
                      domino\[Dash]on\[Dash]board[ 
                        \[Bullet]var[ d]]], 
                    \[Trademark]Implies[ 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ x], 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ x], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]]], 
                      \[Trademark]Equal[ 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]var[ z]][ 
                          \[Bullet]var[ x]], 
                        \[Bullet]var[ d]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "NewKnowledge", 
                \[Bullet]usedFormulae[ "Lemma (different color)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]]], 
                \[Bullet]asml[ {
                  \[Bullet]lf[ "1", 
                    \[Trademark]ForAll[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ X]]], True, 
                      \[Trademark]Implies[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ X]], 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]], 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ v]]], True, 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ v], 
                              \[Bullet]var[ X]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ v]], 1]]]]], 
                    \[Bullet]finfo[ ""]], "Lemma (different color)"}], 
                \[Bullet]asml[ ]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SkolemFunction", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        \[Trademark]ForAll[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ X]]], True, 
                          \[Trademark]Implies[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ X]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ u, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Element[ 
                                \[Bullet]fix[ v, 0][ 
                                  \[Bullet]var[ X]], 
                                \[Bullet]var[ X]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ u, 0][ 
                                    \[Bullet]var[ X]]], 0], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]fix[ v, 0][ 
                                    \[Bullet]var[ X]]], 1]]]], 
                        \[Bullet]finfo[ ""]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "ArbitraryFixedProveImplication", 
                        \[Bullet]usedFormulae[ 
                        "Lemma (covering domino surjective from white \
fields)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            partial\[Dash]covering[ 
                              \[Bullet]fix[ z, 0]], 
                            \[Bullet]finfo[ ]], 
                          \[Bullet]lf[ "4", 
                            \[Trademark]IsFunctionFromTo[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]], "intensional", "set", 
                              "surjective", 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 1]], 
                                \[Bullet]var[ u]], 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]], None], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "Surjectivity", 
                            \[Bullet]usedFormulae[ "4"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5", 
                                \[Trademark]Element[ 
                                  \[Bullet]fix[ 
                                    Removed[ "d1"], 0], 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]var[ d]]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "6", 
                                \[Trademark]Exists[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u3]]], True, 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u3], 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1]], 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]Equal[ 
                                      \[Trademark]Subscript[ 
                                      covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ u3]], 
                                      \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                \[Bullet]finfo[ ]]], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                \[Bullet]usedFormulae[ "5"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "7", 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]finfo[ ]]], 
                                \[Bullet]asml[ ], 
                                \[Bullet]asml[ {
                                  \[Bullet]asml[ 
                                    \[Bullet]lf[ "7", 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Bullet]finfo[ ]]], "5"}]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "MembershipAbstraction", 
                                    \[Bullet]usedFormulae[ "6"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "8", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u3]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u3], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u3]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]var[ u3]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "7"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "7.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "7.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "KnowledgeRewriting", 
                                        \[Bullet]usedFormulae[ "2", "7.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Bullet]finfo[ ]]], {{"7.1", 
                                        \[Bullet]lf[ "10", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Bullet]finfo[ ]], {
                                        "simplification object", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], "2", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]]}}}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "AssumptionIsConjunction", 
                                        \[Bullet]usedFormulae[ "10"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "10.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.3", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ u, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 0], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "10.4", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ "8", "10.4"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13", 
                                        \[Trademark]And[ 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        u3] :> \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "13"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13.1", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.2", 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "13.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "13.1.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "13.1.2", 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 1], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "13.1.1"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "14", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z1"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]var[ 
                                        Removed[ "z1"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z1"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "14", "10.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z1"]] :> \[Bullet]fix[ 
                                        Removed[ "d1"], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "15"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "15.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "15.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "15.1", "10.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "15.2", "7.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "13.1.2", "10.4"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "GoalRewriting", 
                                        \[Bullet]usedFormulae[ 
                                        "13.2", 
                                        "Proposition (own covering domino)"], \

                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]], {
                                        "simplification object", 
                                        \[Trademark]Equal[ 
                                        \[Trademark]Subscript[ 
                                        covering\[Dash]domino, 
                                        \[Bullet]fix[ z, 0]][ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        "Proposition (own covering domino)", 
                                        \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "16"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "16.1", 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.2", 
                                        partial\[Dash]covering[ 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.3", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.4", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "16.5", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "16.1", "7.1"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ "16.2", "3"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "16.3", "7.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "16.4", "10.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MembershipUnionOf", 
                                        \[Bullet]usedFormulae[ "16.5"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "17", 
                                        \[Trademark]Exists[ 
                                        \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]]], True, 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ 
                                        Removed[ "z2"]], 
                                        \[Bullet]fix[ z, 0]]]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "MatchExistSubgoal", 
                                        \[Bullet]usedFormulae[ 
                                        "17", "10.2"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18", 
                                        \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Bullet]finfo[ ]]], {\[Bullet]var[ 
                                        Removed[ "z2"]] :> \[Bullet]fix[ 
                                        Removed[ "d1"], 0]}], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ProveConjunction", 
                                        \[Bullet]usedFormulae[ "18"], 
                                        \[Bullet]generatedFormulae[ 
                                        \[Bullet]lf[ "18.1", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ v, 0][ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0]], 
                                        \[Bullet]finfo[ ]], 
                                        \[Bullet]lf[ "18.2", 
                                        \[Trademark]Element[ 
                                        \[Bullet]fix[ 
                                        Removed[ "d1"], 0], 
                                        \[Bullet]fix[ z, 0]], 
                                        \[Bullet]finfo[ ]]]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.1", "10.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "ConclusionIsAssumption", 
                                        \[Bullet]usedFormulae[ 
                                        "18.2", "7.2"], 
                                        \[Bullet]generatedFormulae[ ]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ ]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                        1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
                                         
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}],
                                         
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                        
                                        Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ 
                                        \[Bullet]sl[ 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         3}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                        \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                    \[Bullet]sl[ 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                                         2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 2, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                         3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                        2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 2}], 
                                        \[Bullet]rstrs[ ]], 
                                      \[Bullet]syst[ 
                                        \[Bullet]sub[ ], 
                                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 
                                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                         2, 1, 2, 1, 2, 1, 2, 3}], 
                                        \[Bullet]rstrs[ ]]]], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                                \[Bullet]sl[ 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 
                                      2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 
                                      2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 
                                      2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                      3}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 2}], 
                                    \[Bullet]rstrs[ ]], 
                                  \[Bullet]syst[ 
                                    \[Bullet]sub[ ], 
                                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2,
                                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                      2, 1, 2, 1, 2, 3}], 
                                    \[Bullet]rstrs[ ]]]], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 5, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 5, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                                  2, 5, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 3}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
                          2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                       2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                       2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                       2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                       2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5,
                       2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 5, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {
        "covering domino bijective from white fields", 
        Times[ 5.0399999999999636, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Corollary (covering domino bijective from white fields)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]IsFunctionFromTo[ 
                    \[Trademark]Subscript[ covering\[Dash]domino, 
                      \[Bullet]var[ z]], "intensional", "set", "bijective", 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ u]]], 
                      \[Trademark]And[ 
                        \[Trademark]Element[ 
                          \[Bullet]var[ u], 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]]], 
                        \[Trademark]Equal[ 
                          color[ 
                            \[Bullet]var[ u]], 1]], 
                      \[Bullet]var[ u]], 
                    \[Trademark]SetOf[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ d]]], 
                      \[Trademark]And[ 
                        domino\[Dash]on\[Dash]board[ 
                          \[Bullet]var[ d]], 
                        \[Trademark]Element[ 
                          \[Bullet]var[ d], 
                          \[Bullet]var[ z]]], 
                      \[Bullet]var[ d]], None]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ 
              "Lemma (covering domino injective from white fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "injective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ 
              "Lemma (covering domino surjective from white fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "surjective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Corollary (covering domino bijective from white fields)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]fix[ z, 0]], "intensional", "set", 
                      "bijective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]fix[ z, 0]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]fix[ z, 0]]], 
                        \[Bullet]var[ d]], None], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "KnowledgeRewriting", 
                    \[Bullet]usedFormulae[ 
                    "1", "Lemma (covering domino injective from white \
fields)"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]IsFunctionFromTo[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]], "intensional", "set", 
                          "injective", 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 1]], 
                            \[Bullet]var[ u]], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ d]]], 
                            \[Trademark]And[ 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ d]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ d], 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]var[ d]], None], 
                        \[Bullet]finfo[ ]]], {{"1", 
                    \[Bullet]lf[ "3", 
                      \[Trademark]IsFunctionFromTo[ 
                        \[Trademark]Subscript[ covering\[Dash]domino, 
                          \[Bullet]fix[ z, 0]], "intensional", "set", 
                        "injective", 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 1]], 
                          \[Bullet]var[ u]], 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]fix[ z, 0]]], 
                          \[Bullet]var[ d]], None], 
                      \[Bullet]finfo[ ]], {"simplification object", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    "Lemma (covering domino injective from white fields)", 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]fix[ z, 0]], "intensional", "set", 
                      "injective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]fix[ z, 0]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]fix[ z, 0]]], 
                        \[Bullet]var[ d]], None]}}}], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1", "Lemma (covering domino surjective from white \
fields)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]IsFunctionFromTo[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]], "intensional", "set", 
                              "surjective", 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 1]], 
                                \[Bullet]var[ u]], 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]], None], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "4", 
                          \[Trademark]IsFunctionFromTo[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]], "intensional", "set", 
                            "surjective", 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 1]], 
                              \[Bullet]var[ u]], 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]], None], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        "Lemma (covering domino surjective from white \
fields)", 
                        \[Trademark]IsFunctionFromTo[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]], "intensional", "set", 
                          "surjective", 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 1]], 
                            \[Bullet]var[ u]], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ d]]], 
                            \[Trademark]And[ 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ d]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ d], 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]var[ d]], None]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "Bijectivity", 
                            \[Bullet]usedFormulae[ "2"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5", 
                                \[Trademark]IsFunctionFromTo[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]], "intensional", 
                                  "set", "injective", 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1]], 
                                    \[Bullet]var[ u]], 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]var[ d]], None], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "6", 
                                \[Trademark]IsFunctionFromTo[ 
                                  \[Trademark]Subscript[ 
                                  covering\[Dash]domino, 
                                    \[Bullet]fix[ z, 0]], "intensional", 
                                  "set", "surjective", 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]And[ 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1]], 
                                    \[Bullet]var[ u]], 
                                  \[Trademark]SetOf[ 
                                    \[Bullet]range[ 
                                      \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                    \[Trademark]And[ 
                                      domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                      \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Bullet]var[ d]], None], 
                                \[Bullet]finfo[ ]]], 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ConclusionIsAssumption", 
                                \[Bullet]usedFormulae[ "5", "3"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"], 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ConclusionIsAssumption", 
                                \[Bullet]usedFormulae[ "6", "4"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ ]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"number of dominos", 
        Times[ 6.2699999999995271, Second], {
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Corollary (number of dominos): 1", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]Equal[ 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0]], 
                        \[Bullet]var[ u]]], 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ 
              "Lemma (covering domino bijective from black fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "bijective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ 
              "Corollary (covering domino bijective from white fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "bijective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ "Corollary (number of dominos): 1"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]fix[ z, 0]]], 
                          \[Bullet]var[ d]]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SameCardinality", 
                    \[Bullet]usedFormulae[ "2"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u3]]], True, 
                          \[Trademark]IsFunctionFromTo[ 
                            \[Bullet]var[ u3], "intensional", "set", 
                            "bijective", 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0]], 
                              \[Bullet]var[ u]], 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]], None]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1", "Lemma (covering domino bijective from black \
fields)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]IsFunctionFromTo[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]], "intensional", "set", 
                              "bijective", 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 0]], 
                                \[Bullet]var[ u]], 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]], None], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "4", 
                          \[Trademark]IsFunctionFromTo[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]], "intensional", "set", 
                            "bijective", 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0]], 
                              \[Bullet]var[ u]], 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]], None], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        "Lemma (covering domino bijective from black \
fields)", 
                        \[Trademark]IsFunctionFromTo[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]], "intensional", "set", 
                          "bijective", 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 0]], 
                            \[Bullet]var[ u]], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ d]]], 
                            \[Trademark]And[ 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ d]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ d], 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]var[ d]], None]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "InstanceOfExistential", 
                            \[Bullet]usedFormulae[ "3", "4"], 
                            \[Bullet]generatedFormulae[ ], {\[Bullet]var[ 
                            u3] :> \[Trademark]Subscript[ 
                            covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]]}], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 ], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Corollary (number of dominos): 2", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]Equal[ 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]]], 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ 
              "Lemma (covering domino bijective from black fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "bijective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ 
              "Corollary (covering domino bijective from white fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]IsFunctionFromTo[ 
                      \[Trademark]Subscript[ covering\[Dash]domino, 
                        \[Bullet]var[ z]], "intensional", "set", 
                      "bijective", 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]], 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ d]]], 
                        \[Trademark]And[ 
                          domino\[Dash]on\[Dash]board[ 
                            \[Bullet]var[ d]], 
                          \[Trademark]Element[ 
                            \[Bullet]var[ d], 
                            \[Bullet]var[ z]]], 
                        \[Bullet]var[ d]], None]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ "Corollary (number of dominos): 2"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 1]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]fix[ z, 0]]], 
                          \[Bullet]var[ d]]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "SameCardinality", 
                    \[Bullet]usedFormulae[ "2"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ 
                                Removed[ "u4"]]]], True, 
                          \[Trademark]IsFunctionFromTo[ 
                            \[Bullet]var[ 
                              Removed[ "u4"]], "intensional", "set", 
                            "bijective", 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 1]], 
                              \[Bullet]var[ u]], 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]], None]], 
                        \[Bullet]finfo[ ]]]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1", "Corollary (covering domino bijective from white \
fields)"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "5", 
                            \[Trademark]IsFunctionFromTo[ 
                              \[Trademark]Subscript[ covering\[Dash]domino, 
                                \[Bullet]fix[ z, 0]], "intensional", "set", 
                              "bijective", 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 1]], 
                                \[Bullet]var[ u]], 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]], None], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "5", 
                          \[Trademark]IsFunctionFromTo[ 
                            \[Trademark]Subscript[ covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]], "intensional", "set", 
                            "bijective", 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 1]], 
                              \[Bullet]var[ u]], 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]], None], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        "Corollary (covering domino bijective from white \
fields)", 
                        \[Trademark]IsFunctionFromTo[ 
                          \[Trademark]Subscript[ covering\[Dash]domino, 
                            \[Bullet]fix[ z, 0]], "intensional", "set", 
                          "bijective", 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 1]], 
                            \[Bullet]var[ u]], 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ d]]], 
                            \[Trademark]And[ 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ d]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ d], 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]var[ d]], None]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "InstanceOfExistential", 
                            \[Bullet]usedFormulae[ "3", "5"], 
                            \[Bullet]generatedFormulae[ ], {\[Bullet]var[ 
                              Removed[ "u4"]] :> \[Trademark]Subscript[ 
                            covering\[Dash]domino, 
                              \[Bullet]fix[ z, 0]]}], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 ], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}}, {
        "equally many black and white covered fields", 
        Times[ 3.1700000000000728, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ 
            "Lemma (equally many black and white covered fields)", 
              \[Trademark]ForAll[ 
                \[Bullet]range[ 
                  \[Bullet]simpleRange[ 
                    \[Bullet]var[ z]]], True, 
                \[Trademark]Implies[ 
                  partial\[Dash]covering[ 
                    \[Bullet]var[ z]], 
                  \[Trademark]Equal[ 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0]], 
                        \[Bullet]var[ u]]], 
                    \[Trademark]BracketingBar[ 
                      \[Trademark]SetOf[ 
                        \[Bullet]range[ 
                          \[Bullet]simpleRange[ 
                            \[Bullet]var[ u]]], 
                        \[Trademark]And[ 
                          \[Trademark]Element[ 
                            \[Bullet]var[ u], 
                            \[Trademark]Union[ 
                              \[Bullet]var[ z]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1]], 
                        \[Bullet]var[ u]]]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ "Corollary (number of dominos): 1", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]var[ z]]], 
                          \[Bullet]var[ d]]]]]], 
                \[Bullet]finfo[ ""]], 
              \[Bullet]lf[ "Corollary (number of dominos): 2", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 1]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]var[ z]]], 
                          \[Bullet]var[ d]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ArbitraryFixedProveImplication", 
                \[Bullet]usedFormulae[ 
                "Lemma (equally many black and white covered fields)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "1", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    \[Bullet]finfo[ ]], 
                  \[Bullet]lf[ "2", 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 1]], 
                          \[Bullet]var[ u]]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "KnowledgeRewriting", 
                    \[Bullet]usedFormulae[ 
                    "1", "Corollary (number of dominos): 1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "3", 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 0]], 
                              \[Bullet]var[ u]]], 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]]]], 
                        \[Bullet]finfo[ ]]], {{"1", 
                    \[Bullet]lf[ "3", 
                      \[Trademark]Equal[ 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ u]]], 
                            \[Trademark]And[ 
                              \[Trademark]Element[ 
                                \[Bullet]var[ u], 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Trademark]Equal[ 
                                color[ 
                                  \[Bullet]var[ u]], 0]], 
                            \[Bullet]var[ u]]], 
                        \[Trademark]BracketingBar[ 
                          \[Trademark]SetOf[ 
                            \[Bullet]range[ 
                              \[Bullet]simpleRange[ 
                                \[Bullet]var[ d]]], 
                            \[Trademark]And[ 
                              domino\[Dash]on\[Dash]board[ 
                                \[Bullet]var[ d]], 
                              \[Trademark]Element[ 
                                \[Bullet]var[ d], 
                                \[Bullet]fix[ z, 0]]], 
                            \[Bullet]var[ d]]]], 
                      \[Bullet]finfo[ ]], {"simplification object", 
                    partial\[Dash]covering[ 
                      \[Bullet]fix[ z, 0]], 
                    "Corollary (number of dominos): 1", 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ u]]], 
                          \[Trademark]And[ 
                            \[Trademark]Element[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]fix[ z, 0]]], 
                            \[Trademark]Equal[ 
                              color[ 
                                \[Bullet]var[ u]], 0]], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ d]]], 
                          \[Trademark]And[ 
                            domino\[Dash]on\[Dash]board[ 
                              \[Bullet]var[ d]], 
                            \[Trademark]Element[ 
                              \[Bullet]var[ d], 
                              \[Bullet]fix[ z, 0]]], 
                          \[Bullet]var[ d]]]]}}}], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "KnowledgeRewriting", 
                        \[Bullet]usedFormulae[ 
                        "1", "Corollary (number of dominos): 2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "4", 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ u]], 1]], 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ d]]], 
                                  \[Trademark]And[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Bullet]var[ d]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ d], 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Bullet]var[ d]]]], 
                            \[Bullet]finfo[ ]]], {{"1", 
                        \[Bullet]lf[ "4", 
                          \[Trademark]Equal[ 
                            \[Trademark]BracketingBar[ 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ u]]], 
                                \[Trademark]And[ 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ u], 
                                    \[Trademark]Union[ 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Trademark]Equal[ 
                                    color[ 
                                      \[Bullet]var[ u]], 1]], 
                                \[Bullet]var[ u]]], 
                            \[Trademark]BracketingBar[ 
                              \[Trademark]SetOf[ 
                                \[Bullet]range[ 
                                  \[Bullet]simpleRange[ 
                                    \[Bullet]var[ d]]], 
                                \[Trademark]And[ 
                                  domino\[Dash]on\[Dash]board[ 
                                    \[Bullet]var[ d]], 
                                  \[Trademark]Element[ 
                                    \[Bullet]var[ d], 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Bullet]var[ d]]]], 
                          \[Bullet]finfo[ ]], {"simplification object", 
                        partial\[Dash]covering[ 
                          \[Bullet]fix[ z, 0]], 
                        "Corollary (number of dominos): 2", 
                        \[Trademark]Equal[ 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]And[ 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ u], 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]]], 
                                \[Trademark]Equal[ 
                                  color[ 
                                    \[Bullet]var[ u]], 1]], 
                              \[Bullet]var[ u]]], 
                          \[Trademark]BracketingBar[ 
                            \[Trademark]SetOf[ 
                              \[Bullet]range[ 
                                \[Bullet]simpleRange[ 
                                  \[Bullet]var[ d]]], 
                              \[Trademark]And[ 
                                domino\[Dash]on\[Dash]board[ 
                                  \[Bullet]var[ d]], 
                                \[Trademark]Element[ 
                                  \[Bullet]var[ d], 
                                  \[Bullet]fix[ z, 0]]], 
                              \[Bullet]var[ d]]]]}}}], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "GoalRewriting", 
                            \[Bullet]usedFormulae[ "2", "4"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "5", 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ u]]], 
                                      \[Trademark]And[ 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0]], 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]simpleRange[ 
                                        \[Bullet]var[ d]]], 
                                      \[Trademark]And[ 
                                        domino\[Dash]on\[Dash]board[ 
                                        \[Bullet]var[ d]], 
                                        \[Trademark]Element[ 
                                        \[Bullet]var[ d], 
                                        \[Bullet]fix[ z, 0]]], 
                                      \[Bullet]var[ d]]]], 
                                \[Bullet]finfo[ ]]], {
                            "simplification object", 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ u]], 0]], 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ u]], 1]], 
                                  \[Bullet]var[ u]]]], "4", 
                            \[Trademark]Equal[ 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]And[ 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ u], 
                                      \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]], 
                                    \[Trademark]Equal[ 
                                      color[ 
                                        \[Bullet]var[ u]], 0]], 
                                  \[Bullet]var[ u]]], 
                              \[Trademark]BracketingBar[ 
                                \[Trademark]SetOf[ 
                                  \[Bullet]range[ 
                                    \[Bullet]simpleRange[ 
                                      \[Bullet]var[ d]]], 
                                  \[Trademark]And[ 
                                    domino\[Dash]on\[Dash]board[ 
                                      \[Bullet]var[ d]], 
                                    \[Trademark]Element[ 
                                      \[Bullet]var[ d], 
                                      \[Bullet]fix[ z, 0]]], 
                                  \[Bullet]var[ d]]]]}], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "ConclusionIsAssumption", 
                                \[Bullet]usedFormulae[ "5", "3"], 
                                \[Bullet]generatedFormulae[ ]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ ], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}, {"mutilated checkerboard", 
        Times[ 22.4399999999996, Second], 
        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
          Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
          "InitialProofSituation", 
            \[Bullet]lf[ "Theorem (mutilated checkerboard)", 
              \[Trademark]Not[ 
                \[Trademark]Exists[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]And[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Equal[ 
                      \[Trademark]Union[ 
                        \[Bullet]var[ z]], Mutilated\[Dash]Board]]]], 
              \[Bullet]finfo[ ]], 
            \[Bullet]asml[ 
              \[Bullet]lf[ 
              "Lemma (equally many black and white covered fields)", 
                \[Trademark]ForAll[ 
                  \[Bullet]range[ 
                    \[Bullet]simpleRange[ 
                      \[Bullet]var[ z]]], True, 
                  \[Trademark]Implies[ 
                    partial\[Dash]covering[ 
                      \[Bullet]var[ z]], 
                    \[Trademark]Equal[ 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]setRange[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 0], 
                          \[Bullet]var[ u]]], 
                      \[Trademark]BracketingBar[ 
                        \[Trademark]SetOf[ 
                          \[Bullet]range[ 
                            \[Bullet]setRange[ 
                              \[Bullet]var[ u], 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]]]], 
                          \[Trademark]Equal[ 
                            color[ 
                              \[Bullet]var[ u]], 1], 
                          \[Bullet]var[ u]]]]]], 
                \[Bullet]finfo[ ""]]]], 
          Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
            Theorema`Provers`Common`ProofObject`Private`AndNode[ 
              Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
              "ProofByContradiction", 
                \[Bullet]usedFormulae[ "Theorem (mutilated checkerboard)"], 
                \[Bullet]generatedFormulae[ 
                  \[Bullet]lf[ "a contradiction", False, Null], 
                  \[Bullet]lf[ "1", 
                    \[Trademark]Exists[ 
                      \[Bullet]range[ 
                        \[Bullet]simpleRange[ 
                          \[Bullet]var[ z]]], True, 
                      \[Trademark]And[ 
                        partial\[Dash]covering[ 
                          \[Bullet]var[ z]], 
                        \[Trademark]Equal[ 
                          \[Trademark]Union[ 
                            \[Bullet]var[ z]], Mutilated\[Dash]Board]]], 
                    \[Bullet]finfo[ ]]]], 
              Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                  Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                  "NewKnowledge", 
                    \[Bullet]usedFormulae[ "1"], 
                    \[Bullet]generatedFormulae[ 
                      \[Bullet]lf[ "2", 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ z]]], True, 
                          \[Trademark]And[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]Equal[ 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]], 
                              \[Trademark]Set[ 
                                \[Trademark]Tuple[ 0, 1], 
                                \[Trademark]Tuple[ 0, 2], 
                                \[Trademark]Tuple[ 0, 3], 
                                \[Trademark]Tuple[ 0, 4], 
                                \[Trademark]Tuple[ 0, 5], 
                                \[Trademark]Tuple[ 0, 6], 
                                \[Trademark]Tuple[ 0, 7], 
                                \[Trademark]Tuple[ 1, 0], 
                                \[Trademark]Tuple[ 1, 1], 
                                \[Trademark]Tuple[ 1, 2], 
                                \[Trademark]Tuple[ 1, 3], 
                                \[Trademark]Tuple[ 1, 4], 
                                \[Trademark]Tuple[ 1, 5], 
                                \[Trademark]Tuple[ 1, 6], 
                                \[Trademark]Tuple[ 1, 7], 
                                \[Trademark]Tuple[ 2, 0], 
                                \[Trademark]Tuple[ 2, 1], 
                                \[Trademark]Tuple[ 2, 2], 
                                \[Trademark]Tuple[ 2, 3], 
                                \[Trademark]Tuple[ 2, 4], 
                                \[Trademark]Tuple[ 2, 5], 
                                \[Trademark]Tuple[ 2, 6], 
                                \[Trademark]Tuple[ 2, 7], 
                                \[Trademark]Tuple[ 3, 0], 
                                \[Trademark]Tuple[ 3, 1], 
                                \[Trademark]Tuple[ 3, 2], 
                                \[Trademark]Tuple[ 3, 3], 
                                \[Trademark]Tuple[ 3, 4], 
                                \[Trademark]Tuple[ 3, 5], 
                                \[Trademark]Tuple[ 3, 6], 
                                \[Trademark]Tuple[ 3, 7], 
                                \[Trademark]Tuple[ 4, 0], 
                                \[Trademark]Tuple[ 4, 1], 
                                \[Trademark]Tuple[ 4, 2], 
                                \[Trademark]Tuple[ 4, 3], 
                                \[Trademark]Tuple[ 4, 4], 
                                \[Trademark]Tuple[ 4, 5], 
                                \[Trademark]Tuple[ 4, 6], 
                                \[Trademark]Tuple[ 4, 7], 
                                \[Trademark]Tuple[ 5, 0], 
                                \[Trademark]Tuple[ 5, 1], 
                                \[Trademark]Tuple[ 5, 2], 
                                \[Trademark]Tuple[ 5, 3], 
                                \[Trademark]Tuple[ 5, 4], 
                                \[Trademark]Tuple[ 5, 5], 
                                \[Trademark]Tuple[ 5, 6], 
                                \[Trademark]Tuple[ 5, 7], 
                                \[Trademark]Tuple[ 6, 0], 
                                \[Trademark]Tuple[ 6, 1], 
                                \[Trademark]Tuple[ 6, 2], 
                                \[Trademark]Tuple[ 6, 3], 
                                \[Trademark]Tuple[ 6, 4], 
                                \[Trademark]Tuple[ 6, 5], 
                                \[Trademark]Tuple[ 6, 6], 
                                \[Trademark]Tuple[ 6, 7], 
                                \[Trademark]Tuple[ 7, 0], 
                                \[Trademark]Tuple[ 7, 1], 
                                \[Trademark]Tuple[ 7, 2], 
                                \[Trademark]Tuple[ 7, 3], 
                                \[Trademark]Tuple[ 7, 4], 
                                \[Trademark]Tuple[ 7, 5], 
                                \[Trademark]Tuple[ 7, 6]]]]], 
                        \[Bullet]finfo[ ]]], 
                    \[Bullet]asml[ {
                      \[Bullet]lf[ "2", 
                        \[Trademark]Exists[ 
                          \[Bullet]range[ 
                            \[Bullet]simpleRange[ 
                              \[Bullet]var[ z]]], True, 
                          \[Trademark]And[ 
                            partial\[Dash]covering[ 
                              \[Bullet]var[ z]], 
                            \[Trademark]Equal[ 
                              \[Trademark]Union[ 
                                \[Bullet]var[ z]], 
                              \[Trademark]Set[ 
                                \[Trademark]Tuple[ 0, 1], 
                                \[Trademark]Tuple[ 0, 2], 
                                \[Trademark]Tuple[ 0, 3], 
                                \[Trademark]Tuple[ 0, 4], 
                                \[Trademark]Tuple[ 0, 5], 
                                \[Trademark]Tuple[ 0, 6], 
                                \[Trademark]Tuple[ 0, 7], 
                                \[Trademark]Tuple[ 1, 0], 
                                \[Trademark]Tuple[ 1, 1], 
                                \[Trademark]Tuple[ 1, 2], 
                                \[Trademark]Tuple[ 1, 3], 
                                \[Trademark]Tuple[ 1, 4], 
                                \[Trademark]Tuple[ 1, 5], 
                                \[Trademark]Tuple[ 1, 6], 
                                \[Trademark]Tuple[ 1, 7], 
                                \[Trademark]Tuple[ 2, 0], 
                                \[Trademark]Tuple[ 2, 1], 
                                \[Trademark]Tuple[ 2, 2], 
                                \[Trademark]Tuple[ 2, 3], 
                                \[Trademark]Tuple[ 2, 4], 
                                \[Trademark]Tuple[ 2, 5], 
                                \[Trademark]Tuple[ 2, 6], 
                                \[Trademark]Tuple[ 2, 7], 
                                \[Trademark]Tuple[ 3, 0], 
                                \[Trademark]Tuple[ 3, 1], 
                                \[Trademark]Tuple[ 3, 2], 
                                \[Trademark]Tuple[ 3, 3], 
                                \[Trademark]Tuple[ 3, 4], 
                                \[Trademark]Tuple[ 3, 5], 
                                \[Trademark]Tuple[ 3, 6], 
                                \[Trademark]Tuple[ 3, 7], 
                                \[Trademark]Tuple[ 4, 0], 
                                \[Trademark]Tuple[ 4, 1], 
                                \[Trademark]Tuple[ 4, 2], 
                                \[Trademark]Tuple[ 4, 3], 
                                \[Trademark]Tuple[ 4, 4], 
                                \[Trademark]Tuple[ 4, 5], 
                                \[Trademark]Tuple[ 4, 6], 
                                \[Trademark]Tuple[ 4, 7], 
                                \[Trademark]Tuple[ 5, 0], 
                                \[Trademark]Tuple[ 5, 1], 
                                \[Trademark]Tuple[ 5, 2], 
                                \[Trademark]Tuple[ 5, 3], 
                                \[Trademark]Tuple[ 5, 4], 
                                \[Trademark]Tuple[ 5, 5], 
                                \[Trademark]Tuple[ 5, 6], 
                                \[Trademark]Tuple[ 5, 7], 
                                \[Trademark]Tuple[ 6, 0], 
                                \[Trademark]Tuple[ 6, 1], 
                                \[Trademark]Tuple[ 6, 2], 
                                \[Trademark]Tuple[ 6, 3], 
                                \[Trademark]Tuple[ 6, 4], 
                                \[Trademark]Tuple[ 6, 5], 
                                \[Trademark]Tuple[ 6, 6], 
                                \[Trademark]Tuple[ 6, 7], 
                                \[Trademark]Tuple[ 7, 0], 
                                \[Trademark]Tuple[ 7, 1], 
                                \[Trademark]Tuple[ 7, 2], 
                                \[Trademark]Tuple[ 7, 3], 
                                \[Trademark]Tuple[ 7, 4], 
                                \[Trademark]Tuple[ 7, 5], 
                                \[Trademark]Tuple[ 7, 6]]]]], 
                        \[Bullet]finfo[ ]], "1"}], 
                    \[Bullet]asml[ ]], 
                  Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                      Theorema`Provers`Common`ProofObject`Private`ProofInfo[ 
                      "Skolem", 
                        \[Bullet]usedFormulae[ "2"], 
                        \[Bullet]generatedFormulae[ 
                          \[Bullet]lf[ "3", 
                            \[Trademark]And[ 
                              partial\[Dash]covering[ 
                                \[Bullet]fix[ z, 0]], 
                              \[Trademark]Equal[ 
                                \[Trademark]Union[ 
                                  \[Bullet]fix[ z, 0]], 
                                \[Trademark]Set[ 
                                  \[Trademark]Tuple[ 0, 1], 
                                  \[Trademark]Tuple[ 0, 2], 
                                  \[Trademark]Tuple[ 0, 3], 
                                  \[Trademark]Tuple[ 0, 4], 
                                  \[Trademark]Tuple[ 0, 5], 
                                  \[Trademark]Tuple[ 0, 6], 
                                  \[Trademark]Tuple[ 0, 7], 
                                  \[Trademark]Tuple[ 1, 0], 
                                  \[Trademark]Tuple[ 1, 1], 
                                  \[Trademark]Tuple[ 1, 2], 
                                  \[Trademark]Tuple[ 1, 3], 
                                  \[Trademark]Tuple[ 1, 4], 
                                  \[Trademark]Tuple[ 1, 5], 
                                  \[Trademark]Tuple[ 1, 6], 
                                  \[Trademark]Tuple[ 1, 7], 
                                  \[Trademark]Tuple[ 2, 0], 
                                  \[Trademark]Tuple[ 2, 1], 
                                  \[Trademark]Tuple[ 2, 2], 
                                  \[Trademark]Tuple[ 2, 3], 
                                  \[Trademark]Tuple[ 2, 4], 
                                  \[Trademark]Tuple[ 2, 5], 
                                  \[Trademark]Tuple[ 2, 6], 
                                  \[Trademark]Tuple[ 2, 7], 
                                  \[Trademark]Tuple[ 3, 0], 
                                  \[Trademark]Tuple[ 3, 1], 
                                  \[Trademark]Tuple[ 3, 2], 
                                  \[Trademark]Tuple[ 3, 3], 
                                  \[Trademark]Tuple[ 3, 4], 
                                  \[Trademark]Tuple[ 3, 5], 
                                  \[Trademark]Tuple[ 3, 6], 
                                  \[Trademark]Tuple[ 3, 7], 
                                  \[Trademark]Tuple[ 4, 0], 
                                  \[Trademark]Tuple[ 4, 1], 
                                  \[Trademark]Tuple[ 4, 2], 
                                  \[Trademark]Tuple[ 4, 3], 
                                  \[Trademark]Tuple[ 4, 4], 
                                  \[Trademark]Tuple[ 4, 5], 
                                  \[Trademark]Tuple[ 4, 6], 
                                  \[Trademark]Tuple[ 4, 7], 
                                  \[Trademark]Tuple[ 5, 0], 
                                  \[Trademark]Tuple[ 5, 1], 
                                  \[Trademark]Tuple[ 5, 2], 
                                  \[Trademark]Tuple[ 5, 3], 
                                  \[Trademark]Tuple[ 5, 4], 
                                  \[Trademark]Tuple[ 5, 5], 
                                  \[Trademark]Tuple[ 5, 6], 
                                  \[Trademark]Tuple[ 5, 7], 
                                  \[Trademark]Tuple[ 6, 0], 
                                  \[Trademark]Tuple[ 6, 1], 
                                  \[Trademark]Tuple[ 6, 2], 
                                  \[Trademark]Tuple[ 6, 3], 
                                  \[Trademark]Tuple[ 6, 4], 
                                  \[Trademark]Tuple[ 6, 5], 
                                  \[Trademark]Tuple[ 6, 6], 
                                  \[Trademark]Tuple[ 6, 7], 
                                  \[Trademark]Tuple[ 7, 0], 
                                  \[Trademark]Tuple[ 7, 1], 
                                  \[Trademark]Tuple[ 7, 2], 
                                  \[Trademark]Tuple[ 7, 3], 
                                  \[Trademark]Tuple[ 7, 4], 
                                  \[Trademark]Tuple[ 7, 5], 
                                  \[Trademark]Tuple[ 7, 6]]]], 
                            \[Bullet]finfo[ ]]]], 
                      Theorema`Provers`Common`ProofObject`Private`Subgoals[ 
                        Theorema`Provers`Common`ProofObject`Private`AndNode[ 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "AssumptionIsConjunction", 
                            \[Bullet]usedFormulae[ "3"], 
                            \[Bullet]generatedFormulae[ 
                              \[Bullet]lf[ "3.1", 
                                partial\[Dash]covering[ 
                                  \[Bullet]fix[ z, 0]], 
                                \[Bullet]finfo[ ]], 
                              \[Bullet]lf[ "3.2", 
                                \[Trademark]Equal[ 
                                  \[Trademark]Union[ 
                                    \[Bullet]fix[ z, 0]], 
                                  \[Trademark]Set[ 
                                    \[Trademark]Tuple[ 0, 1], 
                                    \[Trademark]Tuple[ 0, 2], 
                                    \[Trademark]Tuple[ 0, 3], 
                                    \[Trademark]Tuple[ 0, 4], 
                                    \[Trademark]Tuple[ 0, 5], 
                                    \[Trademark]Tuple[ 0, 6], 
                                    \[Trademark]Tuple[ 0, 7], 
                                    \[Trademark]Tuple[ 1, 0], 
                                    \[Trademark]Tuple[ 1, 1], 
                                    \[Trademark]Tuple[ 1, 2], 
                                    \[Trademark]Tuple[ 1, 3], 
                                    \[Trademark]Tuple[ 1, 4], 
                                    \[Trademark]Tuple[ 1, 5], 
                                    \[Trademark]Tuple[ 1, 6], 
                                    \[Trademark]Tuple[ 1, 7], 
                                    \[Trademark]Tuple[ 2, 0], 
                                    \[Trademark]Tuple[ 2, 1], 
                                    \[Trademark]Tuple[ 2, 2], 
                                    \[Trademark]Tuple[ 2, 3], 
                                    \[Trademark]Tuple[ 2, 4], 
                                    \[Trademark]Tuple[ 2, 5], 
                                    \[Trademark]Tuple[ 2, 6], 
                                    \[Trademark]Tuple[ 2, 7], 
                                    \[Trademark]Tuple[ 3, 0], 
                                    \[Trademark]Tuple[ 3, 1], 
                                    \[Trademark]Tuple[ 3, 2], 
                                    \[Trademark]Tuple[ 3, 3], 
                                    \[Trademark]Tuple[ 3, 4], 
                                    \[Trademark]Tuple[ 3, 5], 
                                    \[Trademark]Tuple[ 3, 6], 
                                    \[Trademark]Tuple[ 3, 7], 
                                    \[Trademark]Tuple[ 4, 0], 
                                    \[Trademark]Tuple[ 4, 1], 
                                    \[Trademark]Tuple[ 4, 2], 
                                    \[Trademark]Tuple[ 4, 3], 
                                    \[Trademark]Tuple[ 4, 4], 
                                    \[Trademark]Tuple[ 4, 5], 
                                    \[Trademark]Tuple[ 4, 6], 
                                    \[Trademark]Tuple[ 4, 7], 
                                    \[Trademark]Tuple[ 5, 0], 
                                    \[Trademark]Tuple[ 5, 1], 
                                    \[Trademark]Tuple[ 5, 2], 
                                    \[Trademark]Tuple[ 5, 3], 
                                    \[Trademark]Tuple[ 5, 4], 
                                    \[Trademark]Tuple[ 5, 5], 
                                    \[Trademark]Tuple[ 5, 6], 
                                    \[Trademark]Tuple[ 5, 7], 
                                    \[Trademark]Tuple[ 6, 0], 
                                    \[Trademark]Tuple[ 6, 1], 
                                    \[Trademark]Tuple[ 6, 2], 
                                    \[Trademark]Tuple[ 6, 3], 
                                    \[Trademark]Tuple[ 6, 4], 
                                    \[Trademark]Tuple[ 6, 5], 
                                    \[Trademark]Tuple[ 6, 6], 
                                    \[Trademark]Tuple[ 6, 7], 
                                    \[Trademark]Tuple[ 7, 0], 
                                    \[Trademark]Tuple[ 7, 1], 
                                    \[Trademark]Tuple[ 7, 2], 
                                    \[Trademark]Tuple[ 7, 3], 
                                    \[Trademark]Tuple[ 7, 4], 
                                    \[Trademark]Tuple[ 7, 5], 
                                    \[Trademark]Tuple[ 7, 6]]], 
                                \[Bullet]finfo[ ]]]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                            
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "KnowledgeRewriting", 
                                \[Bullet]usedFormulae[ 
                                "3.1", "3.2", 
                                  "Lemma (equally many black and white \
covered fields)"], 
                                \[Bullet]generatedFormulae[ 
                                  \[Bullet]lf[ "16", 
                                    \[Trademark]Equal[ 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Bullet]var[ u]]], 
                                      \[Trademark]BracketingBar[ 
                                        \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1], 
                                        \[Bullet]var[ u]]]], 
                                    \[Bullet]finfo[ ]]], {{"3.1", 
                                \[Bullet]lf[ "16", 
                                  \[Trademark]Equal[ 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                        \[Bullet]var[ u]]], 
                                    \[Trademark]BracketingBar[ 
                                      \[Trademark]SetOf[ 
                                        \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                        \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1], 
                                        \[Bullet]var[ u]]]], 
                                  \[Bullet]finfo[ ]], {
                                "simplification object", 
                                partial\[Dash]covering[ 
                                  \[Bullet]fix[ z, 0]], 
                                "Lemma (equally many black and white covered \
fields)", 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Union[ 
                                        \[Bullet]fix[ z, 0]]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1], 
                                      \[Bullet]var[ u]]]], "3.2", 
                                \[Trademark]Equal[ 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 0], 
                                      \[Bullet]var[ u]]], 
                                  \[Trademark]BracketingBar[ 
                                    \[Trademark]SetOf[ 
                                      \[Bullet]range[ 
                                        \[Bullet]setRange[ 
                                        \[Bullet]var[ u], 
                                        \[Trademark]Set[ 
                                        \[Trademark]Tuple[ 0, 1], 
                                        \[Trademark]Tuple[ 0, 2], 
                                        \[Trademark]Tuple[ 0, 3], 
                                        \[Trademark]Tuple[ 0, 4], 
                                        \[Trademark]Tuple[ 0, 5], 
                                        \[Trademark]Tuple[ 0, 6], 
                                        \[Trademark]Tuple[ 0, 7], 
                                        \[Trademark]Tuple[ 1, 0], 
                                        \[Trademark]Tuple[ 1, 1], 
                                        \[Trademark]Tuple[ 1, 2], 
                                        \[Trademark]Tuple[ 1, 3], 
                                        \[Trademark]Tuple[ 1, 4], 
                                        \[Trademark]Tuple[ 1, 5], 
                                        \[Trademark]Tuple[ 1, 6], 
                                        \[Trademark]Tuple[ 1, 7], 
                                        \[Trademark]Tuple[ 2, 0], 
                                        \[Trademark]Tuple[ 2, 1], 
                                        \[Trademark]Tuple[ 2, 2], 
                                        \[Trademark]Tuple[ 2, 3], 
                                        \[Trademark]Tuple[ 2, 4], 
                                        \[Trademark]Tuple[ 2, 5], 
                                        \[Trademark]Tuple[ 2, 6], 
                                        \[Trademark]Tuple[ 2, 7], 
                                        \[Trademark]Tuple[ 3, 0], 
                                        \[Trademark]Tuple[ 3, 1], 
                                        \[Trademark]Tuple[ 3, 2], 
                                        \[Trademark]Tuple[ 3, 3], 
                                        \[Trademark]Tuple[ 3, 4], 
                                        \[Trademark]Tuple[ 3, 5], 
                                        \[Trademark]Tuple[ 3, 6], 
                                        \[Trademark]Tuple[ 3, 7], 
                                        \[Trademark]Tuple[ 4, 0], 
                                        \[Trademark]Tuple[ 4, 1], 
                                        \[Trademark]Tuple[ 4, 2], 
                                        \[Trademark]Tuple[ 4, 3], 
                                        \[Trademark]Tuple[ 4, 4], 
                                        \[Trademark]Tuple[ 4, 5], 
                                        \[Trademark]Tuple[ 4, 6], 
                                        \[Trademark]Tuple[ 4, 7], 
                                        \[Trademark]Tuple[ 5, 0], 
                                        \[Trademark]Tuple[ 5, 1], 
                                        \[Trademark]Tuple[ 5, 2], 
                                        \[Trademark]Tuple[ 5, 3], 
                                        \[Trademark]Tuple[ 5, 4], 
                                        \[Trademark]Tuple[ 5, 5], 
                                        \[Trademark]Tuple[ 5, 6], 
                                        \[Trademark]Tuple[ 5, 7], 
                                        \[Trademark]Tuple[ 6, 0], 
                                        \[Trademark]Tuple[ 6, 1], 
                                        \[Trademark]Tuple[ 6, 2], 
                                        \[Trademark]Tuple[ 6, 3], 
                                        \[Trademark]Tuple[ 6, 4], 
                                        \[Trademark]Tuple[ 6, 5], 
                                        \[Trademark]Tuple[ 6, 6], 
                                        \[Trademark]Tuple[ 6, 7], 
                                        \[Trademark]Tuple[ 7, 0], 
                                        \[Trademark]Tuple[ 7, 1], 
                                        \[Trademark]Tuple[ 7, 2], 
                                        \[Trademark]Tuple[ 7, 3], 
                                        \[Trademark]Tuple[ 7, 4], 
                                        \[Trademark]Tuple[ 7, 5], 
                                        \[Trademark]Tuple[ 7, 6]]]], 
                                      \[Trademark]Equal[ 
                                        color[ 
                                        \[Bullet]var[ u]], 1], 
                                      \[Bullet]var[ u]]]]}}}], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                
                                Theorema`Provers`Common`ProofObject`Private`\
AndNode[ 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[ "NewKnowledge", 
                                    \[Bullet]usedFormulae[ "16"], 
                                    \[Bullet]generatedFormulae[ 
                                      \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]]], 
                                    \[Bullet]asml[ {
                                      \[Bullet]lf[ "17", False, 
                                        \[Bullet]finfo[ ]], "16"}], 
                                    \[Bullet]asml[ ]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Subgoals[ 
                                    
                                    Theorema`Provers`Common`ProofObject`\
Private`AndNode[ 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`ProofInfo[ "FalseAssumption", 
                                        \[Bullet]usedFormulae[ "17"], 
                                        \[Bullet]generatedFormulae[ ], 
                                        "a contradiction"], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Subgoals[ ], 
                                      
                                      Theorema`Provers`Common`ProofObject`\
Private`Constraints[ ], "proved"]], 
                                  
                                  Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                              
                              Theorema`Provers`Common`ProofObject`Private`\
Constraints[ ], "proved"]], 
                          
                          Theorema`Provers`Common`ProofObject`Private`\
Constraints[ 
                            \[Bullet]sl[ 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
                                   2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  1, 2, 1, 2, 1, 2, 3}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                                  2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                                \[Bullet]rstrs[ ]], 
                              \[Bullet]syst[ 
                                \[Bullet]sub[ ], 
                                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                                   1, 2, 2}], 
                                \[Bullet]rstrs[ ]]]], "proved"]], 
                      
                      Theorema`Provers`Common`ProofObject`Private`Constraints[\
 
                        \[Bullet]sl[ 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 3}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 2}], 
                            \[Bullet]rstrs[ ]], 
                          \[Bullet]syst[ 
                            \[Bullet]sub[ ], 
                            \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                              1, 2, 1, 2, 1, 2, 3}], 
                            \[Bullet]rstrs[ ]]]], "proved"]], 
                  Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                    \[Bullet]sl[ 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                           1, 2, 1, 2, 3}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          2}], 
                        \[Bullet]rstrs[ ]], 
                      \[Bullet]syst[ 
                        \[Bullet]sub[ ], 
                        \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                          3}], 
                        \[Bullet]rstrs[ ]]]], "proved"]], 
              Theorema`Provers`Common`ProofObject`Private`Constraints[ 
                \[Bullet]sl[ 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                      2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
                       2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                    \[Bullet]rstrs[ ]], 
                  \[Bullet]syst[ 
                    \[Bullet]sub[ ], 
                    \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                    \[Bullet]rstrs[ ]]]], "proved"]], 
          Theorema`Provers`Common`ProofObject`Private`Constraints[ 
            \[Bullet]sl[ 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 2}], 
                \[Bullet]rstrs[ ]], 
              \[Bullet]syst[ 
                \[Bullet]sub[ ], 
                \[Bullet]refs[ {2, 1, 2, 1, 2, 3}], 
                \[Bullet]rstrs[ ]]]], "proved"]}}]]], "Text"],

Cell[BoxData[
    \(Clear[ExtractProvedLeaves]\)], "Input"],

Cell[BoxData[
    \(ExtractProvedLeaves[{a__, po_List}] := \[IndentingNewLine]Apply[
        Sequence, Map[ExtractProvedLeaves[{a, #}] &, po]]\)], "Input"],

Cell[BoxData[
    \(ExtractProvedLeaves[{title_, time_, po_}] := 
      Module[{}, \[IndentingNewLine]provedLeaves = {}; \
\[IndentingNewLine]ComposeTree[
          Theorema`Provers`Common`ProofObjectManagement`Private`\
ExtractNodePositions[po], {0, 0}]; \[IndentingNewLine]{StyleBox[title, 
            FontFamily \[Rule] "\<Times\>"], 
          StyleBox[ToString[time], FontWeight \[Rule] "\<Bold\>"], 
          ToBoxes[provedLeaves]}]\)], "Input"],

Cell[BoxData[
    \(CellPrint[
      Cell[BoxData[
          GridBox[Map[ExtractProvedLeaves, 
              archive]]], "\<Text\>"]]\)], "Input"],

Cell[BoxData[GridBox[{
        {\(Proof\ of\ \(Proposition/Lemma\)/
              Theorem\), \(Elapsed\ Time\), \(Depth\ of\ PROVED\ Leaves\)},
        {
          StyleBox[\(zero\ or\ one\),
            FontFamily->"Times"], 
          StyleBox[\(5.9\ Second\),
            FontWeight->"Bold"], \({5, 5}\)},
        {
          StyleBox[\(dominos\ adjacent\),
            FontFamily->"Times"], 
          StyleBox[\(192.31\ Second\),
            FontWeight->"Bold"], \({5, 10, 10, 13, 11, 11, 14}\)},
        {
          StyleBox[\(adjacent\ of\ black\ are\ white\),
            FontFamily->"Times"], 
          StyleBox[\(18.35\ Second\),
            FontWeight->"Bold"], \({9, 9}\)},
        {
          StyleBox[\(adjacent\ of\ white\ are\ black\),
            FontFamily->"Times"], 
          StyleBox[\(18.36\ Second\),
            FontWeight->"Bold"], \({9, 9}\)},
        {
          StyleBox[\(different\ color\),
            FontFamily->"Times"], 
          StyleBox[\(299.03\ Second\),
            FontWeight->"Bold"], \({20, 23, 23, 23, 23, 20}\)},
        {
          StyleBox[\(same\ or\ adjacent\ in\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(22.47\ Second\),
            FontWeight->"Bold"], \({11}\)},
        {
          StyleBox[\(black\ in\ domino\ unique\),
            FontFamily->"Times"], 
          StyleBox[\(43.44\ Second\),
            FontWeight->"Bold"], \({11, 11}\)},
        {
          StyleBox[\(white\ in\ domino\ unique\),
            FontFamily->"Times"], 
          StyleBox[\(43.9\ Second\),
            FontWeight->"Bold"], \({11, 11}\)},
        {
          StyleBox[\(covering\ maps\ to\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(18.07\ Second\),
            FontWeight->"Bold"], \({7, 7, 10}\)},
        {
          StyleBox[\(black\ maps\ to\ white\),
            FontFamily->"Times"], 
          StyleBox[\(160.61\ Second\),
            FontWeight->"Bold"], \({25, 25}\)},
        {
          StyleBox[\(black\ maps\ to\ white\ in\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(258.37\ Second\),
            FontWeight->"Bold"], \({28, 28, 27, 27, 27}\)},
        {
          StyleBox[\(covering\ maps\ to\ unique\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(35.75\ Second\),
            FontWeight->"Bold"], \({16}\)},
        {
          StyleBox[\(covering\ defines\ unique\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(45.79\ Second\),
            FontWeight->"Bold"], \({8, 8, 11, 20}\)},
        {
          StyleBox[\(own\ covering\ domino\),
            FontFamily->"Times"], 
          StyleBox[\(35.67\ Second\),
            FontWeight->"Bold"], \({10, 10, 10, 10, 13, 13}\)},
        {
          StyleBox[\(black\ and\ same\ covering\ \(domino : \ identical\)\),
            FontFamily->"Times"], 
          StyleBox[\(44.89\ Second\),
            FontWeight->"Bold"], \({16}\)},
        {
          StyleBox[\(white\ and\ same\ covering\ \(domino : \ identical\)\),
            FontFamily->"Times"], 
          StyleBox[\(44.77\ Second\),
            FontWeight->"Bold"], \({16}\)},
        {
          StyleBox[\(covering\ domino\ bijective\ from\ black\ fields\),
            FontFamily->"Times"], 
          StyleBox[\(90.53\ Second\),
            FontWeight->"Bold"], \({14, 14, 14, 18, 18, 17, 17, 17, 17, 20, 
            20}\)},
        {
          StyleBox[\(covering\ domino\ injective\ from\ white\ fields\),
            FontFamily->"Times"], 
          StyleBox[\(21.71\ Second\),
            FontWeight->"Bold"], \({9, 9, 9, 9, 9, 9}\)},
        {
          StyleBox[\(covering\ domino\ surjective\ from\ white\ fields\),
            FontFamily->"Times"], 
          StyleBox[\(49.83\ Second\),
            FontWeight->"Bold"], \({16, 16, 13, 14, 14, 14, 14, 17, 17}\)},
        {
          StyleBox[\(covering\ domino\ bijective\ from\ white\ fields\),
            FontFamily->"Times"], 
          StyleBox[\(5.04\ Second\),
            FontWeight->"Bold"], \({5, 5}\)},
        {
          StyleBox[\(number\ of\ dominos\),
            FontFamily->"Times"], 
          StyleBox[\(6.27\ Second\),
            FontWeight->"Bold"], \({4}\)},
        {
          StyleBox[\(number\ of\ dominos\),
            FontFamily->"Times"], 
          StyleBox[\(6.27\ Second\),
            FontWeight->"Bold"], \({4}\)},
        {
          StyleBox[\(equally\ many\ black\ and\ white\ covered\ fields\),
            FontFamily->"Times"], 
          StyleBox[\(3.17\ Second\),
            FontWeight->"Bold"], \({5}\)},
        {
          StyleBox[\(mutilated\ checkerboard\),
            FontFamily->"Times"], 
          StyleBox[\(22.44\ Second\),
            FontWeight->"Bold"], \({7}\)}
        }]], "Text",
  GridBoxOptions->{ColumnAlignments->{Left, Right, Left}}],

Cell[CellGroupData[{

Cell[BoxData[
    \(GridBox[%]\)], "Input"],

Cell[BoxData[
    \(GridBox[{{StyleBox["zero or one", FontFamily \[Rule] "Times"], 
          StyleBox[5.900000000000091`\ Second, 
            FontWeight \[Rule] "Bold"], {5, 5}}, {StyleBox[
            "dominos adjacent", FontFamily \[Rule] "Times"], 
          StyleBox[192.30999999999995`\ Second, 
            FontWeight \[Rule] "Bold"], {5, 10, 10, 13, 11, 11, 
            14}}, {StyleBox["adjacent of black are white", 
            FontFamily \[Rule] "Times"], 
          StyleBox[18.34999999999991`\ Second, 
            FontWeight \[Rule] "Bold"], {9, 9}}, {StyleBox[
            "adjacent of white are black", FontFamily \[Rule] "Times"], 
          StyleBox[18.360000000000127`\ Second, 
            FontWeight \[Rule] "Bold"], {9, 9}}, {StyleBox["different color", 
            FontFamily \[Rule] "Times"], 
          StyleBox[299.02999999999975`\ Second, 
            FontWeight \[Rule] "Bold"], {20, 23, 23, 23, 23, 20}}, {StyleBox[
            "same or adjacent in domino", FontFamily \[Rule] "Times"], 
          StyleBox[22.470000000000255`\ Second, 
            FontWeight \[Rule] "Bold"], {11}}, {StyleBox[
            "black in domino unique", FontFamily \[Rule] "Times"], 
          StyleBox[43.44000000000051`\ Second, 
            FontWeight \[Rule] "Bold"], {11, 11}}, {StyleBox[
            "white in domino unique", FontFamily \[Rule] "Times"], 
          StyleBox[43.900000000000546`\ Second, 
            FontWeight \[Rule] "Bold"], {11, 11}}, {StyleBox[
            "covering maps to domino", FontFamily \[Rule] "Times"], 
          StyleBox[18.07000000000062`\ Second, 
            FontWeight \[Rule] "Bold"], {7, 7, 10}}, {StyleBox[
            "black maps to white", FontFamily \[Rule] "Times"], 
          StyleBox[160.60999999999967`\ Second, 
            FontWeight \[Rule] "Bold"], {25, 25}}, {StyleBox[
            "black maps to white in domino", FontFamily \[Rule] "Times"], 
          StyleBox[258.3699999999999`\ Second, 
            FontWeight \[Rule] "Bold"], {28, 28, 27, 27, 27}}, {StyleBox[
            "covering maps to unique domino", FontFamily \[Rule] "Times"], 
          StyleBox[35.75`\ Second, 
            FontWeight \[Rule] "Bold"], {16}}, {StyleBox[
            "covering defines unique domino", FontFamily \[Rule] "Times"], 
          StyleBox[45.789999999999964`\ Second, 
            FontWeight \[Rule] "Bold"], {8, 8, 11, 20}}, {StyleBox[
            "own covering domino", FontFamily \[Rule] "Times"], 
          StyleBox[35.67000000000007`\ Second, 
            FontWeight \[Rule] "Bold"], {10, 10, 10, 10, 13, 13}}, {StyleBox[
            "black and same covering domino: identical", 
            FontFamily \[Rule] "Times"], 
          StyleBox[44.89000000000033`\ Second, 
            FontWeight \[Rule] "Bold"], {16}}, {StyleBox[
            "white and same covering domino: identical", 
            FontFamily \[Rule] "Times"], 
          StyleBox[44.77000000000044`\ Second, 
            FontWeight \[Rule] "Bold"], {16}}, {StyleBox[
            "covering domino bijective from black fields", 
            FontFamily \[Rule] "Times"], 
          StyleBox[90.52999999999975`\ Second, 
            FontWeight \[Rule] "Bold"], {14, 14, 14, 18, 18, 17, 17, 17, 17, 
            20, 20}}, {StyleBox[
            "covering domino injective from white fields", 
            FontFamily \[Rule] "Times"], 
          StyleBox[21.710000000000036`\ Second, 
            FontWeight \[Rule] "Bold"], {9, 9, 9, 9, 9, 9}}, {StyleBox[
            "covering domino surjective from white fields", 
            FontFamily \[Rule] "Times"], 
          StyleBox[49.82999999999993`\ Second, 
            FontWeight \[Rule] "Bold"], {16, 16, 13, 14, 14, 14, 14, 17, 
            17}}, {StyleBox["covering domino bijective from white fields", 
            FontFamily \[Rule] "Times"], 
          StyleBox[5.039999999999964`\ Second, 
            FontWeight \[Rule] "Bold"], {5, 
            5}}, {{StyleBox["number of dominos", FontFamily \[Rule] "Times"], 
            StyleBox[6.269999999999527`\ Second, 
              FontWeight \[Rule] "Bold"], {4}}, {StyleBox[
              "number of dominos", FontFamily \[Rule] "Times"], 
            StyleBox[6.269999999999527`\ Second, 
              FontWeight \[Rule] "Bold"], {4}}}, {StyleBox[
            "equally many black and white covered fields", 
            FontFamily \[Rule] "Times"], 
          StyleBox[3.1700000000000728`\ Second, 
            FontWeight \[Rule] "Bold"], {5}}, {StyleBox[
            "mutilated checkerboard", FontFamily \[Rule] "Times"], 
          StyleBox[22.4399999999996`\ Second, 
            FontWeight \[Rule] "Bold"], {7}}}]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(?? ShowProofTree\)], "Input"],

Cell[BoxData[
    \("Theorema`Provers`Common`ProofObjectManagement`ShowProofTree"\)], \
"Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {\(Attributes[ShowProofTree] = {HoldFirst}\)},
          {" "},
          {GridBox[{
                {\(ShowProofTree[
                        Theorema`Provers`Common`ProofObjectManagement`Private`\
po_, "online"] /; 
                      Theorema`Provers`Common`ProofObjectManagement`Private`$\
TmaVisualizeProofProgress := 
                    Module[{Theorema`Provers`Common`ProofObjectManagement`\
Private`nodes = 
                          Theorema`Provers`Common`ProofObjectManagement`\
Private`ExtractNodePositions[
                            Theorema`Provers`Common`ProofObjectManagement`\
Private`po]}, NotebookFind[
                        Theorema`Provers`Common`ProofObjectManagement`Private`\
$GraphWin, "Refresh", Previous, CellTags]; 
                      SelectionEvaluate[
                        Theorema`Provers`Common`ProofObjectManagement`Private`\
$GraphWin]; 
                      LinkWrite[
                        Theorema`Provers`Common`ProofObjectManagement`Private`\
$GraphLink, 
                        Theorema`Provers`Common`ProofObjectManagement`Private`\
nodes]; ]\)},
                {" "},
                {\(ShowProofTree[
                      Theorema`Provers`Common`ProofObjectManagement`Private`\
po_?IsProofObject, 
                      Theorema`Provers`Common`ProofObjectManagement`Private`\
opts___?OptionQ] := 
                    Module[{Theorema`Provers`Common`ProofObjectManagement`\
Private`nodes = 
                          Theorema`Provers`Common`ProofObjectManagement`\
Private`ExtractNodePositions[
                            Theorema`Provers`Common`ProofObjectManagement`\
Private`po]}, Needs["Theorema`Provers`Common`VisualizeProofTree`"]; 
                      Show["Graphics"[
                          ComposeTree[
                            Theorema`Provers`Common`ProofObjectManagement`\
Private`nodes, {0, 0}, FilterOptions[ComposeTree, 
                              Theorema`Provers`Common`ProofObjectManagement`\
Private`opts]]], FilterOptions[Plot, 
                          Theorema`Provers`Common`ProofObjectManagement`\
Private`opts], ImageSize \[Rule] {700, 432}, PlotRange \[Rule] All]]\)},
                {" "},
                {\(ShowProofTree[
                      Theorema`Provers`Common`ProofObjectManagement`Private`\
opts___?OptionQ] := ShowProofTree[$TmaProofObject, 
                      Theorema`Provers`Common`ProofObjectManagement`Private`\
opts]\)}
                },
              GridBaseline->{Baseline, {1, 1}},
              ColumnWidths->0.999,
              ColumnAlignments->{Left}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      System`Definition[ ShowProofTree],
      Editable->False]], "Print"]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Context[ShowProofTree]\)], "Input"],

Cell[BoxData[
    \("Theorema`Provers`Common`ProofObjectManagement`"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(ComposeTree[
      archive\[LeftDoubleBracket]2, 3\[RightDoubleBracket]]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ShowProofTree[archive\[LeftDoubleBracket]2, 3\[RightDoubleBracket], 
      Amplification \[Rule] 0.7]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
%%ImageSize: 700 432 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.450323 1.74087 0.603319 0.0379744 [
[.45032 .60332 -13.5938 -6.875 ]
[.45032 .60332 13.5938 6.875 ]
[.45032 .56534 -13.5938 -6.875 ]
[.45032 .56534 13.5938 6.875 ]
[.45032 .52737 -13.5938 -6.875 ]
[.45032 .52737 13.5938 6.875 ]
[.02381 .4894 -13.5938 -6.875 ]
[.02381 .4894 13.5938 6.875 ]
[.02381 .45142 -13.5938 -6.875 ]
[.02381 .45142 13.5938 6.875 ]
[.02381 .41345 -13.5938 -6.875 ]
[.02381 .41345 13.5938 6.875 ]
[.02381 .35649 -8 -4.90625 ]
[.02381 .35649 8 4.90625 ]
[.87684 .4894 -13.5938 -6.875 ]
[.87684 .4894 13.5938 6.875 ]
[.87684 .45142 -13.5938 -6.875 ]
[.87684 .45142 13.5938 6.875 ]
[.87684 .41345 -13.5938 -6.875 ]
[.87684 .41345 13.5938 6.875 ]
[.87684 .37547 -13.5938 -6.875 ]
[.87684 .37547 13.5938 6.875 ]
[.87684 .3375 -13.5938 -6.875 ]
[.87684 .3375 13.5938 6.875 ]
[.87684 .29952 -13.5938 -6.875 ]
[.87684 .29952 13.5938 6.875 ]
[.82666 .26155 -13.5938 -6.875 ]
[.82666 .26155 13.5938 6.875 ]
[.75641 .22357 -13.5938 -6.875 ]
[.75641 .22357 13.5938 6.875 ]
[.75641 .16661 -8 -4.90625 ]
[.75641 .16661 8 4.90625 ]
[.82666 .22357 -13.5938 -6.875 ]
[.82666 .22357 13.5938 6.875 ]
[.82666 .16661 -8 -4.90625 ]
[.82666 .16661 8 4.90625 ]
[.89691 .22357 -13.5938 -6.875 ]
[.89691 .22357 13.5938 6.875 ]
[.89691 .1856 -13.5938 -6.875 ]
[.89691 .1856 13.5938 6.875 ]
[.89691 .14763 -13.5938 -6.875 ]
[.89691 .14763 13.5938 6.875 ]
[.89691 .10965 -13.5938 -6.875 ]
[.89691 .10965 13.5938 6.875 ]
[.89691 .05269 -8 -4.90625 ]
[.89691 .05269 8 4.90625 ]
[.92702 .26155 -13.5938 -6.875 ]
[.92702 .26155 13.5938 6.875 ]
[.92702 .22357 -13.5938 -6.875 ]
[.92702 .22357 13.5938 6.875 ]
[.87784 .1856 -13.5938 -6.875 ]
[.87784 .1856 13.5938 6.875 ]
[.87784 .12864 -8 -4.90625 ]
[.87784 .12864 8 4.90625 ]
[.92702 .1856 -13.5938 -6.875 ]
[.92702 .1856 13.5938 6.875 ]
[.92702 .12864 -8 -4.90625 ]
[.92702 .12864 8 4.90625 ]
[.97619 .1856 -13.5938 -6.875 ]
[.97619 .1856 13.5938 6.875 ]
[.97619 .14763 -13.5938 -6.875 ]
[.97619 .14763 13.5938 6.875 ]
[.97619 .10965 -13.5938 -6.875 ]
[.97619 .10965 13.5938 6.875 ]
[.97619 .07168 -13.5938 -6.875 ]
[.97619 .07168 13.5938 6.875 ]
[.97619 .01472 -8 -4.90625 ]
[.97619 .01472 8 4.90625 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.45032 .60332 m
.45032 .56534 L
s
0 1 0 r
gsave
.45032 .60332 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.45032 .56534 m
.45032 .52737 L
s
0 1 0 r
gsave
.45032 .56534 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.45032 .52737 m
.45032 .4894 L
s
.02381 .4894 m
.87684 .4894 L
s
0 1 0 r
gsave
.45032 .52737 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.02381 .4894 m
.02381 .45142 L
s
0 1 0 r
gsave
.02381 .4894 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.02381 .45142 m
.02381 .41345 L
s
0 1 0 r
gsave
.02381 .45142 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.02381 .41345 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.02381 .41345 m
.02381 .37547 L
s
gsave
.02381 .35649 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.87684 .4894 m
.87684 .45142 L
s
0 1 0 r
gsave
.87684 .4894 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87684 .45142 m
.87684 .41345 L
s
0 1 0 r
gsave
.87684 .45142 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87684 .41345 m
.87684 .37547 L
s
0 1 0 r
gsave
.87684 .41345 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87684 .37547 m
.87684 .3375 L
s
0 1 0 r
gsave
.87684 .37547 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87684 .3375 m
.87684 .29952 L
s
0 1 0 r
gsave
.87684 .3375 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87684 .29952 m
.87684 .26155 L
s
.82666 .26155 m
.92702 .26155 L
s
0 1 0 r
gsave
.87684 .29952 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.82666 .26155 m
.82666 .22357 L
s
.75641 .22357 m
.89691 .22357 L
s
0 1 0 r
gsave
.82666 .26155 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.75641 .22357 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.75641 .22357 m
.75641 .1856 L
s
gsave
.75641 .16661 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 1 0 r
gsave
.82666 .22357 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.82666 .22357 m
.82666 .1856 L
s
gsave
.82666 .16661 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.89691 .22357 m
.89691 .1856 L
s
0 1 0 r
gsave
.89691 .22357 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.89691 .1856 m
.89691 .14763 L
s
0 1 0 r
gsave
.89691 .1856 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.89691 .14763 m
.89691 .10965 L
s
0 1 0 r
gsave
.89691 .14763 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.89691 .10965 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.89691 .10965 m
.89691 .07168 L
s
gsave
.89691 .05269 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.92702 .26155 m
.92702 .22357 L
s
0 1 0 r
gsave
.92702 .26155 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.92702 .22357 m
.92702 .1856 L
s
.87784 .1856 m
.97619 .1856 L
s
0 1 0 r
gsave
.92702 .22357 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.87784 .1856 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.87784 .1856 m
.87784 .14763 L
s
gsave
.87784 .12864 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 1 0 r
gsave
.92702 .1856 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.92702 .1856 m
.92702 .14763 L
s
gsave
.92702 .12864 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.97619 .1856 m
.97619 .14763 L
s
0 1 0 r
gsave
.97619 .1856 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.97619 .14763 m
.97619 .10965 L
s
0 1 0 r
gsave
.97619 .14763 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.97619 .10965 m
.97619 .07168 L
s
0 1 0 r
gsave
.97619 .10965 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.97619 .07168 -130.594 -10.875 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 21.75 translate 1 -1 scale
0.000 0.000 0.000 setrgbcolor
newpath
 119.000 15.188 moveto
 142.188 15.188 lineto
 142.188 5.000 lineto
 119.000 5.000 lineto
 119.000 15.188 lineto
closepath
fill
0.000 0.000 0.000 setrgbcolor
119.000 15.188 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 15.188 moveto
%%IncludeResource: font Math3Mono-Bold
%%IncludeFont: Math3Mono-Bold
/Math3Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
(\\346) show
%%IncludeResource: font Math2Mono-Bold
%%IncludeFont: Math2Mono-Bold
/Math2Mono-Bold findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
129.750 15.188 moveto
(\\337) show
142.188 15.188 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 18.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 1.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 g
.97619 .07168 m
.97619 .0337 L
s
gsave
.97619 .01472 -125 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 17.8125 translate 1 -1 scale
119.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
%%BeginResource: font Courier-MISO
%%BeginFont: Courier-MISO
/Courier /Courier-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
119.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(pr) show
131.000 11.250 moveto
%%IncludeResource: font Courier-MISO
%%IncludeFont: Courier-MISO
/Courier-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{700, 432},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000:l0001/2000`400?l00000o`00003oo`3ooooo
0?oookh0oooo003o0?ooool0oooo_P3oool00?l0ooooo`3ooonn0?ooo`00o`3ooooo0?oookh0oooo
003o0?ooool0oooo_P3oool00?l0ooooo`3ooonn0?ooo`00o`3ooooo0?oookh0oooo003o0?ooool0
ooooY@3oool3000001H0oooo003o0?ooool0ooooYP3oool00`000000oooo0?ooo`0E0?ooo`00o`3o
oooo0?ooojH0oooo0`0000030?ooo`@000003P3oool00?l0ooooo`3ooonV0?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool03P3oool00?l0ooooo`3ooonV0?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool03P3oool00?l0ooooo`3ooonV0?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool03P3oool00?l0ooooo`3ooonU0?ooo`040000003oool0
0000000000<0oooo00<000000?ooo`0000000P00000=0?ooo`00o`3ooooo0?oookh0oooo003o0?oo
ool0oooo_P3oool00?l0ooooo`3ooonn0?ooo`00o`3ooooo0?oookh0oooo003o0?ooool0oooo_P3o
ool00?l0ooooo`3ooonn0?ooo`00o`3ooooo0?oookh0oooo003o0?ooool0oooo_P3oool00?l0oooo
o`3ooonn0?ooo`00o`3ooooo0?oookh0oooo003o0?ooool0ooooZ`3oool00`000000oooo0?ooo`0@
0?ooo`00o`3ooooo0?oooj/0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooon[0?ooo`03
0000003oool0oooo0100oooo003o0?ooool0ooooZ`3oool00`000000oooo0?ooo`0@0?ooo`00o`3o
oooo0?oooj/0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooon[0?ooo`030000003oool0
oooo0100oooo003o0?ooool0ooooZ`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?oooj/0
oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooon[0?ooo`030000003oool0oooo0100oooo
003o0?ooool0ooooZ`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?ooofh0oooo0`00000j
0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooK`3oool00`000000oooo0?ooo`0i0?oo
o`030000003oool0oooo0100oooo003o0?ooool0ooooK`3oool3000000<0oooo1000000b0?ooo`03
0000003oool0oooo0100oooo003o0?ooool0ooooK`3oool010000000oooo0?ooo`0000030?ooo`03
0000003oool0oooo0380oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooom_0?ooo`040000
003oool0oooo000000<0oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0@0?ooo`00
o`3ooooo0?ooofl0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0b0?ooo`03
0000003oool0oooo0100oooo003o0?ooool0ooooKP3oool010000000oooo0000000000030?ooo`03
0000003oool0000000800000<@3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?oooj/0oooo
00<000000?ooo`3oool0403oool00?l0ooooo`3ooon[0?ooo`030000003oool0oooo0100oooo003o
0?ooool0ooooZ`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?oooj/0oooo00<000000?oo
o`3oool0403oool00?l0ooooo`3ooon[0?ooo`030000003oool0oooo0100oooo003o0?ooool0oooo
Z`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?oooil0oooo0`000004003o00H0000000<0
0?l00000000000001@000002003o00030000003oool0oooo00D0oooo003o0?ooool0ooooW`3oool0
0`0000000?l0003o0006003o00@000000P00o`05000000800?l00P0000070?ooo`00o`3ooooo0?oo
oil0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o008000001`3oool00?l0
ooooo`3ooomd0?ooo`030000003oool0oooo02P0oooo2P00o`04000000800?l00`000002003o00<0
00001`3oool00?l0ooooo`3ooomd0?ooo`030000003oool0oooo02P0oooo2P00o`04000000800?l0
0`000002003o00<000001`3oool00?l0ooooo`3ooomd0?ooo`030000003oool0oooo02P0oooo2P00
o`05000000800?l000<00000003o0000o`00100000070?ooo`00o`3ooooo0?ooog@0oooo00<00000
0?ooo`3oool0:03oool:003o00D000000P00o`000`0000000?l0003o0004000000L0oooo003o0?oo
ool0ooooM03oool00`000000oooo0?ooo`0X0?ooo`0300000000o`000?l000H00?l01`000003003o
00D000001`3oool00?l0ooooo`3ooomd0?ooo`030000003oool0oooo02P0oooo00<00000003o0000
o`001P00o`07000000<00?l01@0000070?ooo`00o`3ooooo0?ooog@0oooo00<000000?ooo`3oool0
:03oool3000000@00?l02P0000000`00o`00000000000004000000L0oooo003o0?ooool0ooooM03o
ool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool0
0`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`00
0000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000
oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo
0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?oo
o`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d
0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?oo
o`030000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`03
0000003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000
003oool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003o
ool0oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0
oooo0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo
0100oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100
oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo
003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o
0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?oo
ool0ooooJ03oool3000000@00?l01P0000000`00o`00000000000005000000800?l0803oool30000
00@00?l01@000002003o00L000000P00o`000`000000oooo0?ooo`050?ooo`00o`3ooooo0?ooofP0
oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000003oool0oooo01h0
oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o008000001`3oool00?l0oooo
o`3ooomX0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`000`000000oooo
0?ooo`0N0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`02000000L0oooo
003o0?ooool0ooooJ03oool:003o00@000000P00o`03000000800?l00P00000P0?ooo`X00?l01000
0002003o00<000000P00o`03000000L0oooo003o0?ooool0ooooJ03oool:003o00@000000P00o`03
000000800?l00P00000P0?ooo`X00?l010000002003o00<000000P00o`03000000L0oooo003o0?oo
ool0ooooJ03oool:003o00D000000P00o`000`0000000?l0003o000300000200oooo2P00o`050000
00800?l000<00000003o0000o`00100000070?ooo`00o`3ooooo0?ooofP0oooo2P00o`0500000080
0?l000<00000003o0000o`000`00000P0?ooo`X00?l01@000002003o000300000000o`000?l000@0
00001`3oool00?l0ooooo`3ooomX0?ooo`0300000000o`000?l000H00?l01`000003003o00@00000
803oool00`0000000?l0003o0006003o00L000000`00o`05000000L0oooo003o0?ooool0ooooJ03o
ool00`0000000?l0003o0006003o00L000000`00o`0400000200oooo00<00000003o0000o`001P00
o`07000000<00?l01@0000070?ooo`00o`3ooooo0?ooofP0oooo0`000004003o00X0000000<00?l0
0000000000000`00000P0?ooo`<000001000o`0:00000003003o00000000000000@000001`3oool0
0?l0ooooo`3ooomd0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0403oool00?l0
ooooo`3ooomd0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0403oool00?l0oooo
o`3ooomd0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3o
oomP0?ooo`<000004@3oool00`000000oooo0?ooo`0<0?ooo`<000009@3oool00`000000oooo0?oo
o`0@0?ooo`00o`3ooooo0?ooof40oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooomQ0?oo
o`<000000`3oool4000000T0oooo00<000000?ooo`3oool03@3oool3000000<0oooo1000000M0?oo
o`030000003oool0oooo0100oooo003o0?ooool0ooooH@3oool010000000oooo0?ooo`0000030?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool03@3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooomQ0?oo
o`040000003oool0oooo000000<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0=
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?oo
o`0@0?ooo`00o`3ooooo0?ooof40oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00d0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`0M0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooH03oool010000000oooo0000
000000030?ooo`030000003oool0000000800000203oool00`000000oooo0?ooo`0<0?ooo`040000
003oool00000000000<0oooo00<000000?ooo`0000000P00000L0?ooo`030000003oool0oooo0100
oooo003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo
003o0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o
0?ooool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?oo
ool0ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0
ooooM03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0oooo
M03oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooJ03o
ool3000000@00?l01@000002003o00L000000P00o`0P0?ooo`<000001000o`05000000800?l01`00
0002003o00030000003oool0oooo00D0oooo003o0?ooool0ooooJ03oool00`0000000?l0003o0006
003o00@000000P00o`05000000800?l000<000000?ooo`3oool07P3oool00`0000000?l0003o0006
003o00@000000P00o`05000000800?l00P0000070?ooo`00o`3ooooo0?ooofP0oooo00<00000003o
0000o`001P00o`04000000800?l01@000002003o00030000003oool0oooo01h0oooo00<00000003o
0000o`001P00o`04000000800?l01@000002003o008000001`3oool00?l0ooooo`3ooomV0?ooo`03
0000003oool00?l000T00?l010000002003o00<000000P00o`02000000X0oooo00<000000?ooo`3o
ool04`3oool:003o00@000000P00o`03000000800?l00`0000070?ooo`00o`3ooooo0?ooofH0oooo
00<000000?ooo`00o`002@00o`04000000800?l00`000002003o008000002P3oool00`000000oooo
0?ooo`0C0?ooo`X00?l010000002003o00<000000P00o`03000000L0oooo003o0?ooool0ooooIP3o
ool00`000000oooo003o0009003o00D000000P00o`000`0000000?l0003o0003000000X0oooo00<0
00000?ooo`3oool04`3oool:003o00D000000P00o`000`0000000?l0003o0004000000L0oooo003o
0?ooool0ooooIP3oool00`000000oooo003o0009003o00D000000P00o`000`0000000?l0003o0003
000000X0oooo00<000000?ooo`3oool04`3oool:003o00D000000P00o`000`0000000?l0003o0004
000000L0oooo003o0?ooool0ooooIP3oool00`000000oooo00000008003o00L000000`00o`040000
00X0oooo00<000000?ooo`3oool04`3oool00`0000000?l0003o0006003o00L000000`00o`050000
00L0oooo003o0?ooool0ooooIP3oool00`000000oooo00000008003o00L000000`00o`04000000X0
oooo00<000000?ooo`3oool04`3oool00`0000000?l0003o0006003o00L000000`00o`05000000L0
oooo003o0?ooool0ooooIP3oool00`000000oooo00000002000000@00?l02P0000000`00o`000000
00000003000000X0oooo00<000000?ooo`3oool04`3oool3000000@00?l02P0000000`00o`000000
00000004000000L0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo
0?ooofH0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo01l0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo
0100oooo003o0?ooool0oooo303oool3000002h0oooo0`00000V0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0100
oooo003o0?ooool0oooo3@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02D0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool0403oool00?l0ooooo`3oool=0?ooo`<000000`3oool4000002L0oooo0`00
00030?ooo`@000007P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0180oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?ooo`d0oooo00@00000
0?ooo`3oool000000`3oool00`000000oooo0?ooo`0W0?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?ooo`d0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`0W0?ooo`040000003oool0oooo000000<0
oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0180
oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?ooo`d0oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0W0?ooo`040000003oool0oooo0000
00<0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@0?ooo`00o`3ooooo0?ooo``0
oooo00@000000?ooo`00000000000`3oool00`000000oooo00000002000002D0oooo00@000000?oo
o`00000000000`3oool00`000000oooo00000002000001d0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0403oool0
0?l0ooooo`3ooomV0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0O0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooIP3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`0@0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0B0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3o
oomV0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?oo
o`0O0?ooo`030000003oool0oooo0100oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0@
0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0B0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool0403oool00?l0ooooo`3ooomV0?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0O0?ooo`03
0000003oool0oooo0100oooo003o0?ooool0ooooF`3oool3000000@00?l01@000002003o00L00000
0P00o`02000000800?l02P000004003o00H0000000<00?l00000000000001@000002003o00/0oooo
0`000004003o00D000000P00o`07000000800?l000<000000?ooo`3oool01@3oool00?l0ooooo`3o
oomK0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`04000000800?l01@00
00000`00o`000000003o0007003o00@000000P00o`05000000800?l000<000000?ooo`3oool02@3o
ool00`0000000?l0003o0006003o00@000000P00o`05000000800?l00P0000070?ooo`00o`3ooooo
0?oooe/0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00@000000P00o`05
00000003003o000000000?l000L00?l010000002003o00D000000P00o`000`000000oooo0?ooo`09
0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`02000000L0oooo003o0?oo
ool0oooo4P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo01D0oooo2P00o`040000
00800?l00`000002003o00d000002P00o`04000000800?l00`000002003o00d000002P00o`040000
00800?l00`000002003o00<000001`3oool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo02h0
oooo00<000000?ooo`3oool05@3oool:003o00@000000P00o`03000000800?l01P000002003o00<0
00003000o`04000000800?l00`000002003o008000002`3oool:003o00@000000P00o`0300000080
0?l00`0000070?ooo`00o`3ooooo0?oooa80oooo00<000000?ooo`3oool0;P3oool00`000000oooo
0?ooo`0E0?ooo`X00?l01@000002003o000300000000o`000?l000P000000P00o`00100000000?l0
003o0000000:003o00D000000P00o`000`0000000?l0003o0003000000/0oooo2P00o`0500000080
0?l000<00000003o0000o`00100000070?ooo`00o`3ooooo0?oooa80oooo00<000000?ooo`3oool0
;P3oool00`000000oooo0?ooo`0E0?ooo`X00?l01@000002003o000300000000o`000?l000P00000
0P00o`00100000000?l0003o0000000:003o00D000000P00o`000`0000000?l0003o0003000000/0
oooo2P00o`05000000800?l000<00000003o0000o`00100000070?ooo`00o`3ooooo0?oooa80oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0E0?ooo`0300000000o`000?l000H00?l0
1`000003003o00X000000`00o`03000000P00?l01`000003003o00@000002`3oool00`0000000?l0
003o0006003o00L000000`00o`05000000L0oooo003o0?ooool0oooo4P3oool00`000000oooo0?oo
o`0^0?ooo`030000003oool0oooo01D0oooo00<00000003o0000o`001P00o`07000000<00?l02P00
0003003o00<000002000o`07000000<00?l01000000;0?ooo`0300000000o`000?l000H00?l01`00
0003003o00D000001`3oool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo02h0oooo00<00000
0?ooo`3oool05@3oool3000000@00?l02P0000000`00o`0000000000000:00000003003o00000000
000000@000001000o`0:00000003003o00000000000000<000002`3oool3000000@00?l02P000000
0`00o`00000000000004000000L0oooo003o0?ooool0oooo4P3oool00`000000oooo0?ooo`0^0?oo
o`030000003oool0oooo02h0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0b0?oo
o`00o`3ooooo0?oooa80oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0^0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool0<P3oool00?l0ooooo`3ooolB0?ooo`030000
003oool0oooo02h0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000
003oool0oooo0380oooo003o0?ooool0oooo4P3oool00`000000oooo0?ooo`0^0?ooo`030000003o
ool0oooo02h0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0b0?ooo`00o`3ooooo
0?oooa80oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool0<P3oool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo
02h0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
0380oooo003o0?ooool0oooo4P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0b0?ooo`00o`3ooooo0?oooa80oooo
00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0180oooo
00<000000?ooo`3oool0<P3oool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo02h0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0380oooo003o
0?ooool0oooo4P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0b0?ooo`00o`3ooooo0?oooa80oooo00<000000?oo
o`3oool0;P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool0<P3oool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3o
ool0;P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo
4P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0
4P3oool00`000000oooo0?ooo`0b0?ooo`00o`3ooooo0?oooa80oooo00<000000?ooo`3oool0;P3o
ool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0<P3o
ool00?l0ooooo`3ooolB0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool0;P3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo4P3oool00`00
0000oooo0?ooo`0^0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3oool04P3oool00`00
0000oooo0?ooo`0b0?ooo`00o`3ooooo0?ooo`H0oooo0`000004003o00H0000000<00?l000000000
00001@000002003o01X0oooo0`000004003o00H0000000<00?l00000000000001@000002003o01X0
oooo0`000004003o00D000000P00o`0:000000@00?l01@000002003o00L000000P00o`0Z0?ooo`00
o`3ooooo0?ooo`H0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000
003oool0oooo01P0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000
003oool0oooo01P0oooo00<00000003o0000o`001P00o`04000000800?l01@0000000`00o`000000
003o0007003o00@000000P00o`05000000800?l000<000000?ooo`3oool0:03oool00?l0ooooo`3o
ool60?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`000`000000oooo0?oo
o`0H0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`000`000000oooo0?oo
o`0H0?ooo`0300000000o`000?l000H00?l010000002003o00D0000000<00?l000000000o`001`00
o`04000000800?l01@000002003o00030000003oool0oooo02P0oooo003o0?ooool0oooo1P3oool:
003o00@000000P00o`03000000800?l07000000:003o00@000000P00o`03000000800?l07000000:
003o00@000000P00o`03000000`00?l010000002003o00<000000P00o`02000002X0oooo003o0?oo
ool0oooo1P3oool:003o00@000000P00o`03000000800?l00P00000J0?ooo`X00?l010000002003o
00<000000P00o`02000001X0oooo2P00o`04000000800?l00`00000<003o00@000000P00o`030000
00800?l00P00000Z0?ooo`00o`3ooooo0?ooo`H0oooo2P00o`05000000800?l000<00000003o0000
o`000`00000J0?ooo`X00?l01@000002003o000300000000o`000?l000<000006P3oool:003o00D0
00000P00o`00100000000?l0003o0000000:003o00D000000P00o`000`0000000?l0003o00030000
02X0oooo003o0?ooool0oooo1P3oool:003o00D000000P00o`000`0000000?l0003o0003000001X0
oooo2P00o`05000000800?l000<00000003o0000o`000`00000J0?ooo`X00?l01@000002003o0004
00000000o`000?l0000000X00?l01@000002003o000300000000o`000?l000<00000:P3oool00?l0
ooooo`3oool60?ooo`0300000000o`000?l000H00?l01`000003003o00@000006P3oool00`000000
0?l0003o0006003o00L000000`00o`04000001X0oooo00<00000003o0000o`001P00o`07000000<0
0?l00`000008003o00L000000`00o`04000002X0oooo003o0?ooool0oooo1P3oool00`0000000?l0
003o0006003o00L000000`00o`04000001X0oooo00<00000003o0000o`001P00o`07000000<00?l0
1000000J0?ooo`0300000000o`000?l000H00?l01`000003003o00<000002000o`07000000<00?l0
1000000Z0?ooo`00o`3ooooo0?ooo`H0oooo0`000004003o00X0000000<00?l00000000000000`00
000J0?ooo`<000001000o`0:00000003003o00000000000000<000006P3oool3000000@00?l02P00
00000`00o`00000000000004000000@00?l02P0000000`00o`00000000000003000002X0oooo003o
0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?oo
ool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0
oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo
@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3o
ool00`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool0
0`000000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`00
0000oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000
oooo0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo
0?ooo`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?oo
o`130?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`13
0?ooo`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?oo
o`030000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`03
0000003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000
003oool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003o
ool0oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0
oooo0380oooo003o0?ooool0oooo@`3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo
0380oooo003o0?ooool0oooo=`3oool3000000@00?l01@000002003o00L000000P00o`0_0?ooo`<0
00001000o`05000000800?l01`000002003o02X0oooo003o0?ooool0oooo=`3oool00`0000000?l0
003o0006003o00@000000P00o`05000000800?l000<000000?ooo`3oool0;@3oool00`0000000?l0
003o0006003o00@000000P00o`05000000800?l000<000000?ooo`3oool0:03oool00?l0ooooo`3o
oolg0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`000`000000oooo0?oo
o`0]0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`000`000000oooo0?oo
o`0X0?ooo`00o`3ooooo0?ooocL0oooo2P00o`04000000800?l00`000002003o034000002P00o`04
000000800?l00`000002003o00800000:P3oool00?l0ooooo`3ooolg0?ooo`X00?l010000002003o
00<000000P00o`02000001P0oooo00<000000?ooo`3oool0503oool:003o00@000000P00o`030000
00800?l00P00000Z0?ooo`00o`3ooooo0?ooocL0oooo2P00o`05000000800?l000<00000003o0000
o`000`00000H0?ooo`030000003oool0oooo01@0oooo2P00o`05000000800?l000<00000003o0000
o`000`00000Z0?ooo`00o`3ooooo0?ooocL0oooo2P00o`05000000800?l000<00000003o0000o`00
0`00000H0?ooo`030000003oool0oooo01@0oooo2P00o`05000000800?l000<00000003o0000o`00
0`00000Z0?ooo`00o`3ooooo0?ooocL0oooo00<00000003o0000o`001P00o`07000000<00?l01000
000H0?ooo`030000003oool0oooo01@0oooo00<00000003o0000o`001P00o`07000000<00?l01000
000Z0?ooo`00o`3ooooo0?ooocL0oooo00<00000003o0000o`001P00o`07000000<00?l01000000H
0?ooo`030000003oool0oooo01@0oooo00<00000003o0000o`001P00o`07000000<00?l01000000Z
0?ooo`00o`3ooooo0?ooocL0oooo0`000004003o00X0000000<00?l00000000000000`00000H0?oo
o`030000003oool0oooo01@0oooo0`000004003o00X0000000<00?l00000000000000`00000Z0?oo
o`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000
003oool0oooo05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo
0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo
05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo
00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo003o
0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?oo
o`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo003o0?ooool0oooo
IP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3o
ool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo003o0?ooool0ooooIP3oool00`00
0000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0oooo
o`3ooomJ0?ooo`<000001000o`05000000800?l01`000002003o04d0oooo003o0?ooool0ooooFP3o
ool00`0000000?l0003o0006003o00@000000P00o`05000000800?l000<000000?ooo`3oool0B`3o
ool00?l0ooooo`3ooomJ0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`00
0`000000oooo0?ooo`1;0?ooo`00o`3ooooo0?oooeX0oooo2P00o`04000000800?l00`000002003o
00800000C@3oool00?l0ooooo`3ooomJ0?ooo`X00?l010000002003o00<000000P00o`02000004d0
oooo003o0?ooool0ooooFP3oool:003o00D000000P00o`000`0000000?l0003o0003000004d0oooo
003o0?ooool0ooooFP3oool:003o00D000000P00o`000`0000000?l0003o0003000004d0oooo003o
0?ooool0ooooFP3oool00`0000000?l0003o0006003o00L000000`00o`04000004d0oooo003o0?oo
ool0ooooFP3oool00`0000000?l0003o0006003o00L000000`00o`04000004d0oooo003o0?ooool0
ooooFP3oool3000000@00?l02P0000000`00o`00000000000003000004d0oooo003o0?ooool0oooo
IP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3o
ool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo003o0?ooool0ooooIP3oool00`00
0000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0oooo
o`3ooomV0?ooo`030000003oool0oooo05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?oo
o`1E0?ooo`00o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?oo
o`030000003oool0oooo05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00
o`3ooooo0?ooofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003o
ool0oooo05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?oo
ofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0
oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<0
00000?ooo`3oool0E@3oool00?l0ooooo`3ooomJ0?ooo`<000001000o`05000000800?l01`000002
003o04d0oooo003o0?ooool0ooooFP3oool00`0000000?l0003o0006003o00@000000P00o`050000
00800?l000<000000?ooo`3oool0B`3oool00?l0ooooo`3ooomJ0?ooo`0300000000o`000?l000H0
0?l010000002003o00D000000P00o`000`000000oooo0?ooo`1;0?ooo`00o`3ooooo0?oooeX0oooo
2P00o`04000000800?l00`000002003o00800000C@3oool00?l0ooooo`3ooomJ0?ooo`X00?l01000
0002003o00<000000P00o`02000004d0oooo003o0?ooool0ooooFP3oool:003o00D000000P00o`00
0`0000000?l0003o0003000004d0oooo003o0?ooool0ooooFP3oool:003o00D000000P00o`000`00
00000?l0003o0003000004d0oooo003o0?ooool0ooooFP3oool00`0000000?l0003o0006003o00L0
00000`00o`04000004d0oooo003o0?ooool0ooooFP3oool00`0000000?l0003o0006003o00L00000
0`00o`04000004d0oooo003o0?ooool0ooooFP3oool3000000@00?l02P0000000`00o`0000000000
0003000004d0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?oo
ofH0oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0
oooo000;0?ooo`<00000o`3ooooo0?oooeP0oooo00<000000?ooo`3oool0E@3oool000`0oooo00<0
00000?ooo`3oool0o`3ooooo0?oooeL0oooo00<000000?ooo`3oool0E@3oool000`0oooo0`000003
0?ooo`@00000o`3ooooo0?oooe00oooo00<000000?ooo`3oool0E@3oool000`0oooo00@000000?oo
o`3oool000000`3oool00`000000oooo0?ooo`3o0?ooool0ooooD03oool00`000000oooo0?ooo`1E
0?ooo`00303oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0?l0ooooo`3ooom@
0?ooo`030000003oool0oooo05D0oooo000<0?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0o`3ooooo0?oooe00oooo00<000000?ooo`3oool0E@3oool000/0oooo00@000000?oo
o`00000000000`3oool00`000000oooo0000000200000?l0ooooo`3ooom?0?ooo`030000003oool0
oooo05D0oooo003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0
oooo00<000000?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo
003o0?ooool0ooooIP3oool00`000000oooo0?ooo`1E0?ooo`00o`3ooooo0?ooofH0oooo00<00000
0?ooo`3oool0E@3oool00?l0ooooo`3ooomV0?ooo`030000003oool0oooo05D0oooo003o0?ooool0
ooooFP3oool3000000@00?l01@000002003o00L000000P00o`1=0?ooo`00o`3ooooo0?oooeX0oooo
00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000003oool0oooo04/0oooo
003o0?ooool0ooooFP3oool00`0000000?l0003o0006003o00@000000P00o`05000000800?l000<0
00000?ooo`3oool0B`3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?ooodH0oooo2P00o`04
000000800?l00`000002003o00800000C@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oo
odH0oooo2P00o`04000000800?l00`000002003o00800000C@3oool00140oooo00<000000?ooo`3o
ool0o`3ooooo0?ooodH0oooo2P00o`05000000800?l000<00000003o0000o`000`00001=0?ooo`00
4@3oool00`000000oooo0?ooo`3o0?ooool0ooooAP3oool:003o00D000000P00o`000`0000000?l0
003o0003000004d0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooom60?ooo`0300000000
o`000?l000H00?l01`000003003o00@00000C@3oool00140oooo00<000000?ooo`3oool0o`3ooooo
0?ooodH0oooo00<00000003o0000o`001P00o`07000000<00?l01000001=0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?ooool0ooooAP3oool3000000@00?l02P0000000`00o`000000000000030000
04d0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0
oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo
000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A
0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?oo
o`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`03
0000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000
003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003o
ool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0
oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo
0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0
ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0oooo
o`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3o
oomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB
0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?oo
o`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`03
0000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000
003oool0oooo05D0oooo00050?ooo`<000001000o`0600000003003o00000000000000D000000P00
o`000`000000oooo0?ooo`3o0?ooool0oooo>`3oool3000000@00?l01@000002003o00L000000P00
o`1=0?ooo`001@3oool00`0000000?l0003o0006003o00@000000P00o`05000000800?l00P00003o
0?ooool0oooo?@3oool00`0000000?l0003o0006003o00@000000P00o`05000000800?l000<00000
0?ooo`3oool0B`3oool000D0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o
00800000o`3ooooo0?ooocd0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o
00030000003oool0oooo04/0oooo00050?ooo`X00?l010000002003o00<000000P00o`0300000?l0
ooooo`3ooolm0?ooo`X00?l010000002003o00<000000P00o`02000004d0oooo00050?ooo`X00?l0
10000002003o00<000000P00o`0300000?l0ooooo`3ooolm0?ooo`X00?l010000002003o00<00000
0P00o`02000004d0oooo00050?ooo`X00?l01@000002003o000300000000o`000?l000@00000o`3o
oooo0?ooocd0oooo2P00o`05000000800?l000<00000003o0000o`000`00001=0?ooo`001@3oool:
003o00D000000P00o`000`0000000?l0003o000400000?l0ooooo`3ooolm0?ooo`X00?l01@000002
003o000300000000o`000?l000<00000C@3oool000D0oooo00<00000003o0000o`001P00o`070000
00<00?l01@00003o0?ooool0oooo?@3oool00`0000000?l0003o0006003o00L000000`00o`040000
04d0oooo00050?ooo`0300000000o`000?l000H00?l01`000003003o00D00000o`3ooooo0?ooocd0
oooo00<00000003o0000o`001P00o`07000000<00?l01000001=0?ooo`001@3oool3000000@00?l0
2P0000000`00o`0000000000000400000?l0ooooo`3ooolm0?ooo`<000001000o`0:00000003003o
00000000000000<00000C@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<0
00000?ooo`3oool0E@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<00000
0?ooo`3oool0E@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?oo
o`3oool0E@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3o
ool0E@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0
E@3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3o
ool00140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool0
0140oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140
oooo00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo
00<000000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<0
00000?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<00000
0?ooo`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<000000?oo
o`3oool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<000000?ooo`3o
ool0o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<000000?ooo`3oool0
o`3ooooo0?oooe80oooo00<000000?ooo`3oool0E@3oool00140oooo00<000000?ooo`3oool0o`3o
oooo0?oooe80oooo00<000000?ooo`3oool0E@3oool000D0oooo0`000004003o00D000000P00o`07
000000800?l000<000000?ooo`3oool0o`3ooooo0?oooc/0oooo0`000004003o00D000000P00o`07
000000800?l0C@3oool000D0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o
00800000o`3ooooo0?ooocd0oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o
00030000003oool0oooo04/0oooo00050?ooo`0300000000o`000?l000H00?l010000002003o00D0
00000P00o`0200000?l0ooooo`3ooolm0?ooo`0300000000o`000?l000H00?l010000002003o00D0
00000P00o`000`000000oooo0?ooo`1;0?ooo`001@3oool:003o00@000000P00o`03000000800?l0
0`00003o0?ooool0oooo?@3oool:003o00@000000P00o`03000000800?l00P00001=0?ooo`001@3o
ool:003o00@000000P00o`03000000800?l00`00003o0?ooool0oooo?@3oool:003o00@000000P00
o`03000000800?l00P00001=0?ooo`001@3oool:003o00D000000P00o`000`0000000?l0003o0004
00000?l0ooooo`3ooolm0?ooo`X00?l01@000002003o000300000000o`000?l000<00000C@3oool0
00D0oooo2P00o`05000000800?l000<00000003o0000o`001000003o0?ooool0oooo?@3oool:003o
00D000000P00o`000`0000000?l0003o0003000004d0oooo00050?ooo`0300000000o`000?l000H0
0?l01`000003003o00D00000o`3ooooo0?ooocd0oooo00<00000003o0000o`001P00o`07000000<0
0?l01000001=0?ooo`001@3oool00`0000000?l0003o0006003o00L000000`00o`0500000?l0oooo
o`3ooolm0?ooo`0300000000o`000?l000H00?l01`000003003o00@00000C@3oool000D0oooo0`00
0004003o00X0000000<00?l00000000000001000003o0?ooool0oooo?@3oool3000000@00?l02P00
00000`00o`00000000000003000004d0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB
0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?oo
o`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`03
0000003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000
003oool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003o
ool0oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0
oooo05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo
05D0oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0
oooo000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo
000A0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A
0?ooo`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?oo
o`030000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`03
0000003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000
003oool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003o
ool0oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo000A0?ooo`030000003oool0
oooo0?l0ooooo`3ooomB0?ooo`030000003oool0oooo05D0oooo00050?ooo`<000001000o`050000
00800?l01`000002003o00030000003oool0oooo0?l0ooooo`3ooolk0?ooo`<000001000o`050000
00800?l01`000002003o04d0oooo00050?ooo`0300000000o`000?l000H00?l010000002003o00D0
00000P00o`0200000?l0ooooo`3ooolm0?ooo`0300000000o`000?l000H00?l010000002003o00D0
00000P00o`000`000000oooo0?ooo`1;0?ooo`001@3oool00`0000000?l0003o0006003o00@00000
0P00o`05000000800?l00P00003o0?ooool0oooo?@3oool00`0000000?l0003o0006003o00@00000
0P00o`05000000800?l000<000000?ooo`3oool0B`3oool000D0oooo2P00o`04000000800?l00`00
0002003o00<00000o`3ooooo0?ooocd0oooo2P00o`04000000800?l00`000002003o00800000C@3o
ool000D0oooo2P00o`04000000800?l00`000002003o0?l00000o`000010000000X00?l010000002
003o00<000000P00o`02000004d0oooo00050?ooo`X00?l01@000002003o000300000000o`000?l0
00@00000o`3ooolN0?ooo`030000003oool0oooo0?l0oooo703oool:003o00D000000P00o`000`00
00000?l0003o0003000004d0oooo00050?ooo`X00?l01@000002003o000300000000o`000?l000@0
0000o`3ooolN0?ooo`030000003oool0oooo0?l0oooo703oool:003o00D000000P00o`000`000000
0?l0003o0003000004d0oooo00050?ooo`0300000000o`000?l000H00?l01`000003003o00D00000
o`3ooolN0?ooo`030000003oool0oooo0?l0oooo703oool00`0000000?l0003o0006003o00L00000
0`00o`04000004d0oooo00050?ooo`0300000000o`000?l000H00?l01`000003003o00D00000o`3o
oolN0?ooo`030000003oool0oooo0?l0oooo703oool00`0000000?l0003o0006003o00L000000`00
o`04000004d0oooo00050?ooo`<000001000o`0:00000003003o00000000000000@00000o`3ooolN
0?ooo`030000003oool0oooo0?l0oooo703oool3000000@00?l02P0000000`00o`00000000000003
000004d0oooo00050?oooaP00000o`3ooolN0?ooo`030000003oool0oooo0?l0oooo703ooolG0000
04d0oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000
003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o
0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo
0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo
00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03o
ool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?oo
o`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo
>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3o
oon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`00
0000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00
o`3oool`0?ooo`<000001000o`05000000800?l01`000002003o0?l0ooooM`3oool00?l0oooo<03o
ool00`0000000?l0003o0006003o00@000000P00o`05000000800?l000<000000?ooo`3oool0o`3o
oome0?ooo`00o`3oool`0?ooo`0300000000o`000?l000H00?l010000002003o00D000000P00o`00
0`000000oooo0?ooo`3o0?ooogD0oooo003o0?oooc00oooo2P00o`04000000800?l00`000002003o
00800000o`3ooomg0?ooo`00o`3oool`0?ooo`X00?l010000002003o00<000000P00o`0200000?l0
ooooM`3oool00?l0oooo<03oool:003o00D000000P00o`000`0000000?l0003o000300000?l0oooo
M`3oool00?l0oooo<03oool:003o00D000000P00o`000`0000000?l0003o000300000?l0ooooM`3o
ool00?l0oooo<03oool00`0000000?l0003o0006003o00L000000`00o`0400000?l0ooooM`3oool0
0?l0oooo<03oool00`0000000?l0003o0006003o00L000000`00o`0400000?l0ooooM`3oool00?l0
oooo<03oool3000000@00?l02P0000000`00o`0000000000000300000?l0ooooM`3oool00?l0oooo
>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3o
oon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`00
0000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00
o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?oo
o`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?oo
o`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00
oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003o
ool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oo
oc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0
ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc00oooo0`00
0004003o00D000000P00o`07000000800?l0o`3ooomg0?ooo`00o`3oool`0?ooo`0300000000o`00
0?l000H00?l010000002003o00D000000P00o`000`000000oooo0?ooo`3o0?ooogD0oooo003o0?oo
oc00oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000003oool0oooo
0?l0ooooM@3oool00?l0oooo<03oool:003o00@000000P00o`03000000800?l00P00003o0?ooogL0
oooo003o0?oooc00oooo2P00o`04000000800?l00`000002003o00800000o`3ooomg0?ooo`00o`3o
ool`0?ooo`X00?l01@000002003o000300000000o`000?l000<00000o`3ooomg0?ooo`00o`3oool`
0?ooo`X00?l01@000002003o000300000000o`000?l000<00000o`3ooomg0?ooo`00o`3oool`0?oo
o`0300000000o`000?l000H00?l01`000003003o00@00000o`3ooomg0?ooo`00o`3oool`0?ooo`03
00000000o`000?l000H00?l01`000003003o00@00000o`3ooomg0?ooo`00o`3oool`0?ooo`<00000
1000o`0:00000003003o00000000000000<00000o`3ooomg0?ooo`00o`3oool`0?oooaL00000o`3o
oomg0?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`00
0000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00
o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?oo
o`3o0?oooh00oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?oo
o`030000003oool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00
oooo003o0?oooc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003o
ool0oooo0?l0ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oo
oc/0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0
ooooP03oool00?l0oooo>`3oool00`000000oooo0?ooo`3o0?oooh00oooo003o0?oooc/0oooo00<0
00000?ooo`3oool0o`3ooon00?ooo`00o`3ooolk0?ooo`030000003oool0oooo0?l0ooooP03oool0
0?l0oooo<03oool3000000@00?l01@000002003o00L000000P00o`3o0?ooogL0oooo003o0?oooc00
oooo00<00000003o0000o`001P00o`04000000800?l01@000002003o00030000003oool0oooo0?l0
ooooM@3oool00?l0oooo<03oool00`0000000?l0003o0006003o00@000000P00o`05000000800?l0
00<000000?ooo`3oool0o`3ooome0?ooo`00o`3oool`0?ooo`X00?l010000002003o00<000000P00
o`0200000?l0ooooM`3oool00?l0oooo<03oool:003o00@000000P00o`03000000800?l00P00003o
0?ooogL0oooo003o0?oooc00oooo2P00o`05000000800?l000<00000003o0000o`000`00003o0?oo
ogL0oooo003o0?oooc00oooo2P00o`05000000800?l000<00000003o0000o`000`00003o0?ooogL0
oooo003o0?oooc00oooo00<00000003o0000o`001P00o`07000000<00?l01000003o0?ooogL0oooo
003o0?oooc00oooo00<00000003o0000o`001P00o`07000000<00?l01000003o0?ooogL0oooo003o
0?oooc00oooo0`000004003o00X0000000<00?l00000000000000`00003o0?ooogL0oooo003o0?oo
ool0oooo_P3oool00?l0ooooo`3ooonn0?ooo`00o`3ooooo0?oookh0oooo003o0?ooool0oooo_P3o
ool00001\
\>"],
  ImageRangeCache->{{{0, 699}, {431, 0}} -> {-0.259345, -15.8875, \
0.000823694, 0.0377608}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(InputForm[
      archive\[LeftDoubleBracket]2, 3\[RightDoubleBracket]]\)], "Input"],

Cell["\<\
Theorema`Provers`Common`ProofObject`Private`AndNode[
 Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
InitialProofSituation\", 
  \[Bullet]lf[\"Proposition (dominos adjacent)\", \
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[X]]], \
True, 
    \[Trademark]Implies[domino\[Dash]on\[Dash]board[\[Bullet]var[X]], \
\[Trademark]And[\[Trademark]SubsetEqual[\[Bullet]var[X], Board], 
      \[Trademark]Exists[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]],\
 \[Bullet]simpleRange[\[Bullet]var[y]]], True, 
       \[Trademark]And[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x], \
\[Bullet]var[X]], \[Trademark]Element[\[Bullet]var[y], \[Bullet]var[X]], 
         \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x], \
\[Bullet]var[y]]]], adjacent[\[Bullet]var[x], \[Bullet]var[y]]]]]]], \
\[Bullet]finfo[]], 
  \[Bullet]asml[\[Bullet]lf[\"Definition (Domino)\", \[Trademark]ForAll[\
\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]]], True, 
     \[Trademark]IffByDef[domino\[Dash]on\[Dash]board[\[Bullet]var[x]], \
\[Trademark]And[\[Trademark]SubsetEqual[\[Bullet]var[x], Board], 
       \[Trademark]Equal[\[Trademark]BracketingBar[\[Bullet]var[x]], 2], \
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x1]], 
         \[Bullet]simpleRange[\[Bullet]var[x2]]], True, \[Trademark]Implies[\
\[Trademark]And[\[Trademark]Element[\[Bullet]var[x1], \[Bullet]var[x]], 
          \[Trademark]Element[\[Bullet]var[x2], \[Bullet]var[x]], \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x1], \[Bullet]var[x2]]]], 
         adjacent[\[Bullet]var[x1], \[Bullet]var[x2]]]]]]], \[Bullet]finfo[\"\
\"]]]], 
 Theorema`Provers`Common`ProofObject`Private`Subgoals[
  Theorema`Provers`Common`ProofObject`Private`AndNode[
   Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ArbitraryFixedProveImplication\", 
    \[Bullet]usedFormulae[\"Proposition (dominos adjacent)\"], \
\[Bullet]generatedFormulae[
     \[Bullet]lf[\"1\", domino\[Dash]on\[Dash]board[\[Bullet]fix[X, 0]], \
\[Bullet]finfo[]], 
     \[Bullet]lf[\"2\", \
\[Trademark]And[\[Trademark]SubsetEqual[\[Bullet]fix[X, 0], Board], 
       \[Trademark]Exists[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]]\
, \[Bullet]simpleRange[\[Bullet]var[y]]], True, 
        \[Trademark]And[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x], \
\[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[y], \[Bullet]fix[X, \
0]], 
          \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x], \
\[Bullet]var[y]]]], adjacent[\[Bullet]var[x], \[Bullet]var[y]]]]], \
\[Bullet]finfo[]]]], 
   Theorema`Provers`Common`ProofObject`Private`Subgoals[
    Theorema`Provers`Common`ProofObject`Private`AndNode[
     Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"ProveConjunction\
\", \[Bullet]usedFormulae[\"2\"], 
      \[Bullet]generatedFormulae[\[Bullet]lf[\"2.1\", \
\[Trademark]SubsetEqual[\[Bullet]fix[X, 0], Board], \[Bullet]finfo[]], 
       \[Bullet]lf[\"2.2\", \
\[Trademark]Exists[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]], \
\[Bullet]simpleRange[\[Bullet]var[y]]], True, 
         \[Trademark]And[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x], \
\[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[y], \[Bullet]fix[X, \
0]], 
           \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x], \
\[Bullet]var[y]]]], adjacent[\[Bullet]var[x], \[Bullet]var[y]]]], \
\[Bullet]finfo[]]]], 
     Theorema`Provers`Common`ProofObject`Private`Subgoals[
      Theorema`Provers`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
KnowledgeRewriting\", 
        \[Bullet]usedFormulae[\"1\", \"Definition (Domino)\"], \
\[Bullet]generatedFormulae[
         \[Bullet]lf[\"3\", \
\[Trademark]And[\[Trademark]Equal[\[Trademark]BracketingBar[\[Bullet]fix[X, \
0]], 2], 
           \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]\
var[x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
            \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], \
\[Bullet]fix[X, 
                0]], \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x1], \
\[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], \[Bullet]var[x2]]]], 
           \[Trademark]SubsetEqual[\[Bullet]fix[X, 0], Board]], \
\[Bullet]finfo[]]], 
        {{\"1\", \[Bullet]lf[\"3\", \[Trademark]And[\[Trademark]Equal[\
\[Trademark]BracketingBar[\[Bullet]fix[X, 0]], 2], 
            \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]\
var[x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
             \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], 
                \[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\
\[Bullet]var[x1], \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], 
               \[Bullet]var[x2]]]], \[Trademark]SubsetEqual[\[Bullet]fix[X, \
0], Board]], \[Bullet]finfo[]], 
          {\"simplification object\", \
domino\[Dash]on\[Dash]board[\[Bullet]fix[X, 0]], \"Definition (Domino)\", 
           \[Trademark]And[\[Trademark]Equal[\[Trademark]BracketingBar[\
\[Bullet]fix[X, 0]], 2], \[Trademark]ForAll[
             \[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x1]], \
\[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
             \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], 
                \[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\
\[Bullet]var[x1], \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], 
               \[Bullet]var[x2]]]], \[Trademark]SubsetEqual[\[Bullet]fix[X, \
0], Board]]}}}], 
       Theorema`Provers`Common`ProofObject`Private`Subgoals[
        Theorema`Provers`Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
AssumptionIsConjunction\", 
          \[Bullet]usedFormulae[\"3\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"3.1\", \
\[Trademark]Equal[\[Trademark]BracketingBar[
              \[Bullet]fix[X, 0]], 2], \[Bullet]finfo[]], \
\[Bullet]lf[\"3.2\", \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\
\[Bullet]var[
                x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, \
\[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x1], 
                \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], \
\[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x1], 
                 \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], \
\[Bullet]var[x2]]]], \[Bullet]finfo[]], 
           \[Bullet]lf[\"3.3\", \[Trademark]SubsetEqual[\[Bullet]fix[X, 0], \
Board], \[Bullet]finfo[]]]], 
         Theorema`Provers`Common`ProofObject`Private`Subgoals[
          Theorema`Provers`Common`ProofObject`Private`AndNode[
           Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ConclusionIsAssumption\", 
            \[Bullet]usedFormulae[\"2.1\", \"3.3\"], \
\[Bullet]generatedFormulae[]], 
           Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
           Theorema`Provers`Common`ProofObject`Private`Constraints[], \
\"proved\"]], 
         Theorema`Provers`Common`ProofObject`Private`Constraints[], \
\"proved\"]], 
       Theorema`Provers`Common`ProofObject`Private`Constraints[
        \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
            2}], \[Bullet]rstrs[]]]], \"proved\"], \
Theorema`Provers`Common`ProofObject`Private`AndNode[
       Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
KnowledgeRewriting\", 
        \[Bullet]usedFormulae[\"1\", \"Definition (Domino)\"], \
\[Bullet]generatedFormulae[
         \[Bullet]lf[\"4\", \
\[Trademark]And[\[Trademark]Equal[\[Trademark]BracketingBar[\[Bullet]fix[X, \
0]], 2], 
           \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]\
var[x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
            \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], \
\[Bullet]fix[X, 
                0]], \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x1], \
\[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], \[Bullet]var[x2]]]], 
           \[Trademark]SubsetEqual[\[Bullet]fix[X, 0], Board]], \
\[Bullet]finfo[]]], 
        {{\"1\", \[Bullet]lf[\"4\", \[Trademark]And[\[Trademark]Equal[\
\[Trademark]BracketingBar[\[Bullet]fix[X, 0]], 2], 
            \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]\
var[x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
             \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], 
                \[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\
\[Bullet]var[x1], \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], 
               \[Bullet]var[x2]]]], \[Trademark]SubsetEqual[\[Bullet]fix[X, \
0], Board]], \[Bullet]finfo[]], 
          {\"simplification object\", \
domino\[Dash]on\[Dash]board[\[Bullet]fix[X, 0]], \"Definition (Domino)\", 
           \[Trademark]And[\[Trademark]Equal[\[Trademark]BracketingBar[\
\[Bullet]fix[X, 0]], 2], \[Trademark]ForAll[
             \[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x1]], \
\[Bullet]simpleRange[\[Bullet]var[x2]]], True, 
             \[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]\
var[x1], \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], 
                \[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\
\[Bullet]var[x1], \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], 
               \[Bullet]var[x2]]]], \[Trademark]SubsetEqual[\[Bullet]fix[X, \
0], Board]]}}}], 
       Theorema`Provers`Common`ProofObject`Private`Subgoals[
        Theorema`Provers`Common`ProofObject`Private`AndNode[
         Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
AssumptionIsConjunction\", 
          \[Bullet]usedFormulae[\"4\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"4.1\", \
\[Trademark]Equal[\[Trademark]BracketingBar[
              \[Bullet]fix[X, 0]], 2], \[Bullet]finfo[]], \
\[Bullet]lf[\"4.2\", \[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\
\[Bullet]var[
                x1]], \[Bullet]simpleRange[\[Bullet]var[x2]]], True, \
\[Trademark]Implies[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x1], 
                \[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[x2], \
\[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x1], 
                 \[Bullet]var[x2]]]], adjacent[\[Bullet]var[x1], \
\[Bullet]var[x2]]]], \[Bullet]finfo[]], 
           \[Bullet]lf[\"4.3\", \[Trademark]SubsetEqual[\[Bullet]fix[X, 0], \
Board], \[Bullet]finfo[]]]], 
         Theorema`Provers`Common`ProofObject`Private`Subgoals[
          Theorema`Provers`Common`ProofObject`Private`AndNode[
           Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
NewKnowledge\", 
            \[Bullet]usedFormulae[\"4.1\", \"4.3\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"5\", \
\[Trademark]Element[\[Bullet]fix[
                Removed[\"X1\"], 0], \[Bullet]fix[X, 0]], \[Bullet]finfo[]], \
\[Bullet]lf[\"6\", \[Trademark]Element[\[Bullet]fix[
                Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \[Bullet]finfo[]], \
\[Bullet]lf[\"7\", \[Trademark]Not[\[Trademark]Equal[
                \[Bullet]fix[Removed[\"X1\"], 0], \
\[Bullet]fix[Removed[\"X1\"], 1]]], \[Bullet]finfo[]], 
             \[Bullet]lf[\"8\", \
\[Trademark]ForAll[\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[Removed[\"\
X2\"]]]], True, \[Trademark]Implies[
                \[Trademark]Element[\[Bullet]var[Removed[\"X2\"]], \
\[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]var[Removed[\"X2\"]], 
                 Board]]], \[Bullet]finfo[]]], \[Bullet]asml[], \
\[Bullet]asml[{\[Bullet]asml[\[Bullet]lf[\"5\", \[Trademark]Element[
                 \[Bullet]fix[Removed[\"X1\"], 0], \[Bullet]fix[X, 0]], \
\[Bullet]finfo[]], \[Bullet]lf[\"6\", \[Trademark]Element[
                 \[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \
\[Bullet]finfo[]], \[Bullet]lf[\"7\", 
                \[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"]\
, 0], \[Bullet]fix[Removed[\"X1\"], 1]]], \[Bullet]finfo[]]], 
              \"4.1\"}, {\[Bullet]asml[\[Bullet]lf[\"8\", \[Trademark]ForAll[\
\[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[Removed[\"X2\"]]]], 
                 True, \
\[Trademark]Implies[\[Trademark]Element[\[Bullet]var[Removed[\"X2\"]], \
\[Bullet]fix[X, 0]], \[Trademark]Element[
                   \[Bullet]var[Removed[\"X2\"]], Board]]], \
\[Bullet]finfo[]]], \"4.3\"}]], 
           Theorema`Provers`Common`ProofObject`Private`Subgoals[
            Theorema`Provers`Common`ProofObject`Private`AndNode[
             Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
MatchExistSubgoal\", 
              \[Bullet]usedFormulae[\"2.2\", \"5\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"12\", \[Trademark]Exists[
                 \[Bullet]range[\[Bullet]simpleRange[\[Bullet]var[x]]], True, \
\[Trademark]And[\[Trademark]And[\[Trademark]Element[\[Bullet]var[x], 
                    \[Bullet]fix[X, 0]], \
\[Trademark]Element[\[Bullet]fix[Removed[\"X1\"], 0], \[Bullet]fix[X, 0]], 
                   \[Trademark]Not[\[Trademark]Equal[\[Bullet]var[x], \
\[Bullet]fix[Removed[\"X1\"], 0]]]], adjacent[\[Bullet]var[x], 
                   \[Bullet]fix[Removed[\"X1\"], 0]]]], \[Bullet]finfo[]]], {\
\[Bullet]var[y] :> \[Bullet]fix[Removed[\"X1\"], 
                 0]}], Theorema`Provers`Common`ProofObject`Private`Subgoals[
              Theorema`Provers`Common`ProofObject`Private`AndNode[
               Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
MatchExistSubgoal\", 
                \[Bullet]usedFormulae[\"12\", \"6\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"68\", \[Trademark]And[
                   \[Trademark]And[\[Trademark]Element[\[Bullet]fix[Removed[\"\
X1\"], 1], \[Bullet]fix[X, 0]], \[Trademark]Element[
                     \[Bullet]fix[Removed[\"X1\"], 0], \[Bullet]fix[X, 0]], \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 
                       1], \[Bullet]fix[Removed[\"X1\"], 0]]]], adjacent[\
\[Bullet]fix[Removed[\"X1\"], 1], 
                    \[Bullet]fix[Removed[\"X1\"], 0]]], \[Bullet]finfo[]]], {\
\[Bullet]var[x] :> \[Bullet]fix[Removed[\"X1\"], 
                   1]}], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[
                Theorema`Provers`Common`ProofObject`Private`AndNode[
                 Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ProveConjunction\", 
                  \[Bullet]usedFormulae[\"68\"], \[Bullet]generatedFormulae[\
\[Bullet]lf[\"68.1\", \[Trademark]And[\[Trademark]Element[
                      \[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \
\[Trademark]Element[\[Bullet]fix[Removed[\"X1\"], 0], 
                      \[Bullet]fix[X, 0]], \[Trademark]Not[\[Trademark]Equal[\
\[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[Removed[\"X1\"], 
                        0]]]], \[Bullet]finfo[]], \[Bullet]lf[\"68.2\", \
adjacent[\[Bullet]fix[Removed[\"X1\"], 1], 
                     \[Bullet]fix[Removed[\"X1\"], 0]], \[Bullet]finfo[]]]], 
                 Theorema`Provers`Common`ProofObject`Private`Subgoals[
                  Theorema`Provers`Common`ProofObject`Private`AndNode[
                   Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ProveConjunction\", 
                    \[Bullet]usedFormulae[\"68.1\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"68.1.1\", \[Trademark]Element[
                       \[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \
\[Bullet]finfo[]], \[Bullet]lf[\"68.1.2\", 
                      \[Trademark]Element[\[Bullet]fix[Removed[\"X1\"], 0], \
\[Bullet]fix[X, 0]], \[Bullet]finfo[]], 
                     \[Bullet]lf[\"68.1.3\", \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 1], \
\[Bullet]fix[Removed[\"X1\"], 
                         0]]], \[Bullet]finfo[]]]], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[
                    Theorema`Provers`Common`ProofObject`Private`AndNode[
                     Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ConclusionIsAssumption\", 
                      \[Bullet]usedFormulae[\"68.1.1\", \"6\"], \
\[Bullet]generatedFormulae[]], 
                     Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
                     Theorema`Provers`Common`ProofObject`Private`Constraints[]\
, \"proved\"], 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[
                     Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ConclusionIsAssumption\", 
                      \[Bullet]usedFormulae[\"68.1.2\", \"5\"], \
\[Bullet]generatedFormulae[]], 
                     Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
                     Theorema`Provers`Common`ProofObject`Private`Constraints[]\
, \"proved\"], 
                    Theorema`Provers`Common`ProofObject`Private`AndNode[
                     Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ProofByContradiction\", 
                      \[Bullet]usedFormulae[\"68.1.3\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"a contradiction\", 
                        False, Null], \[Bullet]lf[\"69\", \[Trademark]Equal[\
\[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[
                          Removed[\"X1\"], 0]], \[Bullet]finfo[]]]], 
                     Theorema`Provers`Common`ProofObject`Private`Subgoals[
                      Theorema`Provers`Common`ProofObject`Private`AndNode[
                       Theorema`Provers`Common`ProofObject`Private`ProofInfo[\
\"KnowledgeRewriting\", 
                        \[Bullet]usedFormulae[\"69\", \"7\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"72\", \[Trademark]Not[
                           \[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], \
0], \[Bullet]fix[Removed[\"X1\"], 0]]], \[Bullet]finfo[
                           ]]], {{\"7\", \[Bullet]lf[\"72\", \[Trademark]Not[\
\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 0], 
                             \[Bullet]fix[Removed[\"X1\"], 0]]], \
\[Bullet]finfo[]], {\"simplification object\", 
                           \[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[\
Removed[\"X1\"], 0], \[Bullet]fix[Removed[\"X1\"], 1]]], 
                           \"69\", \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 0], \
\[Bullet]fix[Removed[\"X1\"], 
                              0]]]}}}], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[
                        Theorema`Provers`Common`ProofObject`Private`AndNode[
                         Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[\"NewKnowledge\", 
                          \[Bullet]usedFormulae[\"72\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"73\", False, \[Bullet]finfo[
                             ]]], \[Bullet]asml[{\[Bullet]lf[\"73\", False, \
\[Bullet]finfo[]], \"72\"}], \[Bullet]asml[]], 
                         Theorema`Provers`Common`ProofObject`Private`Subgoals[\

                          Theorema`Provers`Common`ProofObject`Private`AndNode[\

                           Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[\"FalseAssumption\", 
                            \[Bullet]usedFormulae[\"73\"], \
\[Bullet]generatedFormulae[], \"a contradiction\"], 
                           Theorema`Provers`Common`ProofObject`Private`\
Subgoals[], 
                           Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                         Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                       Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                     Theorema`Provers`Common`ProofObject`Private`Constraints[]\
, \"proved\"]], 
                   Theorema`Provers`Common`ProofObject`Private`Constraints[\
\[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], 
                      \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 
                        2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]]]], \"proved\"], \

                  Theorema`Provers`Common`ProofObject`Private`AndNode[
                   Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
GoalRewriting\", 
                    \[Bullet]usedFormulae[\"68.2\", \"4.2\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"74\", \[Trademark]And[
                       \[Trademark]Element[\[Bullet]fix[Removed[\"X1\"], 0], \
\[Bullet]fix[X, 0]], \[Trademark]Element[\[Bullet]fix[
                         Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 1], 
                         \[Bullet]fix[Removed[\"X1\"], 0]]]], \
\[Bullet]finfo[]]], {\"simplification object\", 
                     adjacent[\[Bullet]fix[Removed[\"X1\"], 1], \
\[Bullet]fix[Removed[\"X1\"], 0]], \"4.2\", 
                     \[Trademark]And[\[Trademark]Element[\[Bullet]fix[Removed[\
\"X1\"], 0], \[Bullet]fix[X, 0]], \[Trademark]Element[
                       \[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[X, 0]], \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[
                          \"X1\"], 1], \[Bullet]fix[Removed[\"X1\"], 0]]]]}], \

                   Theorema`Provers`Common`ProofObject`Private`Subgoals[
                    Theorema`Provers`Common`ProofObject`Private`AndNode[
                     Theorema`Provers`Common`ProofObject`Private`ProofInfo[\"\
ProveConjunction\", 
                      \[Bullet]usedFormulae[\"74\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"74.1\", \[Trademark]Element[
                         \[Bullet]fix[Removed[\"X1\"], 0], \[Bullet]fix[X, \
0]], \[Bullet]finfo[]], \[Bullet]lf[\"74.2\", 
                        \[Trademark]Element[\[Bullet]fix[Removed[\"X1\"], 1], \
\[Bullet]fix[X, 0]], \[Bullet]finfo[]], 
                       \[Bullet]lf[\"74.3\", \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 1], \
\[Bullet]fix[Removed[\"X1\"], 
                           0]]], \[Bullet]finfo[]]]], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[
                      Theorema`Provers`Common`ProofObject`Private`AndNode[
                       Theorema`Provers`Common`ProofObject`Private`ProofInfo[
                        \"ConclusionIsAssumption\", \
\[Bullet]usedFormulae[\"74.1\", \"5\"], \[Bullet]generatedFormulae[
                         ]], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
                       Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"], 
                      Theorema`Provers`Common`ProofObject`Private`AndNode[
                       Theorema`Provers`Common`ProofObject`Private`ProofInfo[
                        \"ConclusionIsAssumption\", \
\[Bullet]usedFormulae[\"74.2\", \"6\"], \[Bullet]generatedFormulae[
                         ]], \
Theorema`Provers`Common`ProofObject`Private`Subgoals[], 
                       Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"], 
                      Theorema`Provers`Common`ProofObject`Private`AndNode[
                       Theorema`Provers`Common`ProofObject`Private`ProofInfo[\
\"ProofByContradiction\", 
                        \[Bullet]usedFormulae[\"74.3\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"a contradiction\", 
                          False, Null], \[Bullet]lf[\"75\", \
\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 1], \[Bullet]fix[
                            Removed[\"X1\"], 0]], \[Bullet]finfo[]]]], 
                       Theorema`Provers`Common`ProofObject`Private`Subgoals[
                        Theorema`Provers`Common`ProofObject`Private`AndNode[
                         Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[\"KnowledgeRewriting\", 
                          \[Bullet]usedFormulae[\"7\", \"75\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"78\", \[Trademark]Not[
                             \[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], \
0], \[Bullet]fix[Removed[\"X1\"], 0]]], 
                            \[Bullet]finfo[]]], {{\"7\", \[Bullet]lf[\"78\", \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 
                                0], \[Bullet]fix[Removed[\"X1\"], 0]]], \
\[Bullet]finfo[]], 
                            {\"simplification object\", \[Trademark]Not[\
\[Trademark]Equal[\[Bullet]fix[Removed[\"X1\"], 0], 
                               \[Bullet]fix[Removed[\"X1\"], 1]]], \"75\", \
\[Trademark]Not[\[Trademark]Equal[\[Bullet]fix[Removed[
                                 \"X1\"], 0], \[Bullet]fix[Removed[\"X1\"], \
0]]]}}}], 
                         Theorema`Provers`Common`ProofObject`Private`Subgoals[\

                          Theorema`Provers`Common`ProofObject`Private`AndNode[\

                           Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[\"NewKnowledge\", 
                            \[Bullet]usedFormulae[\"78\"], \
\[Bullet]generatedFormulae[\[Bullet]lf[\"79\", False, \[Bullet]finfo[
                               ]]], \[Bullet]asml[{\[Bullet]lf[\"79\", False, \
\[Bullet]finfo[]], \"78\"}], \[Bullet]asml[]], 
                           Theorema`Provers`Common`ProofObject`Private`\
Subgoals[
                            Theorema`Provers`Common`ProofObject`Private`\
AndNode[
                             Theorema`Provers`Common`ProofObject`Private`\
ProofInfo[
                              \"FalseAssumption\", \[Bullet]usedFormulae[\"79\
\"], \[Bullet]generatedFormulae[], 
                              \"a contradiction\"], 
                             Theorema`Provers`Common`ProofObject`Private`\
Subgoals[], 
                             Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                           Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                         Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                       Theorema`Provers`Common`ProofObject`Private`\
Constraints[], \"proved\"]], 
                     Theorema`Provers`Common`ProofObject`Private`Constraints[\
\[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], 
                        \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 1, 2, 1, 
                          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
                          2, 2, 1, 2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]]]], \
\"proved\"]], 
                   Theorema`Provers`Common`ProofObject`Private`Constraints[\
\[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], 
                      \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 
                        2, 1, 2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[
                       {2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 
                        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 
                        2, 2}], \[Bullet]rstrs[]]]], \"proved\"]], 
                 Theorema`Provers`Common`ProofObject`Private`Constraints[\
\[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], 
                    \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
                   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, \
2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2}], \
\[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], 
                    \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                      2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 
                      2, 2}], \[Bullet]rstrs[]]]], \"proved\"]], 
               Theorema`Provers`Common`ProofObject`Private`Constraints[\
\[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], 
                  \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 
                    2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
                    3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
                    2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 
                    1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], 
                  \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 
                    2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 
                    1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 
                    2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
                    2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
                 \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                    1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 
                    2}], \[Bullet]rstrs[]]]], \"proved\"]], 
             Theorema`Provers`Common`ProofObject`Private`Constraints[\[Bullet]\
sl[\[Bullet]syst[\[Bullet]sub[], 
                \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 3, 
                  2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 
                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
                \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 2, 2, 1, 2, 1, 
                  2, 3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 
                  2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], 
                \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2}], \[Bullet]rstrs[]], 
               \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 2}], 
                \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                  1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 2}], 
                \[Bullet]rstrs[]]]], \"proved\"]], \
Theorema`Provers`Common`ProofObject`Private`Constraints[
            \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
                2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 
                2, 1, 2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
                2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2}], 
              \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 2}], 
              \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 2}], 
              \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
                1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
3}], \[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \
\[Bullet]rstrs[]], 
             \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
                2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]]]], \"proved\"]], 
         Theorema`Provers`Common`ProofObject`Private`Constraints[
          \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 
              2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 
              2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
            \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 
              2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 3, 2, 
              2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
              2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 2, 2, 1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], 
            \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 
              2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
2}], \[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \
\[Bullet]rstrs[]], 
           \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
              1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]]]], \
\"proved\"]], 
       Theorema`Provers`Common`ProofObject`Private`Constraints[
        \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 
            2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 
            1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
            2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
          \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 3, 2, 2}], 
          \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 
            2, 2, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 
            2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], 
          \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \[Bullet]rstrs[]], \

         \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 
            1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
          \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2}], 
          \[Bullet]rstrs[]]]], \"proved\"]], \
Theorema`Provers`Common`ProofObject`Private`Constraints[
      \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
        \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 
          1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
          1, 2, 1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
        \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 
          2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 2, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], 
        \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], \[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \[Bullet]rstrs[]], 
       \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 
          2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
        \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 2}], 
        \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
        \[Bullet]rstrs[]]]], \"proved\"]], \
Theorema`Provers`Common`ProofObject`Private`Constraints[
    \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
      \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
        2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, \
2, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \
\[Bullet]syst[\[Bullet]sub[], 
      \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 
        2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 3, 2, 2}], 
      \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 
        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2, 2, 
        1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 
        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 
        2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
        2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 2}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \[Bullet]rstrs[]], 
     \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
        1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\
\[Bullet]sub[], 
      \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2}], 
      \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
      \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]]]], 
   \"proved\"]], Theorema`Provers`Common`ProofObject`Private`Constraints[
  \[Bullet]sl[\[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, \
2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], 
    \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 
      2, 3, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, \
1, 2, 1, 2, 1, 2, 1, 
      2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], 
    \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, \
3, 2, 2}], 
    \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, \
1, 2, 1, 2, 2, 2, 1, 
      2, 2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \
\[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, \
1, 2, 1, 2, 1, 2, 2}], 
    \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 2}], \[Bullet]rstrs[]], \

   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 3}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 6}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 7}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, \
2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      2}], \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, \
1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 2}], 
    \[Bullet]rstrs[]], \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, \
1, 2, 1, 2, 1, 2, 1, 2, 2}], \[Bullet]rstrs[]], 
   \[Bullet]syst[\[Bullet]sub[], \[Bullet]refs[{2, 1, 2, 1, 2, 2}], \
\[Bullet]rstrs[]]]], \"proved\"]\
\>", "Output"]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
WindowSize->{800, 600},
WindowMargins->{{19, Automatic}, {Automatic, 118}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 55, 1, 27, "Input"],
Cell[1775, 52, 109, 2, 27, "Input"],

Cell[CellGroupData[{
Cell[1909, 58, 40, 1, 27, "Input"],
Cell[1952, 61, 36, 1, 40, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2025, 67, 73, 1, 24, "Input"],
Cell[2101, 70, 147, 3, 27, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2285, 78, 78, 1, 24, "Input"],
Cell[2366, 81, 266, 5, 43, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[2669, 91, 89, 1, 24, "Input"],
Cell[2761, 94, 395, 7, 59, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[3193, 106, 89, 1, 24, "Input"],
Cell[3285, 109, 525, 9, 75, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[3847, 123, 77, 1, 24, "Input"],
Cell[3927, 126, 643, 11, 91, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[4607, 142, 88, 1, 24, "Input"],
Cell[4698, 145, 772, 13, 107, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[5507, 163, 84, 1, 24, "Input"],
Cell[5594, 166, 896, 15, 136, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[6527, 186, 84, 1, 24, "Input"],
Cell[6614, 189, 1021, 17, 152, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[7672, 211, 85, 1, 24, "Input"],
Cell[7760, 214, 1146, 19, 168, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[8943, 238, 81, 1, 24, "Input"],
Cell[9027, 241, 1268, 21, 184, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[10332, 267, 91, 1, 24, "Input"],
Cell[10426, 270, 1399, 23, 216, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[11862, 298, 92, 1, 24, "Input"],
Cell[11957, 301, 1519, 25, 232, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[13513, 331, 92, 1, 24, "Input"],
Cell[13608, 334, 1652, 27, 264, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[15297, 366, 81, 1, 24, "Input"],
Cell[15381, 369, 1773, 29, 280, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[17191, 403, 105, 2, 24, "Input"],
Cell[17299, 407, 1916, 31, 312, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[19252, 443, 105, 2, 24, "Input"],
Cell[19360, 447, 2059, 33, 344, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[21456, 485, 107, 2, 24, "Input"],
Cell[21566, 489, 2204, 35, 376, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[23807, 529, 107, 2, 24, "Input"],
Cell[23917, 533, 2350, 37, 408, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[26304, 575, 108, 2, 24, "Input"],
Cell[26415, 579, 2496, 39, 440, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[28948, 623, 107, 2, 24, "Input"],
Cell[29058, 627, 2641, 41, 472, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[31736, 673, 79, 1, 24, "Input"],
Cell[31818, 676, 2821, 44, 488, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[34676, 725, 107, 2, 24, "Input"],
Cell[34786, 729, 2967, 46, 520, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[37790, 780, 84, 1, 24, "Input"],
Cell[37877, 783, 3090, 48, 536, "Output"]
}, Closed]],

Cell[CellGroupData[{
Cell[41004, 836, 153, 2, 40, "Input"],
Cell[41160, 840, 3138, 48, 552, "Output"]
}, Closed]],
Cell[44313, 891, 139, 2, 24, "Input"],

Cell[CellGroupData[{
Cell[44477, 897, 40, 1, 27, "Input"],
Cell[44520, 900, 3090, 48, 363, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47647, 953, 77, 1, 40, "Input"],
Cell[47727, 956, 60, 1, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47824, 962, 48, 1, 27, "Input"],
Cell[47875, 965, 36, 1, 27, "Output"]
}, Open  ]],
Cell[47926, 969, 51, 1, 27, "Input"],
Cell[47980, 972, 3609598, 57178, 452, "Text"],
Cell[3657581, 58152, 59, 1, 40, "Input"],
Cell[3657643, 58155, 155, 2, 56, "Input"],
Cell[3657801, 58159, 453, 8, 120, "Input"],
Cell[3658257, 58169, 146, 4, 40, "Input"],
Cell[3658406, 58175, 4842, 125, 461, "Text"],

Cell[CellGroupData[{
Cell[3663273, 58304, 43, 1, 40, "Input"],
Cell[3663319, 58307, 4670, 81, 648, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3668026, 58393, 49, 1, 40, "Input"],
Cell[3668078, 58396, 96, 2, 23, "Print"],
Cell[3668177, 58400, 2807, 60, 422, "Print"]
}, Closed]],

Cell[CellGroupData[{
Cell[3671021, 58465, 55, 1, 37, "Input"],
Cell[3671079, 58468, 82, 1, 40, "Output"]
}, Open  ]],
Cell[3671176, 58472, 105, 2, 27, "Input"],

Cell[CellGroupData[{
Cell[3671306, 58478, 134, 2, 40, "Input"],
Cell[3671443, 58482, 97089, 2909, 440, 56493, 2404, "GraphicsData", \
"PostScript", "Graphics"],
Cell[3768535, 61393, 130, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3768702, 61401, 103, 2, 40, "Input"],
Cell[3768808, 61405, 51790, 917, 7540, "Output"]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

