(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    118139,       3796]*)
(*NotebookOutlinePosition[    123761,       3982]*)
(*  CellTagsIndexPosition[    122865,       3947]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (black and same covering domino: identical))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["v",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        SubscriptBox["covering\[Dash]domino", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]], "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", 
                      RowBox[{
                        SubscriptBox["covering\[Dash]domino", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]], "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}], 
                  "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}]}], 
                "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (black and same covering domino: identical)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (black in domino unique))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (black in domino unique)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Covering Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], ")"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Covering Domino)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Covering Domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Covering Domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we we can infer by expansion of the \"such that\"\[Dash]quantifier"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "]"}], "\[And]", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}], "\[And]", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "\[And]", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}]}], "\[Implies]",
         
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by the deduction rule."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"7"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["8.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["5.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ","
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "which, by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (black in domino unique)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (black in domino unique)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["8.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["5.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ","
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "which, by ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox[\(u\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"12"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}]}], "\[Implies]",
         
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"18"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<black and same covering domino: \
identical\>"]\), 
          ",", \(using \[Rule] \[LeftAngleBracket]Proposition["\<black in \
domino unique\>"], Definition["\<Covering Domino\>"]\[RightAngleBracket]\), 
          ",", "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {AllowIntroduceQuantifiers \[Rule] 
                  True, UseCyclicRules \[Rule] True, 
                GRWTarget \[Rule] {"\<kb\>", "\<goal\>"}, 
                DisableInferenceRule \[Rule] {\[Cent]KBMembershipBigUnion, \
\[Cent]KBNonEmpty}, DisableProver \[Rule] {STC, STS}}\),
            "UnHighlightedText"], 
          StyleBox[",",
            "UnHighlightedText"], 
          StyleBox[\(SearchDepth \[Rule] 70\),
            "UnHighlightedText"]}], "]"}], "//", "Timing"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox[\(u\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}]}], "\[Implies]",
         
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "]"}], "\[And]", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], ")"}], "\[And]", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "\[And]", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"color", "[", 
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "=", "0"}], ")"}]}], "\[Implies]",
         
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}], "\[And]", 
        RowBox[{
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(v\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(v\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(u\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(u\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Covering Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], ")"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Covering Domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (black and same covering domino: identical))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["v",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        SubscriptBox["covering\[Dash]domino", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]], "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", 
                      RowBox[{
                        SubscriptBox["covering\[Dash]domino", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]], "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], ")"}], "\[And]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}], 
                  "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}]}], 
                "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "=", 
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (black and same covering domino: identical)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (black in domino unique))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}]}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "=", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (black in domino unique)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 192}, {Automatic, 157}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (black and same covering domino: identical)"->{
    Cell[1835, 54, 4237, 105, 130, "Conclusion",
      CellTags->"Proposition (black and same covering domino: identical)"],
    Cell[110939, 3605, 4294, 107, 70, "Text",
      CellTags->"Proposition (black and same covering domino: identical)"]},
  "Proposition (black in domino unique)"->{
    Cell[6209, 166, 2818, 76, 98, "Assumption",
      CellTags->"Proposition (black in domino unique)"],
    Cell[115236, 3714, 2875, 78, 70, "Text",
      CellTags->"Proposition (black in domino unique)"]},
  "Definition (Covering Domino)"->{
    Cell[9030, 244, 3461, 86, 118, "Assumption",
      CellTags->"Definition (Covering Domino)"],
    Cell[107418, 3515, 3518, 88, 70, "Text",
      CellTags->"Definition (Covering Domino)"]},
  "1"->{
    Cell[13127, 355, 3273, 84, 118, "Assumption",
      CellTags->"1"],
    Cell[69061, 2378, 3330, 86, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[17001, 461, 3088, 81, 75, "Assumption",
      CellTags->"2"],
    Cell[84332, 2827, 3131, 83, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[20210, 548, 525, 15, 32, "Assumption",
      CellTags->"3"],
    Cell[87466, 2912, 568, 17, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[20843, 568, 2852, 79, 69, "Conclusion",
      CellTags->"4"],
    Cell[88037, 2931, 2895, 81, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[24197, 666, 2373, 67, 51, "Assumption",
      CellTags->"5"],
    Cell[90935, 3014, 2416, 69, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[26678, 738, 613, 19, 32, "Conclusion",
      CellTags->"6"],
    Cell[97073, 3208, 656, 21, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[27923, 782, 2136, 58, 96, "Assumption",
      CellTags->"7"],
    Cell[97732, 3231, 2193, 60, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[30707, 865, 1853, 52, 55, "Assumption",
      CellTags->"8"],
    Cell[99928, 3293, 1896, 54, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[34273, 975, 2941, 79, 59, "Assumption",
      CellTags->"9"],
    Cell[104417, 3432, 2998, 81, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[38949, 1116, 2207, 60, 59, "Assumption",
      CellTags->"10"],
    Cell[72394, 2466, 2264, 62, 70, "Text",
      CellTags->"10"]},
  "12"->{
    Cell[41788, 1201, 2138, 58, 70, "Assumption",
      CellTags->"12"],
    Cell[74661, 2530, 2195, 60, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[44576, 1284, 1855, 52, 70, "Assumption",
      CellTags->"13"],
    Cell[76859, 2592, 1898, 54, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[47067, 1361, 1253, 37, 70, "Assumption",
      CellTags->"14"],
    Cell[81356, 2731, 1310, 39, 70, "Text",
      CellTags->"14"]},
  "18"->{
    Cell[48954, 1423, 942, 28, 70, "Assumption",
      CellTags->"18"],
    Cell[82669, 2772, 999, 30, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[50550, 1476, 615, 19, 70, "Assumption",
      CellTags->"19"],
    Cell[83671, 2804, 658, 21, 70, "Text",
      CellTags->"19"]},
  "AdditionalInfo"->{
    Cell[52043, 1528, 88, 1, 70, "Section",
      CellTags->"AdditionalInfo"]},
  "13.1"->{
    Cell[78760, 2648, 801, 23, 70, "Text",
      CellTags->"13.1"]},
  "13.2"->{
    Cell[79564, 2673, 893, 27, 70, "Text",
      CellTags->"13.2"]},
  "13.3"->{
    Cell[80460, 2702, 893, 27, 70, "Text",
      CellTags->"13.3"]},
  "5.1"->{
    Cell[93354, 3085, 1104, 33, 70, "Text",
      CellTags->"5.1"]},
  "5.2"->{
    Cell[94461, 3120, 708, 22, 70, "Text",
      CellTags->"5.2"]},
  "5.3"->{
    Cell[95172, 3144, 708, 22, 70, "Text",
      CellTags->"5.3"]},
  "5.4"->{
    Cell[95883, 3168, 592, 18, 70, "Text",
      CellTags->"5.4"]},
  "5.5"->{
    Cell[96478, 3188, 592, 18, 70, "Text",
      CellTags->"5.5"]},
  "8.1"->{
    Cell[101827, 3349, 799, 23, 70, "Text",
      CellTags->"8.1"]},
  "8.2"->{
    Cell[102629, 3374, 891, 27, 70, "Text",
      CellTags->"8.2"]},
  "8.3"->{
    Cell[103523, 3403, 891, 27, 70, "Text",
      CellTags->"8.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (black and same covering domino: identical)", 118907, 3817},
  {"Proposition (black in domino unique)", 119199, 3822},
  {"Definition (Covering Domino)", 119443, 3827},
  {"1", 119645, 3832},
  {"2", 119793, 3837},
  {"3", 119940, 3842},
  {"4", 120085, 3847},
  {"5", 120232, 3852},
  {"6", 120379, 3857},
  {"7", 120524, 3862},
  {"8", 120671, 3867},
  {"9", 120818, 3872},
  {"10", 120967, 3877},
  {"12", 121118, 3882},
  {"13", 121269, 3887},
  {"14", 121420, 3892},
  {"18", 121571, 3897},
  {"19", 121720, 3902},
  {"AdditionalInfo", 121881, 3907},
  {"13.1", 121973, 3910},
  {"13.2", 122054, 3913},
  {"13.3", 122135, 3916},
  {"5.1", 122215, 3919},
  {"5.2", 122295, 3922},
  {"5.3", 122374, 3925},
  {"5.4", 122453, 3928},
  {"5.5", 122532, 3931},
  {"8.1", 122611, 3934},
  {"8.2", 122691, 3937},
  {"8.3", 122771, 3940}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 4237, 105, 130, "Conclusion",
  CellTags->"Proposition (black and same covering domino: identical)"],

Cell[CellGroupData[{
Cell[6097, 163, 109, 1, 32, "ProofText"],
Cell[6209, 166, 2818, 76, 98, "Assumption",
  CellTags->"Proposition (black in domino unique)"],
Cell[9030, 244, 3461, 86, 118, "Assumption",
  CellTags->"Definition (Covering Domino)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12528, 335, 166, 4, 32, "ProofText"],
Cell[12697, 341, 427, 12, 32, "ProofText"],
Cell[13127, 355, 3273, 84, 118, "Assumption",
  CellTags->"1"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16437, 444, 128, 1, 32, "ProofText"],
Cell[16568, 447, 430, 12, 32, "ProofText"],
Cell[17001, 461, 3088, 81, 75, "Assumption",
  CellTags->"2"]
}, Open  ]],
Cell[20104, 545, 103, 1, 32, "ProofText"],
Cell[20210, 548, 525, 15, 32, "Assumption",
  CellTags->"3"],
Cell[20738, 565, 102, 1, 32, "ProofText"],
Cell[20843, 568, 2852, 79, 69, "Conclusion",
  CellTags->"4"],
Cell[23698, 649, 390, 12, 32, "ProofText"],
Cell[24091, 663, 103, 1, 32, "ProofText"],
Cell[24197, 666, 2373, 67, 51, "Assumption",
  CellTags->"5"],
Cell[26573, 735, 102, 1, 32, "ProofText"],
Cell[26678, 738, 613, 19, 32, "Conclusion",
  CellTags->"6"],
Cell[27294, 759, 626, 21, 32, "ProofText"],
Cell[27923, 782, 2136, 58, 96, "Assumption",
  CellTags->"7"],
Cell[30062, 842, 642, 21, 32, "ProofText"],
Cell[30707, 865, 1853, 52, 55, "Assumption",
  CellTags->"8"],
Cell[32563, 919, 630, 21, 32, "ProofText"],
Cell[33196, 942, 630, 17, 34, "ProofText"],
Cell[33829, 961, 441, 12, 32, "ProofText"],
Cell[34273, 975, 2941, 79, 59, "Assumption",
  CellTags->"9"],
Cell[37217, 1056, 630, 21, 32, "ProofText"],
Cell[37850, 1079, 722, 21, 34, "ProofText"],
Cell[38575, 1102, 371, 12, 32, "ProofText"],
Cell[38949, 1116, 2207, 60, 59, "Assumption",
  CellTags->"10"],
Cell[41159, 1178, 626, 21, 70, "ProofText"],
Cell[41788, 1201, 2138, 58, 70, "Assumption",
  CellTags->"12"],
Cell[43929, 1261, 644, 21, 70, "ProofText"],
Cell[44576, 1284, 1855, 52, 70, "Assumption",
  CellTags->"13"],
Cell[46434, 1338, 630, 21, 70, "ProofText"],
Cell[47067, 1361, 1253, 37, 70, "Assumption",
  CellTags->"14"],
Cell[48323, 1400, 628, 21, 70, "ProofText"],
Cell[48954, 1423, 942, 28, 70, "Assumption",
  CellTags->"18"],
Cell[49899, 1453, 648, 21, 70, "ProofText"],
Cell[50550, 1476, 615, 19, 70, "Assumption",
  CellTags->"19"],
Cell[51168, 1497, 653, 21, 70, "ProofText"],
Cell[51824, 1520, 182, 3, 70, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[52043, 1528, 88, 1, 70, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[52156, 1533, 36, 0, 70, "Subsection"],
Cell[52195, 1535, 881, 18, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[53113, 1558, 34, 0, 70, "Subsection"],
Cell[53150, 1560, 120, 7, 70, "Text"],
Cell[53273, 1569, 98, 4, 70, "Text"],
Cell[53374, 1575, 99, 4, 70, "Text"],
Cell[53476, 1581, 170, 9, 70, "Text"],
Cell[53649, 1592, 187, 9, 70, "Text"],
Cell[53839, 1603, 221, 9, 70, "Text"],
Cell[54063, 1614, 220, 9, 70, "Text"],
Cell[54286, 1625, 204, 9, 70, "Text"],
Cell[54493, 1636, 206, 9, 70, "Text"],
Cell[54702, 1647, 206, 9, 70, "Text"],
Cell[54911, 1658, 220, 9, 70, "Text"],
Cell[55134, 1669, 217, 9, 70, "Text"],
Cell[55354, 1680, 216, 9, 70, "Text"],
Cell[55573, 1691, 217, 9, 70, "Text"],
Cell[55793, 1702, 214, 9, 70, "Text"],
Cell[56010, 1713, 218, 9, 70, "Text"],
Cell[56231, 1724, 211, 9, 70, "Text"],
Cell[56445, 1735, 213, 9, 70, "Text"],
Cell[56661, 1746, 220, 9, 70, "Text"],
Cell[56884, 1757, 214, 9, 70, "Text"],
Cell[57101, 1768, 214, 9, 70, "Text"],
Cell[57318, 1779, 209, 9, 70, "Text"],
Cell[57530, 1790, 210, 9, 70, "Text"],
Cell[57743, 1801, 215, 9, 70, "Text"],
Cell[57961, 1812, 212, 9, 70, "Text"],
Cell[58176, 1823, 212, 9, 70, "Text"],
Cell[58391, 1834, 211, 9, 70, "Text"],
Cell[58605, 1845, 213, 9, 70, "Text"],
Cell[58821, 1856, 211, 9, 70, "Text"],
Cell[59035, 1867, 215, 9, 70, "Text"],
Cell[59253, 1878, 208, 9, 70, "Text"],
Cell[59464, 1889, 210, 9, 70, "Text"],
Cell[59677, 1900, 217, 9, 70, "Text"],
Cell[59897, 1911, 219, 9, 70, "Text"],
Cell[60119, 1922, 220, 9, 70, "Text"],
Cell[60342, 1933, 218, 9, 70, "Text"],
Cell[60563, 1944, 218, 9, 70, "Text"],
Cell[60784, 1955, 211, 9, 70, "Text"],
Cell[60998, 1966, 214, 9, 70, "Text"],
Cell[61215, 1977, 213, 9, 70, "Text"],
Cell[61431, 1988, 224, 9, 70, "Text"],
Cell[61658, 1999, 225, 9, 70, "Text"],
Cell[61886, 2010, 214, 9, 70, "Text"],
Cell[62103, 2021, 208, 9, 70, "Text"],
Cell[62314, 2032, 211, 9, 70, "Text"],
Cell[62528, 2043, 211, 9, 70, "Text"],
Cell[62742, 2054, 215, 9, 70, "Text"],
Cell[62960, 2065, 213, 9, 70, "Text"],
Cell[63176, 2076, 209, 9, 70, "Text"],
Cell[63388, 2087, 218, 9, 70, "Text"],
Cell[63609, 2098, 226, 9, 70, "Text"],
Cell[63838, 2109, 220, 9, 70, "Text"],
Cell[64061, 2120, 216, 9, 70, "Text"],
Cell[64280, 2131, 217, 9, 70, "Text"],
Cell[64500, 2142, 222, 9, 70, "Text"],
Cell[64725, 2153, 216, 9, 70, "Text"],
Cell[64944, 2164, 214, 9, 70, "Text"],
Cell[65161, 2175, 225, 9, 70, "Text"],
Cell[65389, 2186, 220, 9, 70, "Text"],
Cell[65612, 2197, 229, 9, 70, "Text"],
Cell[65844, 2208, 170, 9, 70, "Text"],
Cell[66017, 2219, 217, 9, 70, "Text"],
Cell[66237, 2230, 215, 9, 70, "Text"],
Cell[66455, 2241, 220, 9, 70, "Text"],
Cell[66678, 2252, 214, 9, 70, "Text"],
Cell[66895, 2263, 212, 9, 70, "Text"],
Cell[67110, 2274, 218, 9, 70, "Text"],
Cell[67331, 2285, 219, 9, 70, "Text"],
Cell[67553, 2296, 222, 9, 70, "Text"],
Cell[67778, 2307, 223, 9, 70, "Text"],
Cell[68004, 2318, 200, 9, 70, "Text"],
Cell[68207, 2329, 172, 9, 70, "Text"],
Cell[68382, 2340, 201, 9, 70, "Text"],
Cell[68586, 2351, 204, 9, 70, "Text"],
Cell[68793, 2362, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[69002, 2376, 56, 0, 70, "Subsection"],
Cell[69061, 2378, 3330, 86, 70, "Text",
  CellTags->"1"],
Cell[72394, 2466, 2264, 62, 70, "Text",
  CellTags->"10"],
Cell[74661, 2530, 2195, 60, 70, "Text",
  CellTags->"12"],
Cell[76859, 2592, 1898, 54, 70, "Text",
  CellTags->"13"],
Cell[78760, 2648, 801, 23, 70, "Text",
  CellTags->"13.1"],
Cell[79564, 2673, 893, 27, 70, "Text",
  CellTags->"13.2"],
Cell[80460, 2702, 893, 27, 70, "Text",
  CellTags->"13.3"],
Cell[81356, 2731, 1310, 39, 70, "Text",
  CellTags->"14"],
Cell[82669, 2772, 999, 30, 70, "Text",
  CellTags->"18"],
Cell[83671, 2804, 658, 21, 70, "Text",
  CellTags->"19"],
Cell[84332, 2827, 3131, 83, 70, "Text",
  CellTags->"2"],
Cell[87466, 2912, 568, 17, 70, "Text",
  CellTags->"3"],
Cell[88037, 2931, 2895, 81, 70, "Text",
  CellTags->"4"],
Cell[90935, 3014, 2416, 69, 70, "Text",
  CellTags->"5"],
Cell[93354, 3085, 1104, 33, 70, "Text",
  CellTags->"5.1"],
Cell[94461, 3120, 708, 22, 70, "Text",
  CellTags->"5.2"],
Cell[95172, 3144, 708, 22, 70, "Text",
  CellTags->"5.3"],
Cell[95883, 3168, 592, 18, 70, "Text",
  CellTags->"5.4"],
Cell[96478, 3188, 592, 18, 70, "Text",
  CellTags->"5.5"],
Cell[97073, 3208, 656, 21, 70, "Text",
  CellTags->"6"],
Cell[97732, 3231, 2193, 60, 70, "Text",
  CellTags->"7"],
Cell[99928, 3293, 1896, 54, 70, "Text",
  CellTags->"8"],
Cell[101827, 3349, 799, 23, 70, "Text",
  CellTags->"8.1"],
Cell[102629, 3374, 891, 27, 70, "Text",
  CellTags->"8.2"],
Cell[103523, 3403, 891, 27, 70, "Text",
  CellTags->"8.3"],
Cell[104417, 3432, 2998, 81, 70, "Text",
  CellTags->"9"],
Cell[107418, 3515, 3518, 88, 70, "Text",
  CellTags->"Definition (Covering Domino)"],
Cell[110939, 3605, 4294, 107, 70, "Text",
  CellTags->"Proposition (black and same covering domino: identical)"],
Cell[115236, 3714, 2875, 78, 70, "Text",
  CellTags->"Proposition (black in domino unique)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

