(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     79371,       2474]*)
(*NotebookOutlinePosition[     82421,       2562]*)
(*  CellTagsIndexPosition[     81987,       2547]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Corollary (covering domino bijective from white fields))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(bij\)\(.\)\)\), 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Corollary (covering domino bijective from white fields)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino injective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (covering domino injective from white fields)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino surjective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
                  
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (covering domino surjective from white fields)"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(bij\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (covering domino injective from white fields)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (covering domino injective from white fields)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"3"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (covering domino surjective from white fields)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (covering domino surjective from white fields)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell[TextData[{
  "In order to show that ",
  Cell[BoxData[
      FormBox[
        SubscriptBox["covering\[Dash]domino", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " in ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is bijective, we have to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Injectivity of ",
  Cell[BoxData[
      FormBox[
        SubscriptBox["covering\[Dash]domino", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Surjectivity of ",
  Cell[BoxData[
      FormBox[
        SubscriptBox["covering\[Dash]domino", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Corollary["\<covering domino bijective from white \
fields\>"]\), 
          ",", \(using \[Rule] \[LeftAngleBracket]Lemma["\<covering domino \
injective from white fields\>"], 
              Lemma["\<covering domino surjective from white fields\>"]\
\[RightAngleBracket]\), ",", "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {EarlyRewriting \[Rule] True, 
                GRWTarget \[Rule] {"\<kb\>", "\<goal\>"}, 
                DisableProver \[Rule] {STS, STKBR, STC}}\),
            "UnHighlightedText"]}], "]"}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(bij\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Corollary (covering domino bijective from white fields))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(bij\)\(.\)\)\), 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Corollary (covering domino bijective from white fields)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino injective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(inj\)\(.\)\)\), 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (covering domino injective from white fields)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino surjective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
                  
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (covering domino surjective from white fields)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 372}, {184, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Corollary (covering domino bijective from white fields)"->{
    Cell[1835, 54, 3992, 92, 198, "Conclusion",
      CellTags->"Corollary (covering domino bijective from white fields)"],
    Cell[67194, 2185, 4049, 94, 70, "Text",
      CellTags->"Corollary (covering domino bijective from white fields)"]},
  "Lemma (covering domino injective from white fields)"->{
    Cell[5964, 153, 3979, 91, 198, "Assumption",
      CellTags->"Lemma (covering domino injective from white fields)"],
    Cell[71246, 2281, 4036, 93, 70, "Text",
      CellTags->"Lemma (covering domino injective from white fields)"]},
  "Lemma (covering domino surjective from white fields)"->{
    Cell[9946, 246, 4001, 92, 198, "Assumption",
      CellTags->"Lemma (covering domino surjective from white fields)"],
    Cell[75285, 2376, 4058, 94, 70, "Text",
      CellTags->"Lemma (covering domino surjective from white fields)"]},
  "1"->{
    Cell[14068, 344, 525, 15, 32, "Assumption",
      CellTags->"1"],
    Cell[51251, 1761, 568, 17, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[14701, 364, 3028, 77, 90, "Conclusion",
      CellTags->"2"],
    Cell[51822, 1780, 3071, 79, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[18457, 466, 3014, 77, 90, "Assumption",
      CellTags->"3"],
    Cell[54896, 1861, 3071, 79, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[22201, 568, 3015, 77, 90, "Assumption",
      CellTags->"4"],
    Cell[57970, 1942, 3072, 79, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[26401, 686, 3028, 77, 90, "Conclusion",
      CellTags->"5"],
    Cell[61045, 2023, 3071, 79, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[30556, 805, 3029, 77, 90, "Conclusion",
      CellTags->"6"],
    Cell[64119, 2104, 3072, 79, 70, "Text",
      CellTags->"6"]},
  "AdditionalInfo"->{
    Cell[34473, 916, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Corollary (covering domino bijective from white fields)", 80139, 2495},
  {"Lemma (covering domino injective from white fields)", 80443, 2500},
  {"Lemma (covering domino surjective from white fields)", 80741, 2505},
  {"1", 80990, 2510},
  {"2", 81135, 2515},
  {"3", 81282, 2520},
  {"4", 81429, 2525},
  {"5", 81576, 2530},
  {"6", 81723, 2535},
  {"AdditionalInfo", 81883, 2540}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 3992, 92, 198, "Conclusion",
  CellTags->"Corollary (covering domino bijective from white fields)"],

Cell[CellGroupData[{
Cell[5852, 150, 109, 1, 32, "ProofText"],
Cell[5964, 153, 3979, 91, 198, "Assumption",
  CellTags->"Lemma (covering domino injective from white fields)"],
Cell[9946, 246, 4001, 92, 198, "Assumption",
  CellTags->"Lemma (covering domino surjective from white fields)"]
}, Open  ]],
Cell[13962, 341, 103, 1, 32, "ProofText"],
Cell[14068, 344, 525, 15, 32, "Assumption",
  CellTags->"1"],
Cell[14596, 361, 102, 1, 32, "ProofText"],
Cell[14701, 364, 3028, 77, 90, "Conclusion",
  CellTags->"2"],
Cell[17732, 443, 722, 21, 32, "ProofText"],
Cell[18457, 466, 3014, 77, 90, "Assumption",
  CellTags->"3"],
Cell[21474, 545, 724, 21, 32, "ProofText"],
Cell[22201, 568, 3015, 77, 90, "Assumption",
  CellTags->"4"],
Cell[25219, 647, 722, 21, 34, "ProofText"],

Cell[CellGroupData[{
Cell[25966, 672, 432, 12, 34, "ProofText"],
Cell[26401, 686, 3028, 77, 90, "Conclusion",
  CellTags->"5"],
Cell[29432, 765, 651, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30120, 791, 433, 12, 34, "ProofText"],
Cell[30556, 805, 3029, 77, 90, "Conclusion",
  CellTags->"6"],
Cell[33588, 884, 651, 21, 32, "ProofText"]
}, Open  ]],
Cell[34254, 908, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34473, 916, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[34586, 921, 36, 0, 70, "Subsection"],
Cell[34625, 923, 641, 13, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35303, 941, 34, 0, 70, "Subsection"],
Cell[35340, 943, 120, 7, 70, "Text"],
Cell[35463, 952, 98, 4, 70, "Text"],
Cell[35564, 958, 99, 4, 70, "Text"],
Cell[35666, 964, 170, 9, 70, "Text"],
Cell[35839, 975, 187, 9, 70, "Text"],
Cell[36029, 986, 221, 9, 70, "Text"],
Cell[36253, 997, 220, 9, 70, "Text"],
Cell[36476, 1008, 204, 9, 70, "Text"],
Cell[36683, 1019, 206, 9, 70, "Text"],
Cell[36892, 1030, 206, 9, 70, "Text"],
Cell[37101, 1041, 220, 9, 70, "Text"],
Cell[37324, 1052, 217, 9, 70, "Text"],
Cell[37544, 1063, 216, 9, 70, "Text"],
Cell[37763, 1074, 217, 9, 70, "Text"],
Cell[37983, 1085, 214, 9, 70, "Text"],
Cell[38200, 1096, 218, 9, 70, "Text"],
Cell[38421, 1107, 211, 9, 70, "Text"],
Cell[38635, 1118, 213, 9, 70, "Text"],
Cell[38851, 1129, 220, 9, 70, "Text"],
Cell[39074, 1140, 214, 9, 70, "Text"],
Cell[39291, 1151, 214, 9, 70, "Text"],
Cell[39508, 1162, 209, 9, 70, "Text"],
Cell[39720, 1173, 210, 9, 70, "Text"],
Cell[39933, 1184, 215, 9, 70, "Text"],
Cell[40151, 1195, 212, 9, 70, "Text"],
Cell[40366, 1206, 212, 9, 70, "Text"],
Cell[40581, 1217, 211, 9, 70, "Text"],
Cell[40795, 1228, 213, 9, 70, "Text"],
Cell[41011, 1239, 211, 9, 70, "Text"],
Cell[41225, 1250, 215, 9, 70, "Text"],
Cell[41443, 1261, 208, 9, 70, "Text"],
Cell[41654, 1272, 210, 9, 70, "Text"],
Cell[41867, 1283, 217, 9, 70, "Text"],
Cell[42087, 1294, 219, 9, 70, "Text"],
Cell[42309, 1305, 220, 9, 70, "Text"],
Cell[42532, 1316, 218, 9, 70, "Text"],
Cell[42753, 1327, 218, 9, 70, "Text"],
Cell[42974, 1338, 211, 9, 70, "Text"],
Cell[43188, 1349, 214, 9, 70, "Text"],
Cell[43405, 1360, 213, 9, 70, "Text"],
Cell[43621, 1371, 224, 9, 70, "Text"],
Cell[43848, 1382, 225, 9, 70, "Text"],
Cell[44076, 1393, 214, 9, 70, "Text"],
Cell[44293, 1404, 208, 9, 70, "Text"],
Cell[44504, 1415, 211, 9, 70, "Text"],
Cell[44718, 1426, 211, 9, 70, "Text"],
Cell[44932, 1437, 215, 9, 70, "Text"],
Cell[45150, 1448, 213, 9, 70, "Text"],
Cell[45366, 1459, 209, 9, 70, "Text"],
Cell[45578, 1470, 218, 9, 70, "Text"],
Cell[45799, 1481, 226, 9, 70, "Text"],
Cell[46028, 1492, 220, 9, 70, "Text"],
Cell[46251, 1503, 216, 9, 70, "Text"],
Cell[46470, 1514, 217, 9, 70, "Text"],
Cell[46690, 1525, 222, 9, 70, "Text"],
Cell[46915, 1536, 216, 9, 70, "Text"],
Cell[47134, 1547, 214, 9, 70, "Text"],
Cell[47351, 1558, 225, 9, 70, "Text"],
Cell[47579, 1569, 220, 9, 70, "Text"],
Cell[47802, 1580, 229, 9, 70, "Text"],
Cell[48034, 1591, 170, 9, 70, "Text"],
Cell[48207, 1602, 217, 9, 70, "Text"],
Cell[48427, 1613, 215, 9, 70, "Text"],
Cell[48645, 1624, 220, 9, 70, "Text"],
Cell[48868, 1635, 214, 9, 70, "Text"],
Cell[49085, 1646, 212, 9, 70, "Text"],
Cell[49300, 1657, 218, 9, 70, "Text"],
Cell[49521, 1668, 219, 9, 70, "Text"],
Cell[49743, 1679, 222, 9, 70, "Text"],
Cell[49968, 1690, 223, 9, 70, "Text"],
Cell[50194, 1701, 200, 9, 70, "Text"],
Cell[50397, 1712, 172, 9, 70, "Text"],
Cell[50572, 1723, 201, 9, 70, "Text"],
Cell[50776, 1734, 204, 9, 70, "Text"],
Cell[50983, 1745, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[51192, 1759, 56, 0, 70, "Subsection"],
Cell[51251, 1761, 568, 17, 70, "Text",
  CellTags->"1"],
Cell[51822, 1780, 3071, 79, 70, "Text",
  CellTags->"2"],
Cell[54896, 1861, 3071, 79, 70, "Text",
  CellTags->"3"],
Cell[57970, 1942, 3072, 79, 70, "Text",
  CellTags->"4"],
Cell[61045, 2023, 3071, 79, 70, "Text",
  CellTags->"5"],
Cell[64119, 2104, 3072, 79, 70, "Text",
  CellTags->"6"],
Cell[67194, 2185, 4049, 94, 70, "Text",
  CellTags->"Corollary (covering domino bijective from white fields)"],
Cell[71246, 2281, 4036, 93, 70, "Text",
  CellTags->"Lemma (covering domino injective from white fields)"],
Cell[75285, 2376, 4058, 94, 70, "Text",
  CellTags->"Lemma (covering domino surjective from white fields)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

