(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    140616,       4557]*)
(*NotebookOutlinePosition[    147104,       4775]*)
(*  CellTagsIndexPosition[    146000,       4732]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino surjective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
                  
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (covering domino surjective from white fields)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (different color))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["v",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["X",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["X",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"color", "[", 
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "=", "0"}], ")"}], 
                      "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"color", "[", 
                            StyleBox["v",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "=", "1"}], ")"}]}], 
                    ")"}]}], ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (different color)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (own covering domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}]}], "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      SubscriptBox["covering\[Dash]domino", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]], "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (own covering domino)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (different color)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (different color)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["v",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}], 
                  "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}], 
                ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"1"]
}, Open  ]],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take an appropriate Skolem function such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox[\(u\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    RowBox[{
                      StyleBox[\(u\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "]"}], "=", "0"}], ")"}], 
              "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    RowBox[{
                      StyleBox[\(v\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "]"}], "=", "1"}], 
                ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  "In order to show surjectivity of ",
  Cell[BoxData[
      FormBox[
        SubscriptBox["covering\[Dash]domino", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " in ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we assume"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], "}"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["u1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["u1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  UnderscriptBox["\[VerticalSeparator]", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[Element]", 
                      RowBox[{"\[Union]", 
                        StyleBox[\(z\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], "\[And]", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "1"}], ")"}]}]}], 
                "}"}]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can infer"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"]
}, Open  ]],

Cell[TextData[{
  "In order to prove ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to show:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["u1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  RowBox[{"\[Union]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"color", "[", 
                      StyleBox["u1",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", "1"}], ")"}]}], ")"}], 
            "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["7.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "0"}], ")"}], 
        "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "1"}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["u1",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"color", "[", 
                  RowBox[{
                    StyleBox[\(v\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(d1\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "]"}], "=", "1"}], ")"}]}], 
          ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "1"}], ")"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["13.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "In order to show ",
  StyleBox["(", "Label"],
  ButtonBox["13.1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to show"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["z1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["z1",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["15.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["15.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["10.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["15.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["15.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["7.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", "1"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["10.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["13.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["13.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (own covering domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (own covering domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"16"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["16.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["16.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["7.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["16.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["16.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["16.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["16.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["7.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["16.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["16.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["10.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["16.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "In order to show ",
  StyleBox["(", "Label"],
  ButtonBox["16.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to show"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["z2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["z2",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["18.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["18.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["10.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["18.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["18.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["7.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[{
    StyleBox[\(SetGlobals[SearchDepth \[Rule] 60]; \),
      "UnHighlightedText"], "\n", 
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Lemma["\<covering domino surjective from white fields\>"]\),
           ",", \(using \[Rule] \[LeftAngleBracket]Lemma["\<different \
color\>"], Proposition["\<own covering domino\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {AllowIntroduceQuantifiers \[Rule] 
                  True, UseCyclicRules \[Rule] True, 
                GRWTarget \[Rule] {"\<kb\>", "\<goal\>"}, 
                DisableProver \[Rule] {STC}}\),
            "UnHighlightedText"]}], "]"}], ";"}]}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["v",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["v",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["X",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "0"}], ")"}], 
                  "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}], 
                ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(u\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "0"}], ")"}], 
        "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "1"}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(u\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          RowBox[{
            StyleBox[\(u\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", "1"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"color", "[", 
                  RowBox[{
                    StyleBox[\(v\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "[", 
                    StyleBox[\(d1\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "]"}], "=", "1"}], ")"}]}], 
          ")"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}], "=", "1"}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"color", "[", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", "1"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.1.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "=", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["z1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox[\(v\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["z2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(v\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox[\(d1\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(v\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox[\(u\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                RowBox[{
                  StyleBox[\(v\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "[", 
                  StyleBox["X",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    RowBox[{
                      StyleBox[\(u\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "]"}], "=", "0"}], ")"}], 
              "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    RowBox[{
                      StyleBox[\(v\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "[", 
                      StyleBox["X",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "]"}], "=", "1"}], 
                ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[GridBox[{
          {
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "\[Proportion]", 
            RowBox[{"{", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox[\(z\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"color", "[", 
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "=", "1"}], ")"}]}]}], 
              "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
            RowBox[{"{", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                UnderscriptBox["\[VerticalSeparator]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]}], "}"}]}
          },
        RowSpacings->0.1,
        ColumnSpacings->0.2]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"{", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            UnderscriptBox["\[VerticalSeparator]", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], "}"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["u1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["u1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"{", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  UnderscriptBox["\[VerticalSeparator]", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[Element]", 
                      RowBox[{"\[Union]", 
                        StyleBox[\(z\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], "\[And]", 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "1"}], ")"}]}]}], 
                "}"}]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d1\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d1\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["u1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  RowBox[{"\[Union]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{"color", "[", 
                      StyleBox["u1",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", "1"}], ")"}]}], ")"}], 
            "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", 
                StyleBox[\(d1\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (covering domino surjective from white fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", GridBox[{
                {
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "\[Proportion]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[And]", 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{"color", "[", 
                              StyleBox["u",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "=", "1"}], 
                          ")"}]}]}], "}"}], \( \[Rule] \&\(\(surj\)\(.\)\)\), 
                  
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["d",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "\[And]", 
                        RowBox[{
                          StyleBox["d",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          StyleBox["z",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}]}], "}"}]}
                },
              RowSpacings->0.1,
              ColumnSpacings->0.2]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (covering domino surjective from white fields)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (different color))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["X",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["v",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["X",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["v",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["X",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}], "\[And]", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"color", "[", 
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "=", "0"}], ")"}], 
                      "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{"color", "[", 
                            StyleBox["v",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "=", "1"}], ")"}]}], 
                    ")"}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (different color)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (own covering domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}]}], "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      SubscriptBox["covering\[Dash]domino", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]], "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (own covering domino)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{622, 681},
WindowMargins->{{112, Automatic}, {Automatic, 132}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Lemma (covering domino surjective from white fields)"->{
    Cell[1835, 54, 4001, 92, 198, "Conclusion",
      CellTags->"Lemma (covering domino surjective from white fields)"],
    Cell[130030, 4290, 4058, 94, 70, "Text",
      CellTags->"Lemma (covering domino surjective from white fields)"]},
  "Lemma (different color)"->{
    Cell[5973, 153, 3025, 75, 62, "Assumption",
      CellTags->"Lemma (different color)"],
    Cell[134091, 4386, 3082, 77, 70, "Text",
      CellTags->"Lemma (different color)"]},
  "Proposition (own covering domino)"->{
    Cell[9001, 230, 3355, 86, 100, "Assumption",
      CellTags->"Proposition (own covering domino)"],
    Cell[137176, 4465, 3412, 88, 70, "Text",
      CellTags->"Proposition (own covering domino)"]},
  "1"->{
    Cell[12982, 341, 2705, 71, 38, "Assumption",
      CellTags->"1"],
    Cell[86067, 2958, 2762, 73, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[16120, 429, 2997, 79, 53, "Assumption",
      CellTags->"2"],
    Cell[114777, 3856, 3040, 81, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[19226, 513, 525, 15, 32, "Assumption",
      CellTags->"3"],
    Cell[117820, 3939, 568, 17, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[19859, 533, 3029, 77, 90, "Conclusion",
      CellTags->"4"],
    Cell[118391, 3958, 3072, 79, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[23605, 635, 1494, 42, 39, "Assumption",
      CellTags->"5"],
    Cell[121466, 4039, 1537, 44, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[25207, 682, 2737, 71, 39, "Conclusion",
      CellTags->"6"],
    Cell[123006, 4085, 2780, 73, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[28479, 774, 856, 25, 32, "Assumption",
      CellTags->"7"],
    Cell[125789, 4160, 899, 27, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[29746, 816, 2039, 55, 37, "Conclusion",
      CellTags->"8"],
    Cell[127945, 4231, 2082, 57, 70, "Text",
      CellTags->"8"]},
  "10"->{
    Cell[32417, 896, 2208, 65, 32, "Assumption",
      CellTags->"10"],
    Cell[88832, 3033, 2265, 67, 70, "Text",
      CellTags->"10"]},
  "13"->{
    Cell[35626, 995, 2271, 62, 34, "Conclusion",
      CellTags->"13"],
    Cell[94324, 3208, 2314, 64, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[41670, 1185, 1460, 42, 37, "Conclusion",
      CellTags->"14"],
    Cell[100742, 3405, 1503, 44, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[43959, 1256, 1133, 34, 32, "Conclusion",
      CellTags->"15"],
    Cell[102248, 3451, 1176, 36, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[52186, 1537, 2022, 59, 46, "Conclusion",
      CellTags->"16"],
    Cell[104942, 3540, 2079, 61, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[61980, 1870, 1460, 42, 37, "Conclusion",
      CellTags->"17"],
    Cell[110577, 3721, 1503, 44, 70, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[64269, 1941, 1133, 34, 32, "Conclusion",
      CellTags->"18"],
    Cell[112083, 3767, 1176, 36, 70, "Text",
      CellTags->"18"]},
  "AdditionalInfo"->{
    Cell[69208, 2112, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "10.1"->{
    Cell[91100, 3102, 837, 26, 70, "Text",
      CellTags->"10.1"]},
  "10.2"->{
    Cell[91940, 3130, 837, 26, 70, "Text",
      CellTags->"10.2"]},
  "10.3"->{
    Cell[92780, 3158, 769, 23, 70, "Text",
      CellTags->"10.3"]},
  "10.4"->{
    Cell[93552, 3183, 769, 23, 70, "Text",
      CellTags->"10.4"]},
  "13.1"->{
    Cell[96641, 3274, 1377, 41, 70, "Text",
      CellTags->"13.1"]},
  "13.1.1"->{
    Cell[98021, 3317, 879, 27, 70, "Text",
      CellTags->"13.1.1"]},
  "13.1.2"->{
    Cell[98903, 3346, 773, 23, 70, "Text",
      CellTags->"13.1.2"]},
  "13.2"->{
    Cell[99679, 3371, 1060, 32, 70, "Text",
      CellTags->"13.2"]},
  "15.1"->{
    Cell[103427, 3489, 837, 26, 70, "Text",
      CellTags->"15.1"]},
  "15.2"->{
    Cell[104267, 3517, 672, 21, 70, "Text",
      CellTags->"15.2"]},
  "16.1"->{
    Cell[107024, 3603, 580, 17, 70, "Text",
      CellTags->"16.1"]},
  "16.2"->{
    Cell[107607, 3622, 574, 17, 70, "Text",
      CellTags->"16.2"]},
  "16.3"->{
    Cell[108184, 3641, 672, 21, 70, "Text",
      CellTags->"16.3"]},
  "16.4"->{
    Cell[108859, 3664, 837, 26, 70, "Text",
      CellTags->"16.4"]},
  "16.5"->{
    Cell[109699, 3692, 875, 27, 70, "Text",
      CellTags->"16.5"]},
  "18.1"->{
    Cell[113262, 3805, 837, 26, 70, "Text",
      CellTags->"18.1"]},
  "18.2"->{
    Cell[114102, 3833, 672, 21, 70, "Text",
      CellTags->"18.2"]},
  "7.1"->{
    Cell[126691, 4189, 578, 17, 70, "Text",
      CellTags->"7.1"]},
  "7.2"->{
    Cell[127272, 4208, 670, 21, 70, "Text",
      CellTags->"7.2"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Lemma (covering domino surjective from white fields)", 141381, 4578},
  {"Lemma (different color)", 141652, 4583},
  {"Proposition (own covering domino)", 141875, 4588},
  {"1", 142087, 4593},
  {"2", 142234, 4598},
  {"3", 142382, 4603},
  {"4", 142528, 4608},
  {"5", 142676, 4613},
  {"6", 142824, 4618},
  {"7", 142972, 4623},
  {"8", 143118, 4628},
  {"10", 143267, 4633},
  {"13", 143417, 4638},
  {"14", 143567, 4643},
  {"15", 143719, 4648},
  {"16", 143871, 4653},
  {"17", 144023, 4658},
  {"18", 144175, 4663},
  {"AdditionalInfo", 144339, 4668},
  {"10.1", 144431, 4671},
  {"10.2", 144512, 4674},
  {"10.3", 144593, 4677},
  {"10.4", 144674, 4680},
  {"13.1", 144755, 4683},
  {"13.1.1", 144839, 4686},
  {"13.1.2", 144924, 4689},
  {"13.2", 145007, 4692},
  {"15.1", 145089, 4695},
  {"15.2", 145171, 4698},
  {"16.1", 145253, 4701},
  {"16.2", 145335, 4704},
  {"16.3", 145417, 4707},
  {"16.4", 145499, 4710},
  {"16.5", 145581, 4713},
  {"18.1", 145663, 4716},
  {"18.2", 145745, 4719},
  {"7.1", 145826, 4722},
  {"7.2", 145906, 4725}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 4001, 92, 198, "Conclusion",
  CellTags->"Lemma (covering domino surjective from white fields)"],

Cell[CellGroupData[{
Cell[5861, 150, 109, 1, 32, "ProofText"],
Cell[5973, 153, 3025, 75, 62, "Assumption",
  CellTags->"Lemma (different color)"],
Cell[9001, 230, 3355, 86, 100, "Assumption",
  CellTags->"Proposition (own covering domino)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12393, 321, 166, 4, 32, "ProofText"],
Cell[12562, 327, 417, 12, 32, "ProofText"],
Cell[12982, 341, 2705, 71, 38, "Assumption",
  CellTags->"1"]
}, Open  ]],
Cell[15702, 415, 415, 12, 32, "ProofText"],
Cell[16120, 429, 2997, 79, 53, "Assumption",
  CellTags->"2"],
Cell[19120, 510, 103, 1, 32, "ProofText"],
Cell[19226, 513, 525, 15, 32, "Assumption",
  CellTags->"3"],
Cell[19754, 530, 102, 1, 32, "ProofText"],
Cell[19859, 533, 3029, 77, 90, "Conclusion",
  CellTags->"4"],
Cell[22891, 612, 711, 21, 34, "ProofText"],
Cell[23605, 635, 1494, 42, 39, "Assumption",
  CellTags->"5"],
Cell[25102, 679, 102, 1, 32, "ProofText"],
Cell[25207, 682, 2737, 71, 39, "Conclusion",
  CellTags->"6"],

Cell[CellGroupData[{
Cell[27969, 757, 128, 1, 32, "ProofText"],
Cell[28100, 760, 376, 12, 32, "ProofText"],
Cell[28479, 774, 856, 25, 32, "Assumption",
  CellTags->"7"]
}, Open  ]],
Cell[29350, 802, 393, 12, 32, "ProofText"],
Cell[29746, 816, 2039, 55, 37, "Conclusion",
  CellTags->"8"],
Cell[31788, 873, 626, 21, 32, "ProofText"],
Cell[32417, 896, 2208, 65, 32, "Assumption",
  CellTags->"10"],
Cell[34628, 963, 995, 30, 32, "ProofText"],
Cell[35626, 995, 2271, 62, 34, "Conclusion",
  CellTags->"13"],
Cell[37900, 1059, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[38331, 1075, 1496, 45, 32, "ProofText"],
Cell[39830, 1122, 410, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[40265, 1138, 998, 31, 32, "ProofText"],
Cell[41266, 1171, 401, 12, 32, "ProofText"],
Cell[41670, 1185, 1460, 42, 37, "Conclusion",
  CellTags->"14"],
Cell[43133, 1229, 823, 25, 32, "ProofText"],
Cell[43959, 1256, 1133, 34, 32, "Conclusion",
  CellTags->"15"],
Cell[45095, 1292, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[45526, 1308, 956, 30, 32, "ProofText"],
Cell[46485, 1340, 663, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47185, 1366, 791, 25, 32, "ProofText"],
Cell[47979, 1393, 661, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[48689, 1420, 892, 27, 32, "ProofText"],
Cell[49584, 1449, 667, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[50300, 1476, 1179, 36, 34, "ProofText"],
Cell[51482, 1514, 701, 21, 32, "ProofText"],
Cell[52186, 1537, 2022, 59, 46, "Conclusion",
  CellTags->"16"],
Cell[54211, 1598, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[54642, 1614, 699, 21, 32, "ProofText"],
Cell[55344, 1637, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[56042, 1663, 693, 21, 32, "ProofText"],
Cell[56738, 1686, 657, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57432, 1712, 791, 25, 32, "ProofText"],
Cell[58226, 1739, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[58924, 1765, 956, 30, 32, "ProofText"],
Cell[59883, 1797, 663, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60583, 1823, 994, 31, 32, "ProofText"],
Cell[61580, 1856, 397, 12, 32, "ProofText"],
Cell[61980, 1870, 1460, 42, 37, "Conclusion",
  CellTags->"17"],
Cell[63443, 1914, 823, 25, 32, "ProofText"],
Cell[64269, 1941, 1133, 34, 32, "Conclusion",
  CellTags->"18"],
Cell[65405, 1977, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[65836, 1993, 956, 30, 32, "ProofText"],
Cell[66795, 2025, 663, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[67495, 2051, 791, 25, 32, "ProofText"],
Cell[68289, 2078, 661, 21, 32, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[68989, 2104, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[69208, 2112, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[69321, 2117, 36, 0, 70, "Subsection"],
Cell[69360, 2119, 722, 14, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70119, 2138, 34, 0, 70, "Subsection"],
Cell[70156, 2140, 120, 7, 70, "Text"],
Cell[70279, 2149, 98, 4, 70, "Text"],
Cell[70380, 2155, 99, 4, 70, "Text"],
Cell[70482, 2161, 170, 9, 70, "Text"],
Cell[70655, 2172, 187, 9, 70, "Text"],
Cell[70845, 2183, 221, 9, 70, "Text"],
Cell[71069, 2194, 220, 9, 70, "Text"],
Cell[71292, 2205, 204, 9, 70, "Text"],
Cell[71499, 2216, 206, 9, 70, "Text"],
Cell[71708, 2227, 206, 9, 70, "Text"],
Cell[71917, 2238, 220, 9, 70, "Text"],
Cell[72140, 2249, 217, 9, 70, "Text"],
Cell[72360, 2260, 216, 9, 70, "Text"],
Cell[72579, 2271, 217, 9, 70, "Text"],
Cell[72799, 2282, 214, 9, 70, "Text"],
Cell[73016, 2293, 218, 9, 70, "Text"],
Cell[73237, 2304, 211, 9, 70, "Text"],
Cell[73451, 2315, 213, 9, 70, "Text"],
Cell[73667, 2326, 220, 9, 70, "Text"],
Cell[73890, 2337, 214, 9, 70, "Text"],
Cell[74107, 2348, 214, 9, 70, "Text"],
Cell[74324, 2359, 209, 9, 70, "Text"],
Cell[74536, 2370, 210, 9, 70, "Text"],
Cell[74749, 2381, 215, 9, 70, "Text"],
Cell[74967, 2392, 212, 9, 70, "Text"],
Cell[75182, 2403, 212, 9, 70, "Text"],
Cell[75397, 2414, 211, 9, 70, "Text"],
Cell[75611, 2425, 213, 9, 70, "Text"],
Cell[75827, 2436, 211, 9, 70, "Text"],
Cell[76041, 2447, 215, 9, 70, "Text"],
Cell[76259, 2458, 208, 9, 70, "Text"],
Cell[76470, 2469, 210, 9, 70, "Text"],
Cell[76683, 2480, 217, 9, 70, "Text"],
Cell[76903, 2491, 219, 9, 70, "Text"],
Cell[77125, 2502, 220, 9, 70, "Text"],
Cell[77348, 2513, 218, 9, 70, "Text"],
Cell[77569, 2524, 218, 9, 70, "Text"],
Cell[77790, 2535, 211, 9, 70, "Text"],
Cell[78004, 2546, 214, 9, 70, "Text"],
Cell[78221, 2557, 213, 9, 70, "Text"],
Cell[78437, 2568, 224, 9, 70, "Text"],
Cell[78664, 2579, 225, 9, 70, "Text"],
Cell[78892, 2590, 214, 9, 70, "Text"],
Cell[79109, 2601, 208, 9, 70, "Text"],
Cell[79320, 2612, 211, 9, 70, "Text"],
Cell[79534, 2623, 211, 9, 70, "Text"],
Cell[79748, 2634, 215, 9, 70, "Text"],
Cell[79966, 2645, 213, 9, 70, "Text"],
Cell[80182, 2656, 209, 9, 70, "Text"],
Cell[80394, 2667, 218, 9, 70, "Text"],
Cell[80615, 2678, 226, 9, 70, "Text"],
Cell[80844, 2689, 220, 9, 70, "Text"],
Cell[81067, 2700, 216, 9, 70, "Text"],
Cell[81286, 2711, 217, 9, 70, "Text"],
Cell[81506, 2722, 222, 9, 70, "Text"],
Cell[81731, 2733, 216, 9, 70, "Text"],
Cell[81950, 2744, 214, 9, 70, "Text"],
Cell[82167, 2755, 225, 9, 70, "Text"],
Cell[82395, 2766, 220, 9, 70, "Text"],
Cell[82618, 2777, 229, 9, 70, "Text"],
Cell[82850, 2788, 170, 9, 70, "Text"],
Cell[83023, 2799, 217, 9, 70, "Text"],
Cell[83243, 2810, 215, 9, 70, "Text"],
Cell[83461, 2821, 220, 9, 70, "Text"],
Cell[83684, 2832, 214, 9, 70, "Text"],
Cell[83901, 2843, 212, 9, 70, "Text"],
Cell[84116, 2854, 218, 9, 70, "Text"],
Cell[84337, 2865, 219, 9, 70, "Text"],
Cell[84559, 2876, 222, 9, 70, "Text"],
Cell[84784, 2887, 223, 9, 70, "Text"],
Cell[85010, 2898, 200, 9, 70, "Text"],
Cell[85213, 2909, 172, 9, 70, "Text"],
Cell[85388, 2920, 201, 9, 70, "Text"],
Cell[85592, 2931, 204, 9, 70, "Text"],
Cell[85799, 2942, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[86008, 2956, 56, 0, 70, "Subsection"],
Cell[86067, 2958, 2762, 73, 70, "Text",
  CellTags->"1"],
Cell[88832, 3033, 2265, 67, 70, "Text",
  CellTags->"10"],
Cell[91100, 3102, 837, 26, 70, "Text",
  CellTags->"10.1"],
Cell[91940, 3130, 837, 26, 70, "Text",
  CellTags->"10.2"],
Cell[92780, 3158, 769, 23, 70, "Text",
  CellTags->"10.3"],
Cell[93552, 3183, 769, 23, 70, "Text",
  CellTags->"10.4"],
Cell[94324, 3208, 2314, 64, 70, "Text",
  CellTags->"13"],
Cell[96641, 3274, 1377, 41, 70, "Text",
  CellTags->"13.1"],
Cell[98021, 3317, 879, 27, 70, "Text",
  CellTags->"13.1.1"],
Cell[98903, 3346, 773, 23, 70, "Text",
  CellTags->"13.1.2"],
Cell[99679, 3371, 1060, 32, 70, "Text",
  CellTags->"13.2"],
Cell[100742, 3405, 1503, 44, 70, "Text",
  CellTags->"14"],
Cell[102248, 3451, 1176, 36, 70, "Text",
  CellTags->"15"],
Cell[103427, 3489, 837, 26, 70, "Text",
  CellTags->"15.1"],
Cell[104267, 3517, 672, 21, 70, "Text",
  CellTags->"15.2"],
Cell[104942, 3540, 2079, 61, 70, "Text",
  CellTags->"16"],
Cell[107024, 3603, 580, 17, 70, "Text",
  CellTags->"16.1"],
Cell[107607, 3622, 574, 17, 70, "Text",
  CellTags->"16.2"],
Cell[108184, 3641, 672, 21, 70, "Text",
  CellTags->"16.3"],
Cell[108859, 3664, 837, 26, 70, "Text",
  CellTags->"16.4"],
Cell[109699, 3692, 875, 27, 70, "Text",
  CellTags->"16.5"],
Cell[110577, 3721, 1503, 44, 70, "Text",
  CellTags->"17"],
Cell[112083, 3767, 1176, 36, 70, "Text",
  CellTags->"18"],
Cell[113262, 3805, 837, 26, 70, "Text",
  CellTags->"18.1"],
Cell[114102, 3833, 672, 21, 70, "Text",
  CellTags->"18.2"],
Cell[114777, 3856, 3040, 81, 70, "Text",
  CellTags->"2"],
Cell[117820, 3939, 568, 17, 70, "Text",
  CellTags->"3"],
Cell[118391, 3958, 3072, 79, 70, "Text",
  CellTags->"4"],
Cell[121466, 4039, 1537, 44, 70, "Text",
  CellTags->"5"],
Cell[123006, 4085, 2780, 73, 70, "Text",
  CellTags->"6"],
Cell[125789, 4160, 899, 27, 70, "Text",
  CellTags->"7"],
Cell[126691, 4189, 578, 17, 70, "Text",
  CellTags->"7.1"],
Cell[127272, 4208, 670, 21, 70, "Text",
  CellTags->"7.2"],
Cell[127945, 4231, 2082, 57, 70, "Text",
  CellTags->"8"],
Cell[130030, 4290, 4058, 94, 70, "Text",
  CellTags->"Lemma (covering domino surjective from white fields)"],
Cell[134091, 4386, 3082, 77, 70, "Text",
  CellTags->"Lemma (different color)"],
Cell[137176, 4465, 3412, 88, 70, "Text",
  CellTags->"Proposition (own covering domino)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

