(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     68283,       2071]*)
(*NotebookOutlinePosition[     71041,       2158]*)
(*  CellTagsIndexPosition[     70639,       2142]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (mutilated checkerboard))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[NotExists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "=", "Mutilated\[Dash]Board"}], 
              ")"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (mutilated checkerboard)"],

Cell[CellGroupData[{

Cell["under the assumption:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (equally many black and white covered fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]], 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "0"}]}], "}"}], 
                  "\[RightBracketingBar]"}], "=", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]], 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "1"}]}], "}"}], 
                  "\[RightBracketingBar]"}]}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (equally many black and white covered fields)"]
}, Open  ]],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (mutilated checkerboard)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (mutilated checkerboard)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by contradiction."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "=", "Mutilated\[Dash]Board"}], 
              ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "and show ",
  Cell[BoxData[
      \("a contradiction"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], 
                "=", \({\[LeftAngleBracket]0, 
                    1\[RightAngleBracket], \[LeftAngleBracket]0, 
                    2\[RightAngleBracket], \[LeftSkeleton]58\[RightSkeleton], \
\[LeftAngleBracket]7, 5\[RightAngleBracket], \[LeftAngleBracket]7, 
                    6\[RightAngleBracket]}\)}], ")"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"2"]
}, Open  ]],

Cell[TextData[{
  "By ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we can take appropriate values such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], 
            "=", \({\[LeftAngleBracket]0, 
                1\[RightAngleBracket], \[LeftAngleBracket]0, 
                2\[RightAngleBracket], \[LeftSkeleton]58\[RightSkeleton], \
\[LeftAngleBracket]7, 5\[RightAngleBracket], \[LeftAngleBracket]7, 
                6\[RightAngleBracket]}\)}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["3.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (equally many black and white covered fields)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (equally many black and white covered fields)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  RowBox[{"\[Union]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "0"}]}], "}"}], 
          "\[RightBracketingBar]"}], "=", 
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  RowBox[{"\[Union]", 
                    StyleBox[\(z\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "1"}]}], "}"}], 
          "\[RightBracketingBar]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ","
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "which, by ",
  StyleBox["(", "Label"],
  ButtonBox["3.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  "\[Element]", \({\[LeftAngleBracket]0, 
                      1\[RightAngleBracket], \[LeftAngleBracket]0, 
                      2\[RightAngleBracket], \
\[LeftSkeleton]58\[RightSkeleton], \[LeftAngleBracket]7, 
                      5\[RightAngleBracket], \[LeftAngleBracket]7, 
                      6\[RightAngleBracket]}\)}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "0"}]}], "}"}], 
          "\[RightBracketingBar]"}], "=", 
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  "\[Element]", \({\[LeftAngleBracket]0, 
                      1\[RightAngleBracket], \[LeftAngleBracket]0, 
                      2\[RightAngleBracket], \
\[LeftSkeleton]58\[RightSkeleton], \[LeftAngleBracket]7, 
                      5\[RightAngleBracket], \[LeftAngleBracket]7, 
                      6\[RightAngleBracket]}\)}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "1"}]}], "}"}], 
          "\[RightBracketingBar]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"16"],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"17"]
}, Open  ]],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["a contradiction",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "a contradiction"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because the assumption ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is false."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Theorem["\<mutilated checkerboard\>"]\), ",", 
          "\[IndentingNewLine]", \(using \[Rule] 
            Lemma["\<equally many black and white covered fields\>"]\), ",", 
          "\[IndentingNewLine]", \(built\[Dash]in \[Rule] \[LeftAngleBracket]\
\(Built\[Dash]in["\<Tuples\>"]\)[Subscript, AngleBracket], 
              Built\[Dash]in["\<Numbers\>"], Definition["\<Board\>"], 
              Definition["\<Color\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {RWInsideQuantifiers \[Rule] True, 
                RWSetOperators \[Rule] True, TransformRanges \[Rule] False, 
                DisableProver \[Rule] {STC, STS}}\),
            "UnHighlightedText"]}], "]"}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "=", "Mutilated\[Dash]Board"}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  "\[Element]", \({\[LeftAngleBracket]0, 
                      1\[RightAngleBracket], \[LeftAngleBracket]0, 
                      2\[RightAngleBracket], \[LeftAngleBracket]0, 
                      3\[RightAngleBracket], \[LeftAngleBracket]0, 
                      4\[RightAngleBracket], \[LeftAngleBracket]0, 
                      5\[RightAngleBracket], \[LeftAngleBracket]0, 
                      6\[RightAngleBracket], \[LeftAngleBracket]0, 
                      7\[RightAngleBracket], \[LeftAngleBracket]1, 
                      0\[RightAngleBracket], \[LeftAngleBracket]1, 
                      1\[RightAngleBracket], \[LeftAngleBracket]1, 
                      2\[RightAngleBracket], \[LeftAngleBracket]1, 
                      3\[RightAngleBracket], \[LeftAngleBracket]1, 
                      4\[RightAngleBracket], \[LeftAngleBracket]1, 
                      5\[RightAngleBracket], \[LeftAngleBracket]1, 
                      6\[RightAngleBracket], \[LeftAngleBracket]1, 
                      7\[RightAngleBracket], \[LeftAngleBracket]2, 
                      0\[RightAngleBracket], \[LeftAngleBracket]2, 
                      1\[RightAngleBracket], \[LeftAngleBracket]2, 
                      2\[RightAngleBracket], \[LeftAngleBracket]2, 
                      3\[RightAngleBracket], \[LeftAngleBracket]2, 
                      4\[RightAngleBracket], \[LeftAngleBracket]2, 
                      5\[RightAngleBracket], \[LeftAngleBracket]2, 
                      6\[RightAngleBracket], \[LeftAngleBracket]2, 
                      7\[RightAngleBracket], \[LeftAngleBracket]3, 
                      0\[RightAngleBracket], \[LeftAngleBracket]3, 
                      1\[RightAngleBracket], \[LeftAngleBracket]3, 
                      2\[RightAngleBracket], \[LeftAngleBracket]3, 
                      3\[RightAngleBracket], \[LeftAngleBracket]3, 
                      4\[RightAngleBracket], \[LeftAngleBracket]3, 
                      5\[RightAngleBracket], \[LeftAngleBracket]3, 
                      6\[RightAngleBracket], \[LeftAngleBracket]3, 
                      7\[RightAngleBracket], \[LeftAngleBracket]4, 
                      0\[RightAngleBracket], \[LeftAngleBracket]4, 
                      1\[RightAngleBracket], \[LeftAngleBracket]4, 
                      2\[RightAngleBracket], \[LeftAngleBracket]4, 
                      3\[RightAngleBracket], \[LeftAngleBracket]4, 
                      4\[RightAngleBracket], \[LeftAngleBracket]4, 
                      5\[RightAngleBracket], \[LeftAngleBracket]4, 
                      6\[RightAngleBracket], \[LeftAngleBracket]4, 
                      7\[RightAngleBracket], \[LeftAngleBracket]5, 
                      0\[RightAngleBracket], \[LeftAngleBracket]5, 
                      1\[RightAngleBracket], \[LeftAngleBracket]5, 
                      2\[RightAngleBracket], \[LeftAngleBracket]5, 
                      3\[RightAngleBracket], \[LeftAngleBracket]5, 
                      4\[RightAngleBracket], \[LeftAngleBracket]5, 
                      5\[RightAngleBracket], \[LeftAngleBracket]5, 
                      6\[RightAngleBracket], \[LeftAngleBracket]5, 
                      7\[RightAngleBracket], \[LeftAngleBracket]6, 
                      0\[RightAngleBracket], \[LeftAngleBracket]6, 
                      1\[RightAngleBracket], \[LeftAngleBracket]6, 
                      2\[RightAngleBracket], \[LeftAngleBracket]6, 
                      3\[RightAngleBracket], \[LeftAngleBracket]6, 
                      4\[RightAngleBracket], \[LeftAngleBracket]6, 
                      5\[RightAngleBracket], \[LeftAngleBracket]6, 
                      6\[RightAngleBracket], \[LeftAngleBracket]6, 
                      7\[RightAngleBracket], \[LeftAngleBracket]7, 
                      0\[RightAngleBracket], \[LeftAngleBracket]7, 
                      1\[RightAngleBracket], \[LeftAngleBracket]7, 
                      2\[RightAngleBracket], \[LeftAngleBracket]7, 
                      3\[RightAngleBracket], \[LeftAngleBracket]7, 
                      4\[RightAngleBracket], \[LeftAngleBracket]7, 
                      5\[RightAngleBracket], \[LeftAngleBracket]7, 
                      6\[RightAngleBracket]}\)}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "0"}]}], "}"}], 
          "\[RightBracketingBar]"}], "=", 
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{"{", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              UnderscriptBox["\[VerticalSeparator]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  "\[Element]", \({\[LeftAngleBracket]0, 
                      1\[RightAngleBracket], \[LeftAngleBracket]0, 
                      2\[RightAngleBracket], \[LeftAngleBracket]0, 
                      3\[RightAngleBracket], \[LeftAngleBracket]0, 
                      4\[RightAngleBracket], \[LeftAngleBracket]0, 
                      5\[RightAngleBracket], \[LeftAngleBracket]0, 
                      6\[RightAngleBracket], \[LeftAngleBracket]0, 
                      7\[RightAngleBracket], \[LeftAngleBracket]1, 
                      0\[RightAngleBracket], \[LeftAngleBracket]1, 
                      1\[RightAngleBracket], \[LeftAngleBracket]1, 
                      2\[RightAngleBracket], \[LeftAngleBracket]1, 
                      3\[RightAngleBracket], \[LeftAngleBracket]1, 
                      4\[RightAngleBracket], \[LeftAngleBracket]1, 
                      5\[RightAngleBracket], \[LeftAngleBracket]1, 
                      6\[RightAngleBracket], \[LeftAngleBracket]1, 
                      7\[RightAngleBracket], \[LeftAngleBracket]2, 
                      0\[RightAngleBracket], \[LeftAngleBracket]2, 
                      1\[RightAngleBracket], \[LeftAngleBracket]2, 
                      2\[RightAngleBracket], \[LeftAngleBracket]2, 
                      3\[RightAngleBracket], \[LeftAngleBracket]2, 
                      4\[RightAngleBracket], \[LeftAngleBracket]2, 
                      5\[RightAngleBracket], \[LeftAngleBracket]2, 
                      6\[RightAngleBracket], \[LeftAngleBracket]2, 
                      7\[RightAngleBracket], \[LeftAngleBracket]3, 
                      0\[RightAngleBracket], \[LeftAngleBracket]3, 
                      1\[RightAngleBracket], \[LeftAngleBracket]3, 
                      2\[RightAngleBracket], \[LeftAngleBracket]3, 
                      3\[RightAngleBracket], \[LeftAngleBracket]3, 
                      4\[RightAngleBracket], \[LeftAngleBracket]3, 
                      5\[RightAngleBracket], \[LeftAngleBracket]3, 
                      6\[RightAngleBracket], \[LeftAngleBracket]3, 
                      7\[RightAngleBracket], \[LeftAngleBracket]4, 
                      0\[RightAngleBracket], \[LeftAngleBracket]4, 
                      1\[RightAngleBracket], \[LeftAngleBracket]4, 
                      2\[RightAngleBracket], \[LeftAngleBracket]4, 
                      3\[RightAngleBracket], \[LeftAngleBracket]4, 
                      4\[RightAngleBracket], \[LeftAngleBracket]4, 
                      5\[RightAngleBracket], \[LeftAngleBracket]4, 
                      6\[RightAngleBracket], \[LeftAngleBracket]4, 
                      7\[RightAngleBracket], \[LeftAngleBracket]5, 
                      0\[RightAngleBracket], \[LeftAngleBracket]5, 
                      1\[RightAngleBracket], \[LeftAngleBracket]5, 
                      2\[RightAngleBracket], \[LeftAngleBracket]5, 
                      3\[RightAngleBracket], \[LeftAngleBracket]5, 
                      4\[RightAngleBracket], \[LeftAngleBracket]5, 
                      5\[RightAngleBracket], \[LeftAngleBracket]5, 
                      6\[RightAngleBracket], \[LeftAngleBracket]5, 
                      7\[RightAngleBracket], \[LeftAngleBracket]6, 
                      0\[RightAngleBracket], \[LeftAngleBracket]6, 
                      1\[RightAngleBracket], \[LeftAngleBracket]6, 
                      2\[RightAngleBracket], \[LeftAngleBracket]6, 
                      3\[RightAngleBracket], \[LeftAngleBracket]6, 
                      4\[RightAngleBracket], \[LeftAngleBracket]6, 
                      5\[RightAngleBracket], \[LeftAngleBracket]6, 
                      6\[RightAngleBracket], \[LeftAngleBracket]6, 
                      7\[RightAngleBracket], \[LeftAngleBracket]7, 
                      0\[RightAngleBracket], \[LeftAngleBracket]7, 
                      1\[RightAngleBracket], \[LeftAngleBracket]7, 
                      2\[RightAngleBracket], \[LeftAngleBracket]7, 
                      3\[RightAngleBracket], \[LeftAngleBracket]7, 
                      4\[RightAngleBracket], \[LeftAngleBracket]7, 
                      5\[RightAngleBracket], \[LeftAngleBracket]7, 
                      6\[RightAngleBracket]}\)}]], 
              RowBox[{
                RowBox[{"color", "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "=", "1"}]}], "}"}], 
          "\[RightBracketingBar]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], 
                "=", \({\[LeftAngleBracket]0, 
                    1\[RightAngleBracket], \[LeftAngleBracket]0, 
                    2\[RightAngleBracket], \[LeftAngleBracket]0, 
                    3\[RightAngleBracket], \[LeftAngleBracket]0, 
                    4\[RightAngleBracket], \[LeftAngleBracket]0, 
                    5\[RightAngleBracket], \[LeftAngleBracket]0, 
                    6\[RightAngleBracket], \[LeftAngleBracket]0, 
                    7\[RightAngleBracket], \[LeftAngleBracket]1, 
                    0\[RightAngleBracket], \[LeftAngleBracket]1, 
                    1\[RightAngleBracket], \[LeftAngleBracket]1, 
                    2\[RightAngleBracket], \[LeftAngleBracket]1, 
                    3\[RightAngleBracket], \[LeftAngleBracket]1, 
                    4\[RightAngleBracket], \[LeftAngleBracket]1, 
                    5\[RightAngleBracket], \[LeftAngleBracket]1, 
                    6\[RightAngleBracket], \[LeftAngleBracket]1, 
                    7\[RightAngleBracket], \[LeftAngleBracket]2, 
                    0\[RightAngleBracket], \[LeftAngleBracket]2, 
                    1\[RightAngleBracket], \[LeftAngleBracket]2, 
                    2\[RightAngleBracket], \[LeftAngleBracket]2, 
                    3\[RightAngleBracket], \[LeftAngleBracket]2, 
                    4\[RightAngleBracket], \[LeftAngleBracket]2, 
                    5\[RightAngleBracket], \[LeftAngleBracket]2, 
                    6\[RightAngleBracket], \[LeftAngleBracket]2, 
                    7\[RightAngleBracket], \[LeftAngleBracket]3, 
                    0\[RightAngleBracket], \[LeftAngleBracket]3, 
                    1\[RightAngleBracket], \[LeftAngleBracket]3, 
                    2\[RightAngleBracket], \[LeftAngleBracket]3, 
                    3\[RightAngleBracket], \[LeftAngleBracket]3, 
                    4\[RightAngleBracket], \[LeftAngleBracket]3, 
                    5\[RightAngleBracket], \[LeftAngleBracket]3, 
                    6\[RightAngleBracket], \[LeftAngleBracket]3, 
                    7\[RightAngleBracket], \[LeftAngleBracket]4, 
                    0\[RightAngleBracket], \[LeftAngleBracket]4, 
                    1\[RightAngleBracket], \[LeftAngleBracket]4, 
                    2\[RightAngleBracket], \[LeftAngleBracket]4, 
                    3\[RightAngleBracket], \[LeftAngleBracket]4, 
                    4\[RightAngleBracket], \[LeftAngleBracket]4, 
                    5\[RightAngleBracket], \[LeftAngleBracket]4, 
                    6\[RightAngleBracket], \[LeftAngleBracket]4, 
                    7\[RightAngleBracket], \[LeftAngleBracket]5, 
                    0\[RightAngleBracket], \[LeftAngleBracket]5, 
                    1\[RightAngleBracket], \[LeftAngleBracket]5, 
                    2\[RightAngleBracket], \[LeftAngleBracket]5, 
                    3\[RightAngleBracket], \[LeftAngleBracket]5, 
                    4\[RightAngleBracket], \[LeftAngleBracket]5, 
                    5\[RightAngleBracket], \[LeftAngleBracket]5, 
                    6\[RightAngleBracket], \[LeftAngleBracket]5, 
                    7\[RightAngleBracket], \[LeftAngleBracket]6, 
                    0\[RightAngleBracket], \[LeftAngleBracket]6, 
                    1\[RightAngleBracket], \[LeftAngleBracket]6, 
                    2\[RightAngleBracket], \[LeftAngleBracket]6, 
                    3\[RightAngleBracket], \[LeftAngleBracket]6, 
                    4\[RightAngleBracket], \[LeftAngleBracket]6, 
                    5\[RightAngleBracket], \[LeftAngleBracket]6, 
                    6\[RightAngleBracket], \[LeftAngleBracket]6, 
                    7\[RightAngleBracket], \[LeftAngleBracket]7, 
                    0\[RightAngleBracket], \[LeftAngleBracket]7, 
                    1\[RightAngleBracket], \[LeftAngleBracket]7, 
                    2\[RightAngleBracket], \[LeftAngleBracket]7, 
                    3\[RightAngleBracket], \[LeftAngleBracket]7, 
                    4\[RightAngleBracket], \[LeftAngleBracket]7, 
                    5\[RightAngleBracket], \[LeftAngleBracket]7, 
                    6\[RightAngleBracket]}\)}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], 
            "=", \({\[LeftAngleBracket]0, 
                1\[RightAngleBracket], \[LeftAngleBracket]0, 
                2\[RightAngleBracket], \[LeftAngleBracket]0, 
                3\[RightAngleBracket], \[LeftAngleBracket]0, 
                4\[RightAngleBracket], \[LeftAngleBracket]0, 
                5\[RightAngleBracket], \[LeftAngleBracket]0, 
                6\[RightAngleBracket], \[LeftAngleBracket]0, 
                7\[RightAngleBracket], \[LeftAngleBracket]1, 
                0\[RightAngleBracket], \[LeftAngleBracket]1, 
                1\[RightAngleBracket], \[LeftAngleBracket]1, 
                2\[RightAngleBracket], \[LeftAngleBracket]1, 
                3\[RightAngleBracket], \[LeftAngleBracket]1, 
                4\[RightAngleBracket], \[LeftAngleBracket]1, 
                5\[RightAngleBracket], \[LeftAngleBracket]1, 
                6\[RightAngleBracket], \[LeftAngleBracket]1, 
                7\[RightAngleBracket], \[LeftAngleBracket]2, 
                0\[RightAngleBracket], \[LeftAngleBracket]2, 
                1\[RightAngleBracket], \[LeftAngleBracket]2, 
                2\[RightAngleBracket], \[LeftAngleBracket]2, 
                3\[RightAngleBracket], \[LeftAngleBracket]2, 
                4\[RightAngleBracket], \[LeftAngleBracket]2, 
                5\[RightAngleBracket], \[LeftAngleBracket]2, 
                6\[RightAngleBracket], \[LeftAngleBracket]2, 
                7\[RightAngleBracket], \[LeftAngleBracket]3, 
                0\[RightAngleBracket], \[LeftAngleBracket]3, 
                1\[RightAngleBracket], \[LeftAngleBracket]3, 
                2\[RightAngleBracket], \[LeftAngleBracket]3, 
                3\[RightAngleBracket], \[LeftAngleBracket]3, 
                4\[RightAngleBracket], \[LeftAngleBracket]3, 
                5\[RightAngleBracket], \[LeftAngleBracket]3, 
                6\[RightAngleBracket], \[LeftAngleBracket]3, 
                7\[RightAngleBracket], \[LeftAngleBracket]4, 
                0\[RightAngleBracket], \[LeftAngleBracket]4, 
                1\[RightAngleBracket], \[LeftAngleBracket]4, 
                2\[RightAngleBracket], \[LeftAngleBracket]4, 
                3\[RightAngleBracket], \[LeftAngleBracket]4, 
                4\[RightAngleBracket], \[LeftAngleBracket]4, 
                5\[RightAngleBracket], \[LeftAngleBracket]4, 
                6\[RightAngleBracket], \[LeftAngleBracket]4, 
                7\[RightAngleBracket], \[LeftAngleBracket]5, 
                0\[RightAngleBracket], \[LeftAngleBracket]5, 
                1\[RightAngleBracket], \[LeftAngleBracket]5, 
                2\[RightAngleBracket], \[LeftAngleBracket]5, 
                3\[RightAngleBracket], \[LeftAngleBracket]5, 
                4\[RightAngleBracket], \[LeftAngleBracket]5, 
                5\[RightAngleBracket], \[LeftAngleBracket]5, 
                6\[RightAngleBracket], \[LeftAngleBracket]5, 
                7\[RightAngleBracket], \[LeftAngleBracket]6, 
                0\[RightAngleBracket], \[LeftAngleBracket]6, 
                1\[RightAngleBracket], \[LeftAngleBracket]6, 
                2\[RightAngleBracket], \[LeftAngleBracket]6, 
                3\[RightAngleBracket], \[LeftAngleBracket]6, 
                4\[RightAngleBracket], \[LeftAngleBracket]6, 
                5\[RightAngleBracket], \[LeftAngleBracket]6, 
                6\[RightAngleBracket], \[LeftAngleBracket]6, 
                7\[RightAngleBracket], \[LeftAngleBracket]7, 
                0\[RightAngleBracket], \[LeftAngleBracket]7, 
                1\[RightAngleBracket], \[LeftAngleBracket]7, 
                2\[RightAngleBracket], \[LeftAngleBracket]7, 
                3\[RightAngleBracket], \[LeftAngleBracket]7, 
                4\[RightAngleBracket], \[LeftAngleBracket]7, 
                5\[RightAngleBracket], \[LeftAngleBracket]7, 
                6\[RightAngleBracket]}\)}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], 
        "=", \({\[LeftAngleBracket]0, 
            1\[RightAngleBracket], \[LeftAngleBracket]0, 
            2\[RightAngleBracket], \[LeftAngleBracket]0, 
            3\[RightAngleBracket], \[LeftAngleBracket]0, 
            4\[RightAngleBracket], \[LeftAngleBracket]0, 
            5\[RightAngleBracket], \[LeftAngleBracket]0, 
            6\[RightAngleBracket], \[LeftAngleBracket]0, 
            7\[RightAngleBracket], \[LeftAngleBracket]1, 
            0\[RightAngleBracket], \[LeftAngleBracket]1, 
            1\[RightAngleBracket], \[LeftAngleBracket]1, 
            2\[RightAngleBracket], \[LeftAngleBracket]1, 
            3\[RightAngleBracket], \[LeftAngleBracket]1, 
            4\[RightAngleBracket], \[LeftAngleBracket]1, 
            5\[RightAngleBracket], \[LeftAngleBracket]1, 
            6\[RightAngleBracket], \[LeftAngleBracket]1, 
            7\[RightAngleBracket], \[LeftAngleBracket]2, 
            0\[RightAngleBracket], \[LeftAngleBracket]2, 
            1\[RightAngleBracket], \[LeftAngleBracket]2, 
            2\[RightAngleBracket], \[LeftAngleBracket]2, 
            3\[RightAngleBracket], \[LeftAngleBracket]2, 
            4\[RightAngleBracket], \[LeftAngleBracket]2, 
            5\[RightAngleBracket], \[LeftAngleBracket]2, 
            6\[RightAngleBracket], \[LeftAngleBracket]2, 
            7\[RightAngleBracket], \[LeftAngleBracket]3, 
            0\[RightAngleBracket], \[LeftAngleBracket]3, 
            1\[RightAngleBracket], \[LeftAngleBracket]3, 
            2\[RightAngleBracket], \[LeftAngleBracket]3, 
            3\[RightAngleBracket], \[LeftAngleBracket]3, 
            4\[RightAngleBracket], \[LeftAngleBracket]3, 
            5\[RightAngleBracket], \[LeftAngleBracket]3, 
            6\[RightAngleBracket], \[LeftAngleBracket]3, 
            7\[RightAngleBracket], \[LeftAngleBracket]4, 
            0\[RightAngleBracket], \[LeftAngleBracket]4, 
            1\[RightAngleBracket], \[LeftAngleBracket]4, 
            2\[RightAngleBracket], \[LeftAngleBracket]4, 
            3\[RightAngleBracket], \[LeftAngleBracket]4, 
            4\[RightAngleBracket], \[LeftAngleBracket]4, 
            5\[RightAngleBracket], \[LeftAngleBracket]4, 
            6\[RightAngleBracket], \[LeftAngleBracket]4, 
            7\[RightAngleBracket], \[LeftAngleBracket]5, 
            0\[RightAngleBracket], \[LeftAngleBracket]5, 
            1\[RightAngleBracket], \[LeftAngleBracket]5, 
            2\[RightAngleBracket], \[LeftAngleBracket]5, 
            3\[RightAngleBracket], \[LeftAngleBracket]5, 
            4\[RightAngleBracket], \[LeftAngleBracket]5, 
            5\[RightAngleBracket], \[LeftAngleBracket]5, 
            6\[RightAngleBracket], \[LeftAngleBracket]5, 
            7\[RightAngleBracket], \[LeftAngleBracket]6, 
            0\[RightAngleBracket], \[LeftAngleBracket]6, 
            1\[RightAngleBracket], \[LeftAngleBracket]6, 
            2\[RightAngleBracket], \[LeftAngleBracket]6, 
            3\[RightAngleBracket], \[LeftAngleBracket]6, 
            4\[RightAngleBracket], \[LeftAngleBracket]6, 
            5\[RightAngleBracket], \[LeftAngleBracket]6, 
            6\[RightAngleBracket], \[LeftAngleBracket]6, 
            7\[RightAngleBracket], \[LeftAngleBracket]7, 
            0\[RightAngleBracket], \[LeftAngleBracket]7, 
            1\[RightAngleBracket], \[LeftAngleBracket]7, 
            2\[RightAngleBracket], \[LeftAngleBracket]7, 
            3\[RightAngleBracket], \[LeftAngleBracket]7, 
            4\[RightAngleBracket], \[LeftAngleBracket]7, 
            5\[RightAngleBracket], \[LeftAngleBracket]7, 
            6\[RightAngleBracket]}\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(a contradiction)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(False\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"a contradiction"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (equally many black and white covered fields))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]], 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "0"}]}], "}"}], 
                  "\[RightBracketingBar]"}], "=", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{"{", 
                    RowBox[{
                      StyleBox["u",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], 
                      UnderscriptBox["\[VerticalSeparator]", 
                        RowBox[{
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[Element]", 
                          RowBox[{"\[Union]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}]], 
                      RowBox[{
                        RowBox[{"color", "[", 
                          StyleBox["u",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "=", "1"}]}], "}"}], 
                  "\[RightBracketingBar]"}]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (equally many black and white covered fields)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (mutilated checkerboard))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[NotExists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "=", "Mutilated\[Dash]Board"}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (mutilated checkerboard)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 364}, {156, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (mutilated checkerboard)"->{
    Cell[1823, 55, 1168, 32, 64, "Conclusion",
      CellTags->"Theorem (mutilated checkerboard)"],
    Cell[67030, 2033, 1225, 34, 70, "Text",
      CellTags->"Theorem (mutilated checkerboard)"]},
  "Lemma (equally many black and white covered fields)"->{
    Cell[3127, 94, 3297, 77, 148, "Assumption",
      CellTags->"Lemma (equally many black and white covered fields)"],
    Cell[63678, 1953, 3349, 78, 70, "Text",
      CellTags->"Lemma (equally many black and white covered fields)"]},
  "1"->{
    Cell[6996, 191, 1117, 32, 37, "Assumption",
      CellTags->"1"],
    Cell[36523, 1416, 1160, 34, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[8982, 257, 1371, 37, 53, "Assumption",
      CellTags->"2"],
    Cell[48522, 1648, 5235, 96, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[10774, 311, 1082, 28, 46, "Assumption",
      CellTags->"3"],
    Cell[53760, 1746, 4701, 88, 70, "Text",
      CellTags->"3"]},
  "16"->{
    Cell[15150, 437, 2543, 63, 85, "Assumption",
      CellTags->"16"],
    Cell[37686, 1452, 10414, 179, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[18265, 524, 359, 11, 32, "Assumption",
      CellTags->"17"],
    Cell[48103, 1633, 416, 13, 70, "Text",
      CellTags->"17"]},
  "AdditionalInfo"->{
    Cell[19547, 569, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "3.1"->{
    Cell[58464, 1836, 572, 17, 70, "Text",
      CellTags->"3.1"]},
  "3.2"->{
    Cell[59039, 1855, 4191, 81, 70, "Text",
      CellTags->"3.2"]},
  "a contradiction"->{
    Cell[63233, 1938, 442, 13, 70, "Text",
      CellTags->"a contradiction"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (mutilated checkerboard)", 69018, 2091},
  {"Lemma (equally many black and white covered fields)", 69275, 2096},
  {"1", 69521, 2101},
  {"2", 69667, 2106},
  {"3", 69813, 2111},
  {"16", 69961, 2116},
  {"17", 70113, 2121},
  {"AdditionalInfo", 70273, 2126},
  {"3.1", 70363, 2129},
  {"3.2", 70442, 2132},
  {"a contradiction", 70534, 2135}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 32, "ProofText"],
Cell[1823, 55, 1168, 32, 64, "Conclusion",
  CellTags->"Theorem (mutilated checkerboard)"],

Cell[CellGroupData[{
Cell[3016, 91, 108, 1, 32, "ProofText"],
Cell[3127, 94, 3297, 77, 148, "Assumption",
  CellTags->"Lemma (equally many black and white covered fields)"]
}, Open  ]],
Cell[6439, 174, 447, 12, 32, "ProofText"],
Cell[6889, 188, 104, 1, 32, "ProofText"],
Cell[6996, 191, 1117, 32, 37, "Assumption",
  CellTags->"1"],
Cell[8116, 225, 296, 8, 32, "ProofText"],

Cell[CellGroupData[{
Cell[8437, 237, 166, 4, 32, "ProofText"],
Cell[8606, 243, 373, 12, 32, "ProofText"],
Cell[8982, 257, 1371, 37, 53, "Assumption",
  CellTags->"2"]
}, Open  ]],
Cell[10368, 297, 403, 12, 32, "ProofText"],
Cell[10774, 311, 1082, 28, 46, "Assumption",
  CellTags->"3"],
Cell[11859, 341, 726, 21, 32, "ProofText"],
Cell[12588, 364, 2181, 57, 47, "ProofText"],
Cell[14772, 423, 375, 12, 32, "ProofText"],
Cell[15150, 437, 2543, 63, 85, "Assumption",
  CellTags->"16"],

Cell[CellGroupData[{
Cell[17718, 504, 166, 4, 32, "ProofText"],
Cell[17887, 510, 375, 12, 32, "ProofText"],
Cell[18265, 524, 359, 11, 32, "Assumption",
  CellTags->"17"]
}, Open  ]],
Cell[18639, 538, 686, 21, 32, "ProofText"],
Cell[19328, 561, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19547, 569, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[19660, 574, 36, 0, 70, "Subsection"],
Cell[19699, 576, 839, 15, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20575, 596, 34, 0, 70, "Subsection"],
Cell[20612, 598, 120, 7, 70, "Text"],
Cell[20735, 607, 98, 4, 70, "Text"],
Cell[20836, 613, 99, 4, 70, "Text"],
Cell[20938, 619, 170, 9, 70, "Text"],
Cell[21111, 630, 187, 9, 70, "Text"],
Cell[21301, 641, 221, 9, 70, "Text"],
Cell[21525, 652, 220, 9, 70, "Text"],
Cell[21748, 663, 204, 9, 70, "Text"],
Cell[21955, 674, 206, 9, 70, "Text"],
Cell[22164, 685, 206, 9, 70, "Text"],
Cell[22373, 696, 220, 9, 70, "Text"],
Cell[22596, 707, 217, 9, 70, "Text"],
Cell[22816, 718, 216, 9, 70, "Text"],
Cell[23035, 729, 217, 9, 70, "Text"],
Cell[23255, 740, 214, 9, 70, "Text"],
Cell[23472, 751, 218, 9, 70, "Text"],
Cell[23693, 762, 211, 9, 70, "Text"],
Cell[23907, 773, 213, 9, 70, "Text"],
Cell[24123, 784, 220, 9, 70, "Text"],
Cell[24346, 795, 214, 9, 70, "Text"],
Cell[24563, 806, 214, 9, 70, "Text"],
Cell[24780, 817, 209, 9, 70, "Text"],
Cell[24992, 828, 210, 9, 70, "Text"],
Cell[25205, 839, 215, 9, 70, "Text"],
Cell[25423, 850, 212, 9, 70, "Text"],
Cell[25638, 861, 212, 9, 70, "Text"],
Cell[25853, 872, 211, 9, 70, "Text"],
Cell[26067, 883, 213, 9, 70, "Text"],
Cell[26283, 894, 211, 9, 70, "Text"],
Cell[26497, 905, 215, 9, 70, "Text"],
Cell[26715, 916, 208, 9, 70, "Text"],
Cell[26926, 927, 210, 9, 70, "Text"],
Cell[27139, 938, 217, 9, 70, "Text"],
Cell[27359, 949, 219, 9, 70, "Text"],
Cell[27581, 960, 220, 9, 70, "Text"],
Cell[27804, 971, 218, 9, 70, "Text"],
Cell[28025, 982, 218, 9, 70, "Text"],
Cell[28246, 993, 211, 9, 70, "Text"],
Cell[28460, 1004, 214, 9, 70, "Text"],
Cell[28677, 1015, 213, 9, 70, "Text"],
Cell[28893, 1026, 224, 9, 70, "Text"],
Cell[29120, 1037, 225, 9, 70, "Text"],
Cell[29348, 1048, 214, 9, 70, "Text"],
Cell[29565, 1059, 208, 9, 70, "Text"],
Cell[29776, 1070, 211, 9, 70, "Text"],
Cell[29990, 1081, 211, 9, 70, "Text"],
Cell[30204, 1092, 215, 9, 70, "Text"],
Cell[30422, 1103, 213, 9, 70, "Text"],
Cell[30638, 1114, 209, 9, 70, "Text"],
Cell[30850, 1125, 218, 9, 70, "Text"],
Cell[31071, 1136, 226, 9, 70, "Text"],
Cell[31300, 1147, 220, 9, 70, "Text"],
Cell[31523, 1158, 216, 9, 70, "Text"],
Cell[31742, 1169, 217, 9, 70, "Text"],
Cell[31962, 1180, 222, 9, 70, "Text"],
Cell[32187, 1191, 216, 9, 70, "Text"],
Cell[32406, 1202, 214, 9, 70, "Text"],
Cell[32623, 1213, 225, 9, 70, "Text"],
Cell[32851, 1224, 220, 9, 70, "Text"],
Cell[33074, 1235, 229, 9, 70, "Text"],
Cell[33306, 1246, 170, 9, 70, "Text"],
Cell[33479, 1257, 217, 9, 70, "Text"],
Cell[33699, 1268, 215, 9, 70, "Text"],
Cell[33917, 1279, 220, 9, 70, "Text"],
Cell[34140, 1290, 214, 9, 70, "Text"],
Cell[34357, 1301, 212, 9, 70, "Text"],
Cell[34572, 1312, 218, 9, 70, "Text"],
Cell[34793, 1323, 219, 9, 70, "Text"],
Cell[35015, 1334, 222, 9, 70, "Text"],
Cell[35240, 1345, 223, 9, 70, "Text"],
Cell[35466, 1356, 200, 9, 70, "Text"],
Cell[35669, 1367, 172, 9, 70, "Text"],
Cell[35844, 1378, 201, 9, 70, "Text"],
Cell[36048, 1389, 204, 9, 70, "Text"],
Cell[36255, 1400, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[36464, 1414, 56, 0, 70, "Subsection"],
Cell[36523, 1416, 1160, 34, 70, "Text",
  CellTags->"1"],
Cell[37686, 1452, 10414, 179, 70, "Text",
  CellTags->"16"],
Cell[48103, 1633, 416, 13, 70, "Text",
  CellTags->"17"],
Cell[48522, 1648, 5235, 96, 70, "Text",
  CellTags->"2"],
Cell[53760, 1746, 4701, 88, 70, "Text",
  CellTags->"3"],
Cell[58464, 1836, 572, 17, 70, "Text",
  CellTags->"3.1"],
Cell[59039, 1855, 4191, 81, 70, "Text",
  CellTags->"3.2"],
Cell[63233, 1938, 442, 13, 70, "Text",
  CellTags->"a contradiction"],
Cell[63678, 1953, 3349, 78, 70, "Text",
  CellTags->"Lemma (equally many black and white covered fields)"],
Cell[67030, 2033, 1225, 34, 70, "Text",
  CellTags->"Theorem (mutilated checkerboard)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

