(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    137739,       4338]*)
(*NotebookOutlinePosition[    143800,       4542]*)
(*  CellTagsIndexPosition[    142783,       4502]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (own covering domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}]}], "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      SubscriptBox["covering\[Dash]domino", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]], "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (own covering domino)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (covering maps to unique domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"(", 
                            RowBox[{
                              RowBox[{
                                StyleBox["u",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[Element]", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], "\[And]", 
                              RowBox[{
                                StyleBox["u",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[Element]", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}]}], 
                        "\[Implies]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "=", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (covering maps to unique domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Covering Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], ")"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Covering Domino)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (covering maps to unique domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (covering maps to unique domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[Implies]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "=", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"1"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Covering Domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Covering Domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["From what we already know follows:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we we can infer by expansion of the \"such that\"\[Dash]quantifier"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "]"}], "\[And]", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by the deduction rule."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[And]", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["u",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[And]", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  "Now, let ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox["z",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ":=", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  ". Thus, for proving ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " it is sufficient to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["4.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"13"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["4.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["14.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["12.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"15"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["4.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by modus ponens"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["12.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["16.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{"Prove", "[", 
        RowBox[{\(Proposition["\<own covering domino\>"]\), 
          ",", \(using \[Rule] \[LeftAngleBracket]Proposition["\<covering \
maps to unique domino\>"], 
              Definition["\<Covering Domino\>"]\[RightAngleBracket]\), ",", 
          "\[IndentingNewLine]", 
          
          StyleBox[\(ProverOptions \[Rule] {AllowIntroduceQuantifiers \[Rule] 
                  True, UseCyclicRules \[Rule] True, 
                GRWTarget \[Rule] {"\<goal\>", "\<kb\>"}, 
                DisableInferenceRule \[Rule] {\[Cent]KBMembershipBigUnion, \
\[Cent]KBNonEmpty}, DisableProver \[Rule] {STC}}\),
            "UnHighlightedText"], 
          StyleBox[",",
            "UnHighlightedText"], 
          StyleBox[\(SearchDepth \[Rule] 60\),
            "UnHighlightedText"]}], "]"}], "//", "Timing"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}]}], "\[Implies]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "=", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12.6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12.6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "]"}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[And]", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}]}], "\[And]", 
        RowBox[{
          RowBox[{
            SubscriptBox["covering\[Dash]domino", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]], "[", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["u",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "]"}], "\[And]", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[Element]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"partial\[Dash]covering", "[", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"partial\[Dash]covering", "[", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", 
            RowBox[{"\[Union]", 
              StyleBox[\(z\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox["covering\[Dash]domino", 
                StyleBox[\(z\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]], "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            StyleBox[\(d\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(d\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          RowBox[{"\[Union]", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(z\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        RowBox[{"\[Union]", 
          StyleBox[\(z\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SubscriptBox["covering\[Dash]domino", 
            StyleBox[\(z\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]], "[", 
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        StyleBox[\(d\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{
              StyleBox["u",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[And]", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[And]", 
            RowBox[{
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(d\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{"\[Union]", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[And]", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[And]", 
            RowBox[{
              RowBox[{
                SubscriptBox["covering\[Dash]domino", 
                  StyleBox[\(z\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]], "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[Element]", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Covering Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["u",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["u",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                RowBox[{"\[Union]", 
                  StyleBox["z",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  SubscriptBox["covering\[Dash]domino", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]], "[", 
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], ":=", 
                RowBox[{
                  UnderscriptBox["\[SuchThat]", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"(", 
                        RowBox[{
                          RowBox[{
                            StyleBox["u",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], ")"}], "\[And]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}], ")"}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Covering Domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (covering maps to unique domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"partial\[Dash]covering", "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["u",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["u",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "\[Element]", 
                            StyleBox["z",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[And]", 
                          RowBox[{"(", 
                            RowBox[{
                              RowBox[{
                                StyleBox["u",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[Element]", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], "\[And]", 
                              RowBox[{
                                StyleBox["u",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "\[Element]", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}]}], 
                        "\[Implies]", 
                        RowBox[{"(", 
                          RowBox[{
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "=", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], ")"}]}], ")"}]}]}], 
                ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (covering maps to unique domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (own covering domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["d",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"partial\[Dash]covering", "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["d",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    StyleBox["z",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[Element]", 
                    RowBox[{"\[Union]", 
                      StyleBox["z",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}]}], "\[Implies]", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      SubscriptBox["covering\[Dash]domino", 
                        StyleBox["z",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]], "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "=", 
                    StyleBox["d",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], ")"}]}], ")"}]}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (own covering domino)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 120}, {78, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (own covering domino)"->{
    Cell[1835, 54, 3355, 86, 100, "Conclusion",
      CellTags->"Proposition (own covering domino)"],
    Cell[134299, 4246, 3412, 88, 70, "Text",
      CellTags->"Proposition (own covering domino)"]},
  "Proposition (covering maps to unique domino)"->{
    Cell[5327, 147, 4701, 107, 120, "Assumption",
      CellTags->"Proposition (covering maps to unique domino)"],
    Cell[129538, 4135, 4758, 109, 70, "Text",
      CellTags->"Proposition (covering maps to unique domino)"]},
  "Definition (Covering Domino)"->{
    Cell[10031, 256, 3461, 86, 118, "Assumption",
      CellTags->"Definition (Covering Domino)"],
    Cell[126017, 4045, 3518, 88, 70, "Text",
      CellTags->"Definition (Covering Domino)"]},
  "1"->{
    Cell[14160, 367, 4432, 104, 67, "Assumption",
      CellTags->"1"],
    Cell[80171, 2696, 4489, 106, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[19025, 487, 3273, 84, 118, "Assumption",
      CellTags->"2"],
    Cell[105077, 3431, 3330, 86, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[22899, 593, 3088, 81, 75, "Assumption",
      CellTags->"3"],
    Cell[108410, 3519, 3131, 83, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[26108, 680, 749, 21, 32, "Assumption",
      CellTags->"4"],
    Cell[111544, 3604, 792, 23, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[26965, 706, 1952, 56, 34, "Conclusion",
      CellTags->"5"],
    Cell[113494, 3667, 1995, 58, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[29419, 781, 1292, 39, 32, "Assumption",
      CellTags->"6"],
    Cell[115492, 3727, 1335, 41, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[30819, 825, 835, 25, 34, "Conclusion",
      CellTags->"7"],
    Cell[118885, 3840, 878, 27, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[32291, 875, 3123, 86, 60, "Conclusion",
      CellTags->"8"],
    Cell[119766, 3869, 3180, 88, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[36239, 990, 3022, 82, 59, "Conclusion",
      CellTags->"9"],
    Cell[122949, 3959, 3065, 84, 70, "Text",
      CellTags->"9"]},
  "12"->{
    Cell[40086, 1101, 2548, 74, 51, "Conclusion",
      CellTags->"12"],
    Cell[84663, 2804, 2591, 76, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[50618, 1458, 2138, 58, 96, "Assumption",
      CellTags->"13"],
    Cell[91687, 3029, 2195, 60, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[53410, 1541, 1855, 52, 55, "Assumption",
      CellTags->"14"],
    Cell[93885, 3091, 1898, 54, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[57612, 1677, 2138, 58, 96, "Assumption",
      CellTags->"15"],
    Cell[98382, 3230, 2195, 60, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[60404, 1760, 1855, 52, 55, "Assumption",
      CellTags->"16"],
    Cell[100580, 3292, 1898, 54, 70, "Text",
      CellTags->"16"]},
  "AdditionalInfo"->{
    Cell[63159, 1846, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "12.1"->{
    Cell[87257, 2882, 574, 17, 70, "Text",
      CellTags->"12.1"]},
  "12.2"->{
    Cell[87834, 2901, 671, 21, 70, "Text",
      CellTags->"12.2"]},
  "12.3"->{
    Cell[88508, 2924, 671, 21, 70, "Text",
      CellTags->"12.3"]},
  "12.4"->{
    Cell[89182, 2947, 710, 22, 70, "Text",
      CellTags->"12.4"]},
  "12.5"->{
    Cell[89895, 2971, 893, 27, 70, "Text",
      CellTags->"12.5"]},
  "12.6"->{
    Cell[90791, 3000, 893, 27, 70, "Text",
      CellTags->"12.6"]},
  "14.1"->{
    Cell[95786, 3147, 801, 23, 70, "Text",
      CellTags->"14.1"]},
  "14.2"->{
    Cell[96590, 3172, 893, 27, 70, "Text",
      CellTags->"14.2"]},
  "14.3"->{
    Cell[97486, 3201, 893, 27, 70, "Text",
      CellTags->"14.3"]},
  "16.1"->{
    Cell[102481, 3348, 801, 23, 70, "Text",
      CellTags->"16.1"]},
  "16.2"->{
    Cell[103285, 3373, 893, 27, 70, "Text",
      CellTags->"16.2"]},
  "16.3"->{
    Cell[104181, 3402, 893, 27, 70, "Text",
      CellTags->"16.3"]},
  "4.1"->{
    Cell[112339, 3629, 572, 17, 70, "Text",
      CellTags->"4.1"]},
  "4.2"->{
    Cell[112914, 3648, 577, 17, 70, "Text",
      CellTags->"4.2"]},
  "6.1"->{
    Cell[116830, 3770, 669, 21, 70, "Text",
      CellTags->"6.1"]},
  "6.2"->{
    Cell[117502, 3793, 669, 21, 70, "Text",
      CellTags->"6.2"]},
  "6.3"->{
    Cell[118174, 3816, 708, 22, 70, "Text",
      CellTags->"6.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (own covering domino)", 138484, 4359},
  {"Proposition (covering maps to unique domino)", 138738, 4364},
  {"Definition (Covering Domino)", 139001, 4369},
  {"1", 139204, 4374},
  {"2", 139353, 4379},
  {"3", 139502, 4384},
  {"4", 139650, 4389},
  {"5", 139796, 4394},
  {"6", 139944, 4399},
  {"7", 140092, 4404},
  {"8", 140238, 4409},
  {"9", 140386, 4414},
  {"12", 140535, 4419},
  {"13", 140686, 4424},
  {"14", 140837, 4429},
  {"15", 140988, 4434},
  {"16", 141139, 4439},
  {"AdditionalInfo", 141303, 4444},
  {"12.1", 141395, 4447},
  {"12.2", 141476, 4450},
  {"12.3", 141557, 4453},
  {"12.4", 141638, 4456},
  {"12.5", 141719, 4459},
  {"12.6", 141800, 4462},
  {"14.1", 141881, 4465},
  {"14.2", 141962, 4468},
  {"14.3", 142043, 4471},
  {"16.1", 142124, 4474},
  {"16.2", 142206, 4477},
  {"16.3", 142288, 4480},
  {"4.1", 142369, 4483},
  {"4.2", 142449, 4486},
  {"6.1", 142529, 4489},
  {"6.2", 142609, 4492},
  {"6.3", 142689, 4495}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 3355, 86, 100, "Conclusion",
  CellTags->"Proposition (own covering domino)"],

Cell[CellGroupData[{
Cell[5215, 144, 109, 1, 32, "ProofText"],
Cell[5327, 147, 4701, 107, 120, "Assumption",
  CellTags->"Proposition (covering maps to unique domino)"],
Cell[10031, 256, 3461, 86, 118, "Assumption",
  CellTags->"Definition (Covering Domino)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13529, 347, 166, 4, 32, "ProofText"],
Cell[13698, 353, 459, 12, 32, "ProofText"],
Cell[14160, 367, 4432, 104, 67, "Assumption",
  CellTags->"1"],
Cell[18595, 473, 427, 12, 32, "ProofText"],
Cell[19025, 487, 3273, 84, 118, "Assumption",
  CellTags->"2"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22335, 576, 128, 1, 32, "ProofText"],
Cell[22466, 579, 430, 12, 32, "ProofText"],
Cell[22899, 593, 3088, 81, 75, "Assumption",
  CellTags->"3"]
}, Open  ]],
Cell[26002, 677, 103, 1, 32, "ProofText"],
Cell[26108, 680, 749, 21, 32, "Assumption",
  CellTags->"4"],
Cell[26860, 703, 102, 1, 32, "ProofText"],
Cell[26965, 706, 1952, 56, 34, "Conclusion",
  CellTags->"5"],
Cell[28920, 764, 390, 12, 32, "ProofText"],
Cell[29313, 778, 103, 1, 32, "ProofText"],
Cell[29419, 781, 1292, 39, 32, "Assumption",
  CellTags->"6"],
Cell[30714, 822, 102, 1, 32, "ProofText"],
Cell[30819, 825, 835, 25, 34, "Conclusion",
  CellTags->"7"],
Cell[31657, 852, 631, 21, 32, "ProofText"],
Cell[32291, 875, 3123, 86, 60, "Conclusion",
  CellTags->"8"],
Cell[35417, 963, 819, 25, 32, "ProofText"],
Cell[36239, 990, 3022, 82, 59, "Conclusion",
  CellTags->"9"],
Cell[39264, 1074, 819, 25, 32, "ProofText"],
Cell[40086, 1101, 2548, 74, 51, "Conclusion",
  CellTags->"12"],
Cell[42637, 1177, 406, 12, 32, "ProofText"],

Cell[CellGroupData[{
Cell[43068, 1193, 693, 21, 32, "ProofText"],
Cell[43764, 1216, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44462, 1242, 790, 25, 32, "ProofText"],
Cell[45255, 1269, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45953, 1295, 790, 25, 32, "ProofText"],
Cell[46746, 1322, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47444, 1348, 829, 26, 32, "ProofText"],
Cell[48276, 1376, 661, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48974, 1402, 1012, 31, 34, "ProofText"],
Cell[49989, 1435, 626, 21, 32, "ProofText"],
Cell[50618, 1458, 2138, 58, 96, "Assumption",
  CellTags->"13"],
Cell[52759, 1518, 648, 21, 32, "ProofText"],
Cell[53410, 1541, 1855, 52, 55, "Assumption",
  CellTags->"14"],
Cell[55268, 1595, 663, 21, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[55968, 1621, 1012, 31, 34, "ProofText"],
Cell[56983, 1654, 626, 21, 32, "ProofText"],
Cell[57612, 1677, 2138, 58, 96, "Assumption",
  CellTags->"15"],
Cell[59753, 1737, 648, 21, 32, "ProofText"],
Cell[60404, 1760, 1855, 52, 55, "Assumption",
  CellTags->"16"],
Cell[62262, 1814, 663, 21, 32, "ProofText"]
}, Open  ]],
Cell[62940, 1838, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63159, 1846, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[63272, 1851, 36, 0, 70, "Subsection"],
Cell[63311, 1853, 875, 18, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[64223, 1876, 34, 0, 70, "Subsection"],
Cell[64260, 1878, 120, 7, 70, "Text"],
Cell[64383, 1887, 98, 4, 70, "Text"],
Cell[64484, 1893, 99, 4, 70, "Text"],
Cell[64586, 1899, 170, 9, 70, "Text"],
Cell[64759, 1910, 187, 9, 70, "Text"],
Cell[64949, 1921, 221, 9, 70, "Text"],
Cell[65173, 1932, 220, 9, 70, "Text"],
Cell[65396, 1943, 204, 9, 70, "Text"],
Cell[65603, 1954, 206, 9, 70, "Text"],
Cell[65812, 1965, 206, 9, 70, "Text"],
Cell[66021, 1976, 220, 9, 70, "Text"],
Cell[66244, 1987, 217, 9, 70, "Text"],
Cell[66464, 1998, 216, 9, 70, "Text"],
Cell[66683, 2009, 217, 9, 70, "Text"],
Cell[66903, 2020, 214, 9, 70, "Text"],
Cell[67120, 2031, 218, 9, 70, "Text"],
Cell[67341, 2042, 211, 9, 70, "Text"],
Cell[67555, 2053, 213, 9, 70, "Text"],
Cell[67771, 2064, 220, 9, 70, "Text"],
Cell[67994, 2075, 214, 9, 70, "Text"],
Cell[68211, 2086, 214, 9, 70, "Text"],
Cell[68428, 2097, 209, 9, 70, "Text"],
Cell[68640, 2108, 210, 9, 70, "Text"],
Cell[68853, 2119, 215, 9, 70, "Text"],
Cell[69071, 2130, 212, 9, 70, "Text"],
Cell[69286, 2141, 212, 9, 70, "Text"],
Cell[69501, 2152, 211, 9, 70, "Text"],
Cell[69715, 2163, 213, 9, 70, "Text"],
Cell[69931, 2174, 211, 9, 70, "Text"],
Cell[70145, 2185, 215, 9, 70, "Text"],
Cell[70363, 2196, 208, 9, 70, "Text"],
Cell[70574, 2207, 210, 9, 70, "Text"],
Cell[70787, 2218, 217, 9, 70, "Text"],
Cell[71007, 2229, 219, 9, 70, "Text"],
Cell[71229, 2240, 220, 9, 70, "Text"],
Cell[71452, 2251, 218, 9, 70, "Text"],
Cell[71673, 2262, 218, 9, 70, "Text"],
Cell[71894, 2273, 211, 9, 70, "Text"],
Cell[72108, 2284, 214, 9, 70, "Text"],
Cell[72325, 2295, 213, 9, 70, "Text"],
Cell[72541, 2306, 224, 9, 70, "Text"],
Cell[72768, 2317, 225, 9, 70, "Text"],
Cell[72996, 2328, 214, 9, 70, "Text"],
Cell[73213, 2339, 208, 9, 70, "Text"],
Cell[73424, 2350, 211, 9, 70, "Text"],
Cell[73638, 2361, 211, 9, 70, "Text"],
Cell[73852, 2372, 215, 9, 70, "Text"],
Cell[74070, 2383, 213, 9, 70, "Text"],
Cell[74286, 2394, 209, 9, 70, "Text"],
Cell[74498, 2405, 218, 9, 70, "Text"],
Cell[74719, 2416, 226, 9, 70, "Text"],
Cell[74948, 2427, 220, 9, 70, "Text"],
Cell[75171, 2438, 216, 9, 70, "Text"],
Cell[75390, 2449, 217, 9, 70, "Text"],
Cell[75610, 2460, 222, 9, 70, "Text"],
Cell[75835, 2471, 216, 9, 70, "Text"],
Cell[76054, 2482, 214, 9, 70, "Text"],
Cell[76271, 2493, 225, 9, 70, "Text"],
Cell[76499, 2504, 220, 9, 70, "Text"],
Cell[76722, 2515, 229, 9, 70, "Text"],
Cell[76954, 2526, 170, 9, 70, "Text"],
Cell[77127, 2537, 217, 9, 70, "Text"],
Cell[77347, 2548, 215, 9, 70, "Text"],
Cell[77565, 2559, 220, 9, 70, "Text"],
Cell[77788, 2570, 214, 9, 70, "Text"],
Cell[78005, 2581, 212, 9, 70, "Text"],
Cell[78220, 2592, 218, 9, 70, "Text"],
Cell[78441, 2603, 219, 9, 70, "Text"],
Cell[78663, 2614, 222, 9, 70, "Text"],
Cell[78888, 2625, 223, 9, 70, "Text"],
Cell[79114, 2636, 200, 9, 70, "Text"],
Cell[79317, 2647, 172, 9, 70, "Text"],
Cell[79492, 2658, 201, 9, 70, "Text"],
Cell[79696, 2669, 204, 9, 70, "Text"],
Cell[79903, 2680, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[80112, 2694, 56, 0, 70, "Subsection"],
Cell[80171, 2696, 4489, 106, 70, "Text",
  CellTags->"1"],
Cell[84663, 2804, 2591, 76, 70, "Text",
  CellTags->"12"],
Cell[87257, 2882, 574, 17, 70, "Text",
  CellTags->"12.1"],
Cell[87834, 2901, 671, 21, 70, "Text",
  CellTags->"12.2"],
Cell[88508, 2924, 671, 21, 70, "Text",
  CellTags->"12.3"],
Cell[89182, 2947, 710, 22, 70, "Text",
  CellTags->"12.4"],
Cell[89895, 2971, 893, 27, 70, "Text",
  CellTags->"12.5"],
Cell[90791, 3000, 893, 27, 70, "Text",
  CellTags->"12.6"],
Cell[91687, 3029, 2195, 60, 70, "Text",
  CellTags->"13"],
Cell[93885, 3091, 1898, 54, 70, "Text",
  CellTags->"14"],
Cell[95786, 3147, 801, 23, 70, "Text",
  CellTags->"14.1"],
Cell[96590, 3172, 893, 27, 70, "Text",
  CellTags->"14.2"],
Cell[97486, 3201, 893, 27, 70, "Text",
  CellTags->"14.3"],
Cell[98382, 3230, 2195, 60, 70, "Text",
  CellTags->"15"],
Cell[100580, 3292, 1898, 54, 70, "Text",
  CellTags->"16"],
Cell[102481, 3348, 801, 23, 70, "Text",
  CellTags->"16.1"],
Cell[103285, 3373, 893, 27, 70, "Text",
  CellTags->"16.2"],
Cell[104181, 3402, 893, 27, 70, "Text",
  CellTags->"16.3"],
Cell[105077, 3431, 3330, 86, 70, "Text",
  CellTags->"2"],
Cell[108410, 3519, 3131, 83, 70, "Text",
  CellTags->"3"],
Cell[111544, 3604, 792, 23, 70, "Text",
  CellTags->"4"],
Cell[112339, 3629, 572, 17, 70, "Text",
  CellTags->"4.1"],
Cell[112914, 3648, 577, 17, 70, "Text",
  CellTags->"4.2"],
Cell[113494, 3667, 1995, 58, 70, "Text",
  CellTags->"5"],
Cell[115492, 3727, 1335, 41, 70, "Text",
  CellTags->"6"],
Cell[116830, 3770, 669, 21, 70, "Text",
  CellTags->"6.1"],
Cell[117502, 3793, 669, 21, 70, "Text",
  CellTags->"6.2"],
Cell[118174, 3816, 708, 22, 70, "Text",
  CellTags->"6.3"],
Cell[118885, 3840, 878, 27, 70, "Text",
  CellTags->"7"],
Cell[119766, 3869, 3180, 88, 70, "Text",
  CellTags->"8"],
Cell[122949, 3959, 3065, 84, 70, "Text",
  CellTags->"9"],
Cell[126017, 4045, 3518, 88, 70, "Text",
  CellTags->"Definition (Covering Domino)"],
Cell[129538, 4135, 4758, 109, 70, "Text",
  CellTags->"Proposition (covering maps to unique domino)"],
Cell[134299, 4246, 3412, 88, 70, "Text",
  CellTags->"Proposition (own covering domino)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

