(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     67523,       2376]*)
(*NotebookOutlinePosition[     71317,       2506]*)
(*  CellTagsIndexPosition[     70767,       2482]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (same or adjacent in domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (same or adjacent in domino)"],

Cell[CellGroupData[{

Cell["under the assumption:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "=", 
                  "2"}], ")"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["x1",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[NotEqual]", 
                          StyleBox["x2",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], "\[Implies]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Domino)"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"adjacent", "[", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by proving the first alternative negating the other(s)."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"adjacent", "[", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell["We now show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["1.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Domino)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Domino)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"7"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["7.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is simplified to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell[CellGroupData[{

Cell["\<\
Using available computation rules we can simplify the knowledge \
base:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " simplifies to"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"11"]
}, Open  ]],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by resolution"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain by resolution"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[
      Proposition["\<same or adjacent in domino\>"], \[IndentingNewLine]using \
\[Rule] Definition["\<Domino\>"]]; \)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"domino\[Dash]on\[Dash]board", "[", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "\[And]", 
        RowBox[{
          StyleBox[\(x\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          StyleBox[\(y\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[Element]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{"\[Not]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"domino\[Dash]on\[Dash]board", "[", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[NotElement]", 
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", 
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "\[Or]", 
        RowBox[{"adjacent", "[", 
          RowBox[{
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "=", 
        StyleBox[\(y\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{"adjacent", "[", 
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[RightBracketingBar]"}], "=", "2"}], 
          ")"}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[Element]", 
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[And]", 
                RowBox[{"(", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[NotEqual]", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], ")"}]}], "\[Implies]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], ")"}]}], "\[And]", 
        RowBox[{
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[SubsetEqual]", "Board"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          StyleBox[\(X\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[RightBracketingBar]"}], "=", "2"}]], "Text",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[NotEqual]", 
                  StyleBox["x2",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}]}], "\[Implies]", 
            RowBox[{"adjacent", "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(X\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[SubsetEqual]", "Board"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", 
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[NotEqual]", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"domino\[Dash]on\[Dash]board", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[SubsetEqual]", "Board"}], "\[And]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "=", 
                  "2"}], ")"}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x1",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["x2",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[And]", 
                      RowBox[{"(", 
                        RowBox[{
                          StyleBox["x1",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "\[NotEqual]", 
                          StyleBox["x2",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], ")"}]}], "\[Implies]", 
                    RowBox[{"adjacent", "[", 
                      RowBox[{
                        StyleBox["x1",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["x2",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "]"}]}], ")"}]}]}]}], ")"}]}]],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Domino)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (same or adjacent in domino))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["X",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"domino\[Dash]on\[Dash]board", "[", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[Element]", 
                StyleBox["X",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{"adjacent", "[", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (same or adjacent in domino)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 352}, {Automatic, 114}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (same or adjacent in domino)"->{
    Cell[1835, 54, 2668, 72, 64, "Conclusion",
      CellTags->"Proposition (same or adjacent in domino)"],
    Cell[64770, 2298, 2725, 74, 70, "Text",
      CellTags->"Proposition (same or adjacent in domino)"]},
  "Definition (Domino)"->{
    Cell[4639, 133, 3893, 96, 118, "Assumption",
      CellTags->"Definition (Domino)"],
    Cell[60817, 2198, 3950, 98, 70, "Text",
      CellTags->"Definition (Domino)"]},
  "1"->{
    Cell[8653, 235, 1151, 34, 32, "Assumption",
      CellTags->"1"],
    Cell[42533, 1630, 1194, 36, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[9912, 274, 1041, 31, 32, "Conclusion",
      CellTags->"2"],
    Cell[50384, 1883, 1084, 33, 70, "Text",
      CellTags->"2"]},
  "6"->{
    Cell[11488, 324, 766, 22, 32, "Assumption",
      CellTags->"6"],
    Cell[52130, 1941, 809, 24, 70, "Text",
      CellTags->"6"]},
  "5"->{
    Cell[12365, 351, 613, 19, 32, "Conclusion",
      CellTags->"5"],
    Cell[51471, 1918, 656, 21, 70, "Text",
      CellTags->"5"]},
  "7"->{
    Cell[13646, 395, 2819, 76, 108, "Assumption",
      CellTags->"7"],
    Cell[52942, 1967, 2876, 78, 70, "Text",
      CellTags->"7"]},
  "9"->{
    Cell[17097, 496, 1457, 41, 32, "Assumption",
      CellTags->"9"],
    Cell[59300, 2153, 1514, 43, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[18943, 553, 1499, 43, 32, "Assumption",
      CellTags->"10"],
    Cell[43730, 1668, 1542, 45, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[21014, 620, 1375, 41, 32, "Assumption",
      CellTags->"11"],
    Cell[45855, 1734, 1432, 43, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[23053, 687, 1043, 31, 32, "Assumption",
      CellTags->"12"],
    Cell[47962, 1802, 1086, 33, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[24748, 743, 615, 19, 32, "Assumption",
      CellTags->"13"],
    Cell[49723, 1860, 658, 21, 70, "Text",
      CellTags->"13"]},
  "AdditionalInfo"->{
    Cell[26241, 795, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]},
  "1.1"->{
    Cell[45275, 1715, 577, 17, 70, "Text",
      CellTags->"1.1"]},
  "1.2"->{
    Cell[47290, 1779, 669, 21, 70, "Text",
      CellTags->"1.2"]},
  "1.3"->{
    Cell[49051, 1837, 669, 21, 70, "Text",
      CellTags->"1.3"]},
  "7.1"->{
    Cell[55821, 2047, 627, 19, 70, "Text",
      CellTags->"7.1"]},
  "7.2"->{
    Cell[56451, 2068, 2280, 64, 70, "Text",
      CellTags->"7.2"]},
  "7.3"->{
    Cell[58734, 2134, 563, 17, 70, "Text",
      CellTags->"7.3"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (same or adjacent in domino)", 68276, 2397},
  {"Definition (Domino)", 68517, 2402},
  {"1", 68700, 2407},
  {"2", 68846, 2412},
  {"6", 68992, 2417},
  {"5", 69137, 2422},
  {"7", 69282, 2427},
  {"9", 69430, 2432},
  {"10", 69578, 2437},
  {"11", 69728, 2442},
  {"12", 69878, 2447},
  {"13", 70028, 2452},
  {"AdditionalInfo", 70188, 2457},
  {"1.1", 70278, 2460},
  {"1.2", 70357, 2463},
  {"1.3", 70436, 2466},
  {"7.1", 70515, 2469},
  {"7.2", 70594, 2472},
  {"7.3", 70674, 2475}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 2668, 72, 64, "Conclusion",
  CellTags->"Proposition (same or adjacent in domino)"],

Cell[CellGroupData[{
Cell[4528, 130, 108, 1, 32, "ProofText"],
Cell[4639, 133, 3893, 96, 118, "Assumption",
  CellTags->"Definition (Domino)"]
}, Open  ]],
Cell[8547, 232, 103, 1, 32, "ProofText"],
Cell[8653, 235, 1151, 34, 32, "Assumption",
  CellTags->"1"],
Cell[9807, 271, 102, 1, 32, "ProofText"],
Cell[9912, 274, 1041, 31, 32, "Conclusion",
  CellTags->"2"],
Cell[10956, 307, 423, 12, 32, "ProofText"],
Cell[11382, 321, 103, 1, 32, "ProofText"],
Cell[11488, 324, 766, 22, 32, "Assumption",
  CellTags->"6"],
Cell[12257, 348, 105, 1, 32, "ProofText"],
Cell[12365, 351, 613, 19, 32, "Conclusion",
  CellTags->"5"],
Cell[12981, 372, 662, 21, 32, "ProofText"],
Cell[13646, 395, 2819, 76, 108, "Assumption",
  CellTags->"7"],
Cell[16468, 473, 626, 21, 32, "ProofText"],
Cell[17097, 496, 1457, 41, 32, "Assumption",
  CellTags->"9"],
Cell[18557, 539, 383, 12, 32, "ProofText"],
Cell[18943, 553, 1499, 43, 32, "Assumption",
  CellTags->"10"],

Cell[CellGroupData[{
Cell[20467, 600, 166, 4, 32, "ProofText"],
Cell[20636, 606, 375, 12, 32, "ProofText"],
Cell[21014, 620, 1375, 41, 32, "Assumption",
  CellTags->"11"]
}, Open  ]],
Cell[22404, 664, 646, 21, 32, "ProofText"],
Cell[23053, 687, 1043, 31, 32, "Assumption",
  CellTags->"12"],
Cell[24099, 720, 646, 21, 32, "ProofText"],
Cell[24748, 743, 615, 19, 32, "Assumption",
  CellTags->"13"],
Cell[25366, 764, 653, 21, 32, "ProofText"],
Cell[26022, 787, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26241, 795, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[26354, 800, 36, 0, 70, "Subsection"],
Cell[26393, 802, 155, 3, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26585, 810, 34, 0, 70, "Subsection"],
Cell[26622, 812, 120, 7, 70, "Text"],
Cell[26745, 821, 98, 4, 70, "Text"],
Cell[26846, 827, 99, 4, 70, "Text"],
Cell[26948, 833, 170, 9, 70, "Text"],
Cell[27121, 844, 187, 9, 70, "Text"],
Cell[27311, 855, 221, 9, 70, "Text"],
Cell[27535, 866, 220, 9, 70, "Text"],
Cell[27758, 877, 204, 9, 70, "Text"],
Cell[27965, 888, 206, 9, 70, "Text"],
Cell[28174, 899, 206, 9, 70, "Text"],
Cell[28383, 910, 220, 9, 70, "Text"],
Cell[28606, 921, 217, 9, 70, "Text"],
Cell[28826, 932, 216, 9, 70, "Text"],
Cell[29045, 943, 217, 9, 70, "Text"],
Cell[29265, 954, 214, 9, 70, "Text"],
Cell[29482, 965, 218, 9, 70, "Text"],
Cell[29703, 976, 211, 9, 70, "Text"],
Cell[29917, 987, 213, 9, 70, "Text"],
Cell[30133, 998, 220, 9, 70, "Text"],
Cell[30356, 1009, 214, 9, 70, "Text"],
Cell[30573, 1020, 214, 9, 70, "Text"],
Cell[30790, 1031, 209, 9, 70, "Text"],
Cell[31002, 1042, 210, 9, 70, "Text"],
Cell[31215, 1053, 215, 9, 70, "Text"],
Cell[31433, 1064, 212, 9, 70, "Text"],
Cell[31648, 1075, 212, 9, 70, "Text"],
Cell[31863, 1086, 211, 9, 70, "Text"],
Cell[32077, 1097, 213, 9, 70, "Text"],
Cell[32293, 1108, 211, 9, 70, "Text"],
Cell[32507, 1119, 215, 9, 70, "Text"],
Cell[32725, 1130, 208, 9, 70, "Text"],
Cell[32936, 1141, 210, 9, 70, "Text"],
Cell[33149, 1152, 217, 9, 70, "Text"],
Cell[33369, 1163, 219, 9, 70, "Text"],
Cell[33591, 1174, 220, 9, 70, "Text"],
Cell[33814, 1185, 218, 9, 70, "Text"],
Cell[34035, 1196, 218, 9, 70, "Text"],
Cell[34256, 1207, 211, 9, 70, "Text"],
Cell[34470, 1218, 214, 9, 70, "Text"],
Cell[34687, 1229, 213, 9, 70, "Text"],
Cell[34903, 1240, 224, 9, 70, "Text"],
Cell[35130, 1251, 225, 9, 70, "Text"],
Cell[35358, 1262, 214, 9, 70, "Text"],
Cell[35575, 1273, 208, 9, 70, "Text"],
Cell[35786, 1284, 211, 9, 70, "Text"],
Cell[36000, 1295, 211, 9, 70, "Text"],
Cell[36214, 1306, 215, 9, 70, "Text"],
Cell[36432, 1317, 213, 9, 70, "Text"],
Cell[36648, 1328, 209, 9, 70, "Text"],
Cell[36860, 1339, 218, 9, 70, "Text"],
Cell[37081, 1350, 226, 9, 70, "Text"],
Cell[37310, 1361, 220, 9, 70, "Text"],
Cell[37533, 1372, 216, 9, 70, "Text"],
Cell[37752, 1383, 217, 9, 70, "Text"],
Cell[37972, 1394, 222, 9, 70, "Text"],
Cell[38197, 1405, 216, 9, 70, "Text"],
Cell[38416, 1416, 214, 9, 70, "Text"],
Cell[38633, 1427, 225, 9, 70, "Text"],
Cell[38861, 1438, 220, 9, 70, "Text"],
Cell[39084, 1449, 229, 9, 70, "Text"],
Cell[39316, 1460, 170, 9, 70, "Text"],
Cell[39489, 1471, 217, 9, 70, "Text"],
Cell[39709, 1482, 215, 9, 70, "Text"],
Cell[39927, 1493, 220, 9, 70, "Text"],
Cell[40150, 1504, 214, 9, 70, "Text"],
Cell[40367, 1515, 212, 9, 70, "Text"],
Cell[40582, 1526, 218, 9, 70, "Text"],
Cell[40803, 1537, 219, 9, 70, "Text"],
Cell[41025, 1548, 222, 9, 70, "Text"],
Cell[41250, 1559, 223, 9, 70, "Text"],
Cell[41476, 1570, 200, 9, 70, "Text"],
Cell[41679, 1581, 172, 9, 70, "Text"],
Cell[41854, 1592, 201, 9, 70, "Text"],
Cell[42058, 1603, 204, 9, 70, "Text"],
Cell[42265, 1614, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[42474, 1628, 56, 0, 70, "Subsection"],
Cell[42533, 1630, 1194, 36, 70, "Text",
  CellTags->"1"],
Cell[43730, 1668, 1542, 45, 70, "Text",
  CellTags->"10"],
Cell[45275, 1715, 577, 17, 70, "Text",
  CellTags->"1.1"],
Cell[45855, 1734, 1432, 43, 70, "Text",
  CellTags->"11"],
Cell[47290, 1779, 669, 21, 70, "Text",
  CellTags->"1.2"],
Cell[47962, 1802, 1086, 33, 70, "Text",
  CellTags->"12"],
Cell[49051, 1837, 669, 21, 70, "Text",
  CellTags->"1.3"],
Cell[49723, 1860, 658, 21, 70, "Text",
  CellTags->"13"],
Cell[50384, 1883, 1084, 33, 70, "Text",
  CellTags->"2"],
Cell[51471, 1918, 656, 21, 70, "Text",
  CellTags->"5"],
Cell[52130, 1941, 809, 24, 70, "Text",
  CellTags->"6"],
Cell[52942, 1967, 2876, 78, 70, "Text",
  CellTags->"7"],
Cell[55821, 2047, 627, 19, 70, "Text",
  CellTags->"7.1"],
Cell[56451, 2068, 2280, 64, 70, "Text",
  CellTags->"7.2"],
Cell[58734, 2134, 563, 17, 70, "Text",
  CellTags->"7.3"],
Cell[59300, 2153, 1514, 43, 70, "Text",
  CellTags->"9"],
Cell[60817, 2198, 3950, 98, 70, "Text",
  CellTags->"Definition (Domino)"],
Cell[64770, 2298, 2725, 74, 70, "Text",
  CellTags->"Proposition (same or adjacent in domino)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

