(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     47525,       1803]*)
(*NotebookOutlinePosition[     50674,       1909]*)
(*  CellTagsIndexPosition[     50272,       1891]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (zero or one))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", "Board"}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[Or]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "1"}], ")"}]}]}], 
          ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (zero or one)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Mod))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "2"}], "]"}], ":=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{"0", "\[DoubleLeftArrow]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["j",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        "\[DoubleStruckCapitalN]"}]], 
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "=", 
                        RowBox[{"2", "*", 
                          StyleBox["j",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], 
                ",", \(1 \[DoubleLeftArrow] otherwise\)}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Mod)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Color))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (Color)"]
}, Open  ]],

Cell["We assume", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", "Board"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["and show", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "1"}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Color)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Color)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}], "=", 
            "0"}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}], "=", 
            "1"}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"3"],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by case distinction using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (Mod)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (Mod)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[CellGroupData[{

Cell["Case 1: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "\[DoubleStruckCapitalN]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "1"], "+", 
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "=", 
            RowBox[{"2", "*", 
              StyleBox["j",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\((0 = 0)\) \[Or] \((0 = 1)\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[CellGroupData[{

Cell[TextData[{
  "Using available computation rules we evaluate ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(\((0 = 0)\) \[Or] \((0 = 1)\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " \[RightTriangle]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(True\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}]
}, Closed]],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is the constant True."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Case 2: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[NotExists]", 
          RowBox[{
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "\[DoubleStruckCapitalN]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "1"], "+", 
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "=", 
            RowBox[{"2", "*", 
              StyleBox["j",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\((1 = 0)\) \[Or] \((1 = 1)\)\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[CellGroupData[{

Cell[TextData[{
  "Using available computation rules we evaluate ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " using ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " as additional assumption(s) for simplification:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(\((1 = 0)\) \[Or] \((1 = 1)\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " \[RightTriangle]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(True\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}]
}, Closed]],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is the constant True."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(ProofShow[archive[\([\)\(1, 3\)\(]\)], 
      TransformBy \[Rule] ProofSimplifier, 
      TransformerOptions \[Rule] {branches \[Rule] Proved, 
          steps \[Rule] Useful}]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00001"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/11/16 17:15:21 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/03/19 10:19:20 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.34 ",
  ", ",
  "Date: 2000/11/23 08:33:27 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/11/28 18:04:40 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.61 ",
  ", ",
  "Date: 2001/02/06 12:13:51 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.82 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.17 ",
  ", ",
  "Date: 2000/09/19 14:33:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2001/03/14 10:30:49 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2001/02/08 09:04:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.18 ",
  ", ",
  "Date: 2000/08/25 16:40:41 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/01/25 15:25:43 ",
  ", ",
  "Author: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/12/13 20:10:54 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/03/12 07:48:09 ",
  ", ",
  "Author: theorema "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Author: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/02/24 17:23:27 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2000/03/31 15:41:40 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Author: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/12/13 20:14:52 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/08/17 19:09:21 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/08/17 19:13:57 ",
  ", ",
  "Author: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Author: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/11/28 19:05:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2001/01/16 13:54:58 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2001/01/17 14:59:11 ",
  ", ",
  "Author: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:47:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:54 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/01/03 16:49:11 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/02/09 12:20:18 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Author: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`SetTheoryProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/01/03 16:43:09 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Toolbox`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Author: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Author: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(x\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[Element]", "Board"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "0"}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", "1"}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}], "=", 
            "0"}], ")"}], "\[Or]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}], "=", 
            "1"}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "\[DoubleStruckCapitalN]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "1"], "+", 
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "=", 
            RowBox[{"2", "*", 
              StyleBox["j",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\((0 = 0)\) \[Or] \((0 = 1)\)\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[NotExists]", 
          RowBox[{
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[Element]", "\[DoubleStruckCapitalN]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "1"], "+", 
              SubscriptBox[
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}], "=", 
            RowBox[{"2", "*", 
              StyleBox["j",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\((1 = 0)\) \[Or] \((1 = 1)\)\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(True\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Color))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"color", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"Mod", "[", 
              RowBox[{
                RowBox[{
                  SubscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "1"], "+", 
                  SubscriptBox[
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "2"]}], ",", "2"}], "]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Color)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (Mod))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Mod", "[", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ",", "2"}], "]"}], ":=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{"0", "\[DoubleLeftArrow]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["j",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[Element]", 
                        "\[DoubleStruckCapitalN]"}]], 
                    RowBox[{"(", 
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "=", 
                        RowBox[{"2", "*", 
                          StyleBox["j",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], 
                ",", \(1 \[DoubleLeftArrow] otherwise\)}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (Mod)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (zero or one))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[Element]", "Board"}], "\[Implies]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "0"}], ")"}], "\[Or]", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"color", "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "=", "1"}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (zero or one)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1280}, {0, 1024}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{520, 600},
WindowMargins->{{Automatic, 372}, {184, Automatic}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (zero or one)"->{
    Cell[1835, 54, 1453, 40, 60, "Conclusion",
      CellTags->"Proposition (zero or one)"],
    Cell[45987, 1757, 1510, 42, 70, "Text",
      CellTags->"Proposition (zero or one)"]},
  "Definition (Mod)"->{
    Cell[3425, 101, 1937, 49, 70, "Assumption",
      CellTags->"Definition (Mod)"],
    Cell[43990, 1704, 1994, 51, 70, "Text",
      CellTags->"Definition (Mod)"]},
  "Definition (Color)"->{
    Cell[5365, 152, 1337, 38, 37, "Assumption",
      CellTags->"Definition (Color)"],
    Cell[42593, 1662, 1394, 40, 70, "Text",
      CellTags->"Definition (Color)"]},
  "1"->{
    Cell[6823, 196, 512, 15, 32, "Assumption",
      CellTags->"1"],
    Cell[35256, 1429, 555, 17, 70, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[7443, 216, 869, 25, 32, "Conclusion",
      CellTags->"2"],
    Cell[36232, 1463, 912, 27, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[8983, 266, 1545, 43, 32, "Conclusion",
      CellTags->"3"],
    Cell[37147, 1492, 1602, 45, 70, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[11320, 339, 1210, 35, 39, "Assumption",
      CellTags->"4"],
    Cell[38752, 1539, 1267, 37, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[12646, 379, 381, 11, 32, "Conclusion",
      CellTags->"5"],
    Cell[40022, 1578, 438, 13, 70, "Text",
      CellTags->"5"]},
  "9"->{
    Cell[14010, 427, 356, 11, 29, "Conclusion",
      CellTags->"9"],
    Cell[42177, 1647, 413, 13, 70, "Text",
      CellTags->"9"]},
  "6"->{
    Cell[14911, 460, 1213, 35, 41, "Assumption",
      CellTags->"6"],
    Cell[40463, 1593, 1270, 37, 70, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[16240, 500, 381, 11, 32, "Conclusion",
      CellTags->"8"],
    Cell[41736, 1632, 438, 13, 70, "Text",
      CellTags->"8"]},
  "10"->{
    Cell[17906, 557, 358, 11, 29, "Conclusion",
      CellTags->"10"],
    Cell[35814, 1448, 415, 13, 70, "Text",
      CellTags->"10"]},
  "AdditionalInfo"->{
    Cell[18910, 593, 88, 1, 54, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (zero or one)", 48263, 1824},
  {"Definition (Mod)", 48471, 1829},
  {"Definition (Color)", 48664, 1834},
  {"1", 48844, 1839},
  {"2", 48988, 1844},
  {"3", 49132, 1849},
  {"4", 49278, 1854},
  {"5", 49425, 1859},
  {"9", 49570, 1864},
  {"6", 49715, 1869},
  {"8", 49862, 1874},
  {"10", 50008, 1879},
  {"AdditionalInfo", 50168, 1884}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 93, 1, 32, "ProofText"],
Cell[1835, 54, 1453, 40, 60, "Conclusion",
  CellTags->"Proposition (zero or one)"],

Cell[CellGroupData[{
Cell[3313, 98, 109, 1, 32, "ProofText"],
Cell[3425, 101, 1937, 49, 70, "Assumption",
  CellTags->"Definition (Mod)"],
Cell[5365, 152, 1337, 38, 37, "Assumption",
  CellTags->"Definition (Color)"]
}, Open  ]],
Cell[6717, 193, 103, 1, 32, "ProofText"],
Cell[6823, 196, 512, 15, 32, "Assumption",
  CellTags->"1"],
Cell[7338, 213, 102, 1, 32, "ProofText"],
Cell[7443, 216, 869, 25, 32, "Conclusion",
  CellTags->"2"],
Cell[8315, 243, 665, 21, 32, "ProofText"],
Cell[8983, 266, 1545, 43, 32, "Conclusion",
  CellTags->"3"],
Cell[10531, 311, 666, 21, 32, "ProofText"],

Cell[CellGroupData[{
Cell[11222, 336, 95, 1, 32, "ProofText"],
Cell[11320, 339, 1210, 35, 39, "Assumption",
  CellTags->"4"],
Cell[12533, 376, 110, 1, 32, "ProofText"],
Cell[12646, 379, 381, 11, 32, "Conclusion",
  CellTags->"5"],

Cell[CellGroupData[{
Cell[13052, 394, 398, 12, 32, "ProofText"],
Cell[13453, 408, 290, 7, 70, "ProofText"],
Cell[13746, 417, 249, 7, 70, "ProofText"]
}, Closed]],
Cell[14010, 427, 356, 11, 29, "Conclusion",
  CellTags->"9"],
Cell[14369, 440, 407, 12, 32, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14813, 457, 95, 1, 32, "ProofText"],
Cell[14911, 460, 1213, 35, 41, "Assumption",
  CellTags->"6"],
Cell[16127, 497, 110, 1, 32, "ProofText"],
Cell[16240, 500, 381, 11, 32, "Conclusion",
  CellTags->"8"],

Cell[CellGroupData[{
Cell[16646, 515, 700, 21, 50, "ProofText"],
Cell[17349, 538, 290, 7, 70, "ProofText"],
Cell[17642, 547, 249, 7, 70, "ProofText"]
}, Closed]],
Cell[17906, 557, 358, 11, 29, "Conclusion",
  CellTags->"10"],
Cell[18267, 570, 409, 12, 32, "ProofText"]
}, Open  ]],
Cell[18691, 585, 182, 3, 25, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18910, 593, 88, 1, 54, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[19023, 598, 36, 0, 70, "Subsection"],
Cell[19062, 600, 209, 4, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19308, 609, 34, 0, 70, "Subsection"],
Cell[19345, 611, 120, 7, 70, "Text"],
Cell[19468, 620, 98, 4, 70, "Text"],
Cell[19569, 626, 99, 4, 70, "Text"],
Cell[19671, 632, 170, 9, 70, "Text"],
Cell[19844, 643, 187, 9, 70, "Text"],
Cell[20034, 654, 221, 9, 70, "Text"],
Cell[20258, 665, 220, 9, 70, "Text"],
Cell[20481, 676, 204, 9, 70, "Text"],
Cell[20688, 687, 206, 9, 70, "Text"],
Cell[20897, 698, 206, 9, 70, "Text"],
Cell[21106, 709, 220, 9, 70, "Text"],
Cell[21329, 720, 217, 9, 70, "Text"],
Cell[21549, 731, 216, 9, 70, "Text"],
Cell[21768, 742, 217, 9, 70, "Text"],
Cell[21988, 753, 214, 9, 70, "Text"],
Cell[22205, 764, 218, 9, 70, "Text"],
Cell[22426, 775, 211, 9, 70, "Text"],
Cell[22640, 786, 213, 9, 70, "Text"],
Cell[22856, 797, 220, 9, 70, "Text"],
Cell[23079, 808, 214, 9, 70, "Text"],
Cell[23296, 819, 214, 9, 70, "Text"],
Cell[23513, 830, 209, 9, 70, "Text"],
Cell[23725, 841, 210, 9, 70, "Text"],
Cell[23938, 852, 215, 9, 70, "Text"],
Cell[24156, 863, 212, 9, 70, "Text"],
Cell[24371, 874, 212, 9, 70, "Text"],
Cell[24586, 885, 211, 9, 70, "Text"],
Cell[24800, 896, 213, 9, 70, "Text"],
Cell[25016, 907, 211, 9, 70, "Text"],
Cell[25230, 918, 215, 9, 70, "Text"],
Cell[25448, 929, 208, 9, 70, "Text"],
Cell[25659, 940, 210, 9, 70, "Text"],
Cell[25872, 951, 217, 9, 70, "Text"],
Cell[26092, 962, 219, 9, 70, "Text"],
Cell[26314, 973, 220, 9, 70, "Text"],
Cell[26537, 984, 218, 9, 70, "Text"],
Cell[26758, 995, 218, 9, 70, "Text"],
Cell[26979, 1006, 211, 9, 70, "Text"],
Cell[27193, 1017, 214, 9, 70, "Text"],
Cell[27410, 1028, 213, 9, 70, "Text"],
Cell[27626, 1039, 224, 9, 70, "Text"],
Cell[27853, 1050, 225, 9, 70, "Text"],
Cell[28081, 1061, 214, 9, 70, "Text"],
Cell[28298, 1072, 208, 9, 70, "Text"],
Cell[28509, 1083, 211, 9, 70, "Text"],
Cell[28723, 1094, 211, 9, 70, "Text"],
Cell[28937, 1105, 215, 9, 70, "Text"],
Cell[29155, 1116, 213, 9, 70, "Text"],
Cell[29371, 1127, 209, 9, 70, "Text"],
Cell[29583, 1138, 218, 9, 70, "Text"],
Cell[29804, 1149, 226, 9, 70, "Text"],
Cell[30033, 1160, 220, 9, 70, "Text"],
Cell[30256, 1171, 216, 9, 70, "Text"],
Cell[30475, 1182, 217, 9, 70, "Text"],
Cell[30695, 1193, 222, 9, 70, "Text"],
Cell[30920, 1204, 216, 9, 70, "Text"],
Cell[31139, 1215, 214, 9, 70, "Text"],
Cell[31356, 1226, 225, 9, 70, "Text"],
Cell[31584, 1237, 220, 9, 70, "Text"],
Cell[31807, 1248, 229, 9, 70, "Text"],
Cell[32039, 1259, 170, 9, 70, "Text"],
Cell[32212, 1270, 217, 9, 70, "Text"],
Cell[32432, 1281, 215, 9, 70, "Text"],
Cell[32650, 1292, 220, 9, 70, "Text"],
Cell[32873, 1303, 214, 9, 70, "Text"],
Cell[33090, 1314, 212, 9, 70, "Text"],
Cell[33305, 1325, 218, 9, 70, "Text"],
Cell[33526, 1336, 219, 9, 70, "Text"],
Cell[33748, 1347, 222, 9, 70, "Text"],
Cell[33973, 1358, 223, 9, 70, "Text"],
Cell[34199, 1369, 200, 9, 70, "Text"],
Cell[34402, 1380, 172, 9, 70, "Text"],
Cell[34577, 1391, 201, 9, 70, "Text"],
Cell[34781, 1402, 204, 9, 70, "Text"],
Cell[34988, 1413, 172, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[35197, 1427, 56, 0, 70, "Subsection"],
Cell[35256, 1429, 555, 17, 70, "Text",
  CellTags->"1"],
Cell[35814, 1448, 415, 13, 70, "Text",
  CellTags->"10"],
Cell[36232, 1463, 912, 27, 70, "Text",
  CellTags->"2"],
Cell[37147, 1492, 1602, 45, 70, "Text",
  CellTags->"3"],
Cell[38752, 1539, 1267, 37, 70, "Text",
  CellTags->"4"],
Cell[40022, 1578, 438, 13, 70, "Text",
  CellTags->"5"],
Cell[40463, 1593, 1270, 37, 70, "Text",
  CellTags->"6"],
Cell[41736, 1632, 438, 13, 70, "Text",
  CellTags->"8"],
Cell[42177, 1647, 413, 13, 70, "Text",
  CellTags->"9"],
Cell[42593, 1662, 1394, 40, 70, "Text",
  CellTags->"Definition (Color)"],
Cell[43990, 1704, 1994, 51, 70, "Text",
  CellTags->"Definition (Mod)"],
Cell[45987, 1757, 1510, 42, 70, "Text",
  CellTags->"Proposition (zero or one)"]
}, Closed]]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

